#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1136
#define LARGE_STATE_COUNT 180
#define SYMBOL_COUNT 226
#define ALIAS_COUNT 7
#define TOKEN_COUNT 120
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_QMARK_QMARK = 86,
  anon_sym_instanceof = 87,
  anon_sym_BANG = 88,
  anon_sym_TILDE = 89,
  anon_sym_typeof = 90,
  anon_sym_void = 91,
  anon_sym_delete = 92,
  anon_sym_PLUS_PLUS = 93,
  anon_sym_DASH_DASH = 94,
  anon_sym_DQUOTE = 95,
  aux_sym_string_token1 = 96,
  anon_sym_SQUOTE = 97,
  aux_sym_string_token2 = 98,
  sym_escape_sequence = 99,
  sym_comment = 100,
  anon_sym_BQUOTE = 101,
  anon_sym_DOLLAR_LBRACE = 102,
  anon_sym_SLASH2 = 103,
  sym_regex_pattern = 104,
  sym_regex_flags = 105,
  sym_number = 106,
  anon_sym_target = 107,
  sym_this = 108,
  sym_super = 109,
  sym_true = 110,
  sym_false = 111,
  sym_null = 112,
  sym_undefined = 113,
  anon_sym_AT = 114,
  anon_sym_static = 115,
  anon_sym_get = 116,
  anon_sym_set = 117,
  sym__automatic_semicolon = 118,
  sym__template_chars = 119,
  sym_program = 120,
  sym_export_statement = 121,
  sym_export_clause = 122,
  sym__import_export_specifier = 123,
  sym__declaration = 124,
  sym_import = 125,
  sym_import_statement = 126,
  sym_import_clause = 127,
  sym__from_clause = 128,
  sym_namespace_import = 129,
  sym_named_imports = 130,
  sym_expression_statement = 131,
  sym_variable_declaration = 132,
  sym_lexical_declaration = 133,
  sym_variable_declarator = 134,
  sym_statement_block = 135,
  sym_if_statement = 136,
  sym_switch_statement = 137,
  sym_for_statement = 138,
  sym_for_in_statement = 139,
  sym__for_header = 140,
  sym_while_statement = 141,
  sym_do_statement = 142,
  sym_try_statement = 143,
  sym_with_statement = 144,
  sym_break_statement = 145,
  sym_continue_statement = 146,
  sym_debugger_statement = 147,
  sym_return_statement = 148,
  sym_throw_statement = 149,
  sym_empty_statement = 150,
  sym_labeled_statement = 151,
  sym_switch_body = 152,
  sym_switch_case = 153,
  sym_switch_default = 154,
  sym_catch_clause = 155,
  sym_finally_clause = 156,
  sym_parenthesized_expression = 157,
  sym__expression = 158,
  sym_yield_expression = 159,
  sym_object = 160,
  sym_assignment_pattern = 161,
  sym_array = 162,
  sym_jsx_element = 163,
  sym_jsx_fragment = 164,
  sym_jsx_expression = 165,
  sym_jsx_opening_element = 166,
  sym_nested_identifier = 167,
  sym_jsx_namespace_name = 168,
  sym_jsx_closing_element = 169,
  sym_jsx_self_closing_element = 170,
  sym_jsx_attribute = 171,
  sym_class = 172,
  sym_class_declaration = 173,
  sym_class_heritage = 174,
  sym_function = 175,
  sym_function_declaration = 176,
  sym_generator_function = 177,
  sym_generator_function_declaration = 178,
  sym_arrow_function = 179,
  sym_call_expression = 180,
  sym_new_expression = 181,
  sym_await_expression = 182,
  sym_member_expression = 183,
  sym_subscript_expression = 184,
  sym_assignment_expression = 185,
  sym_augmented_assignment_expression = 186,
  sym__initializer = 187,
  sym_spread_element = 188,
  sym_ternary_expression = 189,
  sym_binary_expression = 190,
  sym_unary_expression = 191,
  sym_update_expression = 192,
  sym_sequence_expression = 193,
  sym_string = 194,
  sym_template_string = 195,
  sym_template_substitution = 196,
  sym_regex = 197,
  sym_meta_property = 198,
  sym_arguments = 199,
  sym_decorator = 200,
  sym_decorator_member_expression = 201,
  sym_decorator_call_expression = 202,
  sym_class_body = 203,
  sym_public_field_definition = 204,
  sym_formal_parameters = 205,
  sym_rest_parameter = 206,
  sym_method_definition = 207,
  sym_pair = 208,
  sym__property_name = 209,
  sym_computed_property_name = 210,
  aux_sym_program_repeat1 = 211,
  aux_sym_export_statement_repeat1 = 212,
  aux_sym_export_clause_repeat1 = 213,
  aux_sym_named_imports_repeat1 = 214,
  aux_sym_variable_declaration_repeat1 = 215,
  aux_sym_switch_body_repeat1 = 216,
  aux_sym_object_repeat1 = 217,
  aux_sym_array_repeat1 = 218,
  aux_sym_jsx_element_repeat1 = 219,
  aux_sym_jsx_opening_element_repeat1 = 220,
  aux_sym_string_repeat1 = 221,
  aux_sym_string_repeat2 = 222,
  aux_sym_template_string_repeat1 = 223,
  aux_sym_class_body_repeat1 = 224,
  aux_sym_formal_parameters_repeat1 = 225,
  alias_sym_array_pattern = 226,
  alias_sym_export_specifier = 227,
  alias_sym_import_specifier = 228,
  alias_sym_object_pattern = 229,
  alias_sym_property_identifier = 230,
  alias_sym_shorthand_property_identifier = 231,
  alias_sym_statement_identifier = 232,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "??",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym__declaration] = sym__declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__expression] = sym__expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_array] = sym_array,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_rest_parameter] = sym_rest_parameter,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_array_pattern] = alias_sym_array_pattern,
  [alias_sym_export_specifier] = alias_sym_export_specifier,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_object_pattern] = alias_sym_object_pattern,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[107] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 2, .length = 1},
  [8] = {.index = 3, .length = 1},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 2},
  [12] = {.index = 7, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 11, .length = 2},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 1},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 16, .length = 2},
  [21] = {.index = 16, .length = 2},
  [22] = {.index = 18, .length = 2},
  [23] = {.index = 20, .length = 2},
  [24] = {.index = 22, .length = 3},
  [27] = {.index = 25, .length = 2},
  [28] = {.index = 27, .length = 2},
  [29] = {.index = 29, .length = 2},
  [30] = {.index = 31, .length = 2},
  [31] = {.index = 33, .length = 1},
  [32] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 1},
  [36] = {.index = 38, .length = 1},
  [37] = {.index = 39, .length = 2},
  [38] = {.index = 41, .length = 1},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 2},
  [41] = {.index = 45, .length = 2},
  [42] = {.index = 47, .length = 2},
  [43] = {.index = 49, .length = 2},
  [44] = {.index = 51, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 43, .length = 2},
  [47] = {.index = 45, .length = 2},
  [48] = {.index = 47, .length = 2},
  [49] = {.index = 7, .length = 2},
  [50] = {.index = 53, .length = 3},
  [51] = {.index = 43, .length = 2},
  [52] = {.index = 43, .length = 2},
  [53] = {.index = 56, .length = 2},
  [54] = {.index = 58, .length = 2},
  [55] = {.index = 60, .length = 2},
  [56] = {.index = 62, .length = 1},
  [57] = {.index = 63, .length = 1},
  [58] = {.index = 64, .length = 2},
  [59] = {.index = 43, .length = 2},
  [60] = {.index = 66, .length = 2},
  [61] = {.index = 68, .length = 3},
  [62] = {.index = 64, .length = 2},
  [63] = {.index = 71, .length = 1},
  [64] = {.index = 72, .length = 3},
  [65] = {.index = 75, .length = 3},
  [66] = {.index = 78, .length = 2},
  [67] = {.index = 80, .length = 2},
  [68] = {.index = 82, .length = 2},
  [69] = {.index = 84, .length = 1},
  [70] = {.index = 85, .length = 2},
  [71] = {.index = 87, .length = 1},
  [72] = {.index = 88, .length = 2},
  [73] = {.index = 90, .length = 2},
  [74] = {.index = 92, .length = 2},
  [75] = {.index = 94, .length = 2},
  [76] = {.index = 92, .length = 2},
  [77] = {.index = 96, .length = 2},
  [78] = {.index = 98, .length = 3},
  [79] = {.index = 101, .length = 2},
  [80] = {.index = 103, .length = 3},
  [81] = {.index = 106, .length = 2},
  [82] = {.index = 108, .length = 2},
  [83] = {.index = 110, .length = 3},
  [84] = {.index = 113, .length = 2},
  [85] = {.index = 115, .length = 2},
  [86] = {.index = 117, .length = 2},
  [87] = {.index = 119, .length = 3},
  [88] = {.index = 122, .length = 3},
  [89] = {.index = 125, .length = 1},
  [90] = {.index = 126, .length = 2},
  [91] = {.index = 128, .length = 3},
  [92] = {.index = 131, .length = 2},
  [93] = {.index = 131, .length = 2},
  [94] = {.index = 133, .length = 3},
  [95] = {.index = 131, .length = 2},
  [96] = {.index = 131, .length = 2},
  [97] = {.index = 136, .length = 3},
  [98] = {.index = 139, .length = 2},
  [99] = {.index = 139, .length = 2},
  [100] = {.index = 139, .length = 2},
  [101] = {.index = 139, .length = 2},
  [102] = {.index = 141, .length = 4},
  [103] = {.index = 145, .length = 2},
  [104] = {.index = 145, .length = 2},
  [105] = {.index = 145, .length = 2},
  [106] = {.index = 147, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_source, 1},
  [16] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [18] =
    {field_condition, 1},
    {field_consequence, 2},
  [20] =
    {field_body, 2},
    {field_value, 1},
  [22] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [25] =
    {field_body, 2},
    {field_condition, 1},
  [27] =
    {field_body, 1},
    {field_handler, 2},
  [29] =
    {field_body, 1},
    {field_finalizer, 2},
  [31] =
    {field_body, 2},
    {field_object, 1},
  [33] =
    {field_label, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_attribute, 0},
  [36] =
    {field_pattern, 1},
  [37] =
    {field_member, 0},
  [38] =
    {field_property, 0},
  [39] =
    {field_body, 2},
    {field_name, 1},
  [41] =
    {field_body, 2},
  [42] =
    {field_label, 0},
  [43] =
    {field_left, 0},
    {field_right, 2},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_body, 2},
    {field_parameter, 0},
  [49] =
    {field_body, 2},
    {field_parameters, 1},
  [51] =
    {field_arguments, 2},
    {field_constructor, 1},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [58] =
    {field_body, 2},
    {field_parameters, 0},
  [60] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [62] =
    {field_source, 2, .inherited = true},
  [63] =
    {field_value, 2},
  [64] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [66] =
    {field_key, 0},
    {field_value, 2},
  [68] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [71] =
    {field_value, 1},
  [72] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [75] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [78] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [80] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [82] =
    {field_flags, 3},
    {field_pattern, 1},
  [84] =
    {field_property, 1},
  [85] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [87] =
    {field_member, 1, .inherited = true},
  [88] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [90] =
    {field_body, 3},
    {field_name, 1},
  [92] =
    {field_body, 3},
    {field_parameter, 1},
  [94] =
    {field_body, 3},
    {field_parameters, 2},
  [96] =
    {field_body, 3},
    {field_parameters, 1},
  [98] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [101] =
    {field_index, 2},
    {field_object, 0},
  [103] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [106] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [108] =
    {field_alias, 2},
    {field_name, 0},
  [110] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [113] =
    {field_body, 1},
    {field_condition, 3},
  [115] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [117] =
    {field_body, 4},
    {field_parameters, 3},
  [119] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [122] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [125] =
    {field_name, 2},
  [126] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [128] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [131] =
    {field_left, 1},
    {field_right, 3},
  [133] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [136] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [139] =
    {field_left, 2},
    {field_right, 4},
  [141] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [145] =
    {field_body, 4},
    {field_parameter, 2},
  [147] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
};

static TSSymbol ts_alias_sequences[107][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [6] = {
    [0] = alias_sym_object_pattern,
  },
  [7] = {
    [0] = alias_sym_array_pattern,
  },
  [9] = {
    [1] = sym_identifier,
  },
  [13] = {
    [1] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [20] = {
    [0] = alias_sym_object_pattern,
  },
  [21] = {
    [0] = alias_sym_array_pattern,
  },
  [25] = {
    [1] = alias_sym_object_pattern,
  },
  [26] = {
    [1] = alias_sym_array_pattern,
  },
  [31] = {
    [1] = alias_sym_statement_identifier,
  },
  [39] = {
    [0] = alias_sym_statement_identifier,
  },
  [40] = {
    [0] = sym_identifier,
  },
  [41] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [42] = {
    [0] = sym_identifier,
  },
  [44] = {
    [1] = sym_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [49] = {
    [0] = sym_identifier,
  },
  [51] = {
    [0] = alias_sym_object_pattern,
  },
  [52] = {
    [0] = alias_sym_array_pattern,
  },
  [58] = {
    [1] = alias_sym_export_specifier,
  },
  [59] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [62] = {
    [1] = alias_sym_import_specifier,
  },
  [74] = {
    [1] = sym_identifier,
  },
  [92] = {
    [1] = sym_identifier,
  },
  [95] = {
    [1] = alias_sym_object_pattern,
  },
  [96] = {
    [1] = alias_sym_array_pattern,
  },
  [98] = {
    [2] = sym_identifier,
  },
  [100] = {
    [2] = alias_sym_object_pattern,
  },
  [101] = {
    [2] = alias_sym_array_pattern,
  },
  [104] = {
    [2] = alias_sym_object_pattern,
  },
  [105] = {
    [2] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(140);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(184);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(186);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || 31 < lookahead)) ADVANCE(185);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(149);
      if (lookahead != 0) ADVANCE(150);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(156);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(152);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(170);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(62);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(186);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(185);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(85);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(185);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(185);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(185);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 14:
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(183);
      if (lookahead != 0 &&
          (lookahead < 0 || '~' < lookahead)) ADVANCE(185);
      END_STATE();
    case 21:
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 25:
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(30);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 28:
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 29:
      if (lookahead == '{') ADVANCE(168);
      END_STATE();
    case 30:
      if (lookahead == '{') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 31:
      if (lookahead == '{') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 32:
      if (lookahead == '{') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 33:
      if (lookahead == '}') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '}') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '}') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 36:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 37:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(176);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(177);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(175);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(185);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(158);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(178);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(25);
      END_STATE();
    case 57:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(171);
      END_STATE();
    case 58:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(140);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(184);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(186);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || 31 < lookahead)) ADVANCE(185);
      END_STATE();
    case 59:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(140);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(186);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead)) ADVANCE(185);
      END_STATE();
    case 60:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(144);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '\'') ADVANCE(151);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(18);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(186);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '`') ADVANCE(167);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < 0 || 31 < lookahead) &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(185);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(130);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(113);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(17);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(17);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(138);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(142);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(142);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(143);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(148);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(150);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(150);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(157);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(145);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(152);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(185);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(158);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(27);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(185);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(182);
      if (lookahead == '0') ADVANCE(179);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(37);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(45);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(182);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(173);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(181);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(183);
      if (lookahead != 0 &&
          (lookahead < 0 || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(185);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '{') ADVANCE(168);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(185);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead != 0 &&
          (lookahead < 0 || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 60},
  [2] = {.lex_state = 60},
  [3] = {.lex_state = 60},
  [4] = {.lex_state = 60},
  [5] = {.lex_state = 60},
  [6] = {.lex_state = 60},
  [7] = {.lex_state = 60},
  [8] = {.lex_state = 60},
  [9] = {.lex_state = 60},
  [10] = {.lex_state = 60},
  [11] = {.lex_state = 60},
  [12] = {.lex_state = 60},
  [13] = {.lex_state = 60},
  [14] = {.lex_state = 60},
  [15] = {.lex_state = 60},
  [16] = {.lex_state = 60},
  [17] = {.lex_state = 60},
  [18] = {.lex_state = 60},
  [19] = {.lex_state = 60},
  [20] = {.lex_state = 60},
  [21] = {.lex_state = 60},
  [22] = {.lex_state = 60},
  [23] = {.lex_state = 60},
  [24] = {.lex_state = 60},
  [25] = {.lex_state = 60},
  [26] = {.lex_state = 60},
  [27] = {.lex_state = 60},
  [28] = {.lex_state = 60},
  [29] = {.lex_state = 60},
  [30] = {.lex_state = 60},
  [31] = {.lex_state = 60},
  [32] = {.lex_state = 60},
  [33] = {.lex_state = 60},
  [34] = {.lex_state = 60},
  [35] = {.lex_state = 60},
  [36] = {.lex_state = 60},
  [37] = {.lex_state = 60},
  [38] = {.lex_state = 60},
  [39] = {.lex_state = 60},
  [40] = {.lex_state = 60},
  [41] = {.lex_state = 60},
  [42] = {.lex_state = 60},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59, .external_lex_state = 2},
  [45] = {.lex_state = 59, .external_lex_state = 2},
  [46] = {.lex_state = 59, .external_lex_state = 2},
  [47] = {.lex_state = 59, .external_lex_state = 2},
  [48] = {.lex_state = 59, .external_lex_state = 2},
  [49] = {.lex_state = 59, .external_lex_state = 2},
  [50] = {.lex_state = 59, .external_lex_state = 2},
  [51] = {.lex_state = 59, .external_lex_state = 2},
  [52] = {.lex_state = 59, .external_lex_state = 2},
  [53] = {.lex_state = 59, .external_lex_state = 2},
  [54] = {.lex_state = 59, .external_lex_state = 2},
  [55] = {.lex_state = 59, .external_lex_state = 2},
  [56] = {.lex_state = 59, .external_lex_state = 2},
  [57] = {.lex_state = 59, .external_lex_state = 2},
  [58] = {.lex_state = 59, .external_lex_state = 2},
  [59] = {.lex_state = 59, .external_lex_state = 2},
  [60] = {.lex_state = 60},
  [61] = {.lex_state = 60},
  [62] = {.lex_state = 60},
  [63] = {.lex_state = 60},
  [64] = {.lex_state = 60},
  [65] = {.lex_state = 60},
  [66] = {.lex_state = 60},
  [67] = {.lex_state = 60},
  [68] = {.lex_state = 60},
  [69] = {.lex_state = 60},
  [70] = {.lex_state = 60},
  [71] = {.lex_state = 60},
  [72] = {.lex_state = 60},
  [73] = {.lex_state = 60},
  [74] = {.lex_state = 60},
  [75] = {.lex_state = 60},
  [76] = {.lex_state = 60, .external_lex_state = 2},
  [77] = {.lex_state = 60},
  [78] = {.lex_state = 60},
  [79] = {.lex_state = 60},
  [80] = {.lex_state = 60},
  [81] = {.lex_state = 60},
  [82] = {.lex_state = 60},
  [83] = {.lex_state = 60},
  [84] = {.lex_state = 60},
  [85] = {.lex_state = 60},
  [86] = {.lex_state = 60},
  [87] = {.lex_state = 60},
  [88] = {.lex_state = 60},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 60},
  [91] = {.lex_state = 60},
  [92] = {.lex_state = 60},
  [93] = {.lex_state = 60},
  [94] = {.lex_state = 7},
  [95] = {.lex_state = 60},
  [96] = {.lex_state = 60},
  [97] = {.lex_state = 60},
  [98] = {.lex_state = 60},
  [99] = {.lex_state = 60},
  [100] = {.lex_state = 60},
  [101] = {.lex_state = 60},
  [102] = {.lex_state = 60},
  [103] = {.lex_state = 60},
  [104] = {.lex_state = 60},
  [105] = {.lex_state = 60},
  [106] = {.lex_state = 60},
  [107] = {.lex_state = 60},
  [108] = {.lex_state = 60},
  [109] = {.lex_state = 60},
  [110] = {.lex_state = 60},
  [111] = {.lex_state = 60},
  [112] = {.lex_state = 60},
  [113] = {.lex_state = 60},
  [114] = {.lex_state = 60},
  [115] = {.lex_state = 60},
  [116] = {.lex_state = 60},
  [117] = {.lex_state = 60},
  [118] = {.lex_state = 60},
  [119] = {.lex_state = 60},
  [120] = {.lex_state = 60},
  [121] = {.lex_state = 60},
  [122] = {.lex_state = 60},
  [123] = {.lex_state = 60},
  [124] = {.lex_state = 60},
  [125] = {.lex_state = 60},
  [126] = {.lex_state = 60},
  [127] = {.lex_state = 60},
  [128] = {.lex_state = 60},
  [129] = {.lex_state = 60},
  [130] = {.lex_state = 60},
  [131] = {.lex_state = 60},
  [132] = {.lex_state = 60},
  [133] = {.lex_state = 60},
  [134] = {.lex_state = 60},
  [135] = {.lex_state = 60},
  [136] = {.lex_state = 60},
  [137] = {.lex_state = 60},
  [138] = {.lex_state = 60},
  [139] = {.lex_state = 60},
  [140] = {.lex_state = 60},
  [141] = {.lex_state = 60},
  [142] = {.lex_state = 60},
  [143] = {.lex_state = 60},
  [144] = {.lex_state = 60},
  [145] = {.lex_state = 60},
  [146] = {.lex_state = 60},
  [147] = {.lex_state = 60},
  [148] = {.lex_state = 60},
  [149] = {.lex_state = 60},
  [150] = {.lex_state = 60},
  [151] = {.lex_state = 60},
  [152] = {.lex_state = 60},
  [153] = {.lex_state = 60},
  [154] = {.lex_state = 60},
  [155] = {.lex_state = 60},
  [156] = {.lex_state = 60},
  [157] = {.lex_state = 60},
  [158] = {.lex_state = 60},
  [159] = {.lex_state = 60},
  [160] = {.lex_state = 60},
  [161] = {.lex_state = 60},
  [162] = {.lex_state = 60},
  [163] = {.lex_state = 60},
  [164] = {.lex_state = 60},
  [165] = {.lex_state = 60},
  [166] = {.lex_state = 60},
  [167] = {.lex_state = 60},
  [168] = {.lex_state = 60},
  [169] = {.lex_state = 60},
  [170] = {.lex_state = 60},
  [171] = {.lex_state = 60},
  [172] = {.lex_state = 60},
  [173] = {.lex_state = 60},
  [174] = {.lex_state = 60},
  [175] = {.lex_state = 60},
  [176] = {.lex_state = 60},
  [177] = {.lex_state = 60},
  [178] = {.lex_state = 8, .external_lex_state = 2},
  [179] = {.lex_state = 8, .external_lex_state = 2},
  [180] = {.lex_state = 8, .external_lex_state = 2},
  [181] = {.lex_state = 8, .external_lex_state = 2},
  [182] = {.lex_state = 8, .external_lex_state = 2},
  [183] = {.lex_state = 60, .external_lex_state = 2},
  [184] = {.lex_state = 60, .external_lex_state = 2},
  [185] = {.lex_state = 8, .external_lex_state = 2},
  [186] = {.lex_state = 60},
  [187] = {.lex_state = 60},
  [188] = {.lex_state = 60},
  [189] = {.lex_state = 60},
  [190] = {.lex_state = 8},
  [191] = {.lex_state = 60, .external_lex_state = 2},
  [192] = {.lex_state = 60},
  [193] = {.lex_state = 60, .external_lex_state = 2},
  [194] = {.lex_state = 60, .external_lex_state = 2},
  [195] = {.lex_state = 60, .external_lex_state = 2},
  [196] = {.lex_state = 60, .external_lex_state = 2},
  [197] = {.lex_state = 60, .external_lex_state = 2},
  [198] = {.lex_state = 60, .external_lex_state = 2},
  [199] = {.lex_state = 60, .external_lex_state = 2},
  [200] = {.lex_state = 60},
  [201] = {.lex_state = 60},
  [202] = {.lex_state = 60, .external_lex_state = 2},
  [203] = {.lex_state = 60},
  [204] = {.lex_state = 60},
  [205] = {.lex_state = 60, .external_lex_state = 2},
  [206] = {.lex_state = 60, .external_lex_state = 2},
  [207] = {.lex_state = 8},
  [208] = {.lex_state = 60},
  [209] = {.lex_state = 60, .external_lex_state = 2},
  [210] = {.lex_state = 60, .external_lex_state = 2},
  [211] = {.lex_state = 60, .external_lex_state = 2},
  [212] = {.lex_state = 60},
  [213] = {.lex_state = 60},
  [214] = {.lex_state = 60},
  [215] = {.lex_state = 60},
  [216] = {.lex_state = 60},
  [217] = {.lex_state = 60},
  [218] = {.lex_state = 60},
  [219] = {.lex_state = 60},
  [220] = {.lex_state = 60},
  [221] = {.lex_state = 60},
  [222] = {.lex_state = 60},
  [223] = {.lex_state = 60},
  [224] = {.lex_state = 60},
  [225] = {.lex_state = 60},
  [226] = {.lex_state = 60},
  [227] = {.lex_state = 60},
  [228] = {.lex_state = 60},
  [229] = {.lex_state = 60},
  [230] = {.lex_state = 60},
  [231] = {.lex_state = 60},
  [232] = {.lex_state = 60},
  [233] = {.lex_state = 60},
  [234] = {.lex_state = 60},
  [235] = {.lex_state = 60},
  [236] = {.lex_state = 60},
  [237] = {.lex_state = 60},
  [238] = {.lex_state = 60},
  [239] = {.lex_state = 60},
  [240] = {.lex_state = 60},
  [241] = {.lex_state = 60},
  [242] = {.lex_state = 60},
  [243] = {.lex_state = 60},
  [244] = {.lex_state = 60},
  [245] = {.lex_state = 60},
  [246] = {.lex_state = 60},
  [247] = {.lex_state = 60},
  [248] = {.lex_state = 60},
  [249] = {.lex_state = 60},
  [250] = {.lex_state = 60},
  [251] = {.lex_state = 60},
  [252] = {.lex_state = 60},
  [253] = {.lex_state = 60},
  [254] = {.lex_state = 60},
  [255] = {.lex_state = 60},
  [256] = {.lex_state = 8, .external_lex_state = 2},
  [257] = {.lex_state = 8, .external_lex_state = 2},
  [258] = {.lex_state = 8, .external_lex_state = 2},
  [259] = {.lex_state = 8, .external_lex_state = 2},
  [260] = {.lex_state = 8, .external_lex_state = 2},
  [261] = {.lex_state = 8},
  [262] = {.lex_state = 8},
  [263] = {.lex_state = 8},
  [264] = {.lex_state = 60},
  [265] = {.lex_state = 60},
  [266] = {.lex_state = 60},
  [267] = {.lex_state = 60},
  [268] = {.lex_state = 60},
  [269] = {.lex_state = 60},
  [270] = {.lex_state = 60},
  [271] = {.lex_state = 60},
  [272] = {.lex_state = 60},
  [273] = {.lex_state = 8},
  [274] = {.lex_state = 8},
  [275] = {.lex_state = 8},
  [276] = {.lex_state = 8},
  [277] = {.lex_state = 8},
  [278] = {.lex_state = 8},
  [279] = {.lex_state = 8},
  [280] = {.lex_state = 8, .external_lex_state = 2},
  [281] = {.lex_state = 8},
  [282] = {.lex_state = 8, .external_lex_state = 2},
  [283] = {.lex_state = 8},
  [284] = {.lex_state = 8},
  [285] = {.lex_state = 8, .external_lex_state = 2},
  [286] = {.lex_state = 8, .external_lex_state = 2},
  [287] = {.lex_state = 8, .external_lex_state = 2},
  [288] = {.lex_state = 8, .external_lex_state = 2},
  [289] = {.lex_state = 8, .external_lex_state = 2},
  [290] = {.lex_state = 8, .external_lex_state = 2},
  [291] = {.lex_state = 8, .external_lex_state = 2},
  [292] = {.lex_state = 8, .external_lex_state = 2},
  [293] = {.lex_state = 8, .external_lex_state = 2},
  [294] = {.lex_state = 8, .external_lex_state = 2},
  [295] = {.lex_state = 8, .external_lex_state = 2},
  [296] = {.lex_state = 8, .external_lex_state = 2},
  [297] = {.lex_state = 8, .external_lex_state = 2},
  [298] = {.lex_state = 8, .external_lex_state = 2},
  [299] = {.lex_state = 8, .external_lex_state = 2},
  [300] = {.lex_state = 8, .external_lex_state = 2},
  [301] = {.lex_state = 8},
  [302] = {.lex_state = 8, .external_lex_state = 2},
  [303] = {.lex_state = 59},
  [304] = {.lex_state = 8, .external_lex_state = 2},
  [305] = {.lex_state = 59},
  [306] = {.lex_state = 8},
  [307] = {.lex_state = 59},
  [308] = {.lex_state = 8},
  [309] = {.lex_state = 8},
  [310] = {.lex_state = 8},
  [311] = {.lex_state = 8},
  [312] = {.lex_state = 8},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 8},
  [315] = {.lex_state = 59, .external_lex_state = 2},
  [316] = {.lex_state = 59},
  [317] = {.lex_state = 59},
  [318] = {.lex_state = 59},
  [319] = {.lex_state = 59},
  [320] = {.lex_state = 59},
  [321] = {.lex_state = 59},
  [322] = {.lex_state = 59},
  [323] = {.lex_state = 59},
  [324] = {.lex_state = 59},
  [325] = {.lex_state = 59},
  [326] = {.lex_state = 59},
  [327] = {.lex_state = 59},
  [328] = {.lex_state = 59},
  [329] = {.lex_state = 59},
  [330] = {.lex_state = 59},
  [331] = {.lex_state = 59},
  [332] = {.lex_state = 59},
  [333] = {.lex_state = 59},
  [334] = {.lex_state = 59},
  [335] = {.lex_state = 59},
  [336] = {.lex_state = 59},
  [337] = {.lex_state = 59},
  [338] = {.lex_state = 59},
  [339] = {.lex_state = 59},
  [340] = {.lex_state = 59},
  [341] = {.lex_state = 59},
  [342] = {.lex_state = 59},
  [343] = {.lex_state = 59},
  [344] = {.lex_state = 59},
  [345] = {.lex_state = 59},
  [346] = {.lex_state = 59},
  [347] = {.lex_state = 59},
  [348] = {.lex_state = 59},
  [349] = {.lex_state = 59},
  [350] = {.lex_state = 59},
  [351] = {.lex_state = 59},
  [352] = {.lex_state = 59},
  [353] = {.lex_state = 59, .external_lex_state = 2},
  [354] = {.lex_state = 59},
  [355] = {.lex_state = 59},
  [356] = {.lex_state = 59},
  [357] = {.lex_state = 59},
  [358] = {.lex_state = 59, .external_lex_state = 2},
  [359] = {.lex_state = 59},
  [360] = {.lex_state = 59},
  [361] = {.lex_state = 59, .external_lex_state = 2},
  [362] = {.lex_state = 59},
  [363] = {.lex_state = 9},
  [364] = {.lex_state = 59},
  [365] = {.lex_state = 59, .external_lex_state = 2},
  [366] = {.lex_state = 59, .external_lex_state = 2},
  [367] = {.lex_state = 59},
  [368] = {.lex_state = 59, .external_lex_state = 2},
  [369] = {.lex_state = 59},
  [370] = {.lex_state = 59},
  [371] = {.lex_state = 59, .external_lex_state = 2},
  [372] = {.lex_state = 59, .external_lex_state = 2},
  [373] = {.lex_state = 59, .external_lex_state = 2},
  [374] = {.lex_state = 59, .external_lex_state = 2},
  [375] = {.lex_state = 59},
  [376] = {.lex_state = 59, .external_lex_state = 2},
  [377] = {.lex_state = 59, .external_lex_state = 2},
  [378] = {.lex_state = 59, .external_lex_state = 2},
  [379] = {.lex_state = 59},
  [380] = {.lex_state = 59},
  [381] = {.lex_state = 59},
  [382] = {.lex_state = 59},
  [383] = {.lex_state = 59, .external_lex_state = 2},
  [384] = {.lex_state = 59, .external_lex_state = 2},
  [385] = {.lex_state = 59, .external_lex_state = 2},
  [386] = {.lex_state = 59},
  [387] = {.lex_state = 59, .external_lex_state = 2},
  [388] = {.lex_state = 59},
  [389] = {.lex_state = 59},
  [390] = {.lex_state = 59, .external_lex_state = 2},
  [391] = {.lex_state = 59, .external_lex_state = 2},
  [392] = {.lex_state = 59},
  [393] = {.lex_state = 59, .external_lex_state = 2},
  [394] = {.lex_state = 59, .external_lex_state = 2},
  [395] = {.lex_state = 59, .external_lex_state = 2},
  [396] = {.lex_state = 59},
  [397] = {.lex_state = 59},
  [398] = {.lex_state = 59},
  [399] = {.lex_state = 59},
  [400] = {.lex_state = 59},
  [401] = {.lex_state = 59},
  [402] = {.lex_state = 59},
  [403] = {.lex_state = 59, .external_lex_state = 2},
  [404] = {.lex_state = 59, .external_lex_state = 2},
  [405] = {.lex_state = 59, .external_lex_state = 2},
  [406] = {.lex_state = 59},
  [407] = {.lex_state = 59},
  [408] = {.lex_state = 59, .external_lex_state = 2},
  [409] = {.lex_state = 59, .external_lex_state = 2},
  [410] = {.lex_state = 59, .external_lex_state = 2},
  [411] = {.lex_state = 59, .external_lex_state = 2},
  [412] = {.lex_state = 59, .external_lex_state = 2},
  [413] = {.lex_state = 59, .external_lex_state = 2},
  [414] = {.lex_state = 59, .external_lex_state = 2},
  [415] = {.lex_state = 59, .external_lex_state = 2},
  [416] = {.lex_state = 59, .external_lex_state = 2},
  [417] = {.lex_state = 59},
  [418] = {.lex_state = 59},
  [419] = {.lex_state = 59, .external_lex_state = 2},
  [420] = {.lex_state = 59, .external_lex_state = 2},
  [421] = {.lex_state = 59, .external_lex_state = 2},
  [422] = {.lex_state = 59, .external_lex_state = 2},
  [423] = {.lex_state = 59, .external_lex_state = 2},
  [424] = {.lex_state = 59, .external_lex_state = 2},
  [425] = {.lex_state = 59, .external_lex_state = 2},
  [426] = {.lex_state = 59},
  [427] = {.lex_state = 59},
  [428] = {.lex_state = 59, .external_lex_state = 2},
  [429] = {.lex_state = 59},
  [430] = {.lex_state = 59},
  [431] = {.lex_state = 59},
  [432] = {.lex_state = 59},
  [433] = {.lex_state = 59, .external_lex_state = 2},
  [434] = {.lex_state = 59},
  [435] = {.lex_state = 59},
  [436] = {.lex_state = 59},
  [437] = {.lex_state = 59, .external_lex_state = 2},
  [438] = {.lex_state = 59, .external_lex_state = 2},
  [439] = {.lex_state = 59},
  [440] = {.lex_state = 59},
  [441] = {.lex_state = 59},
  [442] = {.lex_state = 59},
  [443] = {.lex_state = 59},
  [444] = {.lex_state = 59},
  [445] = {.lex_state = 59},
  [446] = {.lex_state = 59},
  [447] = {.lex_state = 59},
  [448] = {.lex_state = 59},
  [449] = {.lex_state = 59, .external_lex_state = 2},
  [450] = {.lex_state = 59},
  [451] = {.lex_state = 59, .external_lex_state = 2},
  [452] = {.lex_state = 59, .external_lex_state = 2},
  [453] = {.lex_state = 59, .external_lex_state = 2},
  [454] = {.lex_state = 59},
  [455] = {.lex_state = 59, .external_lex_state = 2},
  [456] = {.lex_state = 59, .external_lex_state = 2},
  [457] = {.lex_state = 59},
  [458] = {.lex_state = 59, .external_lex_state = 2},
  [459] = {.lex_state = 59, .external_lex_state = 2},
  [460] = {.lex_state = 59},
  [461] = {.lex_state = 59, .external_lex_state = 2},
  [462] = {.lex_state = 59, .external_lex_state = 2},
  [463] = {.lex_state = 59, .external_lex_state = 2},
  [464] = {.lex_state = 59, .external_lex_state = 2},
  [465] = {.lex_state = 59},
  [466] = {.lex_state = 59, .external_lex_state = 2},
  [467] = {.lex_state = 59, .external_lex_state = 2},
  [468] = {.lex_state = 59, .external_lex_state = 2},
  [469] = {.lex_state = 59},
  [470] = {.lex_state = 59, .external_lex_state = 2},
  [471] = {.lex_state = 59, .external_lex_state = 2},
  [472] = {.lex_state = 59, .external_lex_state = 2},
  [473] = {.lex_state = 59, .external_lex_state = 2},
  [474] = {.lex_state = 59, .external_lex_state = 2},
  [475] = {.lex_state = 9, .external_lex_state = 2},
  [476] = {.lex_state = 59, .external_lex_state = 2},
  [477] = {.lex_state = 59},
  [478] = {.lex_state = 59},
  [479] = {.lex_state = 59},
  [480] = {.lex_state = 59, .external_lex_state = 2},
  [481] = {.lex_state = 59, .external_lex_state = 2},
  [482] = {.lex_state = 59, .external_lex_state = 2},
  [483] = {.lex_state = 59, .external_lex_state = 2},
  [484] = {.lex_state = 59, .external_lex_state = 2},
  [485] = {.lex_state = 59},
  [486] = {.lex_state = 59},
  [487] = {.lex_state = 59},
  [488] = {.lex_state = 59, .external_lex_state = 2},
  [489] = {.lex_state = 59, .external_lex_state = 2},
  [490] = {.lex_state = 59, .external_lex_state = 2},
  [491] = {.lex_state = 59, .external_lex_state = 2},
  [492] = {.lex_state = 59, .external_lex_state = 2},
  [493] = {.lex_state = 59, .external_lex_state = 2},
  [494] = {.lex_state = 59},
  [495] = {.lex_state = 59},
  [496] = {.lex_state = 59},
  [497] = {.lex_state = 59},
  [498] = {.lex_state = 59},
  [499] = {.lex_state = 59},
  [500] = {.lex_state = 59},
  [501] = {.lex_state = 59, .external_lex_state = 2},
  [502] = {.lex_state = 59},
  [503] = {.lex_state = 59},
  [504] = {.lex_state = 59},
  [505] = {.lex_state = 59},
  [506] = {.lex_state = 59, .external_lex_state = 2},
  [507] = {.lex_state = 59, .external_lex_state = 2},
  [508] = {.lex_state = 59, .external_lex_state = 2},
  [509] = {.lex_state = 59},
  [510] = {.lex_state = 59},
  [511] = {.lex_state = 59, .external_lex_state = 2},
  [512] = {.lex_state = 59},
  [513] = {.lex_state = 59, .external_lex_state = 2},
  [514] = {.lex_state = 59, .external_lex_state = 2},
  [515] = {.lex_state = 59, .external_lex_state = 2},
  [516] = {.lex_state = 59, .external_lex_state = 2},
  [517] = {.lex_state = 59, .external_lex_state = 2},
  [518] = {.lex_state = 59, .external_lex_state = 2},
  [519] = {.lex_state = 59, .external_lex_state = 2},
  [520] = {.lex_state = 59},
  [521] = {.lex_state = 59, .external_lex_state = 2},
  [522] = {.lex_state = 59, .external_lex_state = 2},
  [523] = {.lex_state = 59, .external_lex_state = 2},
  [524] = {.lex_state = 59},
  [525] = {.lex_state = 59, .external_lex_state = 2},
  [526] = {.lex_state = 59, .external_lex_state = 2},
  [527] = {.lex_state = 59},
  [528] = {.lex_state = 59},
  [529] = {.lex_state = 59, .external_lex_state = 2},
  [530] = {.lex_state = 59, .external_lex_state = 2},
  [531] = {.lex_state = 59},
  [532] = {.lex_state = 59, .external_lex_state = 2},
  [533] = {.lex_state = 59, .external_lex_state = 2},
  [534] = {.lex_state = 59, .external_lex_state = 2},
  [535] = {.lex_state = 59, .external_lex_state = 2},
  [536] = {.lex_state = 59, .external_lex_state = 2},
  [537] = {.lex_state = 59, .external_lex_state = 2},
  [538] = {.lex_state = 59, .external_lex_state = 2},
  [539] = {.lex_state = 59},
  [540] = {.lex_state = 59, .external_lex_state = 2},
  [541] = {.lex_state = 59, .external_lex_state = 2},
  [542] = {.lex_state = 59},
  [543] = {.lex_state = 59, .external_lex_state = 2},
  [544] = {.lex_state = 59, .external_lex_state = 2},
  [545] = {.lex_state = 59},
  [546] = {.lex_state = 59, .external_lex_state = 2},
  [547] = {.lex_state = 59, .external_lex_state = 2},
  [548] = {.lex_state = 59},
  [549] = {.lex_state = 59, .external_lex_state = 2},
  [550] = {.lex_state = 59, .external_lex_state = 2},
  [551] = {.lex_state = 59, .external_lex_state = 2},
  [552] = {.lex_state = 59, .external_lex_state = 2},
  [553] = {.lex_state = 59, .external_lex_state = 2},
  [554] = {.lex_state = 59, .external_lex_state = 2},
  [555] = {.lex_state = 59, .external_lex_state = 2},
  [556] = {.lex_state = 59, .external_lex_state = 2},
  [557] = {.lex_state = 59},
  [558] = {.lex_state = 59, .external_lex_state = 2},
  [559] = {.lex_state = 59},
  [560] = {.lex_state = 59},
  [561] = {.lex_state = 59, .external_lex_state = 2},
  [562] = {.lex_state = 59, .external_lex_state = 2},
  [563] = {.lex_state = 59, .external_lex_state = 2},
  [564] = {.lex_state = 59},
  [565] = {.lex_state = 59},
  [566] = {.lex_state = 59},
  [567] = {.lex_state = 59},
  [568] = {.lex_state = 59},
  [569] = {.lex_state = 59},
  [570] = {.lex_state = 59},
  [571] = {.lex_state = 59},
  [572] = {.lex_state = 59},
  [573] = {.lex_state = 59},
  [574] = {.lex_state = 59},
  [575] = {.lex_state = 59},
  [576] = {.lex_state = 59},
  [577] = {.lex_state = 60},
  [578] = {.lex_state = 60},
  [579] = {.lex_state = 60},
  [580] = {.lex_state = 60},
  [581] = {.lex_state = 60},
  [582] = {.lex_state = 60},
  [583] = {.lex_state = 60},
  [584] = {.lex_state = 60},
  [585] = {.lex_state = 60},
  [586] = {.lex_state = 60},
  [587] = {.lex_state = 60},
  [588] = {.lex_state = 60},
  [589] = {.lex_state = 60},
  [590] = {.lex_state = 60},
  [591] = {.lex_state = 60},
  [592] = {.lex_state = 60},
  [593] = {.lex_state = 60},
  [594] = {.lex_state = 60},
  [595] = {.lex_state = 60},
  [596] = {.lex_state = 60},
  [597] = {.lex_state = 60},
  [598] = {.lex_state = 60},
  [599] = {.lex_state = 60, .external_lex_state = 2},
  [600] = {.lex_state = 60, .external_lex_state = 2},
  [601] = {.lex_state = 60, .external_lex_state = 2},
  [602] = {.lex_state = 60},
  [603] = {.lex_state = 60},
  [604] = {.lex_state = 59},
  [605] = {.lex_state = 60},
  [606] = {.lex_state = 60, .external_lex_state = 2},
  [607] = {.lex_state = 59},
  [608] = {.lex_state = 60, .external_lex_state = 2},
  [609] = {.lex_state = 59},
  [610] = {.lex_state = 59},
  [611] = {.lex_state = 60},
  [612] = {.lex_state = 60},
  [613] = {.lex_state = 60},
  [614] = {.lex_state = 60},
  [615] = {.lex_state = 60},
  [616] = {.lex_state = 60},
  [617] = {.lex_state = 60},
  [618] = {.lex_state = 60},
  [619] = {.lex_state = 60},
  [620] = {.lex_state = 60},
  [621] = {.lex_state = 60},
  [622] = {.lex_state = 60},
  [623] = {.lex_state = 60},
  [624] = {.lex_state = 60},
  [625] = {.lex_state = 60},
  [626] = {.lex_state = 60},
  [627] = {.lex_state = 60},
  [628] = {.lex_state = 60},
  [629] = {.lex_state = 60},
  [630] = {.lex_state = 60},
  [631] = {.lex_state = 60},
  [632] = {.lex_state = 60},
  [633] = {.lex_state = 60},
  [634] = {.lex_state = 60},
  [635] = {.lex_state = 60},
  [636] = {.lex_state = 60},
  [637] = {.lex_state = 60},
  [638] = {.lex_state = 60},
  [639] = {.lex_state = 60},
  [640] = {.lex_state = 60},
  [641] = {.lex_state = 60},
  [642] = {.lex_state = 60},
  [643] = {.lex_state = 60},
  [644] = {.lex_state = 20},
  [645] = {.lex_state = 20},
  [646] = {.lex_state = 20},
  [647] = {.lex_state = 20},
  [648] = {.lex_state = 20},
  [649] = {.lex_state = 20},
  [650] = {.lex_state = 20},
  [651] = {.lex_state = 60},
  [652] = {.lex_state = 60},
  [653] = {.lex_state = 20},
  [654] = {.lex_state = 20},
  [655] = {.lex_state = 20},
  [656] = {.lex_state = 20},
  [657] = {.lex_state = 20},
  [658] = {.lex_state = 20},
  [659] = {.lex_state = 21},
  [660] = {.lex_state = 20},
  [661] = {.lex_state = 21},
  [662] = {.lex_state = 21},
  [663] = {.lex_state = 20},
  [664] = {.lex_state = 20},
  [665] = {.lex_state = 20},
  [666] = {.lex_state = 20},
  [667] = {.lex_state = 21},
  [668] = {.lex_state = 21},
  [669] = {.lex_state = 21},
  [670] = {.lex_state = 20},
  [671] = {.lex_state = 21},
  [672] = {.lex_state = 20},
  [673] = {.lex_state = 20},
  [674] = {.lex_state = 21},
  [675] = {.lex_state = 21},
  [676] = {.lex_state = 21},
  [677] = {.lex_state = 21},
  [678] = {.lex_state = 21},
  [679] = {.lex_state = 21},
  [680] = {.lex_state = 21},
  [681] = {.lex_state = 21},
  [682] = {.lex_state = 20},
  [683] = {.lex_state = 60},
  [684] = {.lex_state = 0, .external_lex_state = 2},
  [685] = {.lex_state = 60},
  [686] = {.lex_state = 60},
  [687] = {.lex_state = 12, .external_lex_state = 3},
  [688] = {.lex_state = 60},
  [689] = {.lex_state = 59},
  [690] = {.lex_state = 12, .external_lex_state = 3},
  [691] = {.lex_state = 12, .external_lex_state = 3},
  [692] = {.lex_state = 60},
  [693] = {.lex_state = 0, .external_lex_state = 2},
  [694] = {.lex_state = 20},
  [695] = {.lex_state = 59},
  [696] = {.lex_state = 20},
  [697] = {.lex_state = 60},
  [698] = {.lex_state = 59},
  [699] = {.lex_state = 12, .external_lex_state = 3},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 20},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 12, .external_lex_state = 3},
  [704] = {.lex_state = 60},
  [705] = {.lex_state = 20},
  [706] = {.lex_state = 0, .external_lex_state = 2},
  [707] = {.lex_state = 20},
  [708] = {.lex_state = 20},
  [709] = {.lex_state = 60},
  [710] = {.lex_state = 0, .external_lex_state = 2},
  [711] = {.lex_state = 20},
  [712] = {.lex_state = 20},
  [713] = {.lex_state = 60},
  [714] = {.lex_state = 60},
  [715] = {.lex_state = 20},
  [716] = {.lex_state = 60},
  [717] = {.lex_state = 60},
  [718] = {.lex_state = 20},
  [719] = {.lex_state = 20},
  [720] = {.lex_state = 20},
  [721] = {.lex_state = 20},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 60},
  [724] = {.lex_state = 20},
  [725] = {.lex_state = 0, .external_lex_state = 2},
  [726] = {.lex_state = 60},
  [727] = {.lex_state = 20},
  [728] = {.lex_state = 20},
  [729] = {.lex_state = 20},
  [730] = {.lex_state = 20},
  [731] = {.lex_state = 20},
  [732] = {.lex_state = 20},
  [733] = {.lex_state = 20},
  [734] = {.lex_state = 60},
  [735] = {.lex_state = 20},
  [736] = {.lex_state = 60},
  [737] = {.lex_state = 20},
  [738] = {.lex_state = 20},
  [739] = {.lex_state = 60},
  [740] = {.lex_state = 20},
  [741] = {.lex_state = 60},
  [742] = {.lex_state = 20},
  [743] = {.lex_state = 20},
  [744] = {.lex_state = 20},
  [745] = {.lex_state = 20},
  [746] = {.lex_state = 20},
  [747] = {.lex_state = 60},
  [748] = {.lex_state = 20},
  [749] = {.lex_state = 60},
  [750] = {.lex_state = 60},
  [751] = {.lex_state = 20},
  [752] = {.lex_state = 60, .external_lex_state = 2},
  [753] = {.lex_state = 60},
  [754] = {.lex_state = 60},
  [755] = {.lex_state = 12, .external_lex_state = 3},
  [756] = {.lex_state = 1},
  [757] = {.lex_state = 3},
  [758] = {.lex_state = 1},
  [759] = {.lex_state = 3},
  [760] = {.lex_state = 60},
  [761] = {.lex_state = 3},
  [762] = {.lex_state = 1},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 60},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 60},
  [767] = {.lex_state = 60},
  [768] = {.lex_state = 60},
  [769] = {.lex_state = 0, .external_lex_state = 2},
  [770] = {.lex_state = 60},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 60},
  [773] = {.lex_state = 3},
  [774] = {.lex_state = 1},
  [775] = {.lex_state = 1},
  [776] = {.lex_state = 3},
  [777] = {.lex_state = 60},
  [778] = {.lex_state = 3},
  [779] = {.lex_state = 1},
  [780] = {.lex_state = 60},
  [781] = {.lex_state = 60},
  [782] = {.lex_state = 3},
  [783] = {.lex_state = 0, .external_lex_state = 2},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 0, .external_lex_state = 2},
  [786] = {.lex_state = 0, .external_lex_state = 2},
  [787] = {.lex_state = 60},
  [788] = {.lex_state = 60},
  [789] = {.lex_state = 60},
  [790] = {.lex_state = 0, .external_lex_state = 2},
  [791] = {.lex_state = 60},
  [792] = {.lex_state = 60},
  [793] = {.lex_state = 60},
  [794] = {.lex_state = 0, .external_lex_state = 2},
  [795] = {.lex_state = 20},
  [796] = {.lex_state = 0, .external_lex_state = 2},
  [797] = {.lex_state = 20},
  [798] = {.lex_state = 60},
  [799] = {.lex_state = 20},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 60},
  [802] = {.lex_state = 60},
  [803] = {.lex_state = 60},
  [804] = {.lex_state = 60},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 60},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 60},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 60},
  [820] = {.lex_state = 60},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 60},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 60},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 60},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 60, .external_lex_state = 2},
  [833] = {.lex_state = 60},
  [834] = {.lex_state = 21},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 60},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0, .external_lex_state = 2},
  [840] = {.lex_state = 60, .external_lex_state = 2},
  [841] = {.lex_state = 60, .external_lex_state = 2},
  [842] = {.lex_state = 60, .external_lex_state = 2},
  [843] = {.lex_state = 60},
  [844] = {.lex_state = 7},
  [845] = {.lex_state = 60},
  [846] = {.lex_state = 7},
  [847] = {.lex_state = 60, .external_lex_state = 2},
  [848] = {.lex_state = 7},
  [849] = {.lex_state = 0, .external_lex_state = 2},
  [850] = {.lex_state = 21},
  [851] = {.lex_state = 60},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 7},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 60},
  [857] = {.lex_state = 60},
  [858] = {.lex_state = 60, .external_lex_state = 2},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0, .external_lex_state = 2},
  [868] = {.lex_state = 0, .external_lex_state = 2},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 21},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 21},
  [875] = {.lex_state = 21},
  [876] = {.lex_state = 60},
  [877] = {.lex_state = 21},
  [878] = {.lex_state = 21},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 21},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 60, .external_lex_state = 2},
  [883] = {.lex_state = 60},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 21},
  [887] = {.lex_state = 60, .external_lex_state = 2},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0, .external_lex_state = 2},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 60},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 60},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 60},
  [905] = {.lex_state = 60},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0, .external_lex_state = 2},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0, .external_lex_state = 2},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 60},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0, .external_lex_state = 2},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0, .external_lex_state = 2},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 60},
  [930] = {.lex_state = 0, .external_lex_state = 2},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0, .external_lex_state = 2},
  [936] = {.lex_state = 60},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0, .external_lex_state = 2},
  [941] = {.lex_state = 0, .external_lex_state = 2},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0, .external_lex_state = 2},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0, .external_lex_state = 2},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0, .external_lex_state = 2},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0, .external_lex_state = 2},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0, .external_lex_state = 2},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 20},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 60},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 60},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 7},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 60},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 60},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 7},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 60},
  [1023] = {.lex_state = 7},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 60},
  [1026] = {.lex_state = 7},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0, .external_lex_state = 2},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 60},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 5},
  [1047] = {.lex_state = 60},
  [1048] = {.lex_state = 60},
  [1049] = {.lex_state = 5},
  [1050] = {.lex_state = 60},
  [1051] = {.lex_state = 60},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 60},
  [1055] = {.lex_state = 60},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 60},
  [1058] = {.lex_state = 60},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 60},
  [1062] = {.lex_state = 60},
  [1063] = {.lex_state = 60},
  [1064] = {.lex_state = 60},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 60},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 60},
  [1070] = {.lex_state = 60},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 60},
  [1073] = {.lex_state = 60},
  [1074] = {.lex_state = 60},
  [1075] = {.lex_state = 60},
  [1076] = {.lex_state = 60},
  [1077] = {.lex_state = 60},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 60},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 60},
  [1084] = {.lex_state = 60},
  [1085] = {.lex_state = 60},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 60},
  [1088] = {.lex_state = 60},
  [1089] = {.lex_state = 60},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 60},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 60},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 60},
  [1098] = {.lex_state = 60},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 60},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 60},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 60},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 60},
  [1116] = {.lex_state = 60},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 60},
  [1119] = {.lex_state = 60},
  [1120] = {.lex_state = 60},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 60},
  [1124] = {.lex_state = 60},
  [1125] = {.lex_state = 60},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 60},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 60},
  [1132] = {.lex_state = 60},
  [1133] = {.lex_state = 60},
  [1134] = {.lex_state = 60},
  [1135] = {.lex_state = 60},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1130),
    [sym_export_statement] = STATE(22),
    [sym__declaration] = STATE(22),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(22),
    [sym_lexical_declaration] = STATE(22),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(22),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(22),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(22),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [2] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(532),
    [sym_assignment_pattern] = STATE(809),
    [sym_array] = STATE(529),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_spread_element] = STATE(809),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(534),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [sym_method_definition] = STATE(809),
    [sym_pair] = STATE(809),
    [sym__property_name] = STATE(890),
    [sym_computed_property_name] = STATE(890),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(594),
    [aux_sym_object_repeat1] = STATE(885),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [3] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(532),
    [sym_assignment_pattern] = STATE(809),
    [sym_array] = STATE(529),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_spread_element] = STATE(809),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(534),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [sym_method_definition] = STATE(809),
    [sym_pair] = STATE(809),
    [sym__property_name] = STATE(890),
    [sym_computed_property_name] = STATE(890),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(594),
    [aux_sym_object_repeat1] = STATE(885),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [4] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(532),
    [sym_assignment_pattern] = STATE(884),
    [sym_array] = STATE(529),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_spread_element] = STATE(884),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(534),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [sym_method_definition] = STATE(884),
    [sym_pair] = STATE(884),
    [sym__property_name] = STATE(890),
    [sym_computed_property_name] = STATE(890),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(594),
    [aux_sym_object_repeat1] = STATE(889),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(117),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
  },
  [5] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(532),
    [sym_assignment_pattern] = STATE(809),
    [sym_array] = STATE(529),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_spread_element] = STATE(809),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(534),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [sym_method_definition] = STATE(809),
    [sym_pair] = STATE(809),
    [sym__property_name] = STATE(890),
    [sym_computed_property_name] = STATE(890),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(594),
    [aux_sym_object_repeat1] = STATE(885),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [6] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(130),
    [anon_sym_default] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(138),
    [anon_sym_var] = ACTIONS(141),
    [anon_sym_let] = ACTIONS(144),
    [anon_sym_const] = ACTIONS(144),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(150),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(156),
    [anon_sym_await] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(162),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(174),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(180),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_yield] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LT] = ACTIONS(198),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_class] = ACTIONS(204),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(210),
    [anon_sym_new] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(216),
    [anon_sym_DASH] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(222),
    [anon_sym_void] = ACTIONS(222),
    [anon_sym_delete] = ACTIONS(222),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(228),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(234),
    [sym_number] = ACTIONS(237),
    [sym_this] = ACTIONS(240),
    [sym_super] = ACTIONS(243),
    [sym_true] = ACTIONS(240),
    [sym_false] = ACTIONS(240),
    [sym_null] = ACTIONS(240),
    [sym_undefined] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(249),
    [anon_sym_set] = ACTIONS(249),
  },
  [7] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(254),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [8] = {
    [sym_export_statement] = STATE(7),
    [sym__declaration] = STATE(7),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(7),
    [sym_lexical_declaration] = STATE(7),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(7),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(7),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(7),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(258),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(256),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [9] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(262),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(260),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [10] = {
    [sym_export_statement] = STATE(9),
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(266),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(264),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [11] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(268),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [12] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(270),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [13] = {
    [sym_export_statement] = STATE(23),
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [14] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [15] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(276),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [16] = {
    [sym_export_statement] = STATE(11),
    [sym__declaration] = STATE(11),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(11),
    [sym_lexical_declaration] = STATE(11),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(11),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(11),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(11),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [17] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(280),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [18] = {
    [sym_export_statement] = STATE(17),
    [sym__declaration] = STATE(17),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(17),
    [sym_lexical_declaration] = STATE(17),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(17),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(17),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(17),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [19] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(284),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [20] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(286),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [21] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [22] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [23] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(288),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [24] = {
    [sym_export_statement] = STATE(1001),
    [sym__declaration] = STATE(1001),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(1001),
    [sym_expression_statement] = STATE(1001),
    [sym_variable_declaration] = STATE(1001),
    [sym_lexical_declaration] = STATE(1001),
    [sym_statement_block] = STATE(1001),
    [sym_if_statement] = STATE(1001),
    [sym_switch_statement] = STATE(1001),
    [sym_for_statement] = STATE(1001),
    [sym_for_in_statement] = STATE(1001),
    [sym_while_statement] = STATE(1001),
    [sym_do_statement] = STATE(1001),
    [sym_try_statement] = STATE(1001),
    [sym_with_statement] = STATE(1001),
    [sym_break_statement] = STATE(1001),
    [sym_continue_statement] = STATE(1001),
    [sym_debugger_statement] = STATE(1001),
    [sym_return_statement] = STATE(1001),
    [sym_throw_statement] = STATE(1001),
    [sym_empty_statement] = STATE(1001),
    [sym_labeled_statement] = STATE(1001),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(1001),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(1001),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(1001),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [25] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [26] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [27] = {
    [sym_export_statement] = STATE(249),
    [sym__declaration] = STATE(249),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_variable_declaration] = STATE(249),
    [sym_lexical_declaration] = STATE(249),
    [sym_statement_block] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_for_in_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_try_statement] = STATE(249),
    [sym_with_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_debugger_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_throw_statement] = STATE(249),
    [sym_empty_statement] = STATE(249),
    [sym_labeled_statement] = STATE(249),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(249),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(249),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(249),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [28] = {
    [sym_export_statement] = STATE(234),
    [sym__declaration] = STATE(234),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(234),
    [sym_expression_statement] = STATE(234),
    [sym_variable_declaration] = STATE(234),
    [sym_lexical_declaration] = STATE(234),
    [sym_statement_block] = STATE(234),
    [sym_if_statement] = STATE(234),
    [sym_switch_statement] = STATE(234),
    [sym_for_statement] = STATE(234),
    [sym_for_in_statement] = STATE(234),
    [sym_while_statement] = STATE(234),
    [sym_do_statement] = STATE(234),
    [sym_try_statement] = STATE(234),
    [sym_with_statement] = STATE(234),
    [sym_break_statement] = STATE(234),
    [sym_continue_statement] = STATE(234),
    [sym_debugger_statement] = STATE(234),
    [sym_return_statement] = STATE(234),
    [sym_throw_statement] = STATE(234),
    [sym_empty_statement] = STATE(234),
    [sym_labeled_statement] = STATE(234),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(234),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(234),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(234),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [29] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [30] = {
    [sym_export_statement] = STATE(1102),
    [sym__declaration] = STATE(1102),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(1102),
    [sym_expression_statement] = STATE(1102),
    [sym_variable_declaration] = STATE(1102),
    [sym_lexical_declaration] = STATE(1102),
    [sym_statement_block] = STATE(1102),
    [sym_if_statement] = STATE(1102),
    [sym_switch_statement] = STATE(1102),
    [sym_for_statement] = STATE(1102),
    [sym_for_in_statement] = STATE(1102),
    [sym_while_statement] = STATE(1102),
    [sym_do_statement] = STATE(1102),
    [sym_try_statement] = STATE(1102),
    [sym_with_statement] = STATE(1102),
    [sym_break_statement] = STATE(1102),
    [sym_continue_statement] = STATE(1102),
    [sym_debugger_statement] = STATE(1102),
    [sym_return_statement] = STATE(1102),
    [sym_throw_statement] = STATE(1102),
    [sym_empty_statement] = STATE(1102),
    [sym_labeled_statement] = STATE(1102),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(1102),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(1102),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(1102),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [31] = {
    [sym_export_statement] = STATE(218),
    [sym__declaration] = STATE(218),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(218),
    [sym_expression_statement] = STATE(218),
    [sym_variable_declaration] = STATE(218),
    [sym_lexical_declaration] = STATE(218),
    [sym_statement_block] = STATE(218),
    [sym_if_statement] = STATE(218),
    [sym_switch_statement] = STATE(218),
    [sym_for_statement] = STATE(218),
    [sym_for_in_statement] = STATE(218),
    [sym_while_statement] = STATE(218),
    [sym_do_statement] = STATE(218),
    [sym_try_statement] = STATE(218),
    [sym_with_statement] = STATE(218),
    [sym_break_statement] = STATE(218),
    [sym_continue_statement] = STATE(218),
    [sym_debugger_statement] = STATE(218),
    [sym_return_statement] = STATE(218),
    [sym_throw_statement] = STATE(218),
    [sym_empty_statement] = STATE(218),
    [sym_labeled_statement] = STATE(218),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(218),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(218),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(218),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [32] = {
    [sym_export_statement] = STATE(216),
    [sym__declaration] = STATE(216),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(216),
    [sym_expression_statement] = STATE(216),
    [sym_variable_declaration] = STATE(216),
    [sym_lexical_declaration] = STATE(216),
    [sym_statement_block] = STATE(216),
    [sym_if_statement] = STATE(216),
    [sym_switch_statement] = STATE(216),
    [sym_for_statement] = STATE(216),
    [sym_for_in_statement] = STATE(216),
    [sym_while_statement] = STATE(216),
    [sym_do_statement] = STATE(216),
    [sym_try_statement] = STATE(216),
    [sym_with_statement] = STATE(216),
    [sym_break_statement] = STATE(216),
    [sym_continue_statement] = STATE(216),
    [sym_debugger_statement] = STATE(216),
    [sym_return_statement] = STATE(216),
    [sym_throw_statement] = STATE(216),
    [sym_empty_statement] = STATE(216),
    [sym_labeled_statement] = STATE(216),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(216),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(216),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(216),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [33] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [34] = {
    [sym_export_statement] = STATE(216),
    [sym__declaration] = STATE(216),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(216),
    [sym_expression_statement] = STATE(216),
    [sym_variable_declaration] = STATE(216),
    [sym_lexical_declaration] = STATE(216),
    [sym_statement_block] = STATE(216),
    [sym_if_statement] = STATE(216),
    [sym_switch_statement] = STATE(216),
    [sym_for_statement] = STATE(216),
    [sym_for_in_statement] = STATE(216),
    [sym_while_statement] = STATE(216),
    [sym_do_statement] = STATE(216),
    [sym_try_statement] = STATE(216),
    [sym_with_statement] = STATE(216),
    [sym_break_statement] = STATE(216),
    [sym_continue_statement] = STATE(216),
    [sym_debugger_statement] = STATE(216),
    [sym_return_statement] = STATE(216),
    [sym_throw_statement] = STATE(216),
    [sym_empty_statement] = STATE(216),
    [sym_labeled_statement] = STATE(216),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(216),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(216),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(216),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [35] = {
    [sym_export_statement] = STATE(218),
    [sym__declaration] = STATE(218),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(218),
    [sym_expression_statement] = STATE(218),
    [sym_variable_declaration] = STATE(218),
    [sym_lexical_declaration] = STATE(218),
    [sym_statement_block] = STATE(218),
    [sym_if_statement] = STATE(218),
    [sym_switch_statement] = STATE(218),
    [sym_for_statement] = STATE(218),
    [sym_for_in_statement] = STATE(218),
    [sym_while_statement] = STATE(218),
    [sym_do_statement] = STATE(218),
    [sym_try_statement] = STATE(218),
    [sym_with_statement] = STATE(218),
    [sym_break_statement] = STATE(218),
    [sym_continue_statement] = STATE(218),
    [sym_debugger_statement] = STATE(218),
    [sym_return_statement] = STATE(218),
    [sym_throw_statement] = STATE(218),
    [sym_empty_statement] = STATE(218),
    [sym_labeled_statement] = STATE(218),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(218),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(218),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(218),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [36] = {
    [sym_export_statement] = STATE(225),
    [sym__declaration] = STATE(225),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(225),
    [sym_expression_statement] = STATE(225),
    [sym_variable_declaration] = STATE(225),
    [sym_lexical_declaration] = STATE(225),
    [sym_statement_block] = STATE(225),
    [sym_if_statement] = STATE(225),
    [sym_switch_statement] = STATE(225),
    [sym_for_statement] = STATE(225),
    [sym_for_in_statement] = STATE(225),
    [sym_while_statement] = STATE(225),
    [sym_do_statement] = STATE(225),
    [sym_try_statement] = STATE(225),
    [sym_with_statement] = STATE(225),
    [sym_break_statement] = STATE(225),
    [sym_continue_statement] = STATE(225),
    [sym_debugger_statement] = STATE(225),
    [sym_return_statement] = STATE(225),
    [sym_throw_statement] = STATE(225),
    [sym_empty_statement] = STATE(225),
    [sym_labeled_statement] = STATE(225),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(225),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(225),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(225),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [37] = {
    [sym_export_statement] = STATE(248),
    [sym__declaration] = STATE(248),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_variable_declaration] = STATE(248),
    [sym_lexical_declaration] = STATE(248),
    [sym_statement_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_for_in_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_with_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_debugger_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_empty_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(248),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(248),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(248),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [38] = {
    [sym_export_statement] = STATE(234),
    [sym__declaration] = STATE(234),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(234),
    [sym_expression_statement] = STATE(234),
    [sym_variable_declaration] = STATE(234),
    [sym_lexical_declaration] = STATE(234),
    [sym_statement_block] = STATE(234),
    [sym_if_statement] = STATE(234),
    [sym_switch_statement] = STATE(234),
    [sym_for_statement] = STATE(234),
    [sym_for_in_statement] = STATE(234),
    [sym_while_statement] = STATE(234),
    [sym_do_statement] = STATE(234),
    [sym_try_statement] = STATE(234),
    [sym_with_statement] = STATE(234),
    [sym_break_statement] = STATE(234),
    [sym_continue_statement] = STATE(234),
    [sym_debugger_statement] = STATE(234),
    [sym_return_statement] = STATE(234),
    [sym_throw_statement] = STATE(234),
    [sym_empty_statement] = STATE(234),
    [sym_labeled_statement] = STATE(234),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(234),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(234),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(234),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [39] = {
    [sym_export_statement] = STATE(242),
    [sym__declaration] = STATE(242),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_variable_declaration] = STATE(242),
    [sym_lexical_declaration] = STATE(242),
    [sym_statement_block] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_for_in_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_try_statement] = STATE(242),
    [sym_with_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_debugger_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_throw_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_labeled_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(242),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(242),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(242),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [40] = {
    [sym_export_statement] = STATE(249),
    [sym__declaration] = STATE(249),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_variable_declaration] = STATE(249),
    [sym_lexical_declaration] = STATE(249),
    [sym_statement_block] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_for_in_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_try_statement] = STATE(249),
    [sym_with_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_debugger_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_throw_statement] = STATE(249),
    [sym_empty_statement] = STATE(249),
    [sym_labeled_statement] = STATE(249),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(249),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(249),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(249),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [41] = {
    [sym_export_statement] = STATE(248),
    [sym__declaration] = STATE(248),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_variable_declaration] = STATE(248),
    [sym_lexical_declaration] = STATE(248),
    [sym_statement_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_for_in_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_with_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_debugger_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_empty_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(248),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(248),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(248),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [42] = {
    [sym_export_statement] = STATE(242),
    [sym__declaration] = STATE(242),
    [sym_import] = STATE(481),
    [sym_import_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_variable_declaration] = STATE(242),
    [sym_lexical_declaration] = STATE(242),
    [sym_statement_block] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_for_in_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_try_statement] = STATE(242),
    [sym_with_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_debugger_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_throw_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_labeled_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_class_declaration] = STATE(242),
    [sym_function] = STATE(403),
    [sym_function_declaration] = STATE(242),
    [sym_generator_function] = STATE(481),
    [sym_generator_function_declaration] = STATE(242),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(726),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [43] = {
    [sym_import] = STATE(321),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(321),
    [sym_yield_expression] = STATE(321),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(321),
    [sym_jsx_fragment] = STATE(321),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(321),
    [sym_class] = STATE(321),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(321),
    [sym_arrow_function] = STATE(321),
    [sym_call_expression] = STATE(321),
    [sym_new_expression] = STATE(321),
    [sym_await_expression] = STATE(321),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(321),
    [sym_augmented_assignment_expression] = STATE(321),
    [sym_ternary_expression] = STATE(321),
    [sym_binary_expression] = STATE(321),
    [sym_unary_expression] = STATE(321),
    [sym_update_expression] = STATE(321),
    [sym_string] = STATE(321),
    [sym_template_string] = STATE(321),
    [sym_regex] = STATE(321),
    [sym_meta_property] = STATE(321),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_STAR] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(332),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_QMARK_QMARK] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(346),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(360),
    [sym_this] = ACTIONS(362),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(362),
    [sym_false] = ACTIONS(362),
    [sym_null] = ACTIONS(362),
    [sym_undefined] = ACTIONS(362),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [44] = {
    [sym_import] = STATE(384),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(384),
    [sym_yield_expression] = STATE(384),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(384),
    [sym_jsx_fragment] = STATE(384),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(384),
    [sym_class] = STATE(384),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(384),
    [sym_arrow_function] = STATE(384),
    [sym_call_expression] = STATE(384),
    [sym_new_expression] = STATE(384),
    [sym_await_expression] = STATE(384),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(384),
    [sym_augmented_assignment_expression] = STATE(384),
    [sym_ternary_expression] = STATE(384),
    [sym_binary_expression] = STATE(384),
    [sym_unary_expression] = STATE(384),
    [sym_update_expression] = STATE(384),
    [sym_string] = STATE(384),
    [sym_template_string] = STATE(384),
    [sym_regex] = STATE(384),
    [sym_meta_property] = STATE(384),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(376),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_QMARK_QMARK] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(384),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(386),
    [sym_this] = ACTIONS(388),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(388),
    [sym_false] = ACTIONS(388),
    [sym_null] = ACTIONS(388),
    [sym_undefined] = ACTIONS(388),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(318),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(396),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_QMARK_QMARK] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(400),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(402),
    [sym_identifier] = ACTIONS(404),
    [anon_sym_export] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_default] = ACTIONS(404),
    [anon_sym_LBRACE] = ACTIONS(402),
    [anon_sym_COMMA] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(402),
    [anon_sym_import] = ACTIONS(404),
    [anon_sym_var] = ACTIONS(404),
    [anon_sym_let] = ACTIONS(404),
    [anon_sym_const] = ACTIONS(404),
    [anon_sym_if] = ACTIONS(404),
    [anon_sym_else] = ACTIONS(404),
    [anon_sym_switch] = ACTIONS(404),
    [anon_sym_for] = ACTIONS(404),
    [anon_sym_LPAREN] = ACTIONS(402),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(406),
    [anon_sym_while] = ACTIONS(404),
    [anon_sym_do] = ACTIONS(404),
    [anon_sym_try] = ACTIONS(404),
    [anon_sym_with] = ACTIONS(404),
    [anon_sym_break] = ACTIONS(404),
    [anon_sym_continue] = ACTIONS(404),
    [anon_sym_debugger] = ACTIONS(404),
    [anon_sym_return] = ACTIONS(404),
    [anon_sym_throw] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(402),
    [anon_sym_case] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(404),
    [anon_sym_LBRACK] = ACTIONS(402),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(406),
    [anon_sym_SLASH] = ACTIONS(404),
    [anon_sym_DOT] = ACTIONS(406),
    [anon_sym_class] = ACTIONS(404),
    [anon_sym_async] = ACTIONS(404),
    [anon_sym_function] = ACTIONS(404),
    [anon_sym_new] = ACTIONS(404),
    [anon_sym_QMARK] = ACTIONS(406),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [anon_sym_GT_GT] = ACTIONS(406),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(406),
    [anon_sym_CARET] = ACTIONS(408),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_STAR_STAR] = ACTIONS(408),
    [anon_sym_LT_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ] = ACTIONS(406),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ] = ACTIONS(406),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(408),
    [anon_sym_GT_EQ] = ACTIONS(408),
    [anon_sym_QMARK_QMARK] = ACTIONS(408),
    [anon_sym_instanceof] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(404),
    [anon_sym_TILDE] = ACTIONS(402),
    [anon_sym_typeof] = ACTIONS(404),
    [anon_sym_void] = ACTIONS(404),
    [anon_sym_delete] = ACTIONS(404),
    [anon_sym_PLUS_PLUS] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(402),
    [anon_sym_DQUOTE] = ACTIONS(402),
    [anon_sym_SQUOTE] = ACTIONS(402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(402),
    [sym_this] = ACTIONS(404),
    [sym_super] = ACTIONS(404),
    [sym_true] = ACTIONS(404),
    [sym_false] = ACTIONS(404),
    [sym_null] = ACTIONS(404),
    [sym_undefined] = ACTIONS(404),
    [anon_sym_AT] = ACTIONS(402),
    [anon_sym_static] = ACTIONS(404),
    [anon_sym_get] = ACTIONS(404),
    [anon_sym_set] = ACTIONS(404),
    [sym__automatic_semicolon] = ACTIONS(410),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(412),
    [sym_identifier] = ACTIONS(414),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(412),
    [anon_sym_COMMA] = ACTIONS(418),
    [anon_sym_RBRACE] = ACTIONS(412),
    [anon_sym_import] = ACTIONS(414),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_else] = ACTIONS(414),
    [anon_sym_switch] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(412),
    [anon_sym_await] = ACTIONS(414),
    [anon_sym_in] = ACTIONS(416),
    [anon_sym_while] = ACTIONS(414),
    [anon_sym_do] = ACTIONS(414),
    [anon_sym_try] = ACTIONS(414),
    [anon_sym_with] = ACTIONS(414),
    [anon_sym_break] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(414),
    [anon_sym_debugger] = ACTIONS(414),
    [anon_sym_return] = ACTIONS(414),
    [anon_sym_throw] = ACTIONS(414),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym_case] = ACTIONS(414),
    [anon_sym_yield] = ACTIONS(414),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_LT] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_DOT] = ACTIONS(416),
    [anon_sym_class] = ACTIONS(414),
    [anon_sym_async] = ACTIONS(414),
    [anon_sym_function] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_AMP_AMP] = ACTIONS(418),
    [anon_sym_PIPE_PIPE] = ACTIONS(418),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_GT_GT_GT] = ACTIONS(418),
    [anon_sym_LT_LT] = ACTIONS(418),
    [anon_sym_AMP] = ACTIONS(416),
    [anon_sym_CARET] = ACTIONS(418),
    [anon_sym_PIPE] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(418),
    [anon_sym_STAR_STAR] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_QMARK_QMARK] = ACTIONS(418),
    [anon_sym_instanceof] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(414),
    [anon_sym_TILDE] = ACTIONS(412),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(412),
    [anon_sym_DQUOTE] = ACTIONS(412),
    [anon_sym_SQUOTE] = ACTIONS(412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(412),
    [sym_number] = ACTIONS(412),
    [sym_this] = ACTIONS(414),
    [sym_super] = ACTIONS(414),
    [sym_true] = ACTIONS(414),
    [sym_false] = ACTIONS(414),
    [sym_null] = ACTIONS(414),
    [sym_undefined] = ACTIONS(414),
    [anon_sym_AT] = ACTIONS(412),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(420),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(422),
    [sym_identifier] = ACTIONS(424),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_default] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(428),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(424),
    [anon_sym_var] = ACTIONS(424),
    [anon_sym_let] = ACTIONS(424),
    [anon_sym_const] = ACTIONS(424),
    [anon_sym_if] = ACTIONS(424),
    [anon_sym_else] = ACTIONS(424),
    [anon_sym_switch] = ACTIONS(424),
    [anon_sym_for] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_await] = ACTIONS(424),
    [anon_sym_in] = ACTIONS(426),
    [anon_sym_while] = ACTIONS(424),
    [anon_sym_do] = ACTIONS(424),
    [anon_sym_try] = ACTIONS(424),
    [anon_sym_with] = ACTIONS(424),
    [anon_sym_break] = ACTIONS(424),
    [anon_sym_continue] = ACTIONS(424),
    [anon_sym_debugger] = ACTIONS(424),
    [anon_sym_return] = ACTIONS(424),
    [anon_sym_throw] = ACTIONS(424),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_case] = ACTIONS(424),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_GT] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_DOT] = ACTIONS(426),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(424),
    [anon_sym_new] = ACTIONS(424),
    [anon_sym_QMARK] = ACTIONS(426),
    [anon_sym_AMP_AMP] = ACTIONS(428),
    [anon_sym_PIPE_PIPE] = ACTIONS(428),
    [anon_sym_GT_GT] = ACTIONS(426),
    [anon_sym_GT_GT_GT] = ACTIONS(428),
    [anon_sym_LT_LT] = ACTIONS(428),
    [anon_sym_AMP] = ACTIONS(426),
    [anon_sym_CARET] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_PERCENT] = ACTIONS(428),
    [anon_sym_STAR_STAR] = ACTIONS(428),
    [anon_sym_LT_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ] = ACTIONS(426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ] = ACTIONS(426),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(428),
    [anon_sym_QMARK_QMARK] = ACTIONS(428),
    [anon_sym_instanceof] = ACTIONS(426),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_typeof] = ACTIONS(424),
    [anon_sym_void] = ACTIONS(424),
    [anon_sym_delete] = ACTIONS(424),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(422),
    [anon_sym_SQUOTE] = ACTIONS(422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(422),
    [sym_number] = ACTIONS(422),
    [sym_this] = ACTIONS(424),
    [sym_super] = ACTIONS(424),
    [sym_true] = ACTIONS(424),
    [sym_false] = ACTIONS(424),
    [sym_null] = ACTIONS(424),
    [sym_undefined] = ACTIONS(424),
    [anon_sym_AT] = ACTIONS(422),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
    [sym__automatic_semicolon] = ACTIONS(430),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(432),
    [sym_identifier] = ACTIONS(434),
    [anon_sym_export] = ACTIONS(434),
    [anon_sym_STAR] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(434),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(434),
    [anon_sym_var] = ACTIONS(434),
    [anon_sym_let] = ACTIONS(434),
    [anon_sym_const] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_else] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(434),
    [anon_sym_for] = ACTIONS(434),
    [anon_sym_LPAREN] = ACTIONS(432),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_in] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_do] = ACTIONS(434),
    [anon_sym_try] = ACTIONS(434),
    [anon_sym_with] = ACTIONS(434),
    [anon_sym_break] = ACTIONS(434),
    [anon_sym_continue] = ACTIONS(434),
    [anon_sym_debugger] = ACTIONS(434),
    [anon_sym_return] = ACTIONS(434),
    [anon_sym_throw] = ACTIONS(434),
    [anon_sym_SEMI] = ACTIONS(432),
    [anon_sym_case] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(432),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_GT] = ACTIONS(436),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_DOT] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(434),
    [anon_sym_async] = ACTIONS(434),
    [anon_sym_function] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(436),
    [anon_sym_AMP_AMP] = ACTIONS(438),
    [anon_sym_PIPE_PIPE] = ACTIONS(438),
    [anon_sym_GT_GT] = ACTIONS(436),
    [anon_sym_GT_GT_GT] = ACTIONS(438),
    [anon_sym_LT_LT] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(436),
    [anon_sym_CARET] = ACTIONS(438),
    [anon_sym_PIPE] = ACTIONS(436),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_PERCENT] = ACTIONS(438),
    [anon_sym_STAR_STAR] = ACTIONS(438),
    [anon_sym_LT_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ] = ACTIONS(436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ] = ACTIONS(436),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(438),
    [anon_sym_GT_EQ] = ACTIONS(438),
    [anon_sym_QMARK_QMARK] = ACTIONS(438),
    [anon_sym_instanceof] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(432),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(432),
    [anon_sym_DASH_DASH] = ACTIONS(432),
    [anon_sym_DQUOTE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(432),
    [sym_number] = ACTIONS(432),
    [sym_this] = ACTIONS(434),
    [sym_super] = ACTIONS(434),
    [sym_true] = ACTIONS(434),
    [sym_false] = ACTIONS(434),
    [sym_null] = ACTIONS(434),
    [sym_undefined] = ACTIONS(434),
    [anon_sym_AT] = ACTIONS(432),
    [anon_sym_static] = ACTIONS(434),
    [anon_sym_get] = ACTIONS(434),
    [anon_sym_set] = ACTIONS(434),
    [sym__automatic_semicolon] = ACTIONS(440),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(442),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_default] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(444),
    [anon_sym_var] = ACTIONS(444),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_const] = ACTIONS(444),
    [anon_sym_if] = ACTIONS(444),
    [anon_sym_else] = ACTIONS(444),
    [anon_sym_switch] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(442),
    [anon_sym_await] = ACTIONS(444),
    [anon_sym_in] = ACTIONS(444),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_try] = ACTIONS(444),
    [anon_sym_with] = ACTIONS(444),
    [anon_sym_break] = ACTIONS(444),
    [anon_sym_continue] = ACTIONS(444),
    [anon_sym_debugger] = ACTIONS(444),
    [anon_sym_return] = ACTIONS(444),
    [anon_sym_throw] = ACTIONS(444),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_case] = ACTIONS(444),
    [anon_sym_yield] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(442),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_DOT] = ACTIONS(444),
    [anon_sym_class] = ACTIONS(444),
    [anon_sym_async] = ACTIONS(444),
    [anon_sym_function] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(444),
    [anon_sym_QMARK] = ACTIONS(444),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_STAR_STAR] = ACTIONS(442),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_EQ_EQ] = ACTIONS(444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(442),
    [anon_sym_BANG_EQ] = ACTIONS(444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(442),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_QMARK_QMARK] = ACTIONS(442),
    [anon_sym_instanceof] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(442),
    [anon_sym_typeof] = ACTIONS(444),
    [anon_sym_void] = ACTIONS(444),
    [anon_sym_delete] = ACTIONS(444),
    [anon_sym_PLUS_PLUS] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(442),
    [anon_sym_SQUOTE] = ACTIONS(442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(442),
    [sym_number] = ACTIONS(442),
    [sym_this] = ACTIONS(444),
    [sym_super] = ACTIONS(444),
    [sym_true] = ACTIONS(444),
    [sym_false] = ACTIONS(444),
    [sym_null] = ACTIONS(444),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(442),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(442),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(446),
    [sym_identifier] = ACTIONS(448),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_default] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(446),
    [anon_sym_COMMA] = ACTIONS(452),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(448),
    [anon_sym_var] = ACTIONS(448),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_const] = ACTIONS(448),
    [anon_sym_if] = ACTIONS(448),
    [anon_sym_else] = ACTIONS(448),
    [anon_sym_switch] = ACTIONS(448),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(446),
    [anon_sym_await] = ACTIONS(448),
    [anon_sym_in] = ACTIONS(450),
    [anon_sym_while] = ACTIONS(448),
    [anon_sym_do] = ACTIONS(448),
    [anon_sym_try] = ACTIONS(448),
    [anon_sym_with] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(448),
    [anon_sym_continue] = ACTIONS(448),
    [anon_sym_debugger] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_throw] = ACTIONS(448),
    [anon_sym_SEMI] = ACTIONS(446),
    [anon_sym_case] = ACTIONS(448),
    [anon_sym_yield] = ACTIONS(448),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(450),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_DOT] = ACTIONS(450),
    [anon_sym_class] = ACTIONS(448),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(448),
    [anon_sym_new] = ACTIONS(448),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(452),
    [anon_sym_PIPE_PIPE] = ACTIONS(452),
    [anon_sym_GT_GT] = ACTIONS(450),
    [anon_sym_GT_GT_GT] = ACTIONS(452),
    [anon_sym_LT_LT] = ACTIONS(452),
    [anon_sym_AMP] = ACTIONS(450),
    [anon_sym_CARET] = ACTIONS(452),
    [anon_sym_PIPE] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PERCENT] = ACTIONS(452),
    [anon_sym_STAR_STAR] = ACTIONS(452),
    [anon_sym_LT_EQ] = ACTIONS(452),
    [anon_sym_EQ_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(452),
    [anon_sym_BANG_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(452),
    [anon_sym_GT_EQ] = ACTIONS(452),
    [anon_sym_QMARK_QMARK] = ACTIONS(452),
    [anon_sym_instanceof] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(448),
    [anon_sym_void] = ACTIONS(448),
    [anon_sym_delete] = ACTIONS(448),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(446),
    [anon_sym_SQUOTE] = ACTIONS(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(446),
    [sym_number] = ACTIONS(446),
    [sym_this] = ACTIONS(448),
    [sym_super] = ACTIONS(448),
    [sym_true] = ACTIONS(448),
    [sym_false] = ACTIONS(448),
    [sym_null] = ACTIONS(448),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym__automatic_semicolon] = ACTIONS(454),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(456),
    [sym_identifier] = ACTIONS(458),
    [anon_sym_export] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(458),
    [anon_sym_var] = ACTIONS(458),
    [anon_sym_let] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(458),
    [anon_sym_if] = ACTIONS(458),
    [anon_sym_else] = ACTIONS(458),
    [anon_sym_switch] = ACTIONS(458),
    [anon_sym_for] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(456),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_in] = ACTIONS(458),
    [anon_sym_while] = ACTIONS(458),
    [anon_sym_do] = ACTIONS(458),
    [anon_sym_try] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(458),
    [anon_sym_break] = ACTIONS(458),
    [anon_sym_continue] = ACTIONS(458),
    [anon_sym_debugger] = ACTIONS(458),
    [anon_sym_return] = ACTIONS(458),
    [anon_sym_throw] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(456),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_class] = ACTIONS(458),
    [anon_sym_async] = ACTIONS(458),
    [anon_sym_function] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_STAR_STAR] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_QMARK_QMARK] = ACTIONS(456),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_typeof] = ACTIONS(458),
    [anon_sym_void] = ACTIONS(458),
    [anon_sym_delete] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(456),
    [anon_sym_DASH_DASH] = ACTIONS(456),
    [anon_sym_DQUOTE] = ACTIONS(456),
    [anon_sym_SQUOTE] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(456),
    [sym_number] = ACTIONS(456),
    [sym_this] = ACTIONS(458),
    [sym_super] = ACTIONS(458),
    [sym_true] = ACTIONS(458),
    [sym_false] = ACTIONS(458),
    [sym_null] = ACTIONS(458),
    [sym_undefined] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_get] = ACTIONS(458),
    [anon_sym_set] = ACTIONS(458),
    [sym__automatic_semicolon] = ACTIONS(456),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(460),
    [sym_identifier] = ACTIONS(462),
    [anon_sym_export] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_default] = ACTIONS(462),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(462),
    [anon_sym_var] = ACTIONS(462),
    [anon_sym_let] = ACTIONS(462),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_if] = ACTIONS(462),
    [anon_sym_else] = ACTIONS(462),
    [anon_sym_switch] = ACTIONS(462),
    [anon_sym_for] = ACTIONS(462),
    [anon_sym_LPAREN] = ACTIONS(460),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_in] = ACTIONS(464),
    [anon_sym_while] = ACTIONS(462),
    [anon_sym_do] = ACTIONS(462),
    [anon_sym_try] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(462),
    [anon_sym_break] = ACTIONS(462),
    [anon_sym_continue] = ACTIONS(462),
    [anon_sym_debugger] = ACTIONS(462),
    [anon_sym_return] = ACTIONS(462),
    [anon_sym_throw] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(460),
    [anon_sym_case] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(460),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_GT] = ACTIONS(464),
    [anon_sym_SLASH] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [anon_sym_class] = ACTIONS(462),
    [anon_sym_async] = ACTIONS(462),
    [anon_sym_function] = ACTIONS(462),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(466),
    [anon_sym_PIPE_PIPE] = ACTIONS(466),
    [anon_sym_GT_GT] = ACTIONS(464),
    [anon_sym_GT_GT_GT] = ACTIONS(466),
    [anon_sym_LT_LT] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(464),
    [anon_sym_CARET] = ACTIONS(466),
    [anon_sym_PIPE] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PERCENT] = ACTIONS(466),
    [anon_sym_STAR_STAR] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(466),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_QMARK_QMARK] = ACTIONS(466),
    [anon_sym_instanceof] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(462),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_typeof] = ACTIONS(462),
    [anon_sym_void] = ACTIONS(462),
    [anon_sym_delete] = ACTIONS(462),
    [anon_sym_PLUS_PLUS] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(460),
    [anon_sym_DQUOTE] = ACTIONS(460),
    [anon_sym_SQUOTE] = ACTIONS(460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(460),
    [sym_number] = ACTIONS(460),
    [sym_this] = ACTIONS(462),
    [sym_super] = ACTIONS(462),
    [sym_true] = ACTIONS(462),
    [sym_false] = ACTIONS(462),
    [sym_null] = ACTIONS(462),
    [sym_undefined] = ACTIONS(462),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_get] = ACTIONS(462),
    [anon_sym_set] = ACTIONS(462),
    [sym__automatic_semicolon] = ACTIONS(468),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(470),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(472),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(472),
    [anon_sym_LBRACE] = ACTIONS(470),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(472),
    [anon_sym_var] = ACTIONS(472),
    [anon_sym_let] = ACTIONS(472),
    [anon_sym_const] = ACTIONS(472),
    [anon_sym_if] = ACTIONS(472),
    [anon_sym_else] = ACTIONS(472),
    [anon_sym_switch] = ACTIONS(472),
    [anon_sym_for] = ACTIONS(472),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_await] = ACTIONS(472),
    [anon_sym_in] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(472),
    [anon_sym_try] = ACTIONS(472),
    [anon_sym_with] = ACTIONS(472),
    [anon_sym_break] = ACTIONS(472),
    [anon_sym_continue] = ACTIONS(472),
    [anon_sym_debugger] = ACTIONS(472),
    [anon_sym_return] = ACTIONS(472),
    [anon_sym_throw] = ACTIONS(472),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_case] = ACTIONS(472),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_LBRACK] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_GT] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(472),
    [anon_sym_async] = ACTIONS(472),
    [anon_sym_function] = ACTIONS(472),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(474),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_QMARK_QMARK] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(470),
    [anon_sym_DQUOTE] = ACTIONS(470),
    [anon_sym_SQUOTE] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(470),
    [sym_number] = ACTIONS(470),
    [sym_this] = ACTIONS(472),
    [sym_super] = ACTIONS(472),
    [sym_true] = ACTIONS(472),
    [sym_false] = ACTIONS(472),
    [sym_null] = ACTIONS(472),
    [sym_undefined] = ACTIONS(472),
    [anon_sym_AT] = ACTIONS(470),
    [anon_sym_static] = ACTIONS(472),
    [anon_sym_get] = ACTIONS(472),
    [anon_sym_set] = ACTIONS(472),
    [sym__automatic_semicolon] = ACTIONS(478),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(482),
    [anon_sym_default] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(482),
    [anon_sym_var] = ACTIONS(482),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_const] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(482),
    [anon_sym_else] = ACTIONS(482),
    [anon_sym_switch] = ACTIONS(482),
    [anon_sym_for] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_await] = ACTIONS(482),
    [anon_sym_in] = ACTIONS(482),
    [anon_sym_while] = ACTIONS(482),
    [anon_sym_do] = ACTIONS(482),
    [anon_sym_try] = ACTIONS(482),
    [anon_sym_with] = ACTIONS(482),
    [anon_sym_break] = ACTIONS(482),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_debugger] = ACTIONS(482),
    [anon_sym_return] = ACTIONS(482),
    [anon_sym_throw] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(482),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_class] = ACTIONS(482),
    [anon_sym_async] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_GT_GT_GT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PERCENT] = ACTIONS(480),
    [anon_sym_STAR_STAR] = ACTIONS(480),
    [anon_sym_LT_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(480),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_QMARK_QMARK] = ACTIONS(480),
    [anon_sym_instanceof] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_typeof] = ACTIONS(482),
    [anon_sym_void] = ACTIONS(482),
    [anon_sym_delete] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(480),
    [anon_sym_SQUOTE] = ACTIONS(480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(480),
    [sym_number] = ACTIONS(480),
    [sym_this] = ACTIONS(482),
    [sym_super] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_false] = ACTIONS(482),
    [sym_null] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__automatic_semicolon] = ACTIONS(480),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(484),
    [sym_identifier] = ACTIONS(486),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_default] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(484),
    [anon_sym_COMMA] = ACTIONS(490),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(486),
    [anon_sym_var] = ACTIONS(486),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_const] = ACTIONS(486),
    [anon_sym_if] = ACTIONS(486),
    [anon_sym_else] = ACTIONS(486),
    [anon_sym_switch] = ACTIONS(486),
    [anon_sym_for] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(484),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(488),
    [anon_sym_while] = ACTIONS(486),
    [anon_sym_do] = ACTIONS(486),
    [anon_sym_try] = ACTIONS(486),
    [anon_sym_with] = ACTIONS(486),
    [anon_sym_break] = ACTIONS(486),
    [anon_sym_continue] = ACTIONS(486),
    [anon_sym_debugger] = ACTIONS(486),
    [anon_sym_return] = ACTIONS(486),
    [anon_sym_throw] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(484),
    [anon_sym_case] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(486),
    [anon_sym_DOT] = ACTIONS(488),
    [anon_sym_class] = ACTIONS(486),
    [anon_sym_async] = ACTIONS(486),
    [anon_sym_function] = ACTIONS(486),
    [anon_sym_new] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(488),
    [anon_sym_AMP_AMP] = ACTIONS(490),
    [anon_sym_PIPE_PIPE] = ACTIONS(490),
    [anon_sym_GT_GT] = ACTIONS(488),
    [anon_sym_GT_GT_GT] = ACTIONS(490),
    [anon_sym_LT_LT] = ACTIONS(490),
    [anon_sym_AMP] = ACTIONS(488),
    [anon_sym_CARET] = ACTIONS(490),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_PLUS] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(486),
    [anon_sym_PERCENT] = ACTIONS(490),
    [anon_sym_STAR_STAR] = ACTIONS(490),
    [anon_sym_LT_EQ] = ACTIONS(490),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(490),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(490),
    [anon_sym_GT_EQ] = ACTIONS(490),
    [anon_sym_QMARK_QMARK] = ACTIONS(490),
    [anon_sym_instanceof] = ACTIONS(488),
    [anon_sym_BANG] = ACTIONS(486),
    [anon_sym_TILDE] = ACTIONS(484),
    [anon_sym_typeof] = ACTIONS(486),
    [anon_sym_void] = ACTIONS(486),
    [anon_sym_delete] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(484),
    [anon_sym_DQUOTE] = ACTIONS(484),
    [anon_sym_SQUOTE] = ACTIONS(484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(484),
    [sym_number] = ACTIONS(484),
    [sym_this] = ACTIONS(486),
    [sym_super] = ACTIONS(486),
    [sym_true] = ACTIONS(486),
    [sym_false] = ACTIONS(486),
    [sym_null] = ACTIONS(486),
    [sym_undefined] = ACTIONS(486),
    [anon_sym_AT] = ACTIONS(484),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym__automatic_semicolon] = ACTIONS(492),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_export] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(496),
    [anon_sym_let] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_else] = ACTIONS(496),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_await] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(496),
    [anon_sym_while] = ACTIONS(496),
    [anon_sym_do] = ACTIONS(496),
    [anon_sym_try] = ACTIONS(496),
    [anon_sym_with] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_debugger] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_throw] = ACTIONS(496),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_case] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(496),
    [anon_sym_class] = ACTIONS(496),
    [anon_sym_async] = ACTIONS(496),
    [anon_sym_function] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(494),
    [anon_sym_PIPE_PIPE] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(496),
    [anon_sym_GT_GT_GT] = ACTIONS(494),
    [anon_sym_LT_LT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(494),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(494),
    [anon_sym_STAR_STAR] = ACTIONS(494),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(494),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [anon_sym_QMARK_QMARK] = ACTIONS(494),
    [anon_sym_instanceof] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(494),
    [anon_sym_DASH_DASH] = ACTIONS(494),
    [anon_sym_DQUOTE] = ACTIONS(494),
    [anon_sym_SQUOTE] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(494),
    [sym_number] = ACTIONS(494),
    [sym_this] = ACTIONS(496),
    [sym_super] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [sym_undefined] = ACTIONS(496),
    [anon_sym_AT] = ACTIONS(494),
    [anon_sym_static] = ACTIONS(496),
    [anon_sym_get] = ACTIONS(496),
    [anon_sym_set] = ACTIONS(496),
    [sym__automatic_semicolon] = ACTIONS(494),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_export] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(496),
    [anon_sym_let] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_else] = ACTIONS(496),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_await] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(496),
    [anon_sym_while] = ACTIONS(496),
    [anon_sym_do] = ACTIONS(496),
    [anon_sym_try] = ACTIONS(496),
    [anon_sym_with] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_debugger] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_throw] = ACTIONS(496),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_case] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(496),
    [anon_sym_class] = ACTIONS(496),
    [anon_sym_async] = ACTIONS(496),
    [anon_sym_function] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(494),
    [anon_sym_PIPE_PIPE] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(496),
    [anon_sym_GT_GT_GT] = ACTIONS(494),
    [anon_sym_LT_LT] = ACTIONS(494),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(494),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(494),
    [anon_sym_STAR_STAR] = ACTIONS(494),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(494),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [anon_sym_QMARK_QMARK] = ACTIONS(494),
    [anon_sym_instanceof] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(494),
    [anon_sym_DASH_DASH] = ACTIONS(494),
    [anon_sym_DQUOTE] = ACTIONS(494),
    [anon_sym_SQUOTE] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(494),
    [sym_number] = ACTIONS(494),
    [sym_this] = ACTIONS(496),
    [sym_super] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [sym_undefined] = ACTIONS(496),
    [anon_sym_AT] = ACTIONS(494),
    [anon_sym_static] = ACTIONS(496),
    [anon_sym_get] = ACTIONS(496),
    [anon_sym_set] = ACTIONS(496),
    [sym__automatic_semicolon] = ACTIONS(498),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(394),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_QMARK_QMARK] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(500),
  },
  [60] = {
    [sym_import] = STATE(481),
    [sym_expression_statement] = STATE(72),
    [sym_variable_declaration] = STATE(72),
    [sym_lexical_declaration] = STATE(72),
    [sym_empty_statement] = STATE(72),
    [sym_parenthesized_expression] = STATE(304),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(490),
    [sym_array] = STATE(489),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(481),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(304),
    [sym_subscript_expression] = STATE(304),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [61] = {
    [sym_import] = STATE(481),
    [sym_expression_statement] = STATE(73),
    [sym_variable_declaration] = STATE(73),
    [sym_lexical_declaration] = STATE(73),
    [sym_empty_statement] = STATE(73),
    [sym_parenthesized_expression] = STATE(304),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(490),
    [sym_array] = STATE(489),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(481),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(304),
    [sym_subscript_expression] = STATE(304),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [62] = {
    [sym_import] = STATE(479),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(479),
    [sym_yield_expression] = STATE(479),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(479),
    [sym_jsx_fragment] = STATE(479),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(479),
    [sym_class] = STATE(479),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(479),
    [sym_arrow_function] = STATE(479),
    [sym_call_expression] = STATE(479),
    [sym_new_expression] = STATE(479),
    [sym_await_expression] = STATE(479),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(479),
    [sym_augmented_assignment_expression] = STATE(479),
    [sym_spread_element] = STATE(831),
    [sym_ternary_expression] = STATE(479),
    [sym_binary_expression] = STATE(479),
    [sym_unary_expression] = STATE(479),
    [sym_update_expression] = STATE(479),
    [sym_string] = STATE(479),
    [sym_template_string] = STATE(479),
    [sym_regex] = STATE(479),
    [sym_meta_property] = STATE(479),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(837),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(518),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [63] = {
    [sym_import] = STATE(457),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(457),
    [sym_yield_expression] = STATE(457),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(457),
    [sym_jsx_fragment] = STATE(457),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(457),
    [sym_class] = STATE(457),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(457),
    [sym_arrow_function] = STATE(457),
    [sym_call_expression] = STATE(457),
    [sym_new_expression] = STATE(457),
    [sym_await_expression] = STATE(457),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(457),
    [sym_augmented_assignment_expression] = STATE(457),
    [sym_spread_element] = STATE(810),
    [sym_ternary_expression] = STATE(457),
    [sym_binary_expression] = STATE(457),
    [sym_unary_expression] = STATE(457),
    [sym_update_expression] = STATE(457),
    [sym_string] = STATE(457),
    [sym_template_string] = STATE(457),
    [sym_regex] = STATE(457),
    [sym_meta_property] = STATE(457),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(879),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(524),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [64] = {
    [sym_import] = STATE(465),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(465),
    [sym_yield_expression] = STATE(465),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(465),
    [sym_jsx_fragment] = STATE(465),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(465),
    [sym_class] = STATE(465),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(465),
    [sym_arrow_function] = STATE(465),
    [sym_call_expression] = STATE(465),
    [sym_new_expression] = STATE(465),
    [sym_await_expression] = STATE(465),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(465),
    [sym_augmented_assignment_expression] = STATE(465),
    [sym_spread_element] = STATE(859),
    [sym_ternary_expression] = STATE(465),
    [sym_binary_expression] = STATE(465),
    [sym_unary_expression] = STATE(465),
    [sym_update_expression] = STATE(465),
    [sym_string] = STATE(465),
    [sym_template_string] = STATE(465),
    [sym_regex] = STATE(465),
    [sym_meta_property] = STATE(465),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(530),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_null] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [65] = {
    [sym_import] = STATE(460),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(460),
    [sym_yield_expression] = STATE(460),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(460),
    [sym_jsx_fragment] = STATE(460),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(460),
    [sym_class] = STATE(460),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(460),
    [sym_arrow_function] = STATE(460),
    [sym_call_expression] = STATE(460),
    [sym_new_expression] = STATE(460),
    [sym_await_expression] = STATE(460),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(460),
    [sym_augmented_assignment_expression] = STATE(460),
    [sym_spread_element] = STATE(831),
    [sym_ternary_expression] = STATE(460),
    [sym_binary_expression] = STATE(460),
    [sym_unary_expression] = STATE(460),
    [sym_update_expression] = STATE(460),
    [sym_string] = STATE(460),
    [sym_template_string] = STATE(460),
    [sym_regex] = STATE(460),
    [sym_meta_property] = STATE(460),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(837),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(534),
    [sym_this] = ACTIONS(536),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_null] = ACTIONS(536),
    [sym_undefined] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [66] = {
    [sym_import] = STATE(469),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(469),
    [sym_yield_expression] = STATE(469),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(469),
    [sym_jsx_fragment] = STATE(469),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(469),
    [sym_class] = STATE(469),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(469),
    [sym_arrow_function] = STATE(469),
    [sym_call_expression] = STATE(469),
    [sym_new_expression] = STATE(469),
    [sym_await_expression] = STATE(469),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(469),
    [sym_augmented_assignment_expression] = STATE(469),
    [sym_spread_element] = STATE(810),
    [sym_ternary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_update_expression] = STATE(469),
    [sym_string] = STATE(469),
    [sym_template_string] = STATE(469),
    [sym_regex] = STATE(469),
    [sym_meta_property] = STATE(469),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(879),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(538),
    [sym_this] = ACTIONS(540),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(540),
    [sym_false] = ACTIONS(540),
    [sym_null] = ACTIONS(540),
    [sym_undefined] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [67] = {
    [sym_import] = STATE(520),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(520),
    [sym_yield_expression] = STATE(520),
    [sym_object] = STATE(528),
    [sym_assignment_pattern] = STATE(829),
    [sym_array] = STATE(494),
    [sym_jsx_element] = STATE(520),
    [sym_jsx_fragment] = STATE(520),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(520),
    [sym_class] = STATE(520),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(520),
    [sym_arrow_function] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_new_expression] = STATE(520),
    [sym_await_expression] = STATE(520),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(520),
    [sym_augmented_assignment_expression] = STATE(520),
    [sym_ternary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_unary_expression] = STATE(520),
    [sym_update_expression] = STATE(520),
    [sym_sequence_expression] = STATE(1059),
    [sym_string] = STATE(520),
    [sym_template_string] = STATE(520),
    [sym_regex] = STATE(520),
    [sym_meta_property] = STATE(520),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [sym_rest_parameter] = STATE(829),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(550),
    [sym_this] = ACTIONS(552),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [sym_null] = ACTIONS(552),
    [sym_undefined] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(554),
    [anon_sym_get] = ACTIONS(554),
    [anon_sym_set] = ACTIONS(554),
  },
  [68] = {
    [sym_import] = STATE(477),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(477),
    [sym_yield_expression] = STATE(477),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(477),
    [sym_jsx_fragment] = STATE(477),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(477),
    [sym_class] = STATE(477),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(477),
    [sym_arrow_function] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_new_expression] = STATE(477),
    [sym_await_expression] = STATE(477),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(477),
    [sym_augmented_assignment_expression] = STATE(477),
    [sym_spread_element] = STATE(863),
    [sym_ternary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_update_expression] = STATE(477),
    [sym_string] = STATE(477),
    [sym_template_string] = STATE(477),
    [sym_regex] = STATE(477),
    [sym_meta_property] = STATE(477),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(556),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(558),
    [sym_this] = ACTIONS(560),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_null] = ACTIONS(560),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [69] = {
    [sym_import] = STATE(478),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(860),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [aux_sym_array_repeat1] = STATE(861),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [70] = {
    [sym_import] = STATE(496),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(496),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(528),
    [sym_assignment_pattern] = STATE(829),
    [sym_array] = STATE(494),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_fragment] = STATE(496),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(496),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(496),
    [sym_arrow_function] = STATE(496),
    [sym_call_expression] = STATE(496),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(496),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1100),
    [sym_string] = STATE(496),
    [sym_template_string] = STATE(496),
    [sym_regex] = STATE(496),
    [sym_meta_property] = STATE(496),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [sym_rest_parameter] = STATE(829),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(554),
    [anon_sym_get] = ACTIONS(554),
    [anon_sym_set] = ACTIONS(554),
  },
  [71] = {
    [sym_import] = STATE(542),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(542),
    [sym_yield_expression] = STATE(542),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(542),
    [sym_jsx_fragment] = STATE(542),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(542),
    [sym_class] = STATE(542),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(542),
    [sym_arrow_function] = STATE(542),
    [sym_call_expression] = STATE(542),
    [sym_new_expression] = STATE(542),
    [sym_await_expression] = STATE(542),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(542),
    [sym_augmented_assignment_expression] = STATE(542),
    [sym_spread_element] = STATE(1112),
    [sym_ternary_expression] = STATE(542),
    [sym_binary_expression] = STATE(542),
    [sym_unary_expression] = STATE(542),
    [sym_update_expression] = STATE(542),
    [sym_sequence_expression] = STATE(1112),
    [sym_string] = STATE(542),
    [sym_template_string] = STATE(542),
    [sym_regex] = STATE(542),
    [sym_meta_property] = STATE(542),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(574),
    [sym_this] = ACTIONS(576),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(576),
    [sym_false] = ACTIONS(576),
    [sym_null] = ACTIONS(576),
    [sym_undefined] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [72] = {
    [sym_import] = STATE(481),
    [sym_expression_statement] = STATE(77),
    [sym_empty_statement] = STATE(77),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(481),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [73] = {
    [sym_import] = STATE(481),
    [sym_expression_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(481),
    [sym_yield_expression] = STATE(481),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(481),
    [sym_jsx_fragment] = STATE(481),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(481),
    [sym_class] = STATE(481),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(481),
    [sym_arrow_function] = STATE(481),
    [sym_call_expression] = STATE(481),
    [sym_new_expression] = STATE(481),
    [sym_await_expression] = STATE(481),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(481),
    [sym_augmented_assignment_expression] = STATE(481),
    [sym_ternary_expression] = STATE(481),
    [sym_binary_expression] = STATE(481),
    [sym_unary_expression] = STATE(481),
    [sym_update_expression] = STATE(481),
    [sym_sequence_expression] = STATE(954),
    [sym_string] = STATE(481),
    [sym_template_string] = STATE(481),
    [sym_regex] = STATE(481),
    [sym_meta_property] = STATE(481),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [74] = {
    [sym_import] = STATE(560),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(560),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_fragment] = STATE(560),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(560),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(560),
    [sym_arrow_function] = STATE(560),
    [sym_call_expression] = STATE(560),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(560),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym_spread_element] = STATE(1081),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1081),
    [sym_string] = STATE(560),
    [sym_template_string] = STATE(560),
    [sym_regex] = STATE(560),
    [sym_meta_property] = STATE(560),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(580),
    [sym_this] = ACTIONS(582),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_undefined] = ACTIONS(582),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [75] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(313),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(571),
    [sym_array] = STATE(575),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(313),
    [sym_subscript_expression] = STATE(313),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(594),
    [anon_sym_get] = ACTIONS(594),
    [anon_sym_set] = ACTIONS(594),
  },
  [76] = {
    [sym_import] = STATE(488),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(488),
    [sym_yield_expression] = STATE(488),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(488),
    [sym_jsx_fragment] = STATE(488),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(488),
    [sym_class] = STATE(488),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(488),
    [sym_arrow_function] = STATE(488),
    [sym_call_expression] = STATE(488),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(488),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(488),
    [sym_augmented_assignment_expression] = STATE(488),
    [sym_ternary_expression] = STATE(488),
    [sym_binary_expression] = STATE(488),
    [sym_unary_expression] = STATE(488),
    [sym_update_expression] = STATE(488),
    [sym_sequence_expression] = STATE(908),
    [sym_string] = STATE(488),
    [sym_template_string] = STATE(488),
    [sym_regex] = STATE(488),
    [sym_meta_property] = STATE(488),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(596),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(596),
  },
  [77] = {
    [sym_import] = STATE(504),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(504),
    [sym_yield_expression] = STATE(504),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(504),
    [sym_jsx_fragment] = STATE(504),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(504),
    [sym_class] = STATE(504),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(504),
    [sym_arrow_function] = STATE(504),
    [sym_call_expression] = STATE(504),
    [sym_new_expression] = STATE(504),
    [sym_await_expression] = STATE(504),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(504),
    [sym_augmented_assignment_expression] = STATE(504),
    [sym_ternary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_update_expression] = STATE(504),
    [sym_sequence_expression] = STATE(1105),
    [sym_string] = STATE(504),
    [sym_template_string] = STATE(504),
    [sym_regex] = STATE(504),
    [sym_meta_property] = STATE(504),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(604),
    [sym_this] = ACTIONS(606),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(606),
    [sym_false] = ACTIONS(606),
    [sym_null] = ACTIONS(606),
    [sym_undefined] = ACTIONS(606),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [78] = {
    [sym_import] = STATE(503),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(503),
    [sym_yield_expression] = STATE(503),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(503),
    [sym_jsx_fragment] = STATE(503),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(503),
    [sym_class] = STATE(503),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(503),
    [sym_arrow_function] = STATE(503),
    [sym_call_expression] = STATE(503),
    [sym_new_expression] = STATE(503),
    [sym_await_expression] = STATE(503),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(503),
    [sym_augmented_assignment_expression] = STATE(503),
    [sym_ternary_expression] = STATE(503),
    [sym_binary_expression] = STATE(503),
    [sym_unary_expression] = STATE(503),
    [sym_update_expression] = STATE(503),
    [sym_sequence_expression] = STATE(1091),
    [sym_string] = STATE(503),
    [sym_template_string] = STATE(503),
    [sym_regex] = STATE(503),
    [sym_meta_property] = STATE(503),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(610),
    [sym_this] = ACTIONS(612),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(612),
    [sym_false] = ACTIONS(612),
    [sym_null] = ACTIONS(612),
    [sym_undefined] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [79] = {
    [sym_import] = STATE(472),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(472),
    [sym_yield_expression] = STATE(472),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(472),
    [sym_jsx_fragment] = STATE(472),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(472),
    [sym_class] = STATE(472),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(472),
    [sym_arrow_function] = STATE(472),
    [sym_call_expression] = STATE(472),
    [sym_new_expression] = STATE(472),
    [sym_await_expression] = STATE(472),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(472),
    [sym_augmented_assignment_expression] = STATE(472),
    [sym_ternary_expression] = STATE(472),
    [sym_binary_expression] = STATE(472),
    [sym_unary_expression] = STATE(472),
    [sym_update_expression] = STATE(472),
    [sym_sequence_expression] = STATE(940),
    [sym_string] = STATE(472),
    [sym_template_string] = STATE(472),
    [sym_regex] = STATE(472),
    [sym_meta_property] = STATE(472),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(614),
    [sym_this] = ACTIONS(616),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(616),
    [sym_false] = ACTIONS(616),
    [sym_null] = ACTIONS(616),
    [sym_undefined] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [80] = {
    [sym_import] = STATE(404),
    [sym_statement_block] = STATE(546),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(404),
    [sym_yield_expression] = STATE(404),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(404),
    [sym_jsx_fragment] = STATE(404),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_class] = STATE(404),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(404),
    [sym_arrow_function] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_new_expression] = STATE(404),
    [sym_await_expression] = STATE(404),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(404),
    [sym_augmented_assignment_expression] = STATE(404),
    [sym_ternary_expression] = STATE(404),
    [sym_binary_expression] = STATE(404),
    [sym_unary_expression] = STATE(404),
    [sym_update_expression] = STATE(404),
    [sym_string] = STATE(404),
    [sym_template_string] = STATE(404),
    [sym_regex] = STATE(404),
    [sym_meta_property] = STATE(404),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(620),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(622),
    [sym_false] = ACTIONS(622),
    [sym_null] = ACTIONS(622),
    [sym_undefined] = ACTIONS(622),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [81] = {
    [sym_import] = STATE(524),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(524),
    [sym_yield_expression] = STATE(524),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(524),
    [sym_jsx_fragment] = STATE(524),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(524),
    [sym_class] = STATE(524),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(524),
    [sym_arrow_function] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_await_expression] = STATE(524),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_sequence_expression] = STATE(1122),
    [sym_string] = STATE(524),
    [sym_template_string] = STATE(524),
    [sym_regex] = STATE(524),
    [sym_meta_property] = STATE(524),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(626),
    [sym_false] = ACTIONS(626),
    [sym_null] = ACTIONS(626),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [82] = {
    [sym_import] = STATE(509),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(509),
    [sym_yield_expression] = STATE(509),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(509),
    [sym_jsx_fragment] = STATE(509),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(509),
    [sym_class] = STATE(509),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(509),
    [sym_arrow_function] = STATE(509),
    [sym_call_expression] = STATE(509),
    [sym_new_expression] = STATE(509),
    [sym_await_expression] = STATE(509),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(509),
    [sym_augmented_assignment_expression] = STATE(509),
    [sym_ternary_expression] = STATE(509),
    [sym_binary_expression] = STATE(509),
    [sym_unary_expression] = STATE(509),
    [sym_update_expression] = STATE(509),
    [sym_sequence_expression] = STATE(1103),
    [sym_string] = STATE(509),
    [sym_template_string] = STATE(509),
    [sym_regex] = STATE(509),
    [sym_meta_property] = STATE(509),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(628),
    [sym_this] = ACTIONS(630),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(630),
    [sym_false] = ACTIONS(630),
    [sym_null] = ACTIONS(630),
    [sym_undefined] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [83] = {
    [sym_import] = STATE(419),
    [sym_statement_block] = STATE(538),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(419),
    [sym_yield_expression] = STATE(419),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(419),
    [sym_jsx_fragment] = STATE(419),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(419),
    [sym_class] = STATE(419),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(419),
    [sym_arrow_function] = STATE(419),
    [sym_call_expression] = STATE(419),
    [sym_new_expression] = STATE(419),
    [sym_await_expression] = STATE(419),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(419),
    [sym_augmented_assignment_expression] = STATE(419),
    [sym_ternary_expression] = STATE(419),
    [sym_binary_expression] = STATE(419),
    [sym_unary_expression] = STATE(419),
    [sym_update_expression] = STATE(419),
    [sym_string] = STATE(419),
    [sym_template_string] = STATE(419),
    [sym_regex] = STATE(419),
    [sym_meta_property] = STATE(419),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(632),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(634),
    [sym_false] = ACTIONS(634),
    [sym_null] = ACTIONS(634),
    [sym_undefined] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [84] = {
    [sym_import] = STATE(502),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(502),
    [sym_yield_expression] = STATE(502),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(502),
    [sym_jsx_fragment] = STATE(502),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(502),
    [sym_class] = STATE(502),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(502),
    [sym_arrow_function] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_new_expression] = STATE(502),
    [sym_await_expression] = STATE(502),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(502),
    [sym_augmented_assignment_expression] = STATE(502),
    [sym_ternary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_update_expression] = STATE(502),
    [sym_sequence_expression] = STATE(1104),
    [sym_string] = STATE(502),
    [sym_template_string] = STATE(502),
    [sym_regex] = STATE(502),
    [sym_meta_property] = STATE(502),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(636),
    [sym_this] = ACTIONS(638),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(638),
    [sym_false] = ACTIONS(638),
    [sym_null] = ACTIONS(638),
    [sym_undefined] = ACTIONS(638),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [85] = {
    [sym_import] = STATE(347),
    [sym_statement_block] = STATE(454),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(347),
    [sym_yield_expression] = STATE(347),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(347),
    [sym_jsx_fragment] = STATE(347),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(347),
    [sym_class] = STATE(347),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(347),
    [sym_arrow_function] = STATE(347),
    [sym_call_expression] = STATE(347),
    [sym_new_expression] = STATE(347),
    [sym_await_expression] = STATE(347),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(347),
    [sym_augmented_assignment_expression] = STATE(347),
    [sym_ternary_expression] = STATE(347),
    [sym_binary_expression] = STATE(347),
    [sym_unary_expression] = STATE(347),
    [sym_update_expression] = STATE(347),
    [sym_string] = STATE(347),
    [sym_template_string] = STATE(347),
    [sym_regex] = STATE(347),
    [sym_meta_property] = STATE(347),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(642),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [86] = {
    [sym_import] = STATE(424),
    [sym_statement_block] = STATE(533),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(424),
    [sym_yield_expression] = STATE(424),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(424),
    [sym_jsx_fragment] = STATE(424),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(424),
    [sym_class] = STATE(424),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(424),
    [sym_arrow_function] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_new_expression] = STATE(424),
    [sym_await_expression] = STATE(424),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(424),
    [sym_augmented_assignment_expression] = STATE(424),
    [sym_ternary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_string] = STATE(424),
    [sym_template_string] = STATE(424),
    [sym_regex] = STATE(424),
    [sym_meta_property] = STATE(424),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(646),
    [sym_this] = ACTIONS(648),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym_null] = ACTIONS(648),
    [sym_undefined] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [87] = {
    [sym_import] = STATE(539),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(539),
    [sym_yield_expression] = STATE(539),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(539),
    [sym_jsx_fragment] = STATE(539),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(539),
    [sym_class] = STATE(539),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(539),
    [sym_arrow_function] = STATE(539),
    [sym_call_expression] = STATE(539),
    [sym_new_expression] = STATE(539),
    [sym_await_expression] = STATE(539),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(539),
    [sym_augmented_assignment_expression] = STATE(539),
    [sym_ternary_expression] = STATE(539),
    [sym_binary_expression] = STATE(539),
    [sym_unary_expression] = STATE(539),
    [sym_update_expression] = STATE(539),
    [sym_sequence_expression] = STATE(1127),
    [sym_string] = STATE(539),
    [sym_template_string] = STATE(539),
    [sym_regex] = STATE(539),
    [sym_meta_property] = STATE(539),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(650),
    [sym_this] = ACTIONS(652),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(652),
    [sym_false] = ACTIONS(652),
    [sym_null] = ACTIONS(652),
    [sym_undefined] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [88] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(557),
    [sym_yield_expression] = STATE(557),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(557),
    [sym_jsx_fragment] = STATE(557),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(557),
    [sym_class] = STATE(557),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(557),
    [sym_await_expression] = STATE(557),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(557),
    [sym_augmented_assignment_expression] = STATE(557),
    [sym_ternary_expression] = STATE(557),
    [sym_binary_expression] = STATE(557),
    [sym_unary_expression] = STATE(557),
    [sym_update_expression] = STATE(557),
    [sym_sequence_expression] = STATE(1086),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(656),
    [sym_false] = ACTIONS(656),
    [sym_null] = ACTIONS(656),
    [sym_undefined] = ACTIONS(656),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [89] = {
    [sym_import] = STATE(362),
    [sym_parenthesized_expression] = STATE(281),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(325),
    [sym_array] = STATE(326),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(362),
    [sym_function] = STATE(327),
    [sym_generator_function] = STATE(362),
    [sym_arrow_function] = STATE(362),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(362),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(281),
    [sym_subscript_expression] = STATE(281),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(362),
    [sym_template_string] = STATE(362),
    [sym_regex] = STATE(362),
    [sym_meta_property] = STATE(362),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(660),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(664),
    [sym_this] = ACTIONS(666),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(666),
    [sym_false] = ACTIONS(666),
    [sym_null] = ACTIONS(666),
    [sym_undefined] = ACTIONS(666),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(668),
    [anon_sym_get] = ACTIONS(668),
    [anon_sym_set] = ACTIONS(668),
  },
  [90] = {
    [sym_import] = STATE(393),
    [sym_statement_block] = STATE(562),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(393),
    [sym_yield_expression] = STATE(393),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(393),
    [sym_jsx_fragment] = STATE(393),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(393),
    [sym_class] = STATE(393),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(393),
    [sym_arrow_function] = STATE(393),
    [sym_call_expression] = STATE(393),
    [sym_new_expression] = STATE(393),
    [sym_await_expression] = STATE(393),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(393),
    [sym_augmented_assignment_expression] = STATE(393),
    [sym_ternary_expression] = STATE(393),
    [sym_binary_expression] = STATE(393),
    [sym_unary_expression] = STATE(393),
    [sym_update_expression] = STATE(393),
    [sym_string] = STATE(393),
    [sym_template_string] = STATE(393),
    [sym_regex] = STATE(393),
    [sym_meta_property] = STATE(393),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(670),
    [sym_this] = ACTIONS(672),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(672),
    [sym_false] = ACTIONS(672),
    [sym_null] = ACTIONS(672),
    [sym_undefined] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [91] = {
    [sym_import] = STATE(355),
    [sym_statement_block] = STATE(380),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(355),
    [sym_yield_expression] = STATE(355),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(355),
    [sym_jsx_fragment] = STATE(355),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(355),
    [sym_class] = STATE(355),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(355),
    [sym_arrow_function] = STATE(355),
    [sym_call_expression] = STATE(355),
    [sym_new_expression] = STATE(355),
    [sym_await_expression] = STATE(355),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(355),
    [sym_augmented_assignment_expression] = STATE(355),
    [sym_ternary_expression] = STATE(355),
    [sym_binary_expression] = STATE(355),
    [sym_unary_expression] = STATE(355),
    [sym_update_expression] = STATE(355),
    [sym_string] = STATE(355),
    [sym_template_string] = STATE(355),
    [sym_regex] = STATE(355),
    [sym_meta_property] = STATE(355),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(674),
    [sym_this] = ACTIONS(676),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(676),
    [sym_false] = ACTIONS(676),
    [sym_null] = ACTIONS(676),
    [sym_undefined] = ACTIONS(676),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [92] = {
    [sym_import] = STATE(548),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_sequence_expression] = STATE(1078),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(678),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(680),
    [sym_false] = ACTIONS(680),
    [sym_null] = ACTIONS(680),
    [sym_undefined] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [93] = {
    [sym_import] = STATE(545),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(545),
    [sym_yield_expression] = STATE(545),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(545),
    [sym_jsx_fragment] = STATE(545),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(545),
    [sym_class] = STATE(545),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(545),
    [sym_arrow_function] = STATE(545),
    [sym_call_expression] = STATE(545),
    [sym_new_expression] = STATE(545),
    [sym_await_expression] = STATE(545),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(545),
    [sym_augmented_assignment_expression] = STATE(545),
    [sym_ternary_expression] = STATE(545),
    [sym_binary_expression] = STATE(545),
    [sym_unary_expression] = STATE(545),
    [sym_update_expression] = STATE(545),
    [sym_sequence_expression] = STATE(1111),
    [sym_string] = STATE(545),
    [sym_template_string] = STATE(545),
    [sym_regex] = STATE(545),
    [sym_meta_property] = STATE(545),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(682),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_null] = ACTIONS(684),
    [sym_undefined] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [94] = {
    [sym_import] = STATE(466),
    [sym_parenthesized_expression] = STATE(296),
    [sym__expression] = STATE(576),
    [sym_yield_expression] = STATE(576),
    [sym_object] = STATE(433),
    [sym_array] = STATE(428),
    [sym_jsx_element] = STATE(576),
    [sym_jsx_fragment] = STATE(576),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(576),
    [sym_class] = STATE(466),
    [sym_function] = STATE(365),
    [sym_generator_function] = STATE(466),
    [sym_arrow_function] = STATE(466),
    [sym_call_expression] = STATE(576),
    [sym_new_expression] = STATE(466),
    [sym_await_expression] = STATE(576),
    [sym_member_expression] = STATE(296),
    [sym_subscript_expression] = STATE(296),
    [sym_assignment_expression] = STATE(576),
    [sym_augmented_assignment_expression] = STATE(576),
    [sym_ternary_expression] = STATE(576),
    [sym_binary_expression] = STATE(576),
    [sym_unary_expression] = STATE(576),
    [sym_update_expression] = STATE(576),
    [sym_string] = STATE(466),
    [sym_template_string] = STATE(466),
    [sym_regex] = STATE(466),
    [sym_meta_property] = STATE(466),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(688),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(692),
    [sym_this] = ACTIONS(694),
    [sym_super] = ACTIONS(696),
    [sym_true] = ACTIONS(694),
    [sym_false] = ACTIONS(694),
    [sym_null] = ACTIONS(694),
    [sym_undefined] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(698),
    [anon_sym_get] = ACTIONS(698),
    [anon_sym_set] = ACTIONS(698),
  },
  [95] = {
    [sym_import] = STATE(559),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(559),
    [sym_yield_expression] = STATE(559),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(559),
    [sym_jsx_fragment] = STATE(559),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(559),
    [sym_class] = STATE(559),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(559),
    [sym_arrow_function] = STATE(559),
    [sym_call_expression] = STATE(559),
    [sym_new_expression] = STATE(559),
    [sym_await_expression] = STATE(559),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(559),
    [sym_augmented_assignment_expression] = STATE(559),
    [sym_ternary_expression] = STATE(559),
    [sym_binary_expression] = STATE(559),
    [sym_unary_expression] = STATE(559),
    [sym_update_expression] = STATE(559),
    [sym_sequence_expression] = STATE(1082),
    [sym_string] = STATE(559),
    [sym_template_string] = STATE(559),
    [sym_regex] = STATE(559),
    [sym_meta_property] = STATE(559),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(700),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [96] = {
    [sym_import] = STATE(527),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(527),
    [sym_yield_expression] = STATE(527),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(527),
    [sym_jsx_fragment] = STATE(527),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(527),
    [sym_class] = STATE(527),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(527),
    [sym_arrow_function] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_await_expression] = STATE(527),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_sequence_expression] = STATE(1045),
    [sym_string] = STATE(527),
    [sym_template_string] = STATE(527),
    [sym_regex] = STATE(527),
    [sym_meta_property] = STATE(527),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(704),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [97] = {
    [sym_import] = STATE(360),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(360),
    [sym_yield_expression] = STATE(360),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(360),
    [sym_jsx_fragment] = STATE(360),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(360),
    [sym_class] = STATE(360),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(360),
    [sym_arrow_function] = STATE(360),
    [sym_call_expression] = STATE(360),
    [sym_new_expression] = STATE(360),
    [sym_await_expression] = STATE(360),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(360),
    [sym_augmented_assignment_expression] = STATE(360),
    [sym_ternary_expression] = STATE(360),
    [sym_binary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_sequence_expression] = STATE(808),
    [sym_string] = STATE(360),
    [sym_template_string] = STATE(360),
    [sym_regex] = STATE(360),
    [sym_meta_property] = STATE(360),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(708),
    [sym_this] = ACTIONS(710),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(710),
    [sym_false] = ACTIONS(710),
    [sym_null] = ACTIONS(710),
    [sym_undefined] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [98] = {
    [sym_import] = STATE(531),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(531),
    [sym_yield_expression] = STATE(531),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(531),
    [sym_jsx_fragment] = STATE(531),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(531),
    [sym_class] = STATE(531),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(531),
    [sym_await_expression] = STATE(531),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(531),
    [sym_augmented_assignment_expression] = STATE(531),
    [sym_ternary_expression] = STATE(531),
    [sym_binary_expression] = STATE(531),
    [sym_unary_expression] = STATE(531),
    [sym_update_expression] = STATE(531),
    [sym_sequence_expression] = STATE(1071),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(712),
    [sym_this] = ACTIONS(714),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(714),
    [sym_false] = ACTIONS(714),
    [sym_null] = ACTIONS(714),
    [sym_undefined] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [99] = {
    [sym_import] = STATE(349),
    [sym_statement_block] = STATE(379),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(349),
    [sym_yield_expression] = STATE(349),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(349),
    [sym_jsx_fragment] = STATE(349),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(349),
    [sym_class] = STATE(349),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(349),
    [sym_arrow_function] = STATE(349),
    [sym_call_expression] = STATE(349),
    [sym_new_expression] = STATE(349),
    [sym_await_expression] = STATE(349),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(349),
    [sym_augmented_assignment_expression] = STATE(349),
    [sym_ternary_expression] = STATE(349),
    [sym_binary_expression] = STATE(349),
    [sym_unary_expression] = STATE(349),
    [sym_update_expression] = STATE(349),
    [sym_string] = STATE(349),
    [sym_template_string] = STATE(349),
    [sym_regex] = STATE(349),
    [sym_meta_property] = STATE(349),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(716),
    [sym_this] = ACTIONS(718),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_null] = ACTIONS(718),
    [sym_undefined] = ACTIONS(718),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [100] = {
    [sym_import] = STATE(496),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(496),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_fragment] = STATE(496),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(496),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(496),
    [sym_arrow_function] = STATE(496),
    [sym_call_expression] = STATE(496),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(496),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1100),
    [sym_string] = STATE(496),
    [sym_template_string] = STATE(496),
    [sym_regex] = STATE(496),
    [sym_meta_property] = STATE(496),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [101] = {
    [sym_import] = STATE(510),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(510),
    [sym_yield_expression] = STATE(510),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(510),
    [sym_jsx_fragment] = STATE(510),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(510),
    [sym_class] = STATE(510),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(510),
    [sym_arrow_function] = STATE(510),
    [sym_call_expression] = STATE(510),
    [sym_new_expression] = STATE(510),
    [sym_await_expression] = STATE(510),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(510),
    [sym_augmented_assignment_expression] = STATE(510),
    [sym_ternary_expression] = STATE(510),
    [sym_binary_expression] = STATE(510),
    [sym_unary_expression] = STATE(510),
    [sym_update_expression] = STATE(510),
    [sym_sequence_expression] = STATE(1107),
    [sym_string] = STATE(510),
    [sym_template_string] = STATE(510),
    [sym_regex] = STATE(510),
    [sym_meta_property] = STATE(510),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(720),
    [sym_this] = ACTIONS(722),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(722),
    [sym_false] = ACTIONS(722),
    [sym_null] = ACTIONS(722),
    [sym_undefined] = ACTIONS(722),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [102] = {
    [sym_import] = STATE(373),
    [sym_statement_block] = STATE(518),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(373),
    [sym_yield_expression] = STATE(373),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(373),
    [sym_jsx_fragment] = STATE(373),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(373),
    [sym_class] = STATE(373),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(373),
    [sym_arrow_function] = STATE(373),
    [sym_call_expression] = STATE(373),
    [sym_new_expression] = STATE(373),
    [sym_await_expression] = STATE(373),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(373),
    [sym_augmented_assignment_expression] = STATE(373),
    [sym_ternary_expression] = STATE(373),
    [sym_binary_expression] = STATE(373),
    [sym_unary_expression] = STATE(373),
    [sym_update_expression] = STATE(373),
    [sym_string] = STATE(373),
    [sym_template_string] = STATE(373),
    [sym_regex] = STATE(373),
    [sym_meta_property] = STATE(373),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(724),
    [sym_this] = ACTIONS(726),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_null] = ACTIONS(726),
    [sym_undefined] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [103] = {
    [sym_import] = STATE(491),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(491),
    [sym_yield_expression] = STATE(491),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(491),
    [sym_jsx_fragment] = STATE(491),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(491),
    [sym_class] = STATE(491),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(491),
    [sym_arrow_function] = STATE(491),
    [sym_call_expression] = STATE(491),
    [sym_new_expression] = STATE(491),
    [sym_await_expression] = STATE(491),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(491),
    [sym_augmented_assignment_expression] = STATE(491),
    [sym_ternary_expression] = STATE(491),
    [sym_binary_expression] = STATE(491),
    [sym_unary_expression] = STATE(491),
    [sym_update_expression] = STATE(491),
    [sym_sequence_expression] = STATE(941),
    [sym_string] = STATE(491),
    [sym_template_string] = STATE(491),
    [sym_regex] = STATE(491),
    [sym_meta_property] = STATE(491),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(728),
    [sym_this] = ACTIONS(730),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(730),
    [sym_false] = ACTIONS(730),
    [sym_null] = ACTIONS(730),
    [sym_undefined] = ACTIONS(730),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [104] = {
    [sym_import] = STATE(574),
    [sym_variable_declarator] = STATE(790),
    [sym_parenthesized_expression] = STATE(314),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(378),
    [sym_array] = STATE(376),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(314),
    [sym_subscript_expression] = STATE(314),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(732),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(734),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(736),
    [anon_sym_get] = ACTIONS(736),
    [anon_sym_set] = ACTIONS(736),
  },
  [105] = {
    [sym_import] = STATE(495),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(495),
    [sym_yield_expression] = STATE(495),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(495),
    [sym_jsx_fragment] = STATE(495),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(495),
    [sym_class] = STATE(495),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(495),
    [sym_arrow_function] = STATE(495),
    [sym_call_expression] = STATE(495),
    [sym_new_expression] = STATE(495),
    [sym_await_expression] = STATE(495),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(495),
    [sym_augmented_assignment_expression] = STATE(495),
    [sym_ternary_expression] = STATE(495),
    [sym_binary_expression] = STATE(495),
    [sym_unary_expression] = STATE(495),
    [sym_update_expression] = STATE(495),
    [sym_sequence_expression] = STATE(1114),
    [sym_string] = STATE(495),
    [sym_template_string] = STATE(495),
    [sym_regex] = STATE(495),
    [sym_meta_property] = STATE(495),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(738),
    [sym_this] = ACTIONS(740),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_null] = ACTIONS(740),
    [sym_undefined] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [106] = {
    [sym_import] = STATE(340),
    [sym_statement_block] = STATE(432),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(340),
    [sym_yield_expression] = STATE(340),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(340),
    [sym_jsx_fragment] = STATE(340),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(340),
    [sym_class] = STATE(340),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(340),
    [sym_arrow_function] = STATE(340),
    [sym_call_expression] = STATE(340),
    [sym_new_expression] = STATE(340),
    [sym_await_expression] = STATE(340),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(340),
    [sym_augmented_assignment_expression] = STATE(340),
    [sym_ternary_expression] = STATE(340),
    [sym_binary_expression] = STATE(340),
    [sym_unary_expression] = STATE(340),
    [sym_update_expression] = STATE(340),
    [sym_string] = STATE(340),
    [sym_template_string] = STATE(340),
    [sym_regex] = STATE(340),
    [sym_meta_property] = STATE(340),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(742),
    [sym_this] = ACTIONS(744),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [sym_null] = ACTIONS(744),
    [sym_undefined] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [107] = {
    [sym_import] = STATE(337),
    [sym_statement_block] = STATE(436),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(337),
    [sym_yield_expression] = STATE(337),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(337),
    [sym_jsx_fragment] = STATE(337),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(337),
    [sym_class] = STATE(337),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(337),
    [sym_arrow_function] = STATE(337),
    [sym_call_expression] = STATE(337),
    [sym_new_expression] = STATE(337),
    [sym_await_expression] = STATE(337),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(337),
    [sym_augmented_assignment_expression] = STATE(337),
    [sym_ternary_expression] = STATE(337),
    [sym_binary_expression] = STATE(337),
    [sym_unary_expression] = STATE(337),
    [sym_update_expression] = STATE(337),
    [sym_string] = STATE(337),
    [sym_template_string] = STATE(337),
    [sym_regex] = STATE(337),
    [sym_meta_property] = STATE(337),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(746),
    [sym_this] = ACTIONS(748),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_null] = ACTIONS(748),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [108] = {
    [sym_import] = STATE(336),
    [sym_statement_block] = STATE(439),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(336),
    [sym_yield_expression] = STATE(336),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(336),
    [sym_jsx_fragment] = STATE(336),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(336),
    [sym_class] = STATE(336),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(336),
    [sym_arrow_function] = STATE(336),
    [sym_call_expression] = STATE(336),
    [sym_new_expression] = STATE(336),
    [sym_await_expression] = STATE(336),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(336),
    [sym_augmented_assignment_expression] = STATE(336),
    [sym_ternary_expression] = STATE(336),
    [sym_binary_expression] = STATE(336),
    [sym_unary_expression] = STATE(336),
    [sym_update_expression] = STATE(336),
    [sym_string] = STATE(336),
    [sym_template_string] = STATE(336),
    [sym_regex] = STATE(336),
    [sym_meta_property] = STATE(336),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(750),
    [sym_this] = ACTIONS(752),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym_null] = ACTIONS(752),
    [sym_undefined] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [109] = {
    [sym_import] = STATE(574),
    [sym_variable_declarator] = STATE(794),
    [sym_parenthesized_expression] = STATE(314),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(378),
    [sym_array] = STATE(376),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(314),
    [sym_subscript_expression] = STATE(314),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(732),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(734),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(736),
    [anon_sym_get] = ACTIONS(736),
    [anon_sym_set] = ACTIONS(736),
  },
  [110] = {
    [sym_import] = STATE(409),
    [sym_statement_block] = STATE(544),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(409),
    [sym_arrow_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_string] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_regex] = STATE(409),
    [sym_meta_property] = STATE(409),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(754),
    [sym_this] = ACTIONS(756),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(756),
    [sym_false] = ACTIONS(756),
    [sym_null] = ACTIONS(756),
    [sym_undefined] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [111] = {
    [sym_import] = STATE(512),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(512),
    [sym_yield_expression] = STATE(512),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(512),
    [sym_jsx_fragment] = STATE(512),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(512),
    [sym_class] = STATE(512),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(512),
    [sym_arrow_function] = STATE(512),
    [sym_call_expression] = STATE(512),
    [sym_new_expression] = STATE(512),
    [sym_await_expression] = STATE(512),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(512),
    [sym_augmented_assignment_expression] = STATE(512),
    [sym_ternary_expression] = STATE(512),
    [sym_binary_expression] = STATE(512),
    [sym_unary_expression] = STATE(512),
    [sym_update_expression] = STATE(512),
    [sym_sequence_expression] = STATE(1096),
    [sym_string] = STATE(512),
    [sym_template_string] = STATE(512),
    [sym_regex] = STATE(512),
    [sym_meta_property] = STATE(512),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(758),
    [sym_this] = ACTIONS(760),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(760),
    [sym_false] = ACTIONS(760),
    [sym_null] = ACTIONS(760),
    [sym_undefined] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [112] = {
    [sym_import] = STATE(470),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(470),
    [sym_yield_expression] = STATE(470),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(470),
    [sym_jsx_fragment] = STATE(470),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(470),
    [sym_class] = STATE(470),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(470),
    [sym_arrow_function] = STATE(470),
    [sym_call_expression] = STATE(470),
    [sym_new_expression] = STATE(470),
    [sym_await_expression] = STATE(470),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(470),
    [sym_augmented_assignment_expression] = STATE(470),
    [sym_ternary_expression] = STATE(470),
    [sym_binary_expression] = STATE(470),
    [sym_unary_expression] = STATE(470),
    [sym_update_expression] = STATE(470),
    [sym_string] = STATE(470),
    [sym_template_string] = STATE(470),
    [sym_regex] = STATE(470),
    [sym_meta_property] = STATE(470),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(762),
    [sym_this] = ACTIONS(764),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(764),
    [sym_false] = ACTIONS(764),
    [sym_null] = ACTIONS(764),
    [sym_undefined] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [113] = {
    [sym_import] = STATE(354),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(354),
    [sym_yield_expression] = STATE(354),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(354),
    [sym_jsx_fragment] = STATE(354),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(354),
    [sym_class] = STATE(354),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(354),
    [sym_arrow_function] = STATE(354),
    [sym_call_expression] = STATE(354),
    [sym_new_expression] = STATE(354),
    [sym_await_expression] = STATE(354),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(354),
    [sym_augmented_assignment_expression] = STATE(354),
    [sym_ternary_expression] = STATE(354),
    [sym_binary_expression] = STATE(354),
    [sym_unary_expression] = STATE(354),
    [sym_update_expression] = STATE(354),
    [sym_string] = STATE(354),
    [sym_template_string] = STATE(354),
    [sym_regex] = STATE(354),
    [sym_meta_property] = STATE(354),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(766),
    [sym_this] = ACTIONS(768),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [sym_null] = ACTIONS(768),
    [sym_undefined] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [114] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(770),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_null] = ACTIONS(772),
    [sym_undefined] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [115] = {
    [sym_import] = STATE(567),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(567),
    [sym_yield_expression] = STATE(567),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(567),
    [sym_jsx_fragment] = STATE(567),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_class] = STATE(567),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(567),
    [sym_arrow_function] = STATE(567),
    [sym_call_expression] = STATE(567),
    [sym_new_expression] = STATE(567),
    [sym_await_expression] = STATE(567),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(567),
    [sym_augmented_assignment_expression] = STATE(567),
    [sym_ternary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_update_expression] = STATE(567),
    [sym_string] = STATE(567),
    [sym_template_string] = STATE(567),
    [sym_regex] = STATE(567),
    [sym_meta_property] = STATE(567),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(774),
    [sym_this] = ACTIONS(776),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_null] = ACTIONS(776),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [116] = {
    [sym_import] = STATE(561),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(561),
    [sym_yield_expression] = STATE(561),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(561),
    [sym_jsx_fragment] = STATE(561),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(561),
    [sym_class] = STATE(561),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(561),
    [sym_arrow_function] = STATE(561),
    [sym_call_expression] = STATE(561),
    [sym_new_expression] = STATE(561),
    [sym_await_expression] = STATE(561),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(561),
    [sym_augmented_assignment_expression] = STATE(561),
    [sym_ternary_expression] = STATE(561),
    [sym_binary_expression] = STATE(561),
    [sym_unary_expression] = STATE(561),
    [sym_update_expression] = STATE(561),
    [sym_string] = STATE(561),
    [sym_template_string] = STATE(561),
    [sym_regex] = STATE(561),
    [sym_meta_property] = STATE(561),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(778),
    [sym_this] = ACTIONS(780),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_null] = ACTIONS(780),
    [sym_undefined] = ACTIONS(780),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [117] = {
    [sym_import] = STATE(372),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(372),
    [sym_yield_expression] = STATE(372),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(372),
    [sym_jsx_fragment] = STATE(372),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(372),
    [sym_class] = STATE(372),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(372),
    [sym_arrow_function] = STATE(372),
    [sym_call_expression] = STATE(372),
    [sym_new_expression] = STATE(372),
    [sym_await_expression] = STATE(372),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(372),
    [sym_augmented_assignment_expression] = STATE(372),
    [sym_ternary_expression] = STATE(372),
    [sym_binary_expression] = STATE(372),
    [sym_unary_expression] = STATE(372),
    [sym_update_expression] = STATE(372),
    [sym_string] = STATE(372),
    [sym_template_string] = STATE(372),
    [sym_regex] = STATE(372),
    [sym_meta_property] = STATE(372),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(782),
    [sym_this] = ACTIONS(784),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_null] = ACTIONS(784),
    [sym_undefined] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [118] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(485),
    [sym_yield_expression] = STATE(485),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(485),
    [sym_jsx_fragment] = STATE(485),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(485),
    [sym_class] = STATE(485),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(485),
    [sym_await_expression] = STATE(485),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(485),
    [sym_augmented_assignment_expression] = STATE(485),
    [sym_ternary_expression] = STATE(485),
    [sym_binary_expression] = STATE(485),
    [sym_unary_expression] = STATE(485),
    [sym_update_expression] = STATE(485),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(786),
    [sym_this] = ACTIONS(788),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(788),
    [sym_false] = ACTIONS(788),
    [sym_null] = ACTIONS(788),
    [sym_undefined] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [119] = {
    [sym_import] = STATE(486),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(486),
    [sym_yield_expression] = STATE(486),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(486),
    [sym_jsx_fragment] = STATE(486),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(486),
    [sym_class] = STATE(486),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(486),
    [sym_arrow_function] = STATE(486),
    [sym_call_expression] = STATE(486),
    [sym_new_expression] = STATE(486),
    [sym_await_expression] = STATE(486),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(486),
    [sym_augmented_assignment_expression] = STATE(486),
    [sym_ternary_expression] = STATE(486),
    [sym_binary_expression] = STATE(486),
    [sym_unary_expression] = STATE(486),
    [sym_update_expression] = STATE(486),
    [sym_string] = STATE(486),
    [sym_template_string] = STATE(486),
    [sym_regex] = STATE(486),
    [sym_meta_property] = STATE(486),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(790),
    [sym_this] = ACTIONS(792),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(792),
    [sym_false] = ACTIONS(792),
    [sym_null] = ACTIONS(792),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [120] = {
    [sym_import] = STATE(487),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(487),
    [sym_yield_expression] = STATE(487),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(487),
    [sym_jsx_fragment] = STATE(487),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(487),
    [sym_class] = STATE(487),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(487),
    [sym_arrow_function] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(487),
    [sym_augmented_assignment_expression] = STATE(487),
    [sym_ternary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_update_expression] = STATE(487),
    [sym_string] = STATE(487),
    [sym_template_string] = STATE(487),
    [sym_regex] = STATE(487),
    [sym_meta_property] = STATE(487),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(794),
    [sym_this] = ACTIONS(796),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(796),
    [sym_false] = ACTIONS(796),
    [sym_null] = ACTIONS(796),
    [sym_undefined] = ACTIONS(796),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [121] = {
    [sym_import] = STATE(425),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(425),
    [sym_yield_expression] = STATE(425),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(425),
    [sym_jsx_fragment] = STATE(425),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(425),
    [sym_class] = STATE(425),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(425),
    [sym_arrow_function] = STATE(425),
    [sym_call_expression] = STATE(425),
    [sym_new_expression] = STATE(425),
    [sym_await_expression] = STATE(425),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(425),
    [sym_augmented_assignment_expression] = STATE(425),
    [sym_ternary_expression] = STATE(425),
    [sym_binary_expression] = STATE(425),
    [sym_unary_expression] = STATE(425),
    [sym_update_expression] = STATE(425),
    [sym_string] = STATE(425),
    [sym_template_string] = STATE(425),
    [sym_regex] = STATE(425),
    [sym_meta_property] = STATE(425),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(798),
    [sym_this] = ACTIONS(800),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(800),
    [sym_false] = ACTIONS(800),
    [sym_null] = ACTIONS(800),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [122] = {
    [sym_import] = STATE(423),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(423),
    [sym_yield_expression] = STATE(423),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(423),
    [sym_jsx_fragment] = STATE(423),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(423),
    [sym_class] = STATE(423),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(423),
    [sym_arrow_function] = STATE(423),
    [sym_call_expression] = STATE(423),
    [sym_new_expression] = STATE(423),
    [sym_await_expression] = STATE(423),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(423),
    [sym_augmented_assignment_expression] = STATE(423),
    [sym_ternary_expression] = STATE(423),
    [sym_binary_expression] = STATE(423),
    [sym_unary_expression] = STATE(423),
    [sym_update_expression] = STATE(423),
    [sym_string] = STATE(423),
    [sym_template_string] = STATE(423),
    [sym_regex] = STATE(423),
    [sym_meta_property] = STATE(423),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(802),
    [sym_this] = ACTIONS(804),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(804),
    [sym_false] = ACTIONS(804),
    [sym_null] = ACTIONS(804),
    [sym_undefined] = ACTIONS(804),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [123] = {
    [sym_import] = STATE(422),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(422),
    [sym_yield_expression] = STATE(422),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(422),
    [sym_jsx_fragment] = STATE(422),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(422),
    [sym_class] = STATE(422),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(422),
    [sym_arrow_function] = STATE(422),
    [sym_call_expression] = STATE(422),
    [sym_new_expression] = STATE(422),
    [sym_await_expression] = STATE(422),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(422),
    [sym_augmented_assignment_expression] = STATE(422),
    [sym_ternary_expression] = STATE(422),
    [sym_binary_expression] = STATE(422),
    [sym_unary_expression] = STATE(422),
    [sym_update_expression] = STATE(422),
    [sym_string] = STATE(422),
    [sym_template_string] = STATE(422),
    [sym_regex] = STATE(422),
    [sym_meta_property] = STATE(422),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(806),
    [sym_this] = ACTIONS(808),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(808),
    [sym_false] = ACTIONS(808),
    [sym_null] = ACTIONS(808),
    [sym_undefined] = ACTIONS(808),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [124] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(314),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(572),
    [sym_array] = STATE(573),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(314),
    [sym_subscript_expression] = STATE(314),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(734),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(736),
    [anon_sym_get] = ACTIONS(736),
    [anon_sym_set] = ACTIONS(736),
  },
  [125] = {
    [sym_import] = STATE(421),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(421),
    [sym_yield_expression] = STATE(421),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(421),
    [sym_jsx_fragment] = STATE(421),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(421),
    [sym_class] = STATE(421),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(421),
    [sym_arrow_function] = STATE(421),
    [sym_call_expression] = STATE(421),
    [sym_new_expression] = STATE(421),
    [sym_await_expression] = STATE(421),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(421),
    [sym_augmented_assignment_expression] = STATE(421),
    [sym_ternary_expression] = STATE(421),
    [sym_binary_expression] = STATE(421),
    [sym_unary_expression] = STATE(421),
    [sym_update_expression] = STATE(421),
    [sym_string] = STATE(421),
    [sym_template_string] = STATE(421),
    [sym_regex] = STATE(421),
    [sym_meta_property] = STATE(421),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(812),
    [sym_this] = ACTIONS(814),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(814),
    [sym_false] = ACTIONS(814),
    [sym_null] = ACTIONS(814),
    [sym_undefined] = ACTIONS(814),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [126] = {
    [sym_import] = STATE(388),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(388),
    [sym_yield_expression] = STATE(388),
    [sym_object] = STATE(566),
    [sym_array] = STATE(568),
    [sym_jsx_element] = STATE(388),
    [sym_jsx_fragment] = STATE(388),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(388),
    [sym_class] = STATE(388),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(388),
    [sym_arrow_function] = STATE(388),
    [sym_call_expression] = STATE(388),
    [sym_new_expression] = STATE(388),
    [sym_await_expression] = STATE(388),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(388),
    [sym_augmented_assignment_expression] = STATE(388),
    [sym_ternary_expression] = STATE(388),
    [sym_binary_expression] = STATE(388),
    [sym_unary_expression] = STATE(388),
    [sym_update_expression] = STATE(388),
    [sym_string] = STATE(388),
    [sym_template_string] = STATE(388),
    [sym_regex] = STATE(388),
    [sym_meta_property] = STATE(388),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(818),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(820),
    [sym_false] = ACTIONS(820),
    [sym_null] = ACTIONS(820),
    [sym_undefined] = ACTIONS(820),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [127] = {
    [sym_import] = STATE(371),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(371),
    [sym_yield_expression] = STATE(371),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(371),
    [sym_jsx_fragment] = STATE(371),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(371),
    [sym_class] = STATE(371),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(371),
    [sym_arrow_function] = STATE(371),
    [sym_call_expression] = STATE(371),
    [sym_new_expression] = STATE(371),
    [sym_await_expression] = STATE(371),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(371),
    [sym_augmented_assignment_expression] = STATE(371),
    [sym_ternary_expression] = STATE(371),
    [sym_binary_expression] = STATE(371),
    [sym_unary_expression] = STATE(371),
    [sym_update_expression] = STATE(371),
    [sym_string] = STATE(371),
    [sym_template_string] = STATE(371),
    [sym_regex] = STATE(371),
    [sym_meta_property] = STATE(371),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(822),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [128] = {
    [sym_import] = STATE(556),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(556),
    [sym_yield_expression] = STATE(556),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(556),
    [sym_jsx_fragment] = STATE(556),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(556),
    [sym_class] = STATE(556),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(556),
    [sym_arrow_function] = STATE(556),
    [sym_call_expression] = STATE(556),
    [sym_new_expression] = STATE(556),
    [sym_await_expression] = STATE(556),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(556),
    [sym_augmented_assignment_expression] = STATE(556),
    [sym_ternary_expression] = STATE(556),
    [sym_binary_expression] = STATE(556),
    [sym_unary_expression] = STATE(556),
    [sym_update_expression] = STATE(556),
    [sym_string] = STATE(556),
    [sym_template_string] = STATE(556),
    [sym_regex] = STATE(556),
    [sym_meta_property] = STATE(556),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(826),
    [sym_this] = ACTIONS(828),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(828),
    [sym_false] = ACTIONS(828),
    [sym_null] = ACTIONS(828),
    [sym_undefined] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [129] = {
    [sym_import] = STATE(484),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(484),
    [sym_yield_expression] = STATE(484),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(484),
    [sym_jsx_fragment] = STATE(484),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(484),
    [sym_class] = STATE(484),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(484),
    [sym_arrow_function] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_new_expression] = STATE(484),
    [sym_await_expression] = STATE(484),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(484),
    [sym_augmented_assignment_expression] = STATE(484),
    [sym_ternary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_update_expression] = STATE(484),
    [sym_string] = STATE(484),
    [sym_template_string] = STATE(484),
    [sym_regex] = STATE(484),
    [sym_meta_property] = STATE(484),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(830),
    [sym_this] = ACTIONS(832),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(832),
    [sym_false] = ACTIONS(832),
    [sym_null] = ACTIONS(832),
    [sym_undefined] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [130] = {
    [sym_import] = STATE(483),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(483),
    [sym_yield_expression] = STATE(483),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(483),
    [sym_jsx_fragment] = STATE(483),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(483),
    [sym_class] = STATE(483),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(483),
    [sym_arrow_function] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(483),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(483),
    [sym_augmented_assignment_expression] = STATE(483),
    [sym_ternary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_update_expression] = STATE(483),
    [sym_string] = STATE(483),
    [sym_template_string] = STATE(483),
    [sym_regex] = STATE(483),
    [sym_meta_property] = STATE(483),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(834),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_null] = ACTIONS(836),
    [sym_undefined] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [131] = {
    [sym_import] = STATE(458),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(458),
    [sym_yield_expression] = STATE(458),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(458),
    [sym_jsx_fragment] = STATE(458),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(458),
    [sym_class] = STATE(458),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(458),
    [sym_arrow_function] = STATE(458),
    [sym_call_expression] = STATE(458),
    [sym_new_expression] = STATE(458),
    [sym_await_expression] = STATE(458),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(458),
    [sym_augmented_assignment_expression] = STATE(458),
    [sym_ternary_expression] = STATE(458),
    [sym_binary_expression] = STATE(458),
    [sym_unary_expression] = STATE(458),
    [sym_update_expression] = STATE(458),
    [sym_string] = STATE(458),
    [sym_template_string] = STATE(458),
    [sym_regex] = STATE(458),
    [sym_meta_property] = STATE(458),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(838),
    [sym_this] = ACTIONS(840),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(840),
    [sym_false] = ACTIONS(840),
    [sym_null] = ACTIONS(840),
    [sym_undefined] = ACTIONS(840),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [132] = {
    [sym_import] = STATE(438),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(438),
    [sym_yield_expression] = STATE(438),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(438),
    [sym_jsx_fragment] = STATE(438),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(438),
    [sym_class] = STATE(438),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(438),
    [sym_arrow_function] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_new_expression] = STATE(438),
    [sym_await_expression] = STATE(438),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(438),
    [sym_augmented_assignment_expression] = STATE(438),
    [sym_ternary_expression] = STATE(438),
    [sym_binary_expression] = STATE(438),
    [sym_unary_expression] = STATE(438),
    [sym_update_expression] = STATE(438),
    [sym_string] = STATE(438),
    [sym_template_string] = STATE(438),
    [sym_regex] = STATE(438),
    [sym_meta_property] = STATE(438),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(844),
    [sym_false] = ACTIONS(844),
    [sym_null] = ACTIONS(844),
    [sym_undefined] = ACTIONS(844),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [133] = {
    [sym_import] = STATE(388),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(388),
    [sym_yield_expression] = STATE(388),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(388),
    [sym_jsx_fragment] = STATE(388),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(388),
    [sym_class] = STATE(388),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(388),
    [sym_arrow_function] = STATE(388),
    [sym_call_expression] = STATE(388),
    [sym_new_expression] = STATE(388),
    [sym_await_expression] = STATE(388),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(388),
    [sym_augmented_assignment_expression] = STATE(388),
    [sym_ternary_expression] = STATE(388),
    [sym_binary_expression] = STATE(388),
    [sym_unary_expression] = STATE(388),
    [sym_update_expression] = STATE(388),
    [sym_string] = STATE(388),
    [sym_template_string] = STATE(388),
    [sym_regex] = STATE(388),
    [sym_meta_property] = STATE(388),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(818),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(820),
    [sym_false] = ACTIONS(820),
    [sym_null] = ACTIONS(820),
    [sym_undefined] = ACTIONS(820),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [134] = {
    [sym_import] = STATE(320),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(320),
    [sym_yield_expression] = STATE(320),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(320),
    [sym_jsx_fragment] = STATE(320),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(320),
    [sym_class] = STATE(320),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(320),
    [sym_arrow_function] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_new_expression] = STATE(320),
    [sym_await_expression] = STATE(320),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(320),
    [sym_augmented_assignment_expression] = STATE(320),
    [sym_ternary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_update_expression] = STATE(320),
    [sym_string] = STATE(320),
    [sym_template_string] = STATE(320),
    [sym_regex] = STATE(320),
    [sym_meta_property] = STATE(320),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(846),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [135] = {
    [sym_import] = STATE(505),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(505),
    [sym_yield_expression] = STATE(505),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(505),
    [sym_jsx_fragment] = STATE(505),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(505),
    [sym_class] = STATE(505),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(505),
    [sym_arrow_function] = STATE(505),
    [sym_call_expression] = STATE(505),
    [sym_new_expression] = STATE(505),
    [sym_await_expression] = STATE(505),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(505),
    [sym_augmented_assignment_expression] = STATE(505),
    [sym_ternary_expression] = STATE(505),
    [sym_binary_expression] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_update_expression] = STATE(505),
    [sym_string] = STATE(505),
    [sym_template_string] = STATE(505),
    [sym_regex] = STATE(505),
    [sym_meta_property] = STATE(505),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(850),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [136] = {
    [sym_import] = STATE(449),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(449),
    [sym_yield_expression] = STATE(449),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(449),
    [sym_jsx_fragment] = STATE(449),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(449),
    [sym_class] = STATE(449),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(449),
    [sym_arrow_function] = STATE(449),
    [sym_call_expression] = STATE(449),
    [sym_new_expression] = STATE(449),
    [sym_await_expression] = STATE(449),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(449),
    [sym_augmented_assignment_expression] = STATE(449),
    [sym_ternary_expression] = STATE(449),
    [sym_binary_expression] = STATE(449),
    [sym_unary_expression] = STATE(449),
    [sym_update_expression] = STATE(449),
    [sym_string] = STATE(449),
    [sym_template_string] = STATE(449),
    [sym_regex] = STATE(449),
    [sym_meta_property] = STATE(449),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(854),
    [sym_this] = ACTIONS(856),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_null] = ACTIONS(856),
    [sym_undefined] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [137] = {
    [sym_import] = STATE(456),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(456),
    [sym_yield_expression] = STATE(456),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(456),
    [sym_jsx_fragment] = STATE(456),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(456),
    [sym_class] = STATE(456),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(456),
    [sym_arrow_function] = STATE(456),
    [sym_call_expression] = STATE(456),
    [sym_new_expression] = STATE(456),
    [sym_await_expression] = STATE(456),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(456),
    [sym_augmented_assignment_expression] = STATE(456),
    [sym_ternary_expression] = STATE(456),
    [sym_binary_expression] = STATE(456),
    [sym_unary_expression] = STATE(456),
    [sym_update_expression] = STATE(456),
    [sym_string] = STATE(456),
    [sym_template_string] = STATE(456),
    [sym_regex] = STATE(456),
    [sym_meta_property] = STATE(456),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(858),
    [sym_this] = ACTIONS(860),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(860),
    [sym_false] = ACTIONS(860),
    [sym_null] = ACTIONS(860),
    [sym_undefined] = ACTIONS(860),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [138] = {
    [sym_import] = STATE(453),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(453),
    [sym_yield_expression] = STATE(453),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(453),
    [sym_jsx_fragment] = STATE(453),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(453),
    [sym_class] = STATE(453),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(453),
    [sym_arrow_function] = STATE(453),
    [sym_call_expression] = STATE(453),
    [sym_new_expression] = STATE(453),
    [sym_await_expression] = STATE(453),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(453),
    [sym_augmented_assignment_expression] = STATE(453),
    [sym_ternary_expression] = STATE(453),
    [sym_binary_expression] = STATE(453),
    [sym_unary_expression] = STATE(453),
    [sym_update_expression] = STATE(453),
    [sym_string] = STATE(453),
    [sym_template_string] = STATE(453),
    [sym_regex] = STATE(453),
    [sym_meta_property] = STATE(453),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(862),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [139] = {
    [sym_import] = STATE(451),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(451),
    [sym_yield_expression] = STATE(451),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(451),
    [sym_jsx_fragment] = STATE(451),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(451),
    [sym_class] = STATE(451),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(451),
    [sym_arrow_function] = STATE(451),
    [sym_call_expression] = STATE(451),
    [sym_new_expression] = STATE(451),
    [sym_await_expression] = STATE(451),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(451),
    [sym_augmented_assignment_expression] = STATE(451),
    [sym_ternary_expression] = STATE(451),
    [sym_binary_expression] = STATE(451),
    [sym_unary_expression] = STATE(451),
    [sym_update_expression] = STATE(451),
    [sym_string] = STATE(451),
    [sym_template_string] = STATE(451),
    [sym_regex] = STATE(451),
    [sym_meta_property] = STATE(451),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(866),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_null] = ACTIONS(868),
    [sym_undefined] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [140] = {
    [sym_import] = STATE(331),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(331),
    [sym_yield_expression] = STATE(331),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(331),
    [sym_jsx_fragment] = STATE(331),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(331),
    [sym_class] = STATE(331),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(331),
    [sym_arrow_function] = STATE(331),
    [sym_call_expression] = STATE(331),
    [sym_new_expression] = STATE(331),
    [sym_await_expression] = STATE(331),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(331),
    [sym_augmented_assignment_expression] = STATE(331),
    [sym_ternary_expression] = STATE(331),
    [sym_binary_expression] = STATE(331),
    [sym_unary_expression] = STATE(331),
    [sym_update_expression] = STATE(331),
    [sym_string] = STATE(331),
    [sym_template_string] = STATE(331),
    [sym_regex] = STATE(331),
    [sym_meta_property] = STATE(331),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(870),
    [sym_this] = ACTIONS(872),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_null] = ACTIONS(872),
    [sym_undefined] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [141] = {
    [sym_import] = STATE(415),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(415),
    [sym_yield_expression] = STATE(415),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(415),
    [sym_jsx_fragment] = STATE(415),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(415),
    [sym_class] = STATE(415),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(415),
    [sym_arrow_function] = STATE(415),
    [sym_call_expression] = STATE(415),
    [sym_new_expression] = STATE(415),
    [sym_await_expression] = STATE(415),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(415),
    [sym_augmented_assignment_expression] = STATE(415),
    [sym_ternary_expression] = STATE(415),
    [sym_binary_expression] = STATE(415),
    [sym_unary_expression] = STATE(415),
    [sym_update_expression] = STATE(415),
    [sym_string] = STATE(415),
    [sym_template_string] = STATE(415),
    [sym_regex] = STATE(415),
    [sym_meta_property] = STATE(415),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(874),
    [sym_this] = ACTIONS(876),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_null] = ACTIONS(876),
    [sym_undefined] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [142] = {
    [sym_import] = STATE(390),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(390),
    [sym_yield_expression] = STATE(390),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(390),
    [sym_jsx_fragment] = STATE(390),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(390),
    [sym_class] = STATE(390),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(390),
    [sym_arrow_function] = STATE(390),
    [sym_call_expression] = STATE(390),
    [sym_new_expression] = STATE(390),
    [sym_await_expression] = STATE(390),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(390),
    [sym_augmented_assignment_expression] = STATE(390),
    [sym_ternary_expression] = STATE(390),
    [sym_binary_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_string] = STATE(390),
    [sym_template_string] = STATE(390),
    [sym_regex] = STATE(390),
    [sym_meta_property] = STATE(390),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(878),
    [sym_this] = ACTIONS(880),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_null] = ACTIONS(880),
    [sym_undefined] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [143] = {
    [sym_import] = STATE(338),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(338),
    [sym_yield_expression] = STATE(338),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(338),
    [sym_jsx_fragment] = STATE(338),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(338),
    [sym_class] = STATE(338),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(338),
    [sym_arrow_function] = STATE(338),
    [sym_call_expression] = STATE(338),
    [sym_new_expression] = STATE(338),
    [sym_await_expression] = STATE(338),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(338),
    [sym_augmented_assignment_expression] = STATE(338),
    [sym_ternary_expression] = STATE(338),
    [sym_binary_expression] = STATE(338),
    [sym_unary_expression] = STATE(338),
    [sym_update_expression] = STATE(338),
    [sym_string] = STATE(338),
    [sym_template_string] = STATE(338),
    [sym_regex] = STATE(338),
    [sym_meta_property] = STATE(338),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(882),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_null] = ACTIONS(884),
    [sym_undefined] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [144] = {
    [sym_import] = STATE(564),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(564),
    [sym_yield_expression] = STATE(564),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(564),
    [sym_jsx_fragment] = STATE(564),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(564),
    [sym_class] = STATE(564),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(564),
    [sym_await_expression] = STATE(564),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(564),
    [sym_augmented_assignment_expression] = STATE(564),
    [sym_ternary_expression] = STATE(564),
    [sym_binary_expression] = STATE(564),
    [sym_unary_expression] = STATE(564),
    [sym_update_expression] = STATE(564),
    [sym_string] = STATE(564),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(886),
    [sym_this] = ACTIONS(888),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_null] = ACTIONS(888),
    [sym_undefined] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [145] = {
    [sym_import] = STATE(416),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(416),
    [sym_yield_expression] = STATE(416),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(416),
    [sym_jsx_fragment] = STATE(416),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(416),
    [sym_class] = STATE(416),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(416),
    [sym_arrow_function] = STATE(416),
    [sym_call_expression] = STATE(416),
    [sym_new_expression] = STATE(416),
    [sym_await_expression] = STATE(416),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(416),
    [sym_augmented_assignment_expression] = STATE(416),
    [sym_ternary_expression] = STATE(416),
    [sym_binary_expression] = STATE(416),
    [sym_unary_expression] = STATE(416),
    [sym_update_expression] = STATE(416),
    [sym_string] = STATE(416),
    [sym_template_string] = STATE(416),
    [sym_regex] = STATE(416),
    [sym_meta_property] = STATE(416),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(890),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_null] = ACTIONS(892),
    [sym_undefined] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [146] = {
    [sym_import] = STATE(394),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(394),
    [sym_yield_expression] = STATE(394),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(394),
    [sym_jsx_fragment] = STATE(394),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(394),
    [sym_class] = STATE(394),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(394),
    [sym_arrow_function] = STATE(394),
    [sym_call_expression] = STATE(394),
    [sym_new_expression] = STATE(394),
    [sym_await_expression] = STATE(394),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(394),
    [sym_augmented_assignment_expression] = STATE(394),
    [sym_ternary_expression] = STATE(394),
    [sym_binary_expression] = STATE(394),
    [sym_unary_expression] = STATE(394),
    [sym_update_expression] = STATE(394),
    [sym_string] = STATE(394),
    [sym_template_string] = STATE(394),
    [sym_regex] = STATE(394),
    [sym_meta_property] = STATE(394),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(894),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [147] = {
    [sym_import] = STATE(324),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(324),
    [sym_yield_expression] = STATE(324),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(324),
    [sym_jsx_fragment] = STATE(324),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(324),
    [sym_class] = STATE(324),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(324),
    [sym_arrow_function] = STATE(324),
    [sym_call_expression] = STATE(324),
    [sym_new_expression] = STATE(324),
    [sym_await_expression] = STATE(324),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(324),
    [sym_augmented_assignment_expression] = STATE(324),
    [sym_ternary_expression] = STATE(324),
    [sym_binary_expression] = STATE(324),
    [sym_unary_expression] = STATE(324),
    [sym_update_expression] = STATE(324),
    [sym_string] = STATE(324),
    [sym_template_string] = STATE(324),
    [sym_regex] = STATE(324),
    [sym_meta_property] = STATE(324),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(898),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_null] = ACTIONS(900),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [148] = {
    [sym_import] = STATE(565),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(565),
    [sym_yield_expression] = STATE(565),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(565),
    [sym_jsx_fragment] = STATE(565),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(565),
    [sym_class] = STATE(565),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(565),
    [sym_arrow_function] = STATE(565),
    [sym_call_expression] = STATE(565),
    [sym_new_expression] = STATE(565),
    [sym_await_expression] = STATE(565),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(565),
    [sym_augmented_assignment_expression] = STATE(565),
    [sym_ternary_expression] = STATE(565),
    [sym_binary_expression] = STATE(565),
    [sym_unary_expression] = STATE(565),
    [sym_update_expression] = STATE(565),
    [sym_string] = STATE(565),
    [sym_template_string] = STATE(565),
    [sym_regex] = STATE(565),
    [sym_meta_property] = STATE(565),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(902),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [149] = {
    [sym_import] = STATE(334),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(334),
    [sym_yield_expression] = STATE(334),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(334),
    [sym_jsx_fragment] = STATE(334),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(334),
    [sym_class] = STATE(334),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(334),
    [sym_arrow_function] = STATE(334),
    [sym_call_expression] = STATE(334),
    [sym_new_expression] = STATE(334),
    [sym_await_expression] = STATE(334),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(334),
    [sym_augmented_assignment_expression] = STATE(334),
    [sym_ternary_expression] = STATE(334),
    [sym_binary_expression] = STATE(334),
    [sym_unary_expression] = STATE(334),
    [sym_update_expression] = STATE(334),
    [sym_string] = STATE(334),
    [sym_template_string] = STATE(334),
    [sym_regex] = STATE(334),
    [sym_meta_property] = STATE(334),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(906),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [150] = {
    [sym_import] = STATE(368),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(368),
    [sym_yield_expression] = STATE(368),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(368),
    [sym_jsx_fragment] = STATE(368),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(368),
    [sym_class] = STATE(368),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(368),
    [sym_arrow_function] = STATE(368),
    [sym_call_expression] = STATE(368),
    [sym_new_expression] = STATE(368),
    [sym_await_expression] = STATE(368),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(368),
    [sym_augmented_assignment_expression] = STATE(368),
    [sym_ternary_expression] = STATE(368),
    [sym_binary_expression] = STATE(368),
    [sym_unary_expression] = STATE(368),
    [sym_update_expression] = STATE(368),
    [sym_string] = STATE(368),
    [sym_template_string] = STATE(368),
    [sym_regex] = STATE(368),
    [sym_meta_property] = STATE(368),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(910),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [151] = {
    [sym_import] = STATE(330),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(330),
    [sym_yield_expression] = STATE(330),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(330),
    [sym_jsx_fragment] = STATE(330),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(330),
    [sym_class] = STATE(330),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(330),
    [sym_arrow_function] = STATE(330),
    [sym_call_expression] = STATE(330),
    [sym_new_expression] = STATE(330),
    [sym_await_expression] = STATE(330),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(330),
    [sym_augmented_assignment_expression] = STATE(330),
    [sym_ternary_expression] = STATE(330),
    [sym_binary_expression] = STATE(330),
    [sym_unary_expression] = STATE(330),
    [sym_update_expression] = STATE(330),
    [sym_string] = STATE(330),
    [sym_template_string] = STATE(330),
    [sym_regex] = STATE(330),
    [sym_meta_property] = STATE(330),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(914),
    [sym_this] = ACTIONS(916),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(916),
    [sym_false] = ACTIONS(916),
    [sym_null] = ACTIONS(916),
    [sym_undefined] = ACTIONS(916),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [152] = {
    [sym_import] = STATE(316),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(316),
    [sym_yield_expression] = STATE(316),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(316),
    [sym_jsx_fragment] = STATE(316),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(316),
    [sym_class] = STATE(316),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(316),
    [sym_arrow_function] = STATE(316),
    [sym_call_expression] = STATE(316),
    [sym_new_expression] = STATE(316),
    [sym_await_expression] = STATE(316),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(316),
    [sym_augmented_assignment_expression] = STATE(316),
    [sym_ternary_expression] = STATE(316),
    [sym_binary_expression] = STATE(316),
    [sym_unary_expression] = STATE(316),
    [sym_update_expression] = STATE(316),
    [sym_string] = STATE(316),
    [sym_template_string] = STATE(316),
    [sym_regex] = STATE(316),
    [sym_meta_property] = STATE(316),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(918),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [153] = {
    [sym_import] = STATE(329),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(329),
    [sym_yield_expression] = STATE(329),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(329),
    [sym_jsx_fragment] = STATE(329),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(329),
    [sym_class] = STATE(329),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(329),
    [sym_arrow_function] = STATE(329),
    [sym_call_expression] = STATE(329),
    [sym_new_expression] = STATE(329),
    [sym_await_expression] = STATE(329),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(329),
    [sym_augmented_assignment_expression] = STATE(329),
    [sym_ternary_expression] = STATE(329),
    [sym_binary_expression] = STATE(329),
    [sym_unary_expression] = STATE(329),
    [sym_update_expression] = STATE(329),
    [sym_string] = STATE(329),
    [sym_template_string] = STATE(329),
    [sym_regex] = STATE(329),
    [sym_meta_property] = STATE(329),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(922),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [154] = {
    [sym_import] = STATE(328),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(328),
    [sym_yield_expression] = STATE(328),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(328),
    [sym_jsx_fragment] = STATE(328),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(328),
    [sym_class] = STATE(328),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(328),
    [sym_arrow_function] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_new_expression] = STATE(328),
    [sym_await_expression] = STATE(328),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(328),
    [sym_augmented_assignment_expression] = STATE(328),
    [sym_ternary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_update_expression] = STATE(328),
    [sym_string] = STATE(328),
    [sym_template_string] = STATE(328),
    [sym_regex] = STATE(328),
    [sym_meta_property] = STATE(328),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(926),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [155] = {
    [sym_import] = STATE(374),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(374),
    [sym_yield_expression] = STATE(374),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(374),
    [sym_jsx_fragment] = STATE(374),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(374),
    [sym_class] = STATE(374),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(374),
    [sym_arrow_function] = STATE(374),
    [sym_call_expression] = STATE(374),
    [sym_new_expression] = STATE(374),
    [sym_await_expression] = STATE(374),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(374),
    [sym_augmented_assignment_expression] = STATE(374),
    [sym_ternary_expression] = STATE(374),
    [sym_binary_expression] = STATE(374),
    [sym_unary_expression] = STATE(374),
    [sym_update_expression] = STATE(374),
    [sym_string] = STATE(374),
    [sym_template_string] = STATE(374),
    [sym_regex] = STATE(374),
    [sym_meta_property] = STATE(374),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(930),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [156] = {
    [sym_import] = STATE(500),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(500),
    [sym_yield_expression] = STATE(500),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(500),
    [sym_jsx_fragment] = STATE(500),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(500),
    [sym_class] = STATE(500),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(500),
    [sym_arrow_function] = STATE(500),
    [sym_call_expression] = STATE(500),
    [sym_new_expression] = STATE(500),
    [sym_await_expression] = STATE(500),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(500),
    [sym_augmented_assignment_expression] = STATE(500),
    [sym_ternary_expression] = STATE(500),
    [sym_binary_expression] = STATE(500),
    [sym_unary_expression] = STATE(500),
    [sym_update_expression] = STATE(500),
    [sym_string] = STATE(500),
    [sym_template_string] = STATE(500),
    [sym_regex] = STATE(500),
    [sym_meta_property] = STATE(500),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(934),
    [sym_this] = ACTIONS(936),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(936),
    [sym_false] = ACTIONS(936),
    [sym_null] = ACTIONS(936),
    [sym_undefined] = ACTIONS(936),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [157] = {
    [sym_import] = STATE(405),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(405),
    [sym_yield_expression] = STATE(405),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(405),
    [sym_jsx_fragment] = STATE(405),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(405),
    [sym_class] = STATE(405),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(405),
    [sym_arrow_function] = STATE(405),
    [sym_call_expression] = STATE(405),
    [sym_new_expression] = STATE(405),
    [sym_await_expression] = STATE(405),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(405),
    [sym_augmented_assignment_expression] = STATE(405),
    [sym_ternary_expression] = STATE(405),
    [sym_binary_expression] = STATE(405),
    [sym_unary_expression] = STATE(405),
    [sym_update_expression] = STATE(405),
    [sym_string] = STATE(405),
    [sym_template_string] = STATE(405),
    [sym_regex] = STATE(405),
    [sym_meta_property] = STATE(405),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(938),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [158] = {
    [sym_import] = STATE(499),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(499),
    [sym_yield_expression] = STATE(499),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(499),
    [sym_jsx_fragment] = STATE(499),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(499),
    [sym_class] = STATE(499),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(499),
    [sym_await_expression] = STATE(499),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(499),
    [sym_augmented_assignment_expression] = STATE(499),
    [sym_ternary_expression] = STATE(499),
    [sym_binary_expression] = STATE(499),
    [sym_unary_expression] = STATE(499),
    [sym_update_expression] = STATE(499),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(942),
    [sym_this] = ACTIONS(944),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(944),
    [sym_false] = ACTIONS(944),
    [sym_null] = ACTIONS(944),
    [sym_undefined] = ACTIONS(944),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [159] = {
    [sym_import] = STATE(498),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(498),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(498),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(498),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(946),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [160] = {
    [sym_import] = STATE(497),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(497),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_fragment] = STATE(497),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(497),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(497),
    [sym_arrow_function] = STATE(497),
    [sym_call_expression] = STATE(497),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(497),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(497),
    [sym_template_string] = STATE(497),
    [sym_regex] = STATE(497),
    [sym_meta_property] = STATE(497),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(950),
    [sym_this] = ACTIONS(952),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [sym_null] = ACTIONS(952),
    [sym_undefined] = ACTIONS(952),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [161] = {
    [sym_import] = STATE(318),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(318),
    [sym_yield_expression] = STATE(318),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(318),
    [sym_jsx_fragment] = STATE(318),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(318),
    [sym_class] = STATE(318),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(318),
    [sym_arrow_function] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_new_expression] = STATE(318),
    [sym_await_expression] = STATE(318),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(318),
    [sym_augmented_assignment_expression] = STATE(318),
    [sym_ternary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_update_expression] = STATE(318),
    [sym_string] = STATE(318),
    [sym_template_string] = STATE(318),
    [sym_regex] = STATE(318),
    [sym_meta_property] = STATE(318),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(954),
    [sym_this] = ACTIONS(956),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(956),
    [sym_false] = ACTIONS(956),
    [sym_null] = ACTIONS(956),
    [sym_undefined] = ACTIONS(956),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [162] = {
    [sym_import] = STATE(408),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(408),
    [sym_yield_expression] = STATE(408),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(408),
    [sym_jsx_fragment] = STATE(408),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(408),
    [sym_class] = STATE(408),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(408),
    [sym_arrow_function] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_new_expression] = STATE(408),
    [sym_await_expression] = STATE(408),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(408),
    [sym_augmented_assignment_expression] = STATE(408),
    [sym_ternary_expression] = STATE(408),
    [sym_binary_expression] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_update_expression] = STATE(408),
    [sym_string] = STATE(408),
    [sym_template_string] = STATE(408),
    [sym_regex] = STATE(408),
    [sym_meta_property] = STATE(408),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(958),
    [sym_this] = ACTIONS(960),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_undefined] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [163] = {
    [sym_import] = STATE(569),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(569),
    [sym_yield_expression] = STATE(569),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(569),
    [sym_jsx_fragment] = STATE(569),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(569),
    [sym_class] = STATE(569),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(569),
    [sym_arrow_function] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_new_expression] = STATE(569),
    [sym_await_expression] = STATE(569),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(569),
    [sym_augmented_assignment_expression] = STATE(569),
    [sym_ternary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_update_expression] = STATE(569),
    [sym_string] = STATE(569),
    [sym_template_string] = STATE(569),
    [sym_regex] = STATE(569),
    [sym_meta_property] = STATE(569),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(962),
    [sym_this] = ACTIONS(964),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(964),
    [sym_false] = ACTIONS(964),
    [sym_null] = ACTIONS(964),
    [sym_undefined] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [164] = {
    [sym_import] = STATE(410),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(410),
    [sym_arrow_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_string] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_regex] = STATE(410),
    [sym_meta_property] = STATE(410),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(966),
    [sym_this] = ACTIONS(968),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(968),
    [sym_false] = ACTIONS(968),
    [sym_null] = ACTIONS(968),
    [sym_undefined] = ACTIONS(968),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [165] = {
    [sym_import] = STATE(411),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(411),
    [sym_yield_expression] = STATE(411),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(411),
    [sym_jsx_fragment] = STATE(411),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(411),
    [sym_class] = STATE(411),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(411),
    [sym_arrow_function] = STATE(411),
    [sym_call_expression] = STATE(411),
    [sym_new_expression] = STATE(411),
    [sym_await_expression] = STATE(411),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(411),
    [sym_augmented_assignment_expression] = STATE(411),
    [sym_ternary_expression] = STATE(411),
    [sym_binary_expression] = STATE(411),
    [sym_unary_expression] = STATE(411),
    [sym_update_expression] = STATE(411),
    [sym_string] = STATE(411),
    [sym_template_string] = STATE(411),
    [sym_regex] = STATE(411),
    [sym_meta_property] = STATE(411),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(970),
    [sym_this] = ACTIONS(972),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(972),
    [sym_false] = ACTIONS(972),
    [sym_null] = ACTIONS(972),
    [sym_undefined] = ACTIONS(972),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [166] = {
    [sym_import] = STATE(412),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(412),
    [sym_yield_expression] = STATE(412),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(412),
    [sym_jsx_fragment] = STATE(412),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(412),
    [sym_class] = STATE(412),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(412),
    [sym_arrow_function] = STATE(412),
    [sym_call_expression] = STATE(412),
    [sym_new_expression] = STATE(412),
    [sym_await_expression] = STATE(412),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(412),
    [sym_augmented_assignment_expression] = STATE(412),
    [sym_ternary_expression] = STATE(412),
    [sym_binary_expression] = STATE(412),
    [sym_unary_expression] = STATE(412),
    [sym_update_expression] = STATE(412),
    [sym_string] = STATE(412),
    [sym_template_string] = STATE(412),
    [sym_regex] = STATE(412),
    [sym_meta_property] = STATE(412),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(974),
    [sym_this] = ACTIONS(976),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_undefined] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [167] = {
    [sym_import] = STATE(413),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(413),
    [sym_yield_expression] = STATE(413),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(413),
    [sym_jsx_fragment] = STATE(413),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(413),
    [sym_class] = STATE(413),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(413),
    [sym_arrow_function] = STATE(413),
    [sym_call_expression] = STATE(413),
    [sym_new_expression] = STATE(413),
    [sym_await_expression] = STATE(413),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(413),
    [sym_augmented_assignment_expression] = STATE(413),
    [sym_ternary_expression] = STATE(413),
    [sym_binary_expression] = STATE(413),
    [sym_unary_expression] = STATE(413),
    [sym_update_expression] = STATE(413),
    [sym_string] = STATE(413),
    [sym_template_string] = STATE(413),
    [sym_regex] = STATE(413),
    [sym_meta_property] = STATE(413),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(978),
    [sym_this] = ACTIONS(980),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_undefined] = ACTIONS(980),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [168] = {
    [sym_import] = STATE(344),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(344),
    [sym_yield_expression] = STATE(344),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(344),
    [sym_jsx_fragment] = STATE(344),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(344),
    [sym_class] = STATE(344),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(344),
    [sym_arrow_function] = STATE(344),
    [sym_call_expression] = STATE(344),
    [sym_new_expression] = STATE(344),
    [sym_await_expression] = STATE(344),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(344),
    [sym_augmented_assignment_expression] = STATE(344),
    [sym_ternary_expression] = STATE(344),
    [sym_binary_expression] = STATE(344),
    [sym_unary_expression] = STATE(344),
    [sym_update_expression] = STATE(344),
    [sym_string] = STATE(344),
    [sym_template_string] = STATE(344),
    [sym_regex] = STATE(344),
    [sym_meta_property] = STATE(344),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(982),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [169] = {
    [sym_import] = STATE(335),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(335),
    [sym_yield_expression] = STATE(335),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(335),
    [sym_jsx_fragment] = STATE(335),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(335),
    [sym_class] = STATE(335),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(335),
    [sym_arrow_function] = STATE(335),
    [sym_call_expression] = STATE(335),
    [sym_new_expression] = STATE(335),
    [sym_await_expression] = STATE(335),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(335),
    [sym_augmented_assignment_expression] = STATE(335),
    [sym_ternary_expression] = STATE(335),
    [sym_binary_expression] = STATE(335),
    [sym_unary_expression] = STATE(335),
    [sym_update_expression] = STATE(335),
    [sym_string] = STATE(335),
    [sym_template_string] = STATE(335),
    [sym_regex] = STATE(335),
    [sym_meta_property] = STATE(335),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(986),
    [sym_this] = ACTIONS(988),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(988),
    [sym_false] = ACTIONS(988),
    [sym_null] = ACTIONS(988),
    [sym_undefined] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [170] = {
    [sym_import] = STATE(333),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(333),
    [sym_yield_expression] = STATE(333),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(333),
    [sym_jsx_fragment] = STATE(333),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(333),
    [sym_class] = STATE(333),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(333),
    [sym_arrow_function] = STATE(333),
    [sym_call_expression] = STATE(333),
    [sym_new_expression] = STATE(333),
    [sym_await_expression] = STATE(333),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(333),
    [sym_augmented_assignment_expression] = STATE(333),
    [sym_ternary_expression] = STATE(333),
    [sym_binary_expression] = STATE(333),
    [sym_unary_expression] = STATE(333),
    [sym_update_expression] = STATE(333),
    [sym_string] = STATE(333),
    [sym_template_string] = STATE(333),
    [sym_regex] = STATE(333),
    [sym_meta_property] = STATE(333),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(990),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [171] = {
    [sym_import] = STATE(339),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(339),
    [sym_yield_expression] = STATE(339),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(339),
    [sym_jsx_fragment] = STATE(339),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(339),
    [sym_class] = STATE(339),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(339),
    [sym_arrow_function] = STATE(339),
    [sym_call_expression] = STATE(339),
    [sym_new_expression] = STATE(339),
    [sym_await_expression] = STATE(339),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(339),
    [sym_augmented_assignment_expression] = STATE(339),
    [sym_ternary_expression] = STATE(339),
    [sym_binary_expression] = STATE(339),
    [sym_unary_expression] = STATE(339),
    [sym_update_expression] = STATE(339),
    [sym_string] = STATE(339),
    [sym_template_string] = STATE(339),
    [sym_regex] = STATE(339),
    [sym_meta_property] = STATE(339),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(996),
    [sym_false] = ACTIONS(996),
    [sym_null] = ACTIONS(996),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [172] = {
    [sym_import] = STATE(343),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(343),
    [sym_yield_expression] = STATE(343),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(343),
    [sym_jsx_fragment] = STATE(343),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(343),
    [sym_class] = STATE(343),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(343),
    [sym_arrow_function] = STATE(343),
    [sym_call_expression] = STATE(343),
    [sym_new_expression] = STATE(343),
    [sym_await_expression] = STATE(343),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(343),
    [sym_augmented_assignment_expression] = STATE(343),
    [sym_ternary_expression] = STATE(343),
    [sym_binary_expression] = STATE(343),
    [sym_unary_expression] = STATE(343),
    [sym_update_expression] = STATE(343),
    [sym_string] = STATE(343),
    [sym_template_string] = STATE(343),
    [sym_regex] = STATE(343),
    [sym_meta_property] = STATE(343),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(998),
    [sym_this] = ACTIONS(1000),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1000),
    [sym_false] = ACTIONS(1000),
    [sym_null] = ACTIONS(1000),
    [sym_undefined] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [173] = {
    [sym_import] = STATE(323),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(323),
    [sym_yield_expression] = STATE(323),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(323),
    [sym_jsx_fragment] = STATE(323),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(323),
    [sym_class] = STATE(323),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(323),
    [sym_arrow_function] = STATE(323),
    [sym_call_expression] = STATE(323),
    [sym_new_expression] = STATE(323),
    [sym_await_expression] = STATE(323),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(323),
    [sym_augmented_assignment_expression] = STATE(323),
    [sym_ternary_expression] = STATE(323),
    [sym_binary_expression] = STATE(323),
    [sym_unary_expression] = STATE(323),
    [sym_update_expression] = STATE(323),
    [sym_string] = STATE(323),
    [sym_template_string] = STATE(323),
    [sym_regex] = STATE(323),
    [sym_meta_property] = STATE(323),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1002),
    [sym_this] = ACTIONS(1004),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_null] = ACTIONS(1004),
    [sym_undefined] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [174] = {
    [sym_import] = STATE(352),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(352),
    [sym_yield_expression] = STATE(352),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(352),
    [sym_jsx_fragment] = STATE(352),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(352),
    [sym_class] = STATE(352),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(352),
    [sym_arrow_function] = STATE(352),
    [sym_call_expression] = STATE(352),
    [sym_new_expression] = STATE(352),
    [sym_await_expression] = STATE(352),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(352),
    [sym_augmented_assignment_expression] = STATE(352),
    [sym_ternary_expression] = STATE(352),
    [sym_binary_expression] = STATE(352),
    [sym_unary_expression] = STATE(352),
    [sym_update_expression] = STATE(352),
    [sym_string] = STATE(352),
    [sym_template_string] = STATE(352),
    [sym_regex] = STATE(352),
    [sym_meta_property] = STATE(352),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1006),
    [sym_this] = ACTIONS(1008),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1008),
    [sym_false] = ACTIONS(1008),
    [sym_null] = ACTIONS(1008),
    [sym_undefined] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [175] = {
    [sym_import] = STATE(351),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(351),
    [sym_yield_expression] = STATE(351),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(351),
    [sym_jsx_fragment] = STATE(351),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(351),
    [sym_class] = STATE(351),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(351),
    [sym_arrow_function] = STATE(351),
    [sym_call_expression] = STATE(351),
    [sym_new_expression] = STATE(351),
    [sym_await_expression] = STATE(351),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(351),
    [sym_augmented_assignment_expression] = STATE(351),
    [sym_ternary_expression] = STATE(351),
    [sym_binary_expression] = STATE(351),
    [sym_unary_expression] = STATE(351),
    [sym_update_expression] = STATE(351),
    [sym_string] = STATE(351),
    [sym_template_string] = STATE(351),
    [sym_regex] = STATE(351),
    [sym_meta_property] = STATE(351),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1010),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1012),
    [sym_false] = ACTIONS(1012),
    [sym_null] = ACTIONS(1012),
    [sym_undefined] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [176] = {
    [sym_import] = STATE(414),
    [sym_parenthesized_expression] = STATE(302),
    [sym__expression] = STATE(414),
    [sym_yield_expression] = STATE(414),
    [sym_object] = STATE(480),
    [sym_array] = STATE(482),
    [sym_jsx_element] = STATE(414),
    [sym_jsx_fragment] = STATE(414),
    [sym_jsx_opening_element] = STATE(659),
    [sym_jsx_self_closing_element] = STATE(414),
    [sym_class] = STATE(414),
    [sym_function] = STATE(403),
    [sym_generator_function] = STATE(414),
    [sym_arrow_function] = STATE(414),
    [sym_call_expression] = STATE(414),
    [sym_new_expression] = STATE(414),
    [sym_await_expression] = STATE(414),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(414),
    [sym_augmented_assignment_expression] = STATE(414),
    [sym_ternary_expression] = STATE(414),
    [sym_binary_expression] = STATE(414),
    [sym_unary_expression] = STATE(414),
    [sym_update_expression] = STATE(414),
    [sym_string] = STATE(414),
    [sym_template_string] = STATE(414),
    [sym_regex] = STATE(414),
    [sym_meta_property] = STATE(414),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1110),
    [aux_sym_export_statement_repeat1] = STATE(791),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(1014),
    [sym_this] = ACTIONS(1016),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(1016),
    [sym_false] = ACTIONS(1016),
    [sym_null] = ACTIONS(1016),
    [sym_undefined] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [177] = {
    [sym_import] = STATE(332),
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(332),
    [sym_yield_expression] = STATE(332),
    [sym_object] = STATE(357),
    [sym_array] = STATE(356),
    [sym_jsx_element] = STATE(332),
    [sym_jsx_fragment] = STATE(332),
    [sym_jsx_opening_element] = STATE(671),
    [sym_jsx_self_closing_element] = STATE(332),
    [sym_class] = STATE(332),
    [sym_function] = STATE(319),
    [sym_generator_function] = STATE(332),
    [sym_arrow_function] = STATE(332),
    [sym_call_expression] = STATE(332),
    [sym_new_expression] = STATE(332),
    [sym_await_expression] = STATE(332),
    [sym_member_expression] = STATE(284),
    [sym_subscript_expression] = STATE(284),
    [sym_assignment_expression] = STATE(332),
    [sym_augmented_assignment_expression] = STATE(332),
    [sym_ternary_expression] = STATE(332),
    [sym_binary_expression] = STATE(332),
    [sym_unary_expression] = STATE(332),
    [sym_update_expression] = STATE(332),
    [sym_string] = STATE(332),
    [sym_template_string] = STATE(332),
    [sym_regex] = STATE(332),
    [sym_meta_property] = STATE(332),
    [sym_decorator] = STATE(635),
    [sym_formal_parameters] = STATE(1121),
    [aux_sym_export_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1018),
    [sym_this] = ACTIONS(1020),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1020),
    [sym_false] = ACTIONS(1020),
    [sym_null] = ACTIONS(1020),
    [sym_undefined] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [178] = {
    [sym_string] = STATE(1015),
    [sym_formal_parameters] = STATE(1126),
    [sym__property_name] = STATE(1015),
    [sym_computed_property_name] = STATE(1015),
    [aux_sym_object_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_in] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_GT] = ACTIONS(1035),
    [anon_sym_SLASH] = ACTIONS(1035),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_async] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_EQ_GT] = ACTIONS(1051),
    [anon_sym_PLUS_EQ] = ACTIONS(1053),
    [anon_sym_DASH_EQ] = ACTIONS(1053),
    [anon_sym_STAR_EQ] = ACTIONS(1053),
    [anon_sym_SLASH_EQ] = ACTIONS(1053),
    [anon_sym_PERCENT_EQ] = ACTIONS(1053),
    [anon_sym_CARET_EQ] = ACTIONS(1053),
    [anon_sym_AMP_EQ] = ACTIONS(1053),
    [anon_sym_PIPE_EQ] = ACTIONS(1053),
    [anon_sym_GT_GT_EQ] = ACTIONS(1053),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1053),
    [anon_sym_LT_LT_EQ] = ACTIONS(1053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1035),
    [anon_sym_GT_GT_GT] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1035),
    [anon_sym_AMP] = ACTIONS(1035),
    [anon_sym_CARET] = ACTIONS(1035),
    [anon_sym_PIPE] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_PERCENT] = ACTIONS(1035),
    [anon_sym_STAR_STAR] = ACTIONS(1035),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ] = ACTIONS(1035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1027),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_QMARK_QMARK] = ACTIONS(1027),
    [anon_sym_instanceof] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1027),
    [sym_number] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(1047),
    [anon_sym_get] = ACTIONS(1057),
    [anon_sym_set] = ACTIONS(1057),
    [sym__automatic_semicolon] = ACTIONS(1027),
  },
  [179] = {
    [sym_string] = STATE(1015),
    [sym_formal_parameters] = STATE(1126),
    [sym__property_name] = STATE(1015),
    [sym_computed_property_name] = STATE(1015),
    [aux_sym_object_repeat1] = STATE(838),
    [sym_identifier] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_in] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_GT] = ACTIONS(1035),
    [anon_sym_SLASH] = ACTIONS(1035),
    [anon_sym_DOT] = ACTIONS(1045),
    [anon_sym_async] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_EQ_GT] = ACTIONS(1051),
    [anon_sym_PLUS_EQ] = ACTIONS(1053),
    [anon_sym_DASH_EQ] = ACTIONS(1053),
    [anon_sym_STAR_EQ] = ACTIONS(1053),
    [anon_sym_SLASH_EQ] = ACTIONS(1053),
    [anon_sym_PERCENT_EQ] = ACTIONS(1053),
    [anon_sym_CARET_EQ] = ACTIONS(1053),
    [anon_sym_AMP_EQ] = ACTIONS(1053),
    [anon_sym_PIPE_EQ] = ACTIONS(1053),
    [anon_sym_GT_GT_EQ] = ACTIONS(1053),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1053),
    [anon_sym_LT_LT_EQ] = ACTIONS(1053),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1035),
    [anon_sym_GT_GT_GT] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1035),
    [anon_sym_AMP] = ACTIONS(1035),
    [anon_sym_CARET] = ACTIONS(1035),
    [anon_sym_PIPE] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_PERCENT] = ACTIONS(1035),
    [anon_sym_STAR_STAR] = ACTIONS(1035),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ] = ACTIONS(1035),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1027),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_QMARK_QMARK] = ACTIONS(1027),
    [anon_sym_instanceof] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1027),
    [sym_number] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(1047),
    [anon_sym_get] = ACTIONS(1057),
    [anon_sym_set] = ACTIONS(1057),
    [sym__automatic_semicolon] = ACTIONS(1027),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1045), 1,
      anon_sym_DOT,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1063), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      anon_sym_async,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [105] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1045), 1,
      anon_sym_DOT,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1063), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      anon_sym_async,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [210] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1045), 1,
      anon_sym_DOT,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1063), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      aux_sym_object_repeat1,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(394), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      sym__automatic_semicolon,
    ACTIONS(494), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(496), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [455] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1045), 1,
      anon_sym_DOT,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1063), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      aux_sym_object_repeat1,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(482), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(496), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_catch,
    ACTIONS(1078), 1,
      anon_sym_finally,
    STATE(189), 1,
      sym_catch_clause,
    STATE(219), 1,
      sym_finally_clause,
    ACTIONS(1072), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1074), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_finally,
    STATE(224), 1,
      sym_finally_clause,
    ACTIONS(1080), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1082), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [844] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym_identifier,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1096), 1,
      anon_sym_function,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    STATE(407), 1,
      sym_arguments,
    STATE(1099), 1,
      sym_formal_parameters,
    ACTIONS(1094), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1088), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1086), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      sym__automatic_semicolon,
    ACTIONS(432), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(434), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1104), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(394), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(496), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(444), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      sym__automatic_semicolon,
    ACTIONS(494), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(496), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 1,
      sym__automatic_semicolon,
    ACTIONS(446), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(448), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(458), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      sym__automatic_semicolon,
    ACTIONS(402), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(404), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1112), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1116), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(482), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1120), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1124), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      sym__automatic_semicolon,
    ACTIONS(412), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(414), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 1,
      sym__automatic_semicolon,
    ACTIONS(422), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(424), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym_identifier,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1096), 1,
      anon_sym_function,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    STATE(1099), 1,
      sym_formal_parameters,
    ACTIONS(1094), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [2101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1131), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      sym__automatic_semicolon,
    ACTIONS(460), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(462), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(478), 1,
      sym__automatic_semicolon,
    ACTIONS(470), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(472), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      sym__automatic_semicolon,
    ACTIONS(484), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(486), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1135), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1139), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1143), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1147), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1151), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1155), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1159), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1163), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1167), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1171), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1175), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1179), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1183), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_else,
    ACTIONS(1185), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1187), 41,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1193), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1197), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1201), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1205), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1209), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1213), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1217), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1221), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1225), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1229), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1233), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1237), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1241), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1245), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1249), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1253), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1257), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1261), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1265), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1269), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1273), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1277), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1281), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1285), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1289), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1293), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1297), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1301), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1305), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1309), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5281] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1317), 1,
      anon_sym_function,
    STATE(535), 1,
      sym_arguments,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(1315), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1088), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1086), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1317), 1,
      anon_sym_function,
    ACTIONS(1319), 1,
      anon_sym_in,
    ACTIONS(1322), 1,
      anon_sym_of,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(1315), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1317), 1,
      anon_sym_function,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(1315), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5535] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_function,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(1315), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5620] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1328), 1,
      anon_sym_COLON,
    ACTIONS(1330), 1,
      anon_sym_function,
    STATE(1126), 1,
      sym_formal_parameters,
    ACTIONS(1315), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5705] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym_identifier,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1096), 1,
      anon_sym_function,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      anon_sym_COMMA,
    ACTIONS(1335), 1,
      anon_sym_RPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    STATE(817), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1099), 1,
      sym_formal_parameters,
    ACTIONS(1094), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1027), 11,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1035), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5793] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym_identifier,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1096), 1,
      anon_sym_function,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1340), 1,
      anon_sym_in,
    ACTIONS(1343), 1,
      anon_sym_of,
    STATE(1099), 1,
      sym_formal_parameters,
    ACTIONS(1094), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1027), 11,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym_identifier,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1096), 1,
      anon_sym_function,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1126), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym_in,
    ACTIONS(1322), 1,
      anon_sym_of,
    STATE(1099), 1,
      sym_formal_parameters,
    ACTIONS(1094), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1027), 11,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1345), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1349), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1353), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1357), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1361), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1365), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1369), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1373), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1377), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    STATE(407), 1,
      sym_arguments,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1086), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1088), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    STATE(406), 1,
      sym_arguments,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1383), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6776] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6972] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym_arguments,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1383), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7116] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1410), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1420), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    STATE(535), 1,
      sym_arguments,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1088), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1086), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1385), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1383), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7457] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1426), 1,
      anon_sym_in,
    ACTIONS(1429), 1,
      anon_sym_of,
    ACTIONS(1431), 1,
      anon_sym_EQ,
    STATE(839), 1,
      sym__initializer,
    ACTIONS(1424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1319), 1,
      anon_sym_in,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1435), 1,
      anon_sym_of,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1420), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 19,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1385), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1383), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 1,
      anon_sym_COLON,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_EQ_GT,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1437), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_of,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8306] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_EQ_GT,
    ACTIONS(1313), 1,
      anon_sym_DOT,
    ACTIONS(1324), 1,
      anon_sym_EQ,
    ACTIONS(1328), 1,
      anon_sym_COLON,
    ACTIONS(1053), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8374] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1445), 1,
      anon_sym_RPAREN,
    ACTIONS(1448), 1,
      anon_sym_EQ,
    STATE(813), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 18,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1452), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_EQ,
    ACTIONS(1437), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_of,
    ACTIONS(1416), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1456), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1332), 1,
      anon_sym_COMMA,
    ACTIONS(1335), 1,
      anon_sym_RPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    STATE(817), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1460), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1437), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_of,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1319), 1,
      anon_sym_in,
    ACTIONS(1435), 1,
      anon_sym_of,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_DOT,
    ACTIONS(1098), 1,
      anon_sym_EQ_GT,
    ACTIONS(1340), 1,
      anon_sym_in,
    ACTIONS(1465), 1,
      anon_sym_of,
    ACTIONS(1100), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1035), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1391), 1,
      anon_sym_EQ_GT,
    ACTIONS(1426), 1,
      anon_sym_in,
    ACTIONS(1429), 1,
      anon_sym_of,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1437), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_of,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_EQ,
    ACTIONS(1426), 1,
      anon_sym_in,
    ACTIONS(1429), 1,
      anon_sym_of,
    ACTIONS(1393), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9271] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1467), 1,
      sym_identifier,
    ACTIONS(1469), 1,
      anon_sym_STAR,
    ACTIONS(1471), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_string,
    STATE(904), 1,
      sym_import_clause,
    STATE(1131), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(1475), 13,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1473), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9338] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1479), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9468] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1507), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [9604] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1509), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9686] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1511), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1515), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1519), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [9892] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1521), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    STATE(406), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(398), 1,
      sym_arguments,
    STATE(418), 1,
      sym_template_string,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [10194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [10254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [10314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1531), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [10372] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1519), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [10434] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [10514] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10596] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10678] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1539), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10760] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1543), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1519), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [10984] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1545), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11162] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1519), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11228] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1555), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11406] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1565), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11536] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1571), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11666] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1519), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1519), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [11806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_EQ,
    ACTIONS(1577), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11858] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1579), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11940] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 1,
      sym__automatic_semicolon,
    ACTIONS(496), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(494), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_EQ_GT,
    ACTIONS(1454), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12218] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1589), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    STATE(406), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym_regex_flags,
    ACTIONS(1591), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1593), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1599), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(418), 1,
      sym_template_string,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1479), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(408), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12810] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1521), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12890] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1509), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12970] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1565), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1535), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1631), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_in,
    ACTIONS(1638), 1,
      anon_sym_of,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(868), 1,
      sym__initializer,
    ACTIONS(1633), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_in,
    ACTIONS(1647), 1,
      anon_sym_of,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(867), 1,
      sym__initializer,
    ACTIONS(1642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(490), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(476), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1657), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1511), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1515), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13782] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1659), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13908] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1663), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14080] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1579), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(396), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1657), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1671), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1675), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1679), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1683), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(442), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1539), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1519), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1671), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1687), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1519), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14962] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15042] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1519), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15112] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1519), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15186] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1519), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1519), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15308] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1517), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15386] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1537), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15466] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1555), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1691), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1695), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1545), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1679), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1531), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 19,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [15820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15936] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1571), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1527), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1699), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(482), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(480), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(494), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1709), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1721), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1725), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1729), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1733), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1737), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1741), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1745), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17178] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1747), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RBRACE,
    ACTIONS(1555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1754), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1756), 1,
      anon_sym_COMMA,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17438] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_COMMA,
    ACTIONS(1543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17614] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1766), 1,
      anon_sym_COMMA,
    ACTIONS(1769), 1,
      anon_sym_RBRACE,
    ACTIONS(1537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1771), 1,
      anon_sym_RBRACK,
    STATE(865), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17781] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1773), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 1,
      sym__automatic_semicolon,
    ACTIONS(484), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(488), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(490), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17909] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1775), 1,
      anon_sym_RBRACK,
    STATE(825), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(478), 1,
      sym__automatic_semicolon,
    ACTIONS(470), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(474), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(476), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      sym__automatic_semicolon,
    ACTIONS(402), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(406), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(408), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      sym__automatic_semicolon,
    ACTIONS(412), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(416), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      sym__automatic_semicolon,
    ACTIONS(460), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(464), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18188] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1777), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 1,
      sym__automatic_semicolon,
    ACTIONS(446), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(450), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_EQ,
    ACTIONS(500), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 22,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18414] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1779), 1,
      anon_sym_RBRACK,
    STATE(865), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18497] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1773), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 1,
      sym__automatic_semicolon,
    ACTIONS(422), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(426), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18625] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      anon_sym_COMMA,
    ACTIONS(1589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      sym__automatic_semicolon,
    ACTIONS(432), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(436), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      anon_sym_COLON,
    ACTIONS(1573), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      sym_regex_flags,
    ACTIONS(1591), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1593), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_EQ_GT,
    ACTIONS(1454), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18898] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(854), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18981] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1792), 1,
      anon_sym_RPAREN,
    STATE(871), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19064] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      anon_sym_RBRACK,
    STATE(825), 1,
      aux_sym_array_repeat1,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19194] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      anon_sym_COMMA,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1773), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19401] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1773), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19480] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1759), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19559] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1769), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1750), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      anon_sym_COMMA,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1800), 1,
      anon_sym_EQ,
    ACTIONS(1804), 1,
      anon_sym_in,
    ACTIONS(1807), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_EQ,
    ACTIONS(1809), 1,
      anon_sym_in,
    ACTIONS(1812), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19900] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 1,
      anon_sym_COMMA,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1725), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_COMMA,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
    ACTIONS(1822), 1,
      anon_sym_EQ,
    STATE(888), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20121] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20281] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1761), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20437] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20515] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1747), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(438), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20877] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(408), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1745), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21291] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_COLON,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1741), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1737), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1452), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(490), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1721), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21679] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1733), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(476), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1675), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21891] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1844), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(452), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22139] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_COMMA,
    ACTIONS(1851), 1,
      anon_sym_RPAREN,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(824), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1683), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_EQ,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_LPAREN,
    ACTIONS(1865), 1,
      anon_sym_COLON,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1687), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1631), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1691), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22675] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1867), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1671), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1695), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22843] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1599), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23011] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1871), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1671), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23179] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1709), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1663), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1699), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1460), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1729), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23645] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1877), 1,
      anon_sym_RBRACK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23769] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1879), 1,
      anon_sym_RBRACK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23929] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1615), 1,
      anon_sym_AMP,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1627), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1601), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1613), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1603), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1623), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24095] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1885), 1,
      anon_sym_LBRACE,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24172] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1887), 1,
      anon_sym_RBRACK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    ACTIONS(1889), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24296] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1892), 1,
      anon_sym_COLON,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(1894), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24420] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1897), 1,
      anon_sym_COLON,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24497] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1899), 1,
      anon_sym_RBRACK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    ACTIONS(1809), 1,
      anon_sym_in,
    ACTIONS(1812), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_EQ,
    ACTIONS(1644), 1,
      anon_sym_in,
    ACTIONS(1647), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(1635), 1,
      anon_sym_in,
    ACTIONS(1638), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24718] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(1804), 1,
      anon_sym_in,
    ACTIONS(1807), 1,
      anon_sym_of,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1485), 1,
      anon_sym_QMARK,
    ACTIONS(1487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1493), 1,
      anon_sym_AMP,
    ACTIONS(1495), 1,
      anon_sym_PIPE,
    ACTIONS(1499), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1505), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1491), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_RBRACE,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1907), 1,
      anon_sym_async,
    ACTIONS(1909), 1,
      sym_number,
    ACTIONS(1911), 1,
      anon_sym_static,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(885), 1,
      aux_sym_object_repeat1,
    STATE(1052), 1,
      sym_object,
    STATE(1056), 1,
      sym_array,
    ACTIONS(1913), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(809), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [24987] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1909), 1,
      sym_number,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(1919), 1,
      anon_sym_async,
    ACTIONS(1921), 1,
      anon_sym_static,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(889), 1,
      aux_sym_object_repeat1,
    STATE(1052), 1,
      sym_object,
    STATE(1056), 1,
      sym_array,
    ACTIONS(1923), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(884), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [25060] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1905), 1,
      anon_sym_LBRACK,
    ACTIONS(1909), 1,
      sym_number,
    ACTIONS(1925), 1,
      sym_identifier,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      anon_sym_static,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(1052), 1,
      sym_object,
    STATE(1056), 1,
      sym_array,
    ACTIONS(1927), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1933), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(890), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1024), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [25128] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    STATE(585), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25186] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    STATE(585), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25244] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    STATE(581), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25302] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    ACTIONS(1953), 1,
      anon_sym_RBRACE,
    STATE(584), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    STATE(585), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25418] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      sym_identifier,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1974), 1,
      anon_sym_SQUOTE,
    ACTIONS(1977), 1,
      sym_number,
    ACTIONS(1980), 1,
      anon_sym_AT,
    ACTIONS(1983), 1,
      anon_sym_static,
    STATE(585), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1986), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25476] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      sym_identifier,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      sym_number,
    ACTIONS(1945), 1,
      anon_sym_static,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    STATE(580), 1,
      aux_sym_class_body_repeat1,
    STATE(602), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    STATE(636), 1,
      sym_method_definition,
    STATE(960), 1,
      sym_public_field_definition,
    ACTIONS(1947), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25534] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1066), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25585] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1066), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25636] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25685] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1999), 1,
      anon_sym_STAR,
    ACTIONS(2001), 1,
      anon_sym_default,
    ACTIONS(2003), 1,
      anon_sym_LBRACE,
    ACTIONS(2005), 1,
      anon_sym_var,
    ACTIONS(2009), 1,
      anon_sym_class,
    ACTIONS(2011), 1,
      anon_sym_async,
    ACTIONS(2013), 1,
      anon_sym_function,
    STATE(635), 1,
      sym_decorator,
    STATE(752), 1,
      sym_export_clause,
    STATE(803), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(2007), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(220), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [25734] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25783] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1999), 1,
      anon_sym_STAR,
    ACTIONS(2001), 1,
      anon_sym_default,
    ACTIONS(2003), 1,
      anon_sym_LBRACE,
    ACTIONS(2005), 1,
      anon_sym_var,
    ACTIONS(2015), 1,
      anon_sym_class,
    ACTIONS(2017), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_function,
    STATE(635), 1,
      sym_decorator,
    STATE(752), 1,
      sym_export_clause,
    STATE(753), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(2007), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(220), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [25832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1066), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25878] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1061), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2023), 1,
      anon_sym_export,
    ACTIONS(2025), 1,
      anon_sym_class,
    ACTIONS(2027), 1,
      anon_sym_static,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25974] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26018] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26062] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26101] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      sym_number,
    ACTIONS(2033), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [26140] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1939), 1,
      anon_sym_LBRACK,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(2035), 1,
      anon_sym_async,
    ACTIONS(2037), 1,
      sym_number,
    ACTIONS(1935), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2039), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(693), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [26181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [26220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1061), 1,
      sym_identifier,
    ACTIONS(1066), 1,
      anon_sym_async,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 1,
      anon_sym_static,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    ACTIONS(1068), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26266] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_var,
    ACTIONS(2015), 1,
      anon_sym_class,
    ACTIONS(2017), 1,
      anon_sym_async,
    ACTIONS(2019), 1,
      anon_sym_function,
    ACTIONS(2041), 1,
      anon_sym_default,
    STATE(635), 1,
      sym_decorator,
    STATE(753), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(2007), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(232), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [26306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(2047), 1,
      anon_sym_DOT,
    STATE(624), 1,
      sym_arguments,
    ACTIONS(2045), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2043), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26336] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_var,
    ACTIONS(2009), 1,
      anon_sym_class,
    ACTIONS(2011), 1,
      anon_sym_async,
    ACTIONS(2013), 1,
      anon_sym_function,
    ACTIONS(2041), 1,
      anon_sym_default,
    STATE(635), 1,
      sym_decorator,
    STATE(803), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(2007), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(232), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [26376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      sym_number,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(2053), 1,
      anon_sym_DOT,
    STATE(626), 1,
      sym_arguments,
    ACTIONS(2051), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2049), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2055), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2059), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_AT,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
    ACTIONS(2065), 5,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
    ACTIONS(2063), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2072), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2074), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2076), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      sym_number,
    ACTIONS(2078), 1,
      anon_sym_async,
    ACTIONS(1061), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2033), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2082), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2086), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      sym_number,
    ACTIONS(2088), 1,
      anon_sym_EQ_GT,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26709] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      sym_number,
    ACTIONS(2094), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      sym_number,
    ACTIONS(2033), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1061), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2098), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26803] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2102), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26838] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_RPAREN,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2106), 1,
      sym_identifier,
    STATE(771), 1,
      sym_object,
    STATE(800), 1,
      sym_array,
    STATE(829), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2108), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26873] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2110), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2114), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2112), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26929] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2118), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26985] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2122), 1,
      sym_number,
    STATE(977), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27016] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2124), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2049), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2092), 1,
      sym_number,
    STATE(996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      sym_number,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27204] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2132), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_SEMI,
    ACTIONS(2136), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2138), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [27283] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2092), 1,
      sym_number,
    STATE(996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      sym_number,
    STATE(961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      sym_number,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    STATE(1015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2146), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [27422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(548), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2100), 1,
      sym_identifier,
    STATE(812), 1,
      sym_array,
    STATE(814), 1,
      sym_object,
    STATE(1009), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2104), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1997), 1,
      anon_sym_LBRACK,
    ACTIONS(2122), 1,
      sym_number,
    STATE(977), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1061), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2156), 1,
      anon_sym_SLASH,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    STATE(663), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_SLASH,
    STATE(673), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27552] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2164), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27587] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_SLASH,
    STATE(666), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27622] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2166), 1,
      anon_sym_SLASH,
    STATE(666), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27654] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2156), 1,
      anon_sym_SLASH,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    STATE(663), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2156), 1,
      anon_sym_SLASH,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    STATE(663), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      anon_sym_LT,
    ACTIONS(2170), 1,
      anon_sym_DQUOTE,
    ACTIONS(2172), 1,
      anon_sym_SQUOTE,
    STATE(668), 1,
      sym_jsx_opening_element,
    STATE(740), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [27744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      anon_sym_LT,
    ACTIONS(2170), 1,
      anon_sym_DQUOTE,
    ACTIONS(2172), 1,
      anon_sym_SQUOTE,
    STATE(668), 1,
      sym_jsx_opening_element,
    STATE(738), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [27770] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_SLASH,
    STATE(673), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27802] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2164), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27834] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2162), 1,
      anon_sym_SLASH,
    STATE(673), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2164), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27898] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2166), 1,
      anon_sym_SLASH,
    STATE(666), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27930] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2174), 1,
      anon_sym_GT,
    ACTIONS(2176), 1,
      anon_sym_SLASH,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27959] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2180), 1,
      anon_sym_LT,
    ACTIONS(2182), 1,
      sym_jsx_text,
    ACTIONS(2184), 1,
      sym_comment,
    STATE(553), 1,
      sym_jsx_closing_element,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(674), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2164), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28013] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_LT,
    ACTIONS(2188), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(872), 1,
      sym_jsx_closing_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28038] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_LT,
    ACTIONS(2190), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(886), 1,
      sym_jsx_closing_element,
    STATE(661), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2174), 1,
      anon_sym_GT,
    ACTIONS(2192), 1,
      anon_sym_SLASH,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2166), 1,
      anon_sym_SLASH,
    STATE(666), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2156), 1,
      anon_sym_SLASH,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    STATE(663), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2174), 1,
      anon_sym_GT,
    ACTIONS(2194), 1,
      anon_sym_SLASH,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28179] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    ACTIONS(2196), 1,
      anon_sym_LT,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(730), 1,
      sym_jsx_closing_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28204] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LT,
    ACTIONS(2198), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(729), 1,
      sym_jsx_closing_element,
    STATE(667), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28229] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    ACTIONS(2200), 1,
      anon_sym_LT,
    STATE(375), 1,
      sym_jsx_closing_element,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 1,
      sym_identifier,
    ACTIONS(2205), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_GT,
    ACTIONS(2210), 1,
      anon_sym_SLASH,
    ACTIONS(2212), 1,
      sym_jsx_identifier,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28283] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_LT,
    ACTIONS(2215), 1,
      sym_jsx_text,
    STATE(431), 1,
      sym_jsx_closing_element,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(669), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28308] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2154), 1,
      anon_sym_GT,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2162), 1,
      anon_sym_SLASH,
    STATE(673), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_LBRACE,
    ACTIONS(2158), 1,
      sym_jsx_identifier,
    ACTIONS(2174), 1,
      anon_sym_GT,
    ACTIONS(2217), 1,
      anon_sym_SLASH,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(701), 1,
      sym_jsx_namespace_name,
    STATE(718), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [28366] = 7,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2180), 1,
      anon_sym_LT,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    STATE(536), 1,
      sym_jsx_closing_element,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28391] = 6,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(2222), 1,
      anon_sym_LT,
    ACTIONS(2225), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28413] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    ACTIONS(2228), 1,
      anon_sym_LT,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28435] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LT,
    ACTIONS(2232), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(678), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28457] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    ACTIONS(2234), 1,
      anon_sym_LT,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28479] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_LT,
    ACTIONS(2238), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(680), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28501] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_jsx_text,
    ACTIONS(2240), 1,
      anon_sym_LT,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28523] = 6,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_LT,
    ACTIONS(2244), 1,
      sym_jsx_text,
    STATE(662), 1,
      sym_jsx_opening_element,
    STATE(676), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [28545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2250), 1,
      anon_sym_EQ,
    ACTIONS(2246), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2248), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      sym_identifier,
    STATE(607), 1,
      sym_decorator_member_expression,
    STATE(630), 1,
      sym_decorator_call_expression,
    ACTIONS(2254), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2260), 1,
      anon_sym_EQ,
    STATE(921), 1,
      sym__initializer,
    STATE(946), 1,
      sym_formal_parameters,
    ACTIONS(2258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [28603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_default,
    ACTIONS(2265), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_case,
    STATE(685), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2270), 1,
      sym_identifier,
    STATE(706), 1,
      sym_array,
    STATE(725), 1,
      sym_object,
    STATE(790), 1,
      sym_variable_declarator,
  [28643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_BQUOTE,
    ACTIONS(2276), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2272), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(703), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_default,
    ACTIONS(2280), 1,
      anon_sym_RBRACE,
    ACTIONS(2282), 1,
      anon_sym_case,
    STATE(697), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_DOT,
    ACTIONS(1483), 1,
      anon_sym_LBRACK,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
  [28699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2284), 1,
      anon_sym_BQUOTE,
    ACTIONS(2272), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(703), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2288), 1,
      anon_sym_BQUOTE,
    ACTIONS(2286), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(690), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2270), 1,
      sym_identifier,
    STATE(706), 1,
      sym_array,
    STATE(725), 1,
      sym_object,
    STATE(794), 1,
      sym_variable_declarator,
  [28757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2260), 1,
      anon_sym_EQ,
    STATE(893), 1,
      sym_formal_parameters,
    STATE(943), 1,
      sym__initializer,
    ACTIONS(2290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [28777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2294), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [28791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1422), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    STATE(541), 2,
      sym_template_string,
      sym_arguments,
  [28811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2298), 4,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
  [28825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_default,
    ACTIONS(2282), 1,
      anon_sym_case,
    ACTIONS(2300), 1,
      anon_sym_RBRACE,
    STATE(685), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    STATE(418), 2,
      sym_template_string,
      sym_arguments,
  [28863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2304), 1,
      anon_sym_BQUOTE,
    ACTIONS(2302), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(687), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    STATE(838), 1,
      aux_sym_object_repeat1,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [28901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_EQ,
    ACTIONS(2306), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2308), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    STATE(870), 1,
      aux_sym_object_repeat1,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [28937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 1,
      anon_sym_BQUOTE,
    ACTIONS(2317), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2312), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(703), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2270), 1,
      sym_identifier,
    STATE(706), 1,
      sym_array,
    STATE(725), 1,
      sym_object,
    STATE(849), 1,
      sym_variable_declarator,
  [28977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2322), 1,
      anon_sym_SLASH,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [28996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_EQ,
    STATE(868), 1,
      sym__initializer,
    ACTIONS(1633), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2326), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2328), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym_identifier,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    STATE(492), 1,
      sym_class_body,
    STATE(916), 1,
      sym_class_heritage,
  [29068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_EQ,
    STATE(839), 1,
      sym__initializer,
    ACTIONS(1424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2338), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_GT,
    ACTIONS(2344), 1,
      sym_jsx_identifier,
    STATE(648), 1,
      sym_nested_identifier,
    STATE(664), 1,
      sym_jsx_namespace_name,
  [29115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2346), 1,
      sym_identifier,
    STATE(513), 1,
      sym_class_body,
    STATE(978), 1,
      sym_class_heritage,
  [29134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2348), 1,
      sym_identifier,
    STATE(513), 1,
      sym_class_body,
    STATE(978), 1,
      sym_class_heritage,
  [29153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2350), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2352), 1,
      sym_identifier,
    STATE(513), 1,
      sym_class_body,
    STATE(978), 1,
      sym_class_heritage,
  [29191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(2354), 1,
      sym_identifier,
    STATE(1065), 1,
      sym_object,
    STATE(1067), 1,
      sym_array,
  [29210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2358), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1679), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1657), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1745), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(1993), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [29277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2360), 1,
      sym_identifier,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_class_body,
    STATE(942), 1,
      sym_class_heritage,
  [29296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2366), 1,
      anon_sym_GT,
    ACTIONS(2368), 1,
      sym_jsx_identifier,
    STATE(656), 1,
      sym_nested_identifier,
    STATE(660), 1,
      sym_jsx_namespace_name,
  [29315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_EQ,
    STATE(867), 1,
      sym__initializer,
    ACTIONS(1642), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2370), 1,
      anon_sym_export,
    ACTIONS(2372), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [29349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2374), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1709), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1703), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1631), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1675), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1741), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1721), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      sym_identifier,
    STATE(923), 1,
      sym_object,
    STATE(950), 1,
      sym_array,
  [29465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2378), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2380), 1,
      sym_identifier,
    STATE(492), 1,
      sym_class_body,
    STATE(916), 1,
      sym_class_heritage,
  [29503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2384), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2388), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2390), 1,
      sym_identifier,
    STATE(450), 1,
      sym_class_body,
    STATE(981), 1,
      sym_class_heritage,
  [29548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2394), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2334), 1,
      anon_sym_extends,
    ACTIONS(2396), 1,
      sym_identifier,
    STATE(492), 1,
      sym_class_body,
    STATE(916), 1,
      sym_class_heritage,
  [29580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      sym_identifier,
    ACTIONS(2400), 1,
      anon_sym_GT,
    ACTIONS(2402), 1,
      sym_jsx_identifier,
    STATE(649), 1,
      sym_nested_identifier,
    STATE(665), 1,
      sym_jsx_namespace_name,
  [29599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2404), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2406), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2408), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    ACTIONS(2410), 1,
      anon_sym_SLASH,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2412), 1,
      anon_sym_export,
    ACTIONS(2414), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [29694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      sym_jsx_identifier,
    STATE(653), 1,
      sym_nested_identifier,
    STATE(672), 1,
      sym_jsx_namespace_name,
  [29710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(473), 1,
      sym_class_body,
    STATE(892), 1,
      sym_class_heritage,
  [29726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    ACTIONS(2422), 1,
      anon_sym_RBRACE,
    STATE(855), 1,
      sym__import_export_specifier,
  [29742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      sym_identifier,
    ACTIONS(2426), 1,
      sym_jsx_identifier,
    STATE(1019), 1,
      sym_nested_identifier,
    STATE(1063), 1,
      sym_jsx_namespace_name,
  [29758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_from,
    STATE(963), 1,
      sym__from_clause,
    ACTIONS(2430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2432), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [29788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2434), 1,
      sym_identifier,
    ACTIONS(2436), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_formal_parameters,
  [29804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [29814] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_DQUOTE,
    ACTIONS(2442), 1,
      aux_sym_string_token1,
    ACTIONS(2444), 1,
      sym_escape_sequence,
    STATE(774), 1,
      aux_sym_string_repeat1,
  [29830] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_SQUOTE,
    ACTIONS(2448), 1,
      aux_sym_string_token2,
    ACTIONS(2450), 1,
      sym_escape_sequence,
    STATE(773), 1,
      aux_sym_string_repeat2,
  [29846] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2442), 1,
      aux_sym_string_token1,
    ACTIONS(2444), 1,
      sym_escape_sequence,
    ACTIONS(2446), 1,
      anon_sym_DQUOTE,
    STATE(774), 1,
      aux_sym_string_repeat1,
  [29862] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_SQUOTE,
    ACTIONS(2448), 1,
      aux_sym_string_token2,
    ACTIONS(2450), 1,
      sym_escape_sequence,
    STATE(773), 1,
      aux_sym_string_repeat2,
  [29878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(191), 1,
      sym_class_body,
    STATE(982), 1,
      sym_class_heritage,
  [29894] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_SQUOTE,
    ACTIONS(2454), 1,
      aux_sym_string_token2,
    ACTIONS(2456), 1,
      sym_escape_sequence,
    STATE(759), 1,
      aux_sym_string_repeat2,
  [29910] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_DQUOTE,
    ACTIONS(2458), 1,
      aux_sym_string_token1,
    ACTIONS(2460), 1,
      sym_escape_sequence,
    STATE(756), 1,
      aux_sym_string_repeat1,
  [29926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(2462), 1,
      anon_sym_COMMA,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    STATE(817), 1,
      aux_sym_formal_parameters_repeat1,
  [29942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(501), 1,
      sym_class_body,
    STATE(986), 1,
      sym_class_heritage,
  [29958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(2466), 1,
      anon_sym_COMMA,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    STATE(813), 1,
      aux_sym_formal_parameters_repeat1,
  [29974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(46), 1,
      sym_class_body,
    STATE(1031), 1,
      sym_class_heritage,
  [29990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(462), 1,
      sym_class_body,
    STATE(999), 1,
      sym_class_heritage,
  [30006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(199), 1,
      sym_class_body,
    STATE(1000), 1,
      sym_class_heritage,
  [30022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_extends,
    ACTIONS(2470), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_class_body,
    STATE(900), 1,
      sym_class_heritage,
  [30048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_COMMA,
    ACTIONS(2474), 1,
      anon_sym_RPAREN,
    ACTIONS(2476), 1,
      anon_sym_EQ,
    STATE(824), 1,
      aux_sym_formal_parameters_repeat1,
  [30064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(508), 1,
      sym_class_body,
    STATE(1004), 1,
      sym_class_heritage,
  [30080] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_SQUOTE,
    ACTIONS(2480), 1,
      aux_sym_string_token2,
    ACTIONS(2483), 1,
      sym_escape_sequence,
    STATE(773), 1,
      aux_sym_string_repeat2,
  [30096] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_DQUOTE,
    ACTIONS(2488), 1,
      aux_sym_string_token1,
    ACTIONS(2491), 1,
      sym_escape_sequence,
    STATE(774), 1,
      aux_sym_string_repeat1,
  [30112] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_DQUOTE,
    ACTIONS(2496), 1,
      aux_sym_string_token1,
    ACTIONS(2498), 1,
      sym_escape_sequence,
    STATE(779), 1,
      aux_sym_string_repeat1,
  [30128] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_SQUOTE,
    ACTIONS(2500), 1,
      aux_sym_string_token2,
    ACTIONS(2502), 1,
      sym_escape_sequence,
    STATE(782), 1,
      aux_sym_string_repeat2,
  [30144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      sym__import_export_specifier,
  [30160] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_SQUOTE,
    ACTIONS(2510), 1,
      aux_sym_string_token2,
    ACTIONS(2512), 1,
      sym_escape_sequence,
    STATE(757), 1,
      aux_sym_string_repeat2,
  [30176] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2442), 1,
      aux_sym_string_token1,
    ACTIONS(2444), 1,
      sym_escape_sequence,
    ACTIONS(2514), 1,
      anon_sym_DQUOTE,
    STATE(774), 1,
      aux_sym_string_repeat1,
  [30192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2516), 1,
      sym_identifier,
    ACTIONS(2518), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_formal_parameters,
  [30208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_extends,
    ACTIONS(2470), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_class_body,
    STATE(917), 1,
      sym_class_heritage,
  [30224] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2448), 1,
      aux_sym_string_token2,
    ACTIONS(2450), 1,
      sym_escape_sequence,
    ACTIONS(2514), 1,
      anon_sym_SQUOTE,
    STATE(773), 1,
      aux_sym_string_repeat2,
  [30240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30254] = 5,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_DQUOTE,
    ACTIONS(2524), 1,
      aux_sym_string_token1,
    ACTIONS(2526), 1,
      sym_escape_sequence,
    STATE(758), 1,
      aux_sym_string_repeat1,
  [30270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2530), 1,
      sym_identifier,
    ACTIONS(2532), 1,
      anon_sym_STAR,
    STATE(911), 1,
      sym_formal_parameters,
  [30310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2534), 1,
      sym_identifier,
    ACTIONS(2536), 1,
      anon_sym_STAR,
    STATE(911), 1,
      sym_formal_parameters,
  [30326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(370), 1,
      sym_class_body,
    STATE(1040), 1,
      sym_class_heritage,
  [30342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2540), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [30372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(49), 1,
      sym_class_body,
    STATE(907), 1,
      sym_class_heritage,
  [30388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2542), 1,
      sym_identifier,
    ACTIONS(2544), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_formal_parameters,
  [30404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(783), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2546), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_identifier,
    ACTIONS(2550), 1,
      sym_jsx_identifier,
    STATE(997), 1,
      sym_nested_identifier,
    STATE(1075), 1,
      sym_jsx_namespace_name,
  [30434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_jsx_identifier,
    STATE(1023), 1,
      sym_nested_identifier,
    STATE(1050), 1,
      sym_jsx_namespace_name,
  [30464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2416), 1,
      anon_sym_extends,
    STATE(427), 1,
      sym_class_body,
    STATE(920), 1,
      sym_class_heritage,
  [30480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      sym_identifier,
    ACTIONS(2563), 1,
      sym_jsx_identifier,
    STATE(1026), 1,
      sym_nested_identifier,
    STATE(1062), 1,
      sym_jsx_namespace_name,
  [30496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    ACTIONS(2567), 1,
      anon_sym_RPAREN,
    ACTIONS(2569), 1,
      anon_sym_EQ,
    STATE(888), 1,
      aux_sym_formal_parameters_repeat1,
  [30512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2571), 1,
      sym_identifier,
    ACTIONS(2573), 1,
      anon_sym_STAR,
    STATE(948), 1,
      sym_formal_parameters,
  [30528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2575), 1,
      sym_identifier,
    ACTIONS(2577), 1,
      anon_sym_STAR,
    STATE(911), 1,
      sym_formal_parameters,
  [30544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2579), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [30560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2581), 1,
      sym_identifier,
    ACTIONS(2583), 1,
      anon_sym_STAR,
    STATE(968), 1,
      sym_formal_parameters,
  [30576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LBRACE,
    ACTIONS(2585), 1,
      anon_sym_STAR,
    STATE(1048), 2,
      sym_namespace_import,
      sym_named_imports,
  [30590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2587), 1,
      anon_sym_COMMA,
    STATE(806), 1,
      aux_sym_array_repeat1,
    ACTIONS(1777), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2590), 1,
      anon_sym_class,
    STATE(611), 1,
      aux_sym_export_statement_repeat1,
    STATE(635), 1,
      sym_decorator,
  [30620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(828), 1,
      aux_sym_object_repeat1,
  [30643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_RBRACK,
    STATE(865), 1,
      aux_sym_array_repeat1,
  [30656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2594), 1,
      sym_identifier,
    STATE(991), 1,
      sym_formal_parameters,
  [30669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_EQ,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_RPAREN,
    ACTIONS(2598), 1,
      anon_sym_COMMA,
    STATE(826), 1,
      aux_sym_formal_parameters_repeat1,
  [30693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_EQ,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_EQ,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    ACTIONS(2606), 1,
      anon_sym_COMMA,
    STATE(826), 1,
      aux_sym_formal_parameters_repeat1,
  [30739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_COMMA,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(852), 1,
      aux_sym_named_imports_repeat1,
  [30752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      sym_identifier,
    STATE(927), 1,
      sym_formal_parameters,
  [30765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2614), 1,
      sym_identifier,
    STATE(1018), 1,
      sym_formal_parameters,
  [30778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_COMMA,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [30791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(822), 1,
      aux_sym_export_clause_repeat1,
  [30804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(945), 1,
      sym__import_export_specifier,
  [30817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_RPAREN,
    ACTIONS(2628), 1,
      anon_sym_COMMA,
    STATE(826), 1,
      aux_sym_formal_parameters_repeat1,
  [30830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2630), 1,
      anon_sym_RBRACK,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [30843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    STATE(826), 1,
      aux_sym_formal_parameters_repeat1,
  [30856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2635), 1,
      sym_identifier,
    STATE(927), 1,
      sym_formal_parameters,
  [30869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [30882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_COMMA,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    STATE(813), 1,
      aux_sym_formal_parameters_repeat1,
  [30895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      sym_identifier,
    STATE(927), 1,
      sym_formal_parameters,
  [30908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RBRACK,
    STATE(825), 1,
      aux_sym_array_repeat1,
  [30921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1018), 1,
      sym_formal_parameters,
  [30943] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2645), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2647), 1,
      anon_sym_LPAREN,
    ACTIONS(2649), 1,
      anon_sym_await,
    STATE(34), 1,
      sym__for_header,
  [30976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RBRACK,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [30989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [31002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 1,
      sym_identifier,
    ACTIONS(2657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [31031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 1,
      sym_identifier,
    ACTIONS(2663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    ACTIONS(2667), 1,
      anon_sym_await,
    STATE(32), 1,
      sym__for_header,
  [31055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2669), 1,
      anon_sym_GT,
  [31068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    STATE(1005), 1,
      sym__import_export_specifier,
  [31081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2673), 1,
      anon_sym_GT,
  [31094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 1,
      sym__automatic_semicolon,
    ACTIONS(494), 2,
      anon_sym_else,
      anon_sym_while,
  [31105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2675), 1,
      anon_sym_GT,
  [31118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31127] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2336), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2677), 1,
      sym_identifier,
    STATE(970), 1,
      sym_formal_parameters,
  [31149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      aux_sym_named_imports_repeat1,
  [31162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2683), 1,
      anon_sym_GT,
  [31175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2685), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 1,
      anon_sym_COMMA,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(881), 1,
      aux_sym_export_clause_repeat1,
  [31201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1005), 1,
      sym__import_export_specifier,
  [31214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_as,
    ACTIONS(2691), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2695), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [31234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [31243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1792), 1,
      anon_sym_RPAREN,
    STATE(871), 1,
      aux_sym_array_repeat1,
  [31256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1792), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(854), 1,
      aux_sym_array_repeat1,
  [31295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      aux_sym_named_imports_repeat1,
  [31308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2702), 1,
      anon_sym_RBRACK,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    STATE(912), 1,
      sym_string,
  [31334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [31365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [31378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_RPAREN,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31391] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(1629), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    ACTIONS(2716), 1,
      anon_sym_LPAREN,
    STATE(208), 1,
      sym_statement_block,
  [31413] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(1673), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31422] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2718), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2720), 1,
      sym_identifier,
    STATE(1018), 1,
      sym_formal_parameters,
  [31444] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(1739), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31453] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(1719), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_RBRACK,
    STATE(806), 1,
      aux_sym_array_repeat1,
  [31475] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2382), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_COMMA,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(822), 1,
      aux_sym_export_clause_repeat1,
  [31497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [31506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(945), 1,
      sym__import_export_specifier,
  [31519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(869), 1,
      aux_sym_object_repeat1,
  [31532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [31545] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(1701), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [31554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [31563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_RPAREN,
    ACTIONS(2732), 1,
      anon_sym_COMMA,
    STATE(826), 1,
      aux_sym_formal_parameters_repeat1,
  [31576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_object_repeat1,
  [31589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_COLON,
    STATE(946), 1,
      sym_formal_parameters,
  [31602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_statement_block,
  [31612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_class_body,
  [31622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym_statement_block,
  [31632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_statement_block,
  [31642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_statement_block,
  [31660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(903), 1,
      sym_formal_parameters,
  [31670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_formal_parameters,
  [31680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_STAR,
  [31690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_class_body,
  [31700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_STAR,
  [31710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(896), 1,
      sym_formal_parameters,
  [31720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_statement_block,
  [31730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_from,
    STATE(919), 1,
      sym__from_clause,
  [31740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_COMMA,
    ACTIONS(2752), 1,
      anon_sym_from,
  [31750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_statement_block,
  [31760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(48), 1,
      sym_class_body,
  [31770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1016), 1,
      sym_formal_parameters,
  [31788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(958), 1,
      sym_formal_parameters,
  [31798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_statement_block,
  [31808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(964), 1,
      sym_formal_parameters,
  [31826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    STATE(1005), 1,
      sym__import_export_specifier,
  [31836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(612), 1,
      sym_statement_block,
  [31846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_class_body,
  [31856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_LBRACE,
    STATE(209), 1,
      sym_class_body,
  [31866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(965), 1,
      sym_formal_parameters,
  [31876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    STATE(367), 1,
      sym_class_body,
  [31894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(975), 1,
      sym_parenthesized_expression,
  [31912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(51), 1,
      sym_statement_block,
  [31938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(925), 1,
      sym_formal_parameters,
  [31948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_statement_block,
  [31958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(976), 1,
      sym_formal_parameters,
  [31968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(2768), 1,
      anon_sym_STAR,
  [31978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(56), 1,
      sym_statement_block,
  [31996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
  [32006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(54), 1,
      sym_statement_block,
  [32016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1034), 1,
      sym_formal_parameters,
  [32026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_from,
    STATE(963), 1,
      sym__from_clause,
  [32044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_statement_block,
  [32062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_statement_block,
  [32072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_class_body,
  [32098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_statement_block,
  [32116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(616), 1,
      sym_statement_block,
  [32134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(932), 1,
      sym_formal_parameters,
  [32144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_statement_block,
  [32154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_statement_block,
  [32164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [32172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
    STATE(222), 1,
      sym_switch_body,
  [32182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(967), 1,
      sym_formal_parameters,
  [32192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_statement_block,
  [32218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [32236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACE,
    STATE(197), 1,
      sym_statement_block,
  [32246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1008), 1,
      sym_formal_parameters,
  [32256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(915), 1,
      sym_formal_parameters,
  [32274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(955), 1,
      sym_formal_parameters,
  [32284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_statement_block,
  [32302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_statement_block,
  [32312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1006), 1,
      sym_formal_parameters,
  [32322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_statement_block,
  [32332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_statement_block,
  [32342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_statement_block,
  [32352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_statement_block,
  [32362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(949), 1,
      sym_formal_parameters,
  [32372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1003), 1,
      sym_formal_parameters,
  [32382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(1002), 1,
      sym_formal_parameters,
  [32392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_parenthesized_expression,
  [32402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_statement_block,
  [32420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_formal_parameters,
  [32430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_class_body,
  [32440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      sym_identifier,
    ACTIONS(2800), 1,
      sym_jsx_identifier,
  [32450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_class_body,
  [32468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_class_body,
  [32478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(993), 1,
      sym_formal_parameters,
  [32488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(992), 1,
      sym_formal_parameters,
  [32498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [32506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_class_body,
  [32516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_statement_block,
  [32526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_identifier,
    ACTIONS(2808), 1,
      anon_sym_STAR,
  [32536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_statement_block,
  [32546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(987), 1,
      sym_formal_parameters,
  [32556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_statement_block,
  [32566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_statement_block,
  [32576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
  [32586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym_statement_block,
  [32596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2683), 1,
      anon_sym_GT,
  [32606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(994), 1,
      sym_formal_parameters,
  [32616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2683), 1,
      anon_sym_GT,
  [32626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_class_body,
  [32644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(209), 1,
      sym_class_body,
  [32654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_while,
    ACTIONS(2812), 1,
      anon_sym_else,
  [32664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
  [32674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
  [32684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_class_body,
  [32694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_statement_block,
  [32712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_statement_block,
  [32730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [32738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(931), 1,
      sym_formal_parameters,
  [32748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym__for_header,
  [32766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
  [32776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    STATE(188), 1,
      sym_statement_block,
  [32786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_formal_parameters,
  [32796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_statement_block,
  [32806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2675), 1,
      anon_sym_GT,
  [32816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_statement_block,
  [32826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2675), 1,
      anon_sym_GT,
  [32836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2822), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(933), 1,
      sym_formal_parameters,
  [32854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2673), 1,
      anon_sym_GT,
  [32864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2673), 1,
      anon_sym_GT,
  [32874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    ACTIONS(2669), 1,
      anon_sym_GT,
  [32892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2669), 1,
      anon_sym_GT,
  [32902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym_parenthesized_expression,
  [32912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
  [32930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
  [32940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_LBRACE,
    STATE(53), 1,
      sym_class_body,
  [32950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [32958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_LBRACE,
    STATE(197), 1,
      sym_statement_block,
  [32976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      sym_identifier,
    STATE(945), 1,
      sym__import_export_specifier,
  [32986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
  [32996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym__for_header,
  [33006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(2088), 1,
      anon_sym_EQ_GT,
  [33016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
    ACTIONS(2828), 1,
      anon_sym_EQ_GT,
  [33026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
  [33036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [33044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [33052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [33060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    STATE(891), 1,
      sym_formal_parameters,
  [33070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
  [33077] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2836), 1,
      sym_regex_pattern,
  [33084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      sym_identifier,
  [33091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_from,
  [33098] = 2,
    ACTIONS(2184), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_regex_pattern,
  [33105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_GT,
  [33112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_GT,
  [33119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_EQ,
  [33126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
  [33133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      sym_identifier,
  [33140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_GT,
  [33147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_EQ,
  [33154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_GT,
  [33161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_GT,
  [33168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
  [33175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_COLON,
  [33182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_GT,
  [33189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_GT,
  [33196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_GT,
  [33203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_GT,
  [33210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
  [33217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      sym_identifier,
  [33224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_RPAREN,
  [33231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LPAREN,
  [33238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      sym_identifier,
  [33245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      sym_identifier,
  [33252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
  [33259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_GT,
  [33266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      sym_identifier,
  [33273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_GT,
  [33280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_GT,
  [33287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_GT,
  [33294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_GT,
  [33301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
  [33308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_from,
  [33315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_SLASH2,
  [33322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
  [33329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_RBRACK,
  [33336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_from,
  [33343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_from,
  [33350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_from,
  [33357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_RBRACK,
  [33364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      sym_identifier,
  [33371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_GT,
  [33378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      sym_identifier,
  [33385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RBRACE,
  [33392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
  [33399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_GT,
  [33406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_EQ_GT,
  [33413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      sym_identifier,
  [33420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_LPAREN,
  [33427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_COLON,
  [33434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      sym_identifier,
  [33441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_target,
  [33448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_EQ_GT,
  [33455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
  [33462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_EQ_GT,
  [33469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_while,
  [33476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
  [33483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
  [33490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
  [33497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_EQ_GT,
  [33504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
  [33511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      sym_identifier,
  [33518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_SLASH2,
  [33525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_EQ_GT,
  [33532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_RPAREN,
  [33539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
  [33546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_GT,
  [33553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
  [33560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      sym_identifier,
  [33567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      sym_identifier,
  [33574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_RBRACE,
  [33581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_function,
  [33588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_from,
  [33595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      sym_identifier,
  [33602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_EQ_GT,
  [33609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_RPAREN,
  [33616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_GT,
  [33623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_target,
  [33630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_as,
  [33637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_EQ_GT,
  [33644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_RPAREN,
  [33651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_from,
  [33658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_EQ_GT,
  [33665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      ts_builtin_sym_end,
  [33672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_from,
  [33679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      sym_identifier,
  [33686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      sym_identifier,
  [33693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_identifier,
  [33700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_function,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(180)] = 0,
  [SMALL_STATE(181)] = 105,
  [SMALL_STATE(182)] = 210,
  [SMALL_STATE(183)] = 309,
  [SMALL_STATE(184)] = 382,
  [SMALL_STATE(185)] = 455,
  [SMALL_STATE(186)] = 554,
  [SMALL_STATE(187)] = 624,
  [SMALL_STATE(188)] = 694,
  [SMALL_STATE(189)] = 772,
  [SMALL_STATE(190)] = 844,
  [SMALL_STATE(191)] = 930,
  [SMALL_STATE(192)] = 999,
  [SMALL_STATE(193)] = 1066,
  [SMALL_STATE(194)] = 1135,
  [SMALL_STATE(195)] = 1202,
  [SMALL_STATE(196)] = 1269,
  [SMALL_STATE(197)] = 1338,
  [SMALL_STATE(198)] = 1407,
  [SMALL_STATE(199)] = 1474,
  [SMALL_STATE(200)] = 1543,
  [SMALL_STATE(201)] = 1610,
  [SMALL_STATE(202)] = 1677,
  [SMALL_STATE(203)] = 1744,
  [SMALL_STATE(204)] = 1811,
  [SMALL_STATE(205)] = 1878,
  [SMALL_STATE(206)] = 1947,
  [SMALL_STATE(207)] = 2016,
  [SMALL_STATE(208)] = 2101,
  [SMALL_STATE(209)] = 2168,
  [SMALL_STATE(210)] = 2237,
  [SMALL_STATE(211)] = 2306,
  [SMALL_STATE(212)] = 2375,
  [SMALL_STATE(213)] = 2441,
  [SMALL_STATE(214)] = 2507,
  [SMALL_STATE(215)] = 2573,
  [SMALL_STATE(216)] = 2639,
  [SMALL_STATE(217)] = 2705,
  [SMALL_STATE(218)] = 2771,
  [SMALL_STATE(219)] = 2837,
  [SMALL_STATE(220)] = 2903,
  [SMALL_STATE(221)] = 2969,
  [SMALL_STATE(222)] = 3035,
  [SMALL_STATE(223)] = 3101,
  [SMALL_STATE(224)] = 3167,
  [SMALL_STATE(225)] = 3233,
  [SMALL_STATE(226)] = 3301,
  [SMALL_STATE(227)] = 3367,
  [SMALL_STATE(228)] = 3433,
  [SMALL_STATE(229)] = 3499,
  [SMALL_STATE(230)] = 3565,
  [SMALL_STATE(231)] = 3631,
  [SMALL_STATE(232)] = 3697,
  [SMALL_STATE(233)] = 3763,
  [SMALL_STATE(234)] = 3829,
  [SMALL_STATE(235)] = 3895,
  [SMALL_STATE(236)] = 3961,
  [SMALL_STATE(237)] = 4027,
  [SMALL_STATE(238)] = 4093,
  [SMALL_STATE(239)] = 4159,
  [SMALL_STATE(240)] = 4225,
  [SMALL_STATE(241)] = 4291,
  [SMALL_STATE(242)] = 4357,
  [SMALL_STATE(243)] = 4423,
  [SMALL_STATE(244)] = 4489,
  [SMALL_STATE(245)] = 4555,
  [SMALL_STATE(246)] = 4621,
  [SMALL_STATE(247)] = 4687,
  [SMALL_STATE(248)] = 4753,
  [SMALL_STATE(249)] = 4819,
  [SMALL_STATE(250)] = 4885,
  [SMALL_STATE(251)] = 4951,
  [SMALL_STATE(252)] = 5017,
  [SMALL_STATE(253)] = 5083,
  [SMALL_STATE(254)] = 5149,
  [SMALL_STATE(255)] = 5215,
  [SMALL_STATE(256)] = 5281,
  [SMALL_STATE(257)] = 5365,
  [SMALL_STATE(258)] = 5452,
  [SMALL_STATE(259)] = 5535,
  [SMALL_STATE(260)] = 5620,
  [SMALL_STATE(261)] = 5705,
  [SMALL_STATE(262)] = 5793,
  [SMALL_STATE(263)] = 5877,
  [SMALL_STATE(264)] = 5961,
  [SMALL_STATE(265)] = 6022,
  [SMALL_STATE(266)] = 6083,
  [SMALL_STATE(267)] = 6144,
  [SMALL_STATE(268)] = 6205,
  [SMALL_STATE(269)] = 6266,
  [SMALL_STATE(270)] = 6327,
  [SMALL_STATE(271)] = 6388,
  [SMALL_STATE(272)] = 6449,
  [SMALL_STATE(273)] = 6510,
  [SMALL_STATE(274)] = 6583,
  [SMALL_STATE(275)] = 6656,
  [SMALL_STATE(276)] = 6716,
  [SMALL_STATE(277)] = 6776,
  [SMALL_STATE(278)] = 6844,
  [SMALL_STATE(279)] = 6912,
  [SMALL_STATE(280)] = 6972,
  [SMALL_STATE(281)] = 7048,
  [SMALL_STATE(282)] = 7116,
  [SMALL_STATE(283)] = 7192,
  [SMALL_STATE(284)] = 7252,
  [SMALL_STATE(285)] = 7315,
  [SMALL_STATE(286)] = 7386,
  [SMALL_STATE(287)] = 7457,
  [SMALL_STATE(288)] = 7532,
  [SMALL_STATE(289)] = 7600,
  [SMALL_STATE(290)] = 7670,
  [SMALL_STATE(291)] = 7728,
  [SMALL_STATE(292)] = 7796,
  [SMALL_STATE(293)] = 7854,
  [SMALL_STATE(294)] = 7912,
  [SMALL_STATE(295)] = 7970,
  [SMALL_STATE(296)] = 8036,
  [SMALL_STATE(297)] = 8102,
  [SMALL_STATE(298)] = 8168,
  [SMALL_STATE(299)] = 8236,
  [SMALL_STATE(300)] = 8306,
  [SMALL_STATE(301)] = 8374,
  [SMALL_STATE(302)] = 8445,
  [SMALL_STATE(303)] = 8506,
  [SMALL_STATE(304)] = 8563,
  [SMALL_STATE(305)] = 8628,
  [SMALL_STATE(306)] = 8685,
  [SMALL_STATE(307)] = 8756,
  [SMALL_STATE(308)] = 8813,
  [SMALL_STATE(309)] = 8879,
  [SMALL_STATE(310)] = 8946,
  [SMALL_STATE(311)] = 9013,
  [SMALL_STATE(312)] = 9080,
  [SMALL_STATE(313)] = 9147,
  [SMALL_STATE(314)] = 9209,
  [SMALL_STATE(315)] = 9271,
  [SMALL_STATE(316)] = 9338,
  [SMALL_STATE(317)] = 9420,
  [SMALL_STATE(318)] = 9468,
  [SMALL_STATE(319)] = 9550,
  [SMALL_STATE(320)] = 9604,
  [SMALL_STATE(321)] = 9686,
  [SMALL_STATE(322)] = 9768,
  [SMALL_STATE(323)] = 9816,
  [SMALL_STATE(324)] = 9892,
  [SMALL_STATE(325)] = 9974,
  [SMALL_STATE(326)] = 10028,
  [SMALL_STATE(327)] = 10082,
  [SMALL_STATE(328)] = 10134,
  [SMALL_STATE(329)] = 10194,
  [SMALL_STATE(330)] = 10254,
  [SMALL_STATE(331)] = 10314,
  [SMALL_STATE(332)] = 10372,
  [SMALL_STATE(333)] = 10434,
  [SMALL_STATE(334)] = 10514,
  [SMALL_STATE(335)] = 10596,
  [SMALL_STATE(336)] = 10678,
  [SMALL_STATE(337)] = 10760,
  [SMALL_STATE(338)] = 10842,
  [SMALL_STATE(339)] = 10924,
  [SMALL_STATE(340)] = 10984,
  [SMALL_STATE(341)] = 11066,
  [SMALL_STATE(342)] = 11114,
  [SMALL_STATE(343)] = 11162,
  [SMALL_STATE(344)] = 11228,
  [SMALL_STATE(345)] = 11310,
  [SMALL_STATE(346)] = 11358,
  [SMALL_STATE(347)] = 11406,
  [SMALL_STATE(348)] = 11488,
  [SMALL_STATE(349)] = 11536,
  [SMALL_STATE(350)] = 11618,
  [SMALL_STATE(351)] = 11666,
  [SMALL_STATE(352)] = 11734,
  [SMALL_STATE(353)] = 11806,
  [SMALL_STATE(354)] = 11858,
  [SMALL_STATE(355)] = 11940,
  [SMALL_STATE(356)] = 12022,
  [SMALL_STATE(357)] = 12071,
  [SMALL_STATE(358)] = 12120,
  [SMALL_STATE(359)] = 12169,
  [SMALL_STATE(360)] = 12218,
  [SMALL_STATE(361)] = 12301,
  [SMALL_STATE(362)] = 12350,
  [SMALL_STATE(363)] = 12401,
  [SMALL_STATE(364)] = 12450,
  [SMALL_STATE(365)] = 12496,
  [SMALL_STATE(366)] = 12546,
  [SMALL_STATE(367)] = 12592,
  [SMALL_STATE(368)] = 12638,
  [SMALL_STATE(369)] = 12718,
  [SMALL_STATE(370)] = 12764,
  [SMALL_STATE(371)] = 12810,
  [SMALL_STATE(372)] = 12890,
  [SMALL_STATE(373)] = 12970,
  [SMALL_STATE(374)] = 13050,
  [SMALL_STATE(375)] = 13130,
  [SMALL_STATE(376)] = 13176,
  [SMALL_STATE(377)] = 13232,
  [SMALL_STATE(378)] = 13278,
  [SMALL_STATE(379)] = 13334,
  [SMALL_STATE(380)] = 13380,
  [SMALL_STATE(381)] = 13426,
  [SMALL_STATE(382)] = 13472,
  [SMALL_STATE(383)] = 13518,
  [SMALL_STATE(384)] = 13564,
  [SMALL_STATE(385)] = 13644,
  [SMALL_STATE(386)] = 13690,
  [SMALL_STATE(387)] = 13736,
  [SMALL_STATE(388)] = 13782,
  [SMALL_STATE(389)] = 13862,
  [SMALL_STATE(390)] = 13908,
  [SMALL_STATE(391)] = 13988,
  [SMALL_STATE(392)] = 14034,
  [SMALL_STATE(393)] = 14080,
  [SMALL_STATE(394)] = 14160,
  [SMALL_STATE(395)] = 14240,
  [SMALL_STATE(396)] = 14290,
  [SMALL_STATE(397)] = 14336,
  [SMALL_STATE(398)] = 14382,
  [SMALL_STATE(399)] = 14428,
  [SMALL_STATE(400)] = 14474,
  [SMALL_STATE(401)] = 14520,
  [SMALL_STATE(402)] = 14566,
  [SMALL_STATE(403)] = 14612,
  [SMALL_STATE(404)] = 14664,
  [SMALL_STATE(405)] = 14744,
  [SMALL_STATE(406)] = 14804,
  [SMALL_STATE(407)] = 14850,
  [SMALL_STATE(408)] = 14896,
  [SMALL_STATE(409)] = 14962,
  [SMALL_STATE(410)] = 15042,
  [SMALL_STATE(411)] = 15112,
  [SMALL_STATE(412)] = 15186,
  [SMALL_STATE(413)] = 15250,
  [SMALL_STATE(414)] = 15308,
  [SMALL_STATE(415)] = 15386,
  [SMALL_STATE(416)] = 15466,
  [SMALL_STATE(417)] = 15546,
  [SMALL_STATE(418)] = 15592,
  [SMALL_STATE(419)] = 15638,
  [SMALL_STATE(420)] = 15718,
  [SMALL_STATE(421)] = 15764,
  [SMALL_STATE(422)] = 15820,
  [SMALL_STATE(423)] = 15878,
  [SMALL_STATE(424)] = 15936,
  [SMALL_STATE(425)] = 16016,
  [SMALL_STATE(426)] = 16074,
  [SMALL_STATE(427)] = 16120,
  [SMALL_STATE(428)] = 16166,
  [SMALL_STATE(429)] = 16218,
  [SMALL_STATE(430)] = 16264,
  [SMALL_STATE(431)] = 16310,
  [SMALL_STATE(432)] = 16356,
  [SMALL_STATE(433)] = 16402,
  [SMALL_STATE(434)] = 16454,
  [SMALL_STATE(435)] = 16500,
  [SMALL_STATE(436)] = 16546,
  [SMALL_STATE(437)] = 16592,
  [SMALL_STATE(438)] = 16638,
  [SMALL_STATE(439)] = 16718,
  [SMALL_STATE(440)] = 16764,
  [SMALL_STATE(441)] = 16810,
  [SMALL_STATE(442)] = 16856,
  [SMALL_STATE(443)] = 16902,
  [SMALL_STATE(444)] = 16948,
  [SMALL_STATE(445)] = 16994,
  [SMALL_STATE(446)] = 17040,
  [SMALL_STATE(447)] = 17086,
  [SMALL_STATE(448)] = 17132,
  [SMALL_STATE(449)] = 17178,
  [SMALL_STATE(450)] = 17262,
  [SMALL_STATE(451)] = 17308,
  [SMALL_STATE(452)] = 17392,
  [SMALL_STATE(453)] = 17438,
  [SMALL_STATE(454)] = 17522,
  [SMALL_STATE(455)] = 17568,
  [SMALL_STATE(456)] = 17614,
  [SMALL_STATE(457)] = 17698,
  [SMALL_STATE(458)] = 17781,
  [SMALL_STATE(459)] = 17860,
  [SMALL_STATE(460)] = 17909,
  [SMALL_STATE(461)] = 17992,
  [SMALL_STATE(462)] = 18041,
  [SMALL_STATE(463)] = 18090,
  [SMALL_STATE(464)] = 18139,
  [SMALL_STATE(465)] = 18188,
  [SMALL_STATE(466)] = 18267,
  [SMALL_STATE(467)] = 18316,
  [SMALL_STATE(468)] = 18365,
  [SMALL_STATE(469)] = 18414,
  [SMALL_STATE(470)] = 18497,
  [SMALL_STATE(471)] = 18576,
  [SMALL_STATE(472)] = 18625,
  [SMALL_STATE(473)] = 18706,
  [SMALL_STATE(474)] = 18755,
  [SMALL_STATE(475)] = 18804,
  [SMALL_STATE(476)] = 18851,
  [SMALL_STATE(477)] = 18898,
  [SMALL_STATE(478)] = 18981,
  [SMALL_STATE(479)] = 19064,
  [SMALL_STATE(480)] = 19147,
  [SMALL_STATE(481)] = 19194,
  [SMALL_STATE(482)] = 19275,
  [SMALL_STATE(483)] = 19322,
  [SMALL_STATE(484)] = 19401,
  [SMALL_STATE(485)] = 19480,
  [SMALL_STATE(486)] = 19559,
  [SMALL_STATE(487)] = 19638,
  [SMALL_STATE(488)] = 19717,
  [SMALL_STATE(489)] = 19798,
  [SMALL_STATE(490)] = 19849,
  [SMALL_STATE(491)] = 19900,
  [SMALL_STATE(492)] = 19981,
  [SMALL_STATE(493)] = 20025,
  [SMALL_STATE(494)] = 20069,
  [SMALL_STATE(495)] = 20121,
  [SMALL_STATE(496)] = 20201,
  [SMALL_STATE(497)] = 20281,
  [SMALL_STATE(498)] = 20359,
  [SMALL_STATE(499)] = 20437,
  [SMALL_STATE(500)] = 20515,
  [SMALL_STATE(501)] = 20593,
  [SMALL_STATE(502)] = 20637,
  [SMALL_STATE(503)] = 20717,
  [SMALL_STATE(504)] = 20797,
  [SMALL_STATE(505)] = 20877,
  [SMALL_STATE(506)] = 20955,
  [SMALL_STATE(507)] = 20999,
  [SMALL_STATE(508)] = 21043,
  [SMALL_STATE(509)] = 21087,
  [SMALL_STATE(510)] = 21167,
  [SMALL_STATE(511)] = 21247,
  [SMALL_STATE(512)] = 21291,
  [SMALL_STATE(513)] = 21371,
  [SMALL_STATE(514)] = 21415,
  [SMALL_STATE(515)] = 21459,
  [SMALL_STATE(516)] = 21503,
  [SMALL_STATE(517)] = 21547,
  [SMALL_STATE(518)] = 21591,
  [SMALL_STATE(519)] = 21635,
  [SMALL_STATE(520)] = 21679,
  [SMALL_STATE(521)] = 21759,
  [SMALL_STATE(522)] = 21803,
  [SMALL_STATE(523)] = 21847,
  [SMALL_STATE(524)] = 21891,
  [SMALL_STATE(525)] = 21971,
  [SMALL_STATE(526)] = 22015,
  [SMALL_STATE(527)] = 22059,
  [SMALL_STATE(528)] = 22139,
  [SMALL_STATE(529)] = 22191,
  [SMALL_STATE(530)] = 22237,
  [SMALL_STATE(531)] = 22281,
  [SMALL_STATE(532)] = 22361,
  [SMALL_STATE(533)] = 22407,
  [SMALL_STATE(534)] = 22451,
  [SMALL_STATE(535)] = 22499,
  [SMALL_STATE(536)] = 22543,
  [SMALL_STATE(537)] = 22587,
  [SMALL_STATE(538)] = 22631,
  [SMALL_STATE(539)] = 22675,
  [SMALL_STATE(540)] = 22755,
  [SMALL_STATE(541)] = 22799,
  [SMALL_STATE(542)] = 22843,
  [SMALL_STATE(543)] = 22923,
  [SMALL_STATE(544)] = 22967,
  [SMALL_STATE(545)] = 23011,
  [SMALL_STATE(546)] = 23091,
  [SMALL_STATE(547)] = 23135,
  [SMALL_STATE(548)] = 23179,
  [SMALL_STATE(549)] = 23259,
  [SMALL_STATE(550)] = 23303,
  [SMALL_STATE(551)] = 23347,
  [SMALL_STATE(552)] = 23391,
  [SMALL_STATE(553)] = 23435,
  [SMALL_STATE(554)] = 23479,
  [SMALL_STATE(555)] = 23523,
  [SMALL_STATE(556)] = 23567,
  [SMALL_STATE(557)] = 23645,
  [SMALL_STATE(558)] = 23725,
  [SMALL_STATE(559)] = 23769,
  [SMALL_STATE(560)] = 23849,
  [SMALL_STATE(561)] = 23929,
  [SMALL_STATE(562)] = 24007,
  [SMALL_STATE(563)] = 24051,
  [SMALL_STATE(564)] = 24095,
  [SMALL_STATE(565)] = 24172,
  [SMALL_STATE(566)] = 24249,
  [SMALL_STATE(567)] = 24296,
  [SMALL_STATE(568)] = 24373,
  [SMALL_STATE(569)] = 24420,
  [SMALL_STATE(570)] = 24497,
  [SMALL_STATE(571)] = 24574,
  [SMALL_STATE(572)] = 24622,
  [SMALL_STATE(573)] = 24670,
  [SMALL_STATE(574)] = 24718,
  [SMALL_STATE(575)] = 24792,
  [SMALL_STATE(576)] = 24840,
  [SMALL_STATE(577)] = 24914,
  [SMALL_STATE(578)] = 24987,
  [SMALL_STATE(579)] = 25060,
  [SMALL_STATE(580)] = 25128,
  [SMALL_STATE(581)] = 25186,
  [SMALL_STATE(582)] = 25244,
  [SMALL_STATE(583)] = 25302,
  [SMALL_STATE(584)] = 25360,
  [SMALL_STATE(585)] = 25418,
  [SMALL_STATE(586)] = 25476,
  [SMALL_STATE(587)] = 25534,
  [SMALL_STATE(588)] = 25585,
  [SMALL_STATE(589)] = 25636,
  [SMALL_STATE(590)] = 25685,
  [SMALL_STATE(591)] = 25734,
  [SMALL_STATE(592)] = 25783,
  [SMALL_STATE(593)] = 25832,
  [SMALL_STATE(594)] = 25878,
  [SMALL_STATE(595)] = 25930,
  [SMALL_STATE(596)] = 25974,
  [SMALL_STATE(597)] = 26018,
  [SMALL_STATE(598)] = 26062,
  [SMALL_STATE(599)] = 26101,
  [SMALL_STATE(600)] = 26140,
  [SMALL_STATE(601)] = 26181,
  [SMALL_STATE(602)] = 26220,
  [SMALL_STATE(603)] = 26266,
  [SMALL_STATE(604)] = 26306,
  [SMALL_STATE(605)] = 26336,
  [SMALL_STATE(606)] = 26376,
  [SMALL_STATE(607)] = 26410,
  [SMALL_STATE(608)] = 26440,
  [SMALL_STATE(609)] = 26474,
  [SMALL_STATE(610)] = 26497,
  [SMALL_STATE(611)] = 26520,
  [SMALL_STATE(612)] = 26549,
  [SMALL_STATE(613)] = 26571,
  [SMALL_STATE(614)] = 26593,
  [SMALL_STATE(615)] = 26631,
  [SMALL_STATE(616)] = 26653,
  [SMALL_STATE(617)] = 26675,
  [SMALL_STATE(618)] = 26709,
  [SMALL_STATE(619)] = 26745,
  [SMALL_STATE(620)] = 26781,
  [SMALL_STATE(621)] = 26803,
  [SMALL_STATE(622)] = 26838,
  [SMALL_STATE(623)] = 26873,
  [SMALL_STATE(624)] = 26908,
  [SMALL_STATE(625)] = 26929,
  [SMALL_STATE(626)] = 26964,
  [SMALL_STATE(627)] = 26985,
  [SMALL_STATE(628)] = 27016,
  [SMALL_STATE(629)] = 27051,
  [SMALL_STATE(630)] = 27086,
  [SMALL_STATE(631)] = 27107,
  [SMALL_STATE(632)] = 27142,
  [SMALL_STATE(633)] = 27173,
  [SMALL_STATE(634)] = 27204,
  [SMALL_STATE(635)] = 27239,
  [SMALL_STATE(636)] = 27260,
  [SMALL_STATE(637)] = 27283,
  [SMALL_STATE(638)] = 27318,
  [SMALL_STATE(639)] = 27346,
  [SMALL_STATE(640)] = 27374,
  [SMALL_STATE(641)] = 27402,
  [SMALL_STATE(642)] = 27422,
  [SMALL_STATE(643)] = 27454,
  [SMALL_STATE(644)] = 27482,
  [SMALL_STATE(645)] = 27517,
  [SMALL_STATE(646)] = 27552,
  [SMALL_STATE(647)] = 27587,
  [SMALL_STATE(648)] = 27622,
  [SMALL_STATE(649)] = 27654,
  [SMALL_STATE(650)] = 27686,
  [SMALL_STATE(651)] = 27718,
  [SMALL_STATE(652)] = 27744,
  [SMALL_STATE(653)] = 27770,
  [SMALL_STATE(654)] = 27802,
  [SMALL_STATE(655)] = 27834,
  [SMALL_STATE(656)] = 27866,
  [SMALL_STATE(657)] = 27898,
  [SMALL_STATE(658)] = 27930,
  [SMALL_STATE(659)] = 27959,
  [SMALL_STATE(660)] = 27984,
  [SMALL_STATE(661)] = 28013,
  [SMALL_STATE(662)] = 28038,
  [SMALL_STATE(663)] = 28063,
  [SMALL_STATE(664)] = 28092,
  [SMALL_STATE(665)] = 28121,
  [SMALL_STATE(666)] = 28150,
  [SMALL_STATE(667)] = 28179,
  [SMALL_STATE(668)] = 28204,
  [SMALL_STATE(669)] = 28229,
  [SMALL_STATE(670)] = 28254,
  [SMALL_STATE(671)] = 28283,
  [SMALL_STATE(672)] = 28308,
  [SMALL_STATE(673)] = 28337,
  [SMALL_STATE(674)] = 28366,
  [SMALL_STATE(675)] = 28391,
  [SMALL_STATE(676)] = 28413,
  [SMALL_STATE(677)] = 28435,
  [SMALL_STATE(678)] = 28457,
  [SMALL_STATE(679)] = 28479,
  [SMALL_STATE(680)] = 28501,
  [SMALL_STATE(681)] = 28523,
  [SMALL_STATE(682)] = 28545,
  [SMALL_STATE(683)] = 28564,
  [SMALL_STATE(684)] = 28583,
  [SMALL_STATE(685)] = 28603,
  [SMALL_STATE(686)] = 28621,
  [SMALL_STATE(687)] = 28643,
  [SMALL_STATE(688)] = 28661,
  [SMALL_STATE(689)] = 28679,
  [SMALL_STATE(690)] = 28699,
  [SMALL_STATE(691)] = 28717,
  [SMALL_STATE(692)] = 28735,
  [SMALL_STATE(693)] = 28757,
  [SMALL_STATE(694)] = 28777,
  [SMALL_STATE(695)] = 28791,
  [SMALL_STATE(696)] = 28811,
  [SMALL_STATE(697)] = 28825,
  [SMALL_STATE(698)] = 28843,
  [SMALL_STATE(699)] = 28863,
  [SMALL_STATE(700)] = 28881,
  [SMALL_STATE(701)] = 28901,
  [SMALL_STATE(702)] = 28917,
  [SMALL_STATE(703)] = 28937,
  [SMALL_STATE(704)] = 28955,
  [SMALL_STATE(705)] = 28977,
  [SMALL_STATE(706)] = 28996,
  [SMALL_STATE(707)] = 29011,
  [SMALL_STATE(708)] = 29030,
  [SMALL_STATE(709)] = 29049,
  [SMALL_STATE(710)] = 29068,
  [SMALL_STATE(711)] = 29083,
  [SMALL_STATE(712)] = 29096,
  [SMALL_STATE(713)] = 29115,
  [SMALL_STATE(714)] = 29134,
  [SMALL_STATE(715)] = 29153,
  [SMALL_STATE(716)] = 29172,
  [SMALL_STATE(717)] = 29191,
  [SMALL_STATE(718)] = 29210,
  [SMALL_STATE(719)] = 29223,
  [SMALL_STATE(720)] = 29236,
  [SMALL_STATE(721)] = 29249,
  [SMALL_STATE(722)] = 29262,
  [SMALL_STATE(723)] = 29277,
  [SMALL_STATE(724)] = 29296,
  [SMALL_STATE(725)] = 29315,
  [SMALL_STATE(726)] = 29330,
  [SMALL_STATE(727)] = 29349,
  [SMALL_STATE(728)] = 29368,
  [SMALL_STATE(729)] = 29381,
  [SMALL_STATE(730)] = 29394,
  [SMALL_STATE(731)] = 29407,
  [SMALL_STATE(732)] = 29420,
  [SMALL_STATE(733)] = 29433,
  [SMALL_STATE(734)] = 29446,
  [SMALL_STATE(735)] = 29465,
  [SMALL_STATE(736)] = 29484,
  [SMALL_STATE(737)] = 29503,
  [SMALL_STATE(738)] = 29516,
  [SMALL_STATE(739)] = 29529,
  [SMALL_STATE(740)] = 29548,
  [SMALL_STATE(741)] = 29561,
  [SMALL_STATE(742)] = 29580,
  [SMALL_STATE(743)] = 29599,
  [SMALL_STATE(744)] = 29618,
  [SMALL_STATE(745)] = 29637,
  [SMALL_STATE(746)] = 29656,
  [SMALL_STATE(747)] = 29675,
  [SMALL_STATE(748)] = 29694,
  [SMALL_STATE(749)] = 29710,
  [SMALL_STATE(750)] = 29726,
  [SMALL_STATE(751)] = 29742,
  [SMALL_STATE(752)] = 29758,
  [SMALL_STATE(753)] = 29772,
  [SMALL_STATE(754)] = 29788,
  [SMALL_STATE(755)] = 29804,
  [SMALL_STATE(756)] = 29814,
  [SMALL_STATE(757)] = 29830,
  [SMALL_STATE(758)] = 29846,
  [SMALL_STATE(759)] = 29862,
  [SMALL_STATE(760)] = 29878,
  [SMALL_STATE(761)] = 29894,
  [SMALL_STATE(762)] = 29910,
  [SMALL_STATE(763)] = 29926,
  [SMALL_STATE(764)] = 29942,
  [SMALL_STATE(765)] = 29958,
  [SMALL_STATE(766)] = 29974,
  [SMALL_STATE(767)] = 29990,
  [SMALL_STATE(768)] = 30006,
  [SMALL_STATE(769)] = 30022,
  [SMALL_STATE(770)] = 30032,
  [SMALL_STATE(771)] = 30048,
  [SMALL_STATE(772)] = 30064,
  [SMALL_STATE(773)] = 30080,
  [SMALL_STATE(774)] = 30096,
  [SMALL_STATE(775)] = 30112,
  [SMALL_STATE(776)] = 30128,
  [SMALL_STATE(777)] = 30144,
  [SMALL_STATE(778)] = 30160,
  [SMALL_STATE(779)] = 30176,
  [SMALL_STATE(780)] = 30192,
  [SMALL_STATE(781)] = 30208,
  [SMALL_STATE(782)] = 30224,
  [SMALL_STATE(783)] = 30240,
  [SMALL_STATE(784)] = 30254,
  [SMALL_STATE(785)] = 30270,
  [SMALL_STATE(786)] = 30284,
  [SMALL_STATE(787)] = 30294,
  [SMALL_STATE(788)] = 30310,
  [SMALL_STATE(789)] = 30326,
  [SMALL_STATE(790)] = 30342,
  [SMALL_STATE(791)] = 30356,
  [SMALL_STATE(792)] = 30372,
  [SMALL_STATE(793)] = 30388,
  [SMALL_STATE(794)] = 30404,
  [SMALL_STATE(795)] = 30418,
  [SMALL_STATE(796)] = 30434,
  [SMALL_STATE(797)] = 30448,
  [SMALL_STATE(798)] = 30464,
  [SMALL_STATE(799)] = 30480,
  [SMALL_STATE(800)] = 30496,
  [SMALL_STATE(801)] = 30512,
  [SMALL_STATE(802)] = 30528,
  [SMALL_STATE(803)] = 30544,
  [SMALL_STATE(804)] = 30560,
  [SMALL_STATE(805)] = 30576,
  [SMALL_STATE(806)] = 30590,
  [SMALL_STATE(807)] = 30604,
  [SMALL_STATE(808)] = 30620,
  [SMALL_STATE(809)] = 30630,
  [SMALL_STATE(810)] = 30643,
  [SMALL_STATE(811)] = 30656,
  [SMALL_STATE(812)] = 30669,
  [SMALL_STATE(813)] = 30680,
  [SMALL_STATE(814)] = 30693,
  [SMALL_STATE(815)] = 30704,
  [SMALL_STATE(816)] = 30715,
  [SMALL_STATE(817)] = 30726,
  [SMALL_STATE(818)] = 30739,
  [SMALL_STATE(819)] = 30752,
  [SMALL_STATE(820)] = 30765,
  [SMALL_STATE(821)] = 30778,
  [SMALL_STATE(822)] = 30791,
  [SMALL_STATE(823)] = 30804,
  [SMALL_STATE(824)] = 30817,
  [SMALL_STATE(825)] = 30830,
  [SMALL_STATE(826)] = 30843,
  [SMALL_STATE(827)] = 30856,
  [SMALL_STATE(828)] = 30869,
  [SMALL_STATE(829)] = 30882,
  [SMALL_STATE(830)] = 30895,
  [SMALL_STATE(831)] = 30908,
  [SMALL_STATE(832)] = 30921,
  [SMALL_STATE(833)] = 30930,
  [SMALL_STATE(834)] = 30943,
  [SMALL_STATE(835)] = 30952,
  [SMALL_STATE(836)] = 30963,
  [SMALL_STATE(837)] = 30976,
  [SMALL_STATE(838)] = 30989,
  [SMALL_STATE(839)] = 31002,
  [SMALL_STATE(840)] = 31011,
  [SMALL_STATE(841)] = 31022,
  [SMALL_STATE(842)] = 31031,
  [SMALL_STATE(843)] = 31042,
  [SMALL_STATE(844)] = 31055,
  [SMALL_STATE(845)] = 31068,
  [SMALL_STATE(846)] = 31081,
  [SMALL_STATE(847)] = 31094,
  [SMALL_STATE(848)] = 31105,
  [SMALL_STATE(849)] = 31118,
  [SMALL_STATE(850)] = 31127,
  [SMALL_STATE(851)] = 31136,
  [SMALL_STATE(852)] = 31149,
  [SMALL_STATE(853)] = 31162,
  [SMALL_STATE(854)] = 31175,
  [SMALL_STATE(855)] = 31188,
  [SMALL_STATE(856)] = 31201,
  [SMALL_STATE(857)] = 31214,
  [SMALL_STATE(858)] = 31225,
  [SMALL_STATE(859)] = 31234,
  [SMALL_STATE(860)] = 31243,
  [SMALL_STATE(861)] = 31256,
  [SMALL_STATE(862)] = 31269,
  [SMALL_STATE(863)] = 31282,
  [SMALL_STATE(864)] = 31295,
  [SMALL_STATE(865)] = 31308,
  [SMALL_STATE(866)] = 31321,
  [SMALL_STATE(867)] = 31334,
  [SMALL_STATE(868)] = 31343,
  [SMALL_STATE(869)] = 31352,
  [SMALL_STATE(870)] = 31365,
  [SMALL_STATE(871)] = 31378,
  [SMALL_STATE(872)] = 31391,
  [SMALL_STATE(873)] = 31400,
  [SMALL_STATE(874)] = 31413,
  [SMALL_STATE(875)] = 31422,
  [SMALL_STATE(876)] = 31431,
  [SMALL_STATE(877)] = 31444,
  [SMALL_STATE(878)] = 31453,
  [SMALL_STATE(879)] = 31462,
  [SMALL_STATE(880)] = 31475,
  [SMALL_STATE(881)] = 31484,
  [SMALL_STATE(882)] = 31497,
  [SMALL_STATE(883)] = 31506,
  [SMALL_STATE(884)] = 31519,
  [SMALL_STATE(885)] = 31532,
  [SMALL_STATE(886)] = 31545,
  [SMALL_STATE(887)] = 31554,
  [SMALL_STATE(888)] = 31563,
  [SMALL_STATE(889)] = 31576,
  [SMALL_STATE(890)] = 31589,
  [SMALL_STATE(891)] = 31602,
  [SMALL_STATE(892)] = 31612,
  [SMALL_STATE(893)] = 31622,
  [SMALL_STATE(894)] = 31632,
  [SMALL_STATE(895)] = 31642,
  [SMALL_STATE(896)] = 31650,
  [SMALL_STATE(897)] = 31660,
  [SMALL_STATE(898)] = 31670,
  [SMALL_STATE(899)] = 31680,
  [SMALL_STATE(900)] = 31690,
  [SMALL_STATE(901)] = 31700,
  [SMALL_STATE(902)] = 31710,
  [SMALL_STATE(903)] = 31720,
  [SMALL_STATE(904)] = 31730,
  [SMALL_STATE(905)] = 31740,
  [SMALL_STATE(906)] = 31750,
  [SMALL_STATE(907)] = 31760,
  [SMALL_STATE(908)] = 31770,
  [SMALL_STATE(909)] = 31778,
  [SMALL_STATE(910)] = 31788,
  [SMALL_STATE(911)] = 31798,
  [SMALL_STATE(912)] = 31808,
  [SMALL_STATE(913)] = 31816,
  [SMALL_STATE(914)] = 31826,
  [SMALL_STATE(915)] = 31836,
  [SMALL_STATE(916)] = 31846,
  [SMALL_STATE(917)] = 31856,
  [SMALL_STATE(918)] = 31866,
  [SMALL_STATE(919)] = 31876,
  [SMALL_STATE(920)] = 31884,
  [SMALL_STATE(921)] = 31894,
  [SMALL_STATE(922)] = 31902,
  [SMALL_STATE(923)] = 31912,
  [SMALL_STATE(924)] = 31920,
  [SMALL_STATE(925)] = 31928,
  [SMALL_STATE(926)] = 31938,
  [SMALL_STATE(927)] = 31948,
  [SMALL_STATE(928)] = 31958,
  [SMALL_STATE(929)] = 31968,
  [SMALL_STATE(930)] = 31978,
  [SMALL_STATE(931)] = 31986,
  [SMALL_STATE(932)] = 31996,
  [SMALL_STATE(933)] = 32006,
  [SMALL_STATE(934)] = 32016,
  [SMALL_STATE(935)] = 32026,
  [SMALL_STATE(936)] = 32034,
  [SMALL_STATE(937)] = 32044,
  [SMALL_STATE(938)] = 32052,
  [SMALL_STATE(939)] = 32062,
  [SMALL_STATE(940)] = 32072,
  [SMALL_STATE(941)] = 32080,
  [SMALL_STATE(942)] = 32088,
  [SMALL_STATE(943)] = 32098,
  [SMALL_STATE(944)] = 32106,
  [SMALL_STATE(945)] = 32116,
  [SMALL_STATE(946)] = 32124,
  [SMALL_STATE(947)] = 32134,
  [SMALL_STATE(948)] = 32144,
  [SMALL_STATE(949)] = 32154,
  [SMALL_STATE(950)] = 32164,
  [SMALL_STATE(951)] = 32172,
  [SMALL_STATE(952)] = 32182,
  [SMALL_STATE(953)] = 32192,
  [SMALL_STATE(954)] = 32200,
  [SMALL_STATE(955)] = 32208,
  [SMALL_STATE(956)] = 32218,
  [SMALL_STATE(957)] = 32226,
  [SMALL_STATE(958)] = 32236,
  [SMALL_STATE(959)] = 32246,
  [SMALL_STATE(960)] = 32256,
  [SMALL_STATE(961)] = 32264,
  [SMALL_STATE(962)] = 32274,
  [SMALL_STATE(963)] = 32284,
  [SMALL_STATE(964)] = 32292,
  [SMALL_STATE(965)] = 32302,
  [SMALL_STATE(966)] = 32312,
  [SMALL_STATE(967)] = 32322,
  [SMALL_STATE(968)] = 32332,
  [SMALL_STATE(969)] = 32342,
  [SMALL_STATE(970)] = 32352,
  [SMALL_STATE(971)] = 32362,
  [SMALL_STATE(972)] = 32372,
  [SMALL_STATE(973)] = 32382,
  [SMALL_STATE(974)] = 32392,
  [SMALL_STATE(975)] = 32402,
  [SMALL_STATE(976)] = 32410,
  [SMALL_STATE(977)] = 32420,
  [SMALL_STATE(978)] = 32430,
  [SMALL_STATE(979)] = 32440,
  [SMALL_STATE(980)] = 32450,
  [SMALL_STATE(981)] = 32458,
  [SMALL_STATE(982)] = 32468,
  [SMALL_STATE(983)] = 32478,
  [SMALL_STATE(984)] = 32488,
  [SMALL_STATE(985)] = 32498,
  [SMALL_STATE(986)] = 32506,
  [SMALL_STATE(987)] = 32516,
  [SMALL_STATE(988)] = 32526,
  [SMALL_STATE(989)] = 32536,
  [SMALL_STATE(990)] = 32546,
  [SMALL_STATE(991)] = 32556,
  [SMALL_STATE(992)] = 32566,
  [SMALL_STATE(993)] = 32576,
  [SMALL_STATE(994)] = 32586,
  [SMALL_STATE(995)] = 32596,
  [SMALL_STATE(996)] = 32606,
  [SMALL_STATE(997)] = 32616,
  [SMALL_STATE(998)] = 32626,
  [SMALL_STATE(999)] = 32634,
  [SMALL_STATE(1000)] = 32644,
  [SMALL_STATE(1001)] = 32654,
  [SMALL_STATE(1002)] = 32664,
  [SMALL_STATE(1003)] = 32674,
  [SMALL_STATE(1004)] = 32684,
  [SMALL_STATE(1005)] = 32694,
  [SMALL_STATE(1006)] = 32702,
  [SMALL_STATE(1007)] = 32712,
  [SMALL_STATE(1008)] = 32720,
  [SMALL_STATE(1009)] = 32730,
  [SMALL_STATE(1010)] = 32738,
  [SMALL_STATE(1011)] = 32748,
  [SMALL_STATE(1012)] = 32756,
  [SMALL_STATE(1013)] = 32766,
  [SMALL_STATE(1014)] = 32776,
  [SMALL_STATE(1015)] = 32786,
  [SMALL_STATE(1016)] = 32796,
  [SMALL_STATE(1017)] = 32806,
  [SMALL_STATE(1018)] = 32816,
  [SMALL_STATE(1019)] = 32826,
  [SMALL_STATE(1020)] = 32836,
  [SMALL_STATE(1021)] = 32844,
  [SMALL_STATE(1022)] = 32854,
  [SMALL_STATE(1023)] = 32864,
  [SMALL_STATE(1024)] = 32874,
  [SMALL_STATE(1025)] = 32882,
  [SMALL_STATE(1026)] = 32892,
  [SMALL_STATE(1027)] = 32902,
  [SMALL_STATE(1028)] = 32912,
  [SMALL_STATE(1029)] = 32920,
  [SMALL_STATE(1030)] = 32930,
  [SMALL_STATE(1031)] = 32940,
  [SMALL_STATE(1032)] = 32950,
  [SMALL_STATE(1033)] = 32958,
  [SMALL_STATE(1034)] = 32966,
  [SMALL_STATE(1035)] = 32976,
  [SMALL_STATE(1036)] = 32986,
  [SMALL_STATE(1037)] = 32996,
  [SMALL_STATE(1038)] = 33006,
  [SMALL_STATE(1039)] = 33016,
  [SMALL_STATE(1040)] = 33026,
  [SMALL_STATE(1041)] = 33036,
  [SMALL_STATE(1042)] = 33044,
  [SMALL_STATE(1043)] = 33052,
  [SMALL_STATE(1044)] = 33060,
  [SMALL_STATE(1045)] = 33070,
  [SMALL_STATE(1046)] = 33077,
  [SMALL_STATE(1047)] = 33084,
  [SMALL_STATE(1048)] = 33091,
  [SMALL_STATE(1049)] = 33098,
  [SMALL_STATE(1050)] = 33105,
  [SMALL_STATE(1051)] = 33112,
  [SMALL_STATE(1052)] = 33119,
  [SMALL_STATE(1053)] = 33126,
  [SMALL_STATE(1054)] = 33133,
  [SMALL_STATE(1055)] = 33140,
  [SMALL_STATE(1056)] = 33147,
  [SMALL_STATE(1057)] = 33154,
  [SMALL_STATE(1058)] = 33161,
  [SMALL_STATE(1059)] = 33168,
  [SMALL_STATE(1060)] = 33175,
  [SMALL_STATE(1061)] = 33182,
  [SMALL_STATE(1062)] = 33189,
  [SMALL_STATE(1063)] = 33196,
  [SMALL_STATE(1064)] = 33203,
  [SMALL_STATE(1065)] = 33210,
  [SMALL_STATE(1066)] = 33217,
  [SMALL_STATE(1067)] = 33224,
  [SMALL_STATE(1068)] = 33231,
  [SMALL_STATE(1069)] = 33238,
  [SMALL_STATE(1070)] = 33245,
  [SMALL_STATE(1071)] = 33252,
  [SMALL_STATE(1072)] = 33259,
  [SMALL_STATE(1073)] = 33266,
  [SMALL_STATE(1074)] = 33273,
  [SMALL_STATE(1075)] = 33280,
  [SMALL_STATE(1076)] = 33287,
  [SMALL_STATE(1077)] = 33294,
  [SMALL_STATE(1078)] = 33301,
  [SMALL_STATE(1079)] = 33308,
  [SMALL_STATE(1080)] = 33315,
  [SMALL_STATE(1081)] = 33322,
  [SMALL_STATE(1082)] = 33329,
  [SMALL_STATE(1083)] = 33336,
  [SMALL_STATE(1084)] = 33343,
  [SMALL_STATE(1085)] = 33350,
  [SMALL_STATE(1086)] = 33357,
  [SMALL_STATE(1087)] = 33364,
  [SMALL_STATE(1088)] = 33371,
  [SMALL_STATE(1089)] = 33378,
  [SMALL_STATE(1090)] = 33385,
  [SMALL_STATE(1091)] = 33392,
  [SMALL_STATE(1092)] = 33399,
  [SMALL_STATE(1093)] = 33406,
  [SMALL_STATE(1094)] = 33413,
  [SMALL_STATE(1095)] = 33420,
  [SMALL_STATE(1096)] = 33427,
  [SMALL_STATE(1097)] = 33434,
  [SMALL_STATE(1098)] = 33441,
  [SMALL_STATE(1099)] = 33448,
  [SMALL_STATE(1100)] = 33455,
  [SMALL_STATE(1101)] = 33462,
  [SMALL_STATE(1102)] = 33469,
  [SMALL_STATE(1103)] = 33476,
  [SMALL_STATE(1104)] = 33483,
  [SMALL_STATE(1105)] = 33490,
  [SMALL_STATE(1106)] = 33497,
  [SMALL_STATE(1107)] = 33504,
  [SMALL_STATE(1108)] = 33511,
  [SMALL_STATE(1109)] = 33518,
  [SMALL_STATE(1110)] = 33525,
  [SMALL_STATE(1111)] = 33532,
  [SMALL_STATE(1112)] = 33539,
  [SMALL_STATE(1113)] = 33546,
  [SMALL_STATE(1114)] = 33553,
  [SMALL_STATE(1115)] = 33560,
  [SMALL_STATE(1116)] = 33567,
  [SMALL_STATE(1117)] = 33574,
  [SMALL_STATE(1118)] = 33581,
  [SMALL_STATE(1119)] = 33588,
  [SMALL_STATE(1120)] = 33595,
  [SMALL_STATE(1121)] = 33602,
  [SMALL_STATE(1122)] = 33609,
  [SMALL_STATE(1123)] = 33616,
  [SMALL_STATE(1124)] = 33623,
  [SMALL_STATE(1125)] = 33630,
  [SMALL_STATE(1126)] = 33637,
  [SMALL_STATE(1127)] = 33644,
  [SMALL_STATE(1128)] = 33651,
  [SMALL_STATE(1129)] = 33658,
  [SMALL_STATE(1130)] = 33665,
  [SMALL_STATE(1131)] = 33672,
  [SMALL_STATE(1132)] = 33679,
  [SMALL_STATE(1133)] = 33686,
  [SMALL_STATE(1134)] = 33693,
  [SMALL_STATE(1135)] = 33700,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(288),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(592),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(315),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(686),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(692),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(957),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(974),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(836),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(117),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1013),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1014),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1036),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(840),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(842),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1033),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(76),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(103),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(203),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(44),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(65),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(712),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1046),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(714),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(259),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(787),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(94),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(121),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(122),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(123),
  [225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(125),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(784),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(778),
  [234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(699),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(481),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(481),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(695),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(683),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(291),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3),
  [264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 80),
  [408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 80),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 78),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 78),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 73),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 73),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 37),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 37),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 71),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 71),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 91),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 91),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 87),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 87),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(639),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1031] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(622),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(29),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(148),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(622),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(105),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(634),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(924),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(81),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(96),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(101),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(629),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(956),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 88),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 40),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 17),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 17),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 46),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 46),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 34),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 34),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 75),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 75),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 7),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(87),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 6),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(98),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 8),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 8),
  [1669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 68),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 68),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 81),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 81),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 43),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 43),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 52), REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 52),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 38),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 38),
  [1756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 59),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 51), REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 51),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 63),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(82),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(84),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(621),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(937),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 60),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(631),
  [1851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1032),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(769),
  [1960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(640),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(114),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(601),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(784),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(778),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(684),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(683),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(600),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(608),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16), SHIFT_REPEAT(683),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(682),
  [2205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(74),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(682),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(71),
  [2222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(748),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(675),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 36),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1060),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(111),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 69),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(703),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(92),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [2480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(773),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(773),
  [2486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [2488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(774),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(774),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(704),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(64),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 26),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 25),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 13),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(579),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [2621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1035),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(642),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 58),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 32),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 58),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(914),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 20),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 21),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 66),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 58),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 18),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 70),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, .production_id = 13),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, .production_id = 26),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 85),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 58),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, .production_id = 13),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, .production_id = 26),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_parameter, 2),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 82),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 62),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, .production_id = 13),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, .production_id = 25),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, .production_id = 25),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, .production_id = 26),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, .production_id = 25),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 62),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 62),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 62),
  [2948] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
