#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1037
#define LARGE_STATE_COUNT 96
#define SYMBOL_COUNT 219
#define ALIAS_COUNT 0
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_import = 2,
  anon_sym_DOT = 3,
  anon_sym_from = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_as = 9,
  anon_sym_STAR = 10,
  anon_sym_print = 11,
  anon_sym_GT_GT = 12,
  anon_sym_assert = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  anon_sym_pass = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_STAR_STAR = 36,
  anon_sym_global = 37,
  anon_sym_nonlocal = 38,
  anon_sym_exec = 39,
  anon_sym_class = 40,
  anon_sym_AT = 41,
  anon_sym_not = 42,
  anon_sym_and = 43,
  anon_sym_or = 44,
  anon_sym_PLUS = 45,
  anon_sym_DASH = 46,
  anon_sym_SLASH = 47,
  anon_sym_PERCENT = 48,
  anon_sym_SLASH_SLASH = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_yield = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  sym__not_escape_sequence = 84,
  aux_sym_format_specifier_token1 = 85,
  sym_type_conversion = 86,
  sym_integer = 87,
  sym_float = 88,
  sym_true = 89,
  sym_false = 90,
  sym_none = 91,
  anon_sym_await = 92,
  sym_comment = 93,
  sym__semicolon = 94,
  sym__newline = 95,
  sym__indent = 96,
  sym__dedent = 97,
  sym__string_start = 98,
  sym__string_content = 99,
  sym__string_end = 100,
  sym_module = 101,
  sym__statement = 102,
  sym__simple_statements = 103,
  sym_import_statement = 104,
  sym_import_prefix = 105,
  sym_relative_import = 106,
  sym_future_import_statement = 107,
  sym_import_from_statement = 108,
  sym__import_list = 109,
  sym_aliased_import = 110,
  sym_wildcard_import = 111,
  sym_print_statement = 112,
  sym_chevron = 113,
  sym_assert_statement = 114,
  sym_expression_statement = 115,
  sym_named_expression = 116,
  sym_return_statement = 117,
  sym_delete_statement = 118,
  sym_raise_statement = 119,
  sym_pass_statement = 120,
  sym_break_statement = 121,
  sym_continue_statement = 122,
  sym_if_statement = 123,
  sym_elif_clause = 124,
  sym_else_clause = 125,
  sym_for_statement = 126,
  sym_while_statement = 127,
  sym_try_statement = 128,
  sym_except_clause = 129,
  sym_finally_clause = 130,
  sym_with_statement = 131,
  sym_with_item = 132,
  sym_function_definition = 133,
  sym_parameters = 134,
  sym_lambda_parameters = 135,
  sym__parameters = 136,
  sym_default_parameter = 137,
  sym_typed_default_parameter = 138,
  sym_list_splat = 139,
  sym_dictionary_splat = 140,
  sym_global_statement = 141,
  sym_nonlocal_statement = 142,
  sym_exec_statement = 143,
  sym_class_definition = 144,
  sym_parenthesized_list_splat = 145,
  sym_argument_list = 146,
  sym_decorated_definition = 147,
  sym_decorator = 148,
  sym_block = 149,
  sym_variables = 150,
  sym_expression_list = 151,
  sym_dotted_name = 152,
  sym__expression_within_for_in_clause = 153,
  sym__expression = 154,
  sym__primary_expression = 155,
  sym_not_operator = 156,
  sym_boolean_operator = 157,
  sym_binary_operator = 158,
  sym_unary_operator = 159,
  sym_comparison_operator = 160,
  sym_lambda = 161,
  sym_lambda_within_for_in_clause = 162,
  sym_assignment = 163,
  sym_augmented_assignment = 164,
  sym__right_hand_side = 165,
  sym_yield = 166,
  sym_attribute = 167,
  sym_subscript = 168,
  sym_slice = 169,
  sym_call = 170,
  sym_typed_parameter = 171,
  sym_type = 172,
  sym_keyword_argument = 173,
  sym_list = 174,
  sym__comprehension_clauses = 175,
  sym_list_comprehension = 176,
  sym_dictionary = 177,
  sym_dictionary_comprehension = 178,
  sym_pair = 179,
  sym_set = 180,
  sym_set_comprehension = 181,
  sym_parenthesized_expression = 182,
  sym_tuple = 183,
  sym_generator_expression = 184,
  sym_for_in_clause = 185,
  sym_if_clause = 186,
  sym_conditional_expression = 187,
  sym_concatenated_string = 188,
  sym_string = 189,
  sym_interpolation = 190,
  sym_format_specifier = 191,
  sym_format_expression = 192,
  sym_await = 193,
  aux_sym_module_repeat1 = 194,
  aux_sym__simple_statements_repeat1 = 195,
  aux_sym_import_prefix_repeat1 = 196,
  aux_sym__import_list_repeat1 = 197,
  aux_sym_print_statement_repeat1 = 198,
  aux_sym_assert_statement_repeat1 = 199,
  aux_sym_if_statement_repeat1 = 200,
  aux_sym_try_statement_repeat1 = 201,
  aux_sym_with_statement_repeat1 = 202,
  aux_sym__parameters_repeat1 = 203,
  aux_sym_global_statement_repeat1 = 204,
  aux_sym_argument_list_repeat1 = 205,
  aux_sym_decorated_definition_repeat1 = 206,
  aux_sym_variables_repeat1 = 207,
  aux_sym_dotted_name_repeat1 = 208,
  aux_sym_comparison_operator_repeat1 = 209,
  aux_sym_subscript_repeat1 = 210,
  aux_sym_list_repeat1 = 211,
  aux_sym__comprehension_clauses_repeat1 = 212,
  aux_sym_dictionary_repeat1 = 213,
  aux_sym_tuple_repeat1 = 214,
  aux_sym_for_in_clause_repeat1 = 215,
  aux_sym_concatenated_string_repeat1 = 216,
  aux_sym_string_repeat1 = 217,
  aux_sym_format_specifier_repeat1 = 218,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_expression",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [anon_sym_await] = anon_sym_await,
  [sym_comment] = sym_comment,
  [sym__semicolon] = sym__semicolon,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym__parameters] = sym__parameters,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_variables] = sym_variables,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym__expression] = sym__expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary] = sym_dictionary,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_pair] = sym_pair,
  [sym_set] = sym_set,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_tuple] = sym_tuple,
  [sym_generator_expression] = sym_generator_expression,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_variables_repeat1] = aux_sym_variables_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym_tuple_repeat1] = aux_sym_tuple_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_key = 13,
  field_left = 14,
  field_module_name = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_return_type = 20,
  field_right = 21,
  field_subscript = 22,
  field_superclasses = 23,
  field_type = 24,
  field_value = 25,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[93] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 13, .length = 2},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 2},
  [19] = {.index = 23, .length = 3},
  [20] = {.index = 26, .length = 2},
  [21] = {.index = 28, .length = 1},
  [22] = {.index = 29, .length = 2},
  [23] = {.index = 31, .length = 2},
  [24] = {.index = 33, .length = 1},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 1},
  [27] = {.index = 37, .length = 2},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 2},
  [30] = {.index = 42, .length = 2},
  [31] = {.index = 16, .length = 1},
  [32] = {.index = 44, .length = 1},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 2},
  [35] = {.index = 49, .length = 1},
  [38] = {.index = 17, .length = 2},
  [39] = {.index = 50, .length = 1},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 2},
  [42] = {.index = 55, .length = 2},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 3},
  [45] = {.index = 61, .length = 3},
  [46] = {.index = 64, .length = 3},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 3},
  [49] = {.index = 71, .length = 3},
  [50] = {.index = 74, .length = 2},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 78, .length = 3},
  [53] = {.index = 81, .length = 3},
  [54] = {.index = 84, .length = 3},
  [55] = {.index = 87, .length = 3},
  [56] = {.index = 90, .length = 3},
  [57] = {.index = 93, .length = 1},
  [58] = {.index = 94, .length = 2},
  [59] = {.index = 96, .length = 2},
  [60] = {.index = 98, .length = 4},
  [61] = {.index = 102, .length = 2},
  [62] = {.index = 104, .length = 4},
  [63] = {.index = 108, .length = 4},
  [64] = {.index = 112, .length = 2},
  [65] = {.index = 114, .length = 1},
  [66] = {.index = 115, .length = 3},
  [67] = {.index = 118, .length = 3},
  [68] = {.index = 121, .length = 4},
  [70] = {.index = 125, .length = 4},
  [71] = {.index = 129, .length = 4},
  [72] = {.index = 133, .length = 3},
  [73] = {.index = 133, .length = 3},
  [74] = {.index = 136, .length = 2},
  [75] = {.index = 138, .length = 3},
  [76] = {.index = 141, .length = 5},
  [77] = {.index = 146, .length = 3},
  [78] = {.index = 149, .length = 2},
  [79] = {.index = 151, .length = 4},
  [80] = {.index = 155, .length = 4},
  [81] = {.index = 159, .length = 4},
  [83] = {.index = 163, .length = 4},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 4},
  [86] = {.index = 174, .length = 4},
  [87] = {.index = 178, .length = 4},
  [88] = {.index = 182, .length = 5},
  [89] = {.index = 187, .length = 5},
  [90] = {.index = 192, .length = 5},
  [91] = {.index = 197, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_definition, 1},
  [10] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_cause, 2},
  [16] =
    {field_body, 2},
  [17] =
    {field_name, 0},
    {field_value, 2},
  [19] =
    {field_left, 0},
    {field_type, 2},
  [21] =
    {field_left, 0},
    {field_right, 2},
  [23] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [26] =
    {field_attribute, 2},
    {field_object, 0},
  [28] =
    {field_name, 1},
  [29] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [31] =
    {field_alias, 2},
    {field_name, 0},
  [33] =
    {field_name, 3, .inherited = true},
  [34] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [36] =
    {field_body, 1},
  [37] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [39] =
    {field_cause, 3},
  [40] =
    {field_condition, 1},
    {field_consequence, 3},
  [42] =
    {field_body, 3},
    {field_condition, 1},
  [44] =
    {field_body, 3},
  [45] =
    {field_alias, 2},
    {field_value, 0},
  [47] =
    {field_body, 3},
    {field_name, 1},
  [49] =
    {field_arguments, 2},
  [50] =
    {field_type, 2},
  [51] =
    {field_body, 3},
    {field_parameters, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_subscript, 2},
    {field_value, 0},
  [57] =
    {field_alternative, 0},
  [58] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [61] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [64] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [67] =
    {field_body, 4},
  [68] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [71] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [74] =
    {field_body, 2},
    {field_body, 3},
  [76] =
    {field_body, 3},
    {field_body, 4},
  [78] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [81] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [84] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [87] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [90] =
    {field_subscript, 2},
    {field_subscript, 3},
    {field_value, 0},
  [93] =
    {field_name, 4, .inherited = true},
  [94] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [96] =
    {field_left, 1},
    {field_right, 3},
  [98] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [102] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [104] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [108] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [112] =
    {field_body, 4},
    {field_body, 5},
  [114] =
    {field_body, 5},
  [115] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [118] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [121] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [125] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [129] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [133] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [136] =
    {field_left, 2},
    {field_right, 4},
  [138] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [141] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [149] =
    {field_body, 5},
    {field_body, 6},
  [151] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [155] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [163] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [167] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [170] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [174] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [178] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [182] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [187] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [197] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[93][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [8] = {
    [0] = sym_list_splat,
  },
  [29] = {
    [3] = sym_block,
  },
  [30] = {
    [3] = sym_block,
  },
  [31] = {
    [2] = sym_block,
  },
  [32] = {
    [3] = sym_block,
  },
  [34] = {
    [3] = sym_block,
  },
  [36] = {
    [1] = sym_list_splat,
  },
  [37] = {
    [1] = sym_identifier,
  },
  [38] = {
    [0] = sym_identifier,
  },
  [44] = {
    [3] = sym_block,
  },
  [45] = {
    [3] = sym_block,
  },
  [47] = {
    [4] = sym_block,
  },
  [48] = {
    [3] = sym_block,
  },
  [52] = {
    [4] = sym_block,
  },
  [54] = {
    [4] = sym_block,
  },
  [60] = {
    [3] = sym_block,
  },
  [65] = {
    [5] = sym_block,
  },
  [66] = {
    [5] = sym_block,
  },
  [67] = {
    [5] = sym_block,
  },
  [69] = {
    [2] = sym_block,
  },
  [72] = {
    [0] = sym_identifier,
  },
  [77] = {
    [6] = sym_block,
  },
  [80] = {
    [5] = sym_block,
  },
  [82] = {
    [3] = sym_block,
  },
  [83] = {
    [6] = sym_block,
  },
  [85] = {
    [6] = sym_block,
  },
  [87] = {
    [7] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(56);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(35)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(10)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(10)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(91);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(4)
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0) ADVANCE(96);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(5)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(9)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(9)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '-') ADVANCE(15);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(87);
      END_STATE();
    case 14:
      if (lookahead == '=') ADVANCE(68);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 15:
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 16:
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 17:
      if (lookahead == '_') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 18:
      if (lookahead == '_') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 19:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 20:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 35:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(34)
      END_STATE();
    case 36:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      END_STATE();
    case 37:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      if (lookahead == '\r') SKIP(36)
      END_STATE();
    case 38:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(37)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(38)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '=') ADVANCE(74);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(67);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(72);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(73);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(77);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(63);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '>') ADVANCE(46);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(91);
      if (lookahead == '\r') ADVANCE(3);
      if (lookahead == 'U') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(27);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(16);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(17);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(18);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(21);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 47:
      if (lookahead == 's') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 68:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 122:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 136:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 138:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 151:
      if (lookahead == '_') ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 38, .external_lex_state = 2},
  [2] = {.lex_state = 38, .external_lex_state = 3},
  [3] = {.lex_state = 38, .external_lex_state = 3},
  [4] = {.lex_state = 38, .external_lex_state = 3},
  [5] = {.lex_state = 38, .external_lex_state = 3},
  [6] = {.lex_state = 38, .external_lex_state = 3},
  [7] = {.lex_state = 38, .external_lex_state = 3},
  [8] = {.lex_state = 38, .external_lex_state = 3},
  [9] = {.lex_state = 38, .external_lex_state = 3},
  [10] = {.lex_state = 38, .external_lex_state = 3},
  [11] = {.lex_state = 38, .external_lex_state = 3},
  [12] = {.lex_state = 38, .external_lex_state = 3},
  [13] = {.lex_state = 38, .external_lex_state = 3},
  [14] = {.lex_state = 38, .external_lex_state = 3},
  [15] = {.lex_state = 38, .external_lex_state = 3},
  [16] = {.lex_state = 38, .external_lex_state = 3},
  [17] = {.lex_state = 38, .external_lex_state = 3},
  [18] = {.lex_state = 38, .external_lex_state = 3},
  [19] = {.lex_state = 38, .external_lex_state = 3},
  [20] = {.lex_state = 38, .external_lex_state = 3},
  [21] = {.lex_state = 38, .external_lex_state = 3},
  [22] = {.lex_state = 38, .external_lex_state = 3},
  [23] = {.lex_state = 38, .external_lex_state = 3},
  [24] = {.lex_state = 38, .external_lex_state = 3},
  [25] = {.lex_state = 38, .external_lex_state = 3},
  [26] = {.lex_state = 38, .external_lex_state = 3},
  [27] = {.lex_state = 38, .external_lex_state = 3},
  [28] = {.lex_state = 38, .external_lex_state = 3},
  [29] = {.lex_state = 38, .external_lex_state = 3},
  [30] = {.lex_state = 38, .external_lex_state = 3},
  [31] = {.lex_state = 38, .external_lex_state = 3},
  [32] = {.lex_state = 38, .external_lex_state = 3},
  [33] = {.lex_state = 38, .external_lex_state = 3},
  [34] = {.lex_state = 38, .external_lex_state = 3},
  [35] = {.lex_state = 38, .external_lex_state = 3},
  [36] = {.lex_state = 38, .external_lex_state = 3},
  [37] = {.lex_state = 38, .external_lex_state = 3},
  [38] = {.lex_state = 38, .external_lex_state = 3},
  [39] = {.lex_state = 38, .external_lex_state = 3},
  [40] = {.lex_state = 38, .external_lex_state = 3},
  [41] = {.lex_state = 38, .external_lex_state = 3},
  [42] = {.lex_state = 38, .external_lex_state = 2},
  [43] = {.lex_state = 38, .external_lex_state = 3},
  [44] = {.lex_state = 38, .external_lex_state = 3},
  [45] = {.lex_state = 38, .external_lex_state = 2},
  [46] = {.lex_state = 38, .external_lex_state = 3},
  [47] = {.lex_state = 38, .external_lex_state = 3},
  [48] = {.lex_state = 38, .external_lex_state = 4},
  [49] = {.lex_state = 38, .external_lex_state = 5},
  [50] = {.lex_state = 38, .external_lex_state = 5},
  [51] = {.lex_state = 38, .external_lex_state = 5},
  [52] = {.lex_state = 38, .external_lex_state = 5},
  [53] = {.lex_state = 38, .external_lex_state = 5},
  [54] = {.lex_state = 38, .external_lex_state = 5},
  [55] = {.lex_state = 38, .external_lex_state = 5},
  [56] = {.lex_state = 38, .external_lex_state = 5},
  [57] = {.lex_state = 38, .external_lex_state = 5},
  [58] = {.lex_state = 38, .external_lex_state = 5},
  [59] = {.lex_state = 38, .external_lex_state = 5},
  [60] = {.lex_state = 38, .external_lex_state = 5},
  [61] = {.lex_state = 38, .external_lex_state = 5},
  [62] = {.lex_state = 38, .external_lex_state = 5},
  [63] = {.lex_state = 38, .external_lex_state = 5},
  [64] = {.lex_state = 38, .external_lex_state = 5},
  [65] = {.lex_state = 38, .external_lex_state = 5},
  [66] = {.lex_state = 38, .external_lex_state = 5},
  [67] = {.lex_state = 38, .external_lex_state = 5},
  [68] = {.lex_state = 38, .external_lex_state = 5},
  [69] = {.lex_state = 38, .external_lex_state = 5},
  [70] = {.lex_state = 38, .external_lex_state = 5},
  [71] = {.lex_state = 38, .external_lex_state = 5},
  [72] = {.lex_state = 38, .external_lex_state = 5},
  [73] = {.lex_state = 38, .external_lex_state = 5},
  [74] = {.lex_state = 38, .external_lex_state = 5},
  [75] = {.lex_state = 38, .external_lex_state = 5},
  [76] = {.lex_state = 38, .external_lex_state = 5},
  [77] = {.lex_state = 38, .external_lex_state = 5},
  [78] = {.lex_state = 38, .external_lex_state = 5},
  [79] = {.lex_state = 38, .external_lex_state = 5},
  [80] = {.lex_state = 38, .external_lex_state = 5},
  [81] = {.lex_state = 38, .external_lex_state = 5},
  [82] = {.lex_state = 38, .external_lex_state = 5},
  [83] = {.lex_state = 38, .external_lex_state = 5},
  [84] = {.lex_state = 38, .external_lex_state = 5},
  [85] = {.lex_state = 38, .external_lex_state = 5},
  [86] = {.lex_state = 38, .external_lex_state = 5},
  [87] = {.lex_state = 38, .external_lex_state = 5},
  [88] = {.lex_state = 38, .external_lex_state = 5},
  [89] = {.lex_state = 38, .external_lex_state = 4},
  [90] = {.lex_state = 38, .external_lex_state = 4},
  [91] = {.lex_state = 38, .external_lex_state = 4},
  [92] = {.lex_state = 38, .external_lex_state = 4},
  [93] = {.lex_state = 38, .external_lex_state = 4},
  [94] = {.lex_state = 38, .external_lex_state = 4},
  [95] = {.lex_state = 38, .external_lex_state = 2},
  [96] = {.lex_state = 38, .external_lex_state = 4},
  [97] = {.lex_state = 38, .external_lex_state = 4},
  [98] = {.lex_state = 38, .external_lex_state = 4},
  [99] = {.lex_state = 38, .external_lex_state = 4},
  [100] = {.lex_state = 38, .external_lex_state = 2},
  [101] = {.lex_state = 38, .external_lex_state = 2},
  [102] = {.lex_state = 38, .external_lex_state = 2},
  [103] = {.lex_state = 38, .external_lex_state = 2},
  [104] = {.lex_state = 38, .external_lex_state = 2},
  [105] = {.lex_state = 38, .external_lex_state = 2},
  [106] = {.lex_state = 38, .external_lex_state = 2},
  [107] = {.lex_state = 38, .external_lex_state = 2},
  [108] = {.lex_state = 38, .external_lex_state = 2},
  [109] = {.lex_state = 10, .external_lex_state = 4},
  [110] = {.lex_state = 38, .external_lex_state = 2},
  [111] = {.lex_state = 38, .external_lex_state = 2},
  [112] = {.lex_state = 38, .external_lex_state = 2},
  [113] = {.lex_state = 38, .external_lex_state = 2},
  [114] = {.lex_state = 10, .external_lex_state = 6},
  [115] = {.lex_state = 38, .external_lex_state = 2},
  [116] = {.lex_state = 38, .external_lex_state = 2},
  [117] = {.lex_state = 38, .external_lex_state = 2},
  [118] = {.lex_state = 38, .external_lex_state = 2},
  [119] = {.lex_state = 38, .external_lex_state = 2},
  [120] = {.lex_state = 10, .external_lex_state = 4},
  [121] = {.lex_state = 38, .external_lex_state = 2},
  [122] = {.lex_state = 10, .external_lex_state = 4},
  [123] = {.lex_state = 38, .external_lex_state = 2},
  [124] = {.lex_state = 10, .external_lex_state = 6},
  [125] = {.lex_state = 38, .external_lex_state = 2},
  [126] = {.lex_state = 10, .external_lex_state = 6},
  [127] = {.lex_state = 38, .external_lex_state = 2},
  [128] = {.lex_state = 10, .external_lex_state = 6},
  [129] = {.lex_state = 10, .external_lex_state = 6},
  [130] = {.lex_state = 10, .external_lex_state = 6},
  [131] = {.lex_state = 38, .external_lex_state = 2},
  [132] = {.lex_state = 10, .external_lex_state = 6},
  [133] = {.lex_state = 10, .external_lex_state = 6},
  [134] = {.lex_state = 10, .external_lex_state = 6},
  [135] = {.lex_state = 10, .external_lex_state = 6},
  [136] = {.lex_state = 10, .external_lex_state = 6},
  [137] = {.lex_state = 9, .external_lex_state = 6},
  [138] = {.lex_state = 10, .external_lex_state = 4},
  [139] = {.lex_state = 10, .external_lex_state = 4},
  [140] = {.lex_state = 10, .external_lex_state = 4},
  [141] = {.lex_state = 38, .external_lex_state = 2},
  [142] = {.lex_state = 10, .external_lex_state = 6},
  [143] = {.lex_state = 38, .external_lex_state = 2},
  [144] = {.lex_state = 10, .external_lex_state = 6},
  [145] = {.lex_state = 38, .external_lex_state = 2},
  [146] = {.lex_state = 38, .external_lex_state = 2},
  [147] = {.lex_state = 10, .external_lex_state = 6},
  [148] = {.lex_state = 10, .external_lex_state = 6},
  [149] = {.lex_state = 38, .external_lex_state = 2},
  [150] = {.lex_state = 38, .external_lex_state = 2},
  [151] = {.lex_state = 38, .external_lex_state = 2},
  [152] = {.lex_state = 10, .external_lex_state = 6},
  [153] = {.lex_state = 38, .external_lex_state = 2},
  [154] = {.lex_state = 10, .external_lex_state = 6},
  [155] = {.lex_state = 10, .external_lex_state = 6},
  [156] = {.lex_state = 10, .external_lex_state = 6},
  [157] = {.lex_state = 10, .external_lex_state = 6},
  [158] = {.lex_state = 10, .external_lex_state = 6},
  [159] = {.lex_state = 38, .external_lex_state = 2},
  [160] = {.lex_state = 10, .external_lex_state = 6},
  [161] = {.lex_state = 38, .external_lex_state = 4},
  [162] = {.lex_state = 10, .external_lex_state = 6},
  [163] = {.lex_state = 10, .external_lex_state = 6},
  [164] = {.lex_state = 38, .external_lex_state = 2},
  [165] = {.lex_state = 10, .external_lex_state = 6},
  [166] = {.lex_state = 38, .external_lex_state = 2},
  [167] = {.lex_state = 38, .external_lex_state = 4},
  [168] = {.lex_state = 10, .external_lex_state = 6},
  [169] = {.lex_state = 10, .external_lex_state = 6},
  [170] = {.lex_state = 38, .external_lex_state = 2},
  [171] = {.lex_state = 10, .external_lex_state = 6},
  [172] = {.lex_state = 10, .external_lex_state = 6},
  [173] = {.lex_state = 10, .external_lex_state = 6},
  [174] = {.lex_state = 10, .external_lex_state = 6},
  [175] = {.lex_state = 10, .external_lex_state = 6},
  [176] = {.lex_state = 10, .external_lex_state = 6},
  [177] = {.lex_state = 10, .external_lex_state = 6},
  [178] = {.lex_state = 10, .external_lex_state = 6},
  [179] = {.lex_state = 38, .external_lex_state = 2},
  [180] = {.lex_state = 10, .external_lex_state = 6},
  [181] = {.lex_state = 38, .external_lex_state = 3},
  [182] = {.lex_state = 38, .external_lex_state = 2},
  [183] = {.lex_state = 38, .external_lex_state = 2},
  [184] = {.lex_state = 10, .external_lex_state = 6},
  [185] = {.lex_state = 38, .external_lex_state = 3},
  [186] = {.lex_state = 10, .external_lex_state = 6},
  [187] = {.lex_state = 10, .external_lex_state = 6},
  [188] = {.lex_state = 10, .external_lex_state = 6},
  [189] = {.lex_state = 38, .external_lex_state = 2},
  [190] = {.lex_state = 10, .external_lex_state = 6},
  [191] = {.lex_state = 10, .external_lex_state = 6},
  [192] = {.lex_state = 38, .external_lex_state = 2},
  [193] = {.lex_state = 38, .external_lex_state = 2},
  [194] = {.lex_state = 38, .external_lex_state = 2},
  [195] = {.lex_state = 38, .external_lex_state = 2},
  [196] = {.lex_state = 38, .external_lex_state = 2},
  [197] = {.lex_state = 38, .external_lex_state = 2},
  [198] = {.lex_state = 38, .external_lex_state = 2},
  [199] = {.lex_state = 38, .external_lex_state = 2},
  [200] = {.lex_state = 38, .external_lex_state = 2},
  [201] = {.lex_state = 38, .external_lex_state = 2},
  [202] = {.lex_state = 38, .external_lex_state = 2},
  [203] = {.lex_state = 38, .external_lex_state = 4},
  [204] = {.lex_state = 38, .external_lex_state = 2},
  [205] = {.lex_state = 38, .external_lex_state = 2},
  [206] = {.lex_state = 38, .external_lex_state = 2},
  [207] = {.lex_state = 38, .external_lex_state = 2},
  [208] = {.lex_state = 38, .external_lex_state = 2},
  [209] = {.lex_state = 38, .external_lex_state = 2},
  [210] = {.lex_state = 38, .external_lex_state = 2},
  [211] = {.lex_state = 38, .external_lex_state = 2},
  [212] = {.lex_state = 38, .external_lex_state = 2},
  [213] = {.lex_state = 38, .external_lex_state = 2},
  [214] = {.lex_state = 38, .external_lex_state = 2},
  [215] = {.lex_state = 38, .external_lex_state = 2},
  [216] = {.lex_state = 38, .external_lex_state = 2},
  [217] = {.lex_state = 38, .external_lex_state = 2},
  [218] = {.lex_state = 38, .external_lex_state = 2},
  [219] = {.lex_state = 38, .external_lex_state = 2},
  [220] = {.lex_state = 38, .external_lex_state = 2},
  [221] = {.lex_state = 38, .external_lex_state = 2},
  [222] = {.lex_state = 38, .external_lex_state = 2},
  [223] = {.lex_state = 38, .external_lex_state = 2},
  [224] = {.lex_state = 38, .external_lex_state = 2},
  [225] = {.lex_state = 38, .external_lex_state = 2},
  [226] = {.lex_state = 38, .external_lex_state = 2},
  [227] = {.lex_state = 38, .external_lex_state = 2},
  [228] = {.lex_state = 38, .external_lex_state = 2},
  [229] = {.lex_state = 38, .external_lex_state = 2},
  [230] = {.lex_state = 38, .external_lex_state = 2},
  [231] = {.lex_state = 38, .external_lex_state = 2},
  [232] = {.lex_state = 38, .external_lex_state = 2},
  [233] = {.lex_state = 38, .external_lex_state = 3},
  [234] = {.lex_state = 38, .external_lex_state = 2},
  [235] = {.lex_state = 38, .external_lex_state = 2},
  [236] = {.lex_state = 38, .external_lex_state = 2},
  [237] = {.lex_state = 38, .external_lex_state = 3},
  [238] = {.lex_state = 38, .external_lex_state = 2},
  [239] = {.lex_state = 38, .external_lex_state = 3},
  [240] = {.lex_state = 38, .external_lex_state = 2},
  [241] = {.lex_state = 38, .external_lex_state = 3},
  [242] = {.lex_state = 38, .external_lex_state = 4},
  [243] = {.lex_state = 38, .external_lex_state = 4},
  [244] = {.lex_state = 38, .external_lex_state = 2},
  [245] = {.lex_state = 38, .external_lex_state = 4},
  [246] = {.lex_state = 38, .external_lex_state = 2},
  [247] = {.lex_state = 38, .external_lex_state = 4},
  [248] = {.lex_state = 38, .external_lex_state = 2},
  [249] = {.lex_state = 38, .external_lex_state = 3},
  [250] = {.lex_state = 38, .external_lex_state = 2},
  [251] = {.lex_state = 38, .external_lex_state = 2},
  [252] = {.lex_state = 38, .external_lex_state = 2},
  [253] = {.lex_state = 38, .external_lex_state = 3},
  [254] = {.lex_state = 38, .external_lex_state = 2},
  [255] = {.lex_state = 38, .external_lex_state = 3},
  [256] = {.lex_state = 38, .external_lex_state = 3},
  [257] = {.lex_state = 38, .external_lex_state = 2},
  [258] = {.lex_state = 38, .external_lex_state = 3},
  [259] = {.lex_state = 38, .external_lex_state = 2},
  [260] = {.lex_state = 38, .external_lex_state = 2},
  [261] = {.lex_state = 38, .external_lex_state = 2},
  [262] = {.lex_state = 38, .external_lex_state = 2},
  [263] = {.lex_state = 38, .external_lex_state = 2},
  [264] = {.lex_state = 38, .external_lex_state = 2},
  [265] = {.lex_state = 38, .external_lex_state = 2},
  [266] = {.lex_state = 38, .external_lex_state = 2},
  [267] = {.lex_state = 38, .external_lex_state = 2},
  [268] = {.lex_state = 38, .external_lex_state = 3},
  [269] = {.lex_state = 38, .external_lex_state = 2},
  [270] = {.lex_state = 38, .external_lex_state = 3},
  [271] = {.lex_state = 38, .external_lex_state = 2},
  [272] = {.lex_state = 38, .external_lex_state = 2},
  [273] = {.lex_state = 38, .external_lex_state = 2},
  [274] = {.lex_state = 38, .external_lex_state = 2},
  [275] = {.lex_state = 38, .external_lex_state = 2},
  [276] = {.lex_state = 38, .external_lex_state = 2},
  [277] = {.lex_state = 38, .external_lex_state = 2},
  [278] = {.lex_state = 38, .external_lex_state = 2},
  [279] = {.lex_state = 38, .external_lex_state = 2},
  [280] = {.lex_state = 38, .external_lex_state = 2},
  [281] = {.lex_state = 38, .external_lex_state = 2},
  [282] = {.lex_state = 38, .external_lex_state = 2},
  [283] = {.lex_state = 38, .external_lex_state = 2},
  [284] = {.lex_state = 38, .external_lex_state = 2},
  [285] = {.lex_state = 38, .external_lex_state = 3},
  [286] = {.lex_state = 38, .external_lex_state = 2},
  [287] = {.lex_state = 38, .external_lex_state = 2},
  [288] = {.lex_state = 38, .external_lex_state = 2},
  [289] = {.lex_state = 38, .external_lex_state = 2},
  [290] = {.lex_state = 38, .external_lex_state = 2},
  [291] = {.lex_state = 38, .external_lex_state = 2},
  [292] = {.lex_state = 38, .external_lex_state = 2},
  [293] = {.lex_state = 38, .external_lex_state = 2},
  [294] = {.lex_state = 38, .external_lex_state = 2},
  [295] = {.lex_state = 38, .external_lex_state = 2},
  [296] = {.lex_state = 38, .external_lex_state = 2},
  [297] = {.lex_state = 38, .external_lex_state = 2},
  [298] = {.lex_state = 38, .external_lex_state = 2},
  [299] = {.lex_state = 38, .external_lex_state = 2},
  [300] = {.lex_state = 38, .external_lex_state = 2},
  [301] = {.lex_state = 38, .external_lex_state = 2},
  [302] = {.lex_state = 38, .external_lex_state = 2},
  [303] = {.lex_state = 38, .external_lex_state = 2},
  [304] = {.lex_state = 38, .external_lex_state = 2},
  [305] = {.lex_state = 38, .external_lex_state = 2},
  [306] = {.lex_state = 38, .external_lex_state = 2},
  [307] = {.lex_state = 38, .external_lex_state = 2},
  [308] = {.lex_state = 38, .external_lex_state = 2},
  [309] = {.lex_state = 38, .external_lex_state = 2},
  [310] = {.lex_state = 38, .external_lex_state = 2},
  [311] = {.lex_state = 38, .external_lex_state = 2},
  [312] = {.lex_state = 38, .external_lex_state = 2},
  [313] = {.lex_state = 38, .external_lex_state = 2},
  [314] = {.lex_state = 38, .external_lex_state = 2},
  [315] = {.lex_state = 38, .external_lex_state = 2},
  [316] = {.lex_state = 38, .external_lex_state = 2},
  [317] = {.lex_state = 38, .external_lex_state = 2},
  [318] = {.lex_state = 38, .external_lex_state = 2},
  [319] = {.lex_state = 38, .external_lex_state = 3},
  [320] = {.lex_state = 38, .external_lex_state = 2},
  [321] = {.lex_state = 38, .external_lex_state = 3},
  [322] = {.lex_state = 38, .external_lex_state = 3},
  [323] = {.lex_state = 38, .external_lex_state = 2},
  [324] = {.lex_state = 38, .external_lex_state = 2},
  [325] = {.lex_state = 38, .external_lex_state = 2},
  [326] = {.lex_state = 38, .external_lex_state = 3},
  [327] = {.lex_state = 38, .external_lex_state = 3},
  [328] = {.lex_state = 38, .external_lex_state = 2},
  [329] = {.lex_state = 38, .external_lex_state = 2},
  [330] = {.lex_state = 38, .external_lex_state = 2},
  [331] = {.lex_state = 38, .external_lex_state = 2},
  [332] = {.lex_state = 38, .external_lex_state = 2},
  [333] = {.lex_state = 38, .external_lex_state = 2},
  [334] = {.lex_state = 38, .external_lex_state = 2},
  [335] = {.lex_state = 38, .external_lex_state = 2},
  [336] = {.lex_state = 38, .external_lex_state = 2},
  [337] = {.lex_state = 38, .external_lex_state = 2},
  [338] = {.lex_state = 38, .external_lex_state = 2},
  [339] = {.lex_state = 38, .external_lex_state = 2},
  [340] = {.lex_state = 38, .external_lex_state = 2},
  [341] = {.lex_state = 38, .external_lex_state = 2},
  [342] = {.lex_state = 38, .external_lex_state = 2},
  [343] = {.lex_state = 38, .external_lex_state = 2},
  [344] = {.lex_state = 38, .external_lex_state = 2},
  [345] = {.lex_state = 38, .external_lex_state = 2},
  [346] = {.lex_state = 38, .external_lex_state = 2},
  [347] = {.lex_state = 38, .external_lex_state = 2},
  [348] = {.lex_state = 38, .external_lex_state = 2},
  [349] = {.lex_state = 38, .external_lex_state = 2},
  [350] = {.lex_state = 38, .external_lex_state = 2},
  [351] = {.lex_state = 38, .external_lex_state = 2},
  [352] = {.lex_state = 38, .external_lex_state = 2},
  [353] = {.lex_state = 38, .external_lex_state = 2},
  [354] = {.lex_state = 38, .external_lex_state = 2},
  [355] = {.lex_state = 38, .external_lex_state = 2},
  [356] = {.lex_state = 38, .external_lex_state = 2},
  [357] = {.lex_state = 38, .external_lex_state = 2},
  [358] = {.lex_state = 38, .external_lex_state = 2},
  [359] = {.lex_state = 38, .external_lex_state = 3},
  [360] = {.lex_state = 38, .external_lex_state = 2},
  [361] = {.lex_state = 38, .external_lex_state = 3},
  [362] = {.lex_state = 38, .external_lex_state = 2},
  [363] = {.lex_state = 38, .external_lex_state = 3},
  [364] = {.lex_state = 38, .external_lex_state = 2},
  [365] = {.lex_state = 38, .external_lex_state = 3},
  [366] = {.lex_state = 38, .external_lex_state = 2},
  [367] = {.lex_state = 38, .external_lex_state = 3},
  [368] = {.lex_state = 38, .external_lex_state = 3},
  [369] = {.lex_state = 38, .external_lex_state = 3},
  [370] = {.lex_state = 38, .external_lex_state = 2},
  [371] = {.lex_state = 38, .external_lex_state = 3},
  [372] = {.lex_state = 38, .external_lex_state = 3},
  [373] = {.lex_state = 38, .external_lex_state = 2},
  [374] = {.lex_state = 38, .external_lex_state = 2},
  [375] = {.lex_state = 38, .external_lex_state = 3},
  [376] = {.lex_state = 38, .external_lex_state = 3},
  [377] = {.lex_state = 38, .external_lex_state = 2},
  [378] = {.lex_state = 38, .external_lex_state = 3},
  [379] = {.lex_state = 10, .external_lex_state = 2},
  [380] = {.lex_state = 38, .external_lex_state = 2},
  [381] = {.lex_state = 10, .external_lex_state = 2},
  [382] = {.lex_state = 10, .external_lex_state = 2},
  [383] = {.lex_state = 10},
  [384] = {.lex_state = 38, .external_lex_state = 3},
  [385] = {.lex_state = 38, .external_lex_state = 2},
  [386] = {.lex_state = 38, .external_lex_state = 2},
  [387] = {.lex_state = 38, .external_lex_state = 3},
  [388] = {.lex_state = 38, .external_lex_state = 3},
  [389] = {.lex_state = 38, .external_lex_state = 3},
  [390] = {.lex_state = 38, .external_lex_state = 3},
  [391] = {.lex_state = 38, .external_lex_state = 3},
  [392] = {.lex_state = 38, .external_lex_state = 3},
  [393] = {.lex_state = 38, .external_lex_state = 3},
  [394] = {.lex_state = 38, .external_lex_state = 3},
  [395] = {.lex_state = 38, .external_lex_state = 3},
  [396] = {.lex_state = 38, .external_lex_state = 3},
  [397] = {.lex_state = 38, .external_lex_state = 3},
  [398] = {.lex_state = 38, .external_lex_state = 3},
  [399] = {.lex_state = 38, .external_lex_state = 3},
  [400] = {.lex_state = 38, .external_lex_state = 3},
  [401] = {.lex_state = 38, .external_lex_state = 3},
  [402] = {.lex_state = 38, .external_lex_state = 2},
  [403] = {.lex_state = 38, .external_lex_state = 3},
  [404] = {.lex_state = 38, .external_lex_state = 3},
  [405] = {.lex_state = 38, .external_lex_state = 2},
  [406] = {.lex_state = 38, .external_lex_state = 3},
  [407] = {.lex_state = 38, .external_lex_state = 2},
  [408] = {.lex_state = 10},
  [409] = {.lex_state = 38, .external_lex_state = 3},
  [410] = {.lex_state = 38, .external_lex_state = 3},
  [411] = {.lex_state = 38, .external_lex_state = 2},
  [412] = {.lex_state = 38, .external_lex_state = 2},
  [413] = {.lex_state = 38, .external_lex_state = 2},
  [414] = {.lex_state = 38, .external_lex_state = 3},
  [415] = {.lex_state = 38, .external_lex_state = 3},
  [416] = {.lex_state = 38, .external_lex_state = 3},
  [417] = {.lex_state = 38, .external_lex_state = 2},
  [418] = {.lex_state = 38, .external_lex_state = 3},
  [419] = {.lex_state = 38, .external_lex_state = 2},
  [420] = {.lex_state = 38, .external_lex_state = 3},
  [421] = {.lex_state = 10},
  [422] = {.lex_state = 38, .external_lex_state = 2},
  [423] = {.lex_state = 10},
  [424] = {.lex_state = 38, .external_lex_state = 2},
  [425] = {.lex_state = 10},
  [426] = {.lex_state = 10},
  [427] = {.lex_state = 10},
  [428] = {.lex_state = 38, .external_lex_state = 3},
  [429] = {.lex_state = 38, .external_lex_state = 2},
  [430] = {.lex_state = 10},
  [431] = {.lex_state = 10},
  [432] = {.lex_state = 10},
  [433] = {.lex_state = 38, .external_lex_state = 2},
  [434] = {.lex_state = 38, .external_lex_state = 3},
  [435] = {.lex_state = 38, .external_lex_state = 3},
  [436] = {.lex_state = 10},
  [437] = {.lex_state = 38, .external_lex_state = 2},
  [438] = {.lex_state = 38, .external_lex_state = 3},
  [439] = {.lex_state = 38, .external_lex_state = 3},
  [440] = {.lex_state = 38, .external_lex_state = 2},
  [441] = {.lex_state = 38, .external_lex_state = 2},
  [442] = {.lex_state = 38, .external_lex_state = 2},
  [443] = {.lex_state = 38, .external_lex_state = 3},
  [444] = {.lex_state = 38, .external_lex_state = 2},
  [445] = {.lex_state = 38, .external_lex_state = 2},
  [446] = {.lex_state = 38, .external_lex_state = 2},
  [447] = {.lex_state = 38, .external_lex_state = 3},
  [448] = {.lex_state = 38, .external_lex_state = 2},
  [449] = {.lex_state = 38, .external_lex_state = 3},
  [450] = {.lex_state = 38, .external_lex_state = 3},
  [451] = {.lex_state = 38, .external_lex_state = 2},
  [452] = {.lex_state = 38, .external_lex_state = 2},
  [453] = {.lex_state = 38, .external_lex_state = 2},
  [454] = {.lex_state = 38, .external_lex_state = 2},
  [455] = {.lex_state = 38, .external_lex_state = 2},
  [456] = {.lex_state = 38, .external_lex_state = 2},
  [457] = {.lex_state = 38, .external_lex_state = 3},
  [458] = {.lex_state = 38, .external_lex_state = 2},
  [459] = {.lex_state = 38, .external_lex_state = 3},
  [460] = {.lex_state = 38, .external_lex_state = 2},
  [461] = {.lex_state = 38, .external_lex_state = 2},
  [462] = {.lex_state = 38, .external_lex_state = 2},
  [463] = {.lex_state = 38, .external_lex_state = 3},
  [464] = {.lex_state = 38, .external_lex_state = 2},
  [465] = {.lex_state = 38, .external_lex_state = 2},
  [466] = {.lex_state = 38, .external_lex_state = 2},
  [467] = {.lex_state = 38, .external_lex_state = 2},
  [468] = {.lex_state = 38, .external_lex_state = 2},
  [469] = {.lex_state = 9},
  [470] = {.lex_state = 10, .external_lex_state = 2},
  [471] = {.lex_state = 10, .external_lex_state = 2},
  [472] = {.lex_state = 10},
  [473] = {.lex_state = 10},
  [474] = {.lex_state = 10},
  [475] = {.lex_state = 10},
  [476] = {.lex_state = 10},
  [477] = {.lex_state = 10},
  [478] = {.lex_state = 10},
  [479] = {.lex_state = 10},
  [480] = {.lex_state = 10},
  [481] = {.lex_state = 10},
  [482] = {.lex_state = 10},
  [483] = {.lex_state = 10},
  [484] = {.lex_state = 10},
  [485] = {.lex_state = 10},
  [486] = {.lex_state = 10},
  [487] = {.lex_state = 10},
  [488] = {.lex_state = 10},
  [489] = {.lex_state = 10},
  [490] = {.lex_state = 10},
  [491] = {.lex_state = 10},
  [492] = {.lex_state = 10},
  [493] = {.lex_state = 10},
  [494] = {.lex_state = 10},
  [495] = {.lex_state = 10},
  [496] = {.lex_state = 10},
  [497] = {.lex_state = 10},
  [498] = {.lex_state = 10},
  [499] = {.lex_state = 10},
  [500] = {.lex_state = 10},
  [501] = {.lex_state = 10},
  [502] = {.lex_state = 10},
  [503] = {.lex_state = 10},
  [504] = {.lex_state = 9},
  [505] = {.lex_state = 10, .external_lex_state = 2},
  [506] = {.lex_state = 10, .external_lex_state = 2},
  [507] = {.lex_state = 10, .external_lex_state = 2},
  [508] = {.lex_state = 38, .external_lex_state = 2},
  [509] = {.lex_state = 10},
  [510] = {.lex_state = 10},
  [511] = {.lex_state = 38, .external_lex_state = 2},
  [512] = {.lex_state = 38, .external_lex_state = 2},
  [513] = {.lex_state = 10},
  [514] = {.lex_state = 10},
  [515] = {.lex_state = 10},
  [516] = {.lex_state = 38, .external_lex_state = 2},
  [517] = {.lex_state = 10},
  [518] = {.lex_state = 10},
  [519] = {.lex_state = 10},
  [520] = {.lex_state = 38, .external_lex_state = 2},
  [521] = {.lex_state = 10},
  [522] = {.lex_state = 38, .external_lex_state = 2},
  [523] = {.lex_state = 38, .external_lex_state = 2},
  [524] = {.lex_state = 38, .external_lex_state = 2},
  [525] = {.lex_state = 38, .external_lex_state = 2},
  [526] = {.lex_state = 38, .external_lex_state = 2},
  [527] = {.lex_state = 38, .external_lex_state = 2},
  [528] = {.lex_state = 10},
  [529] = {.lex_state = 10},
  [530] = {.lex_state = 38, .external_lex_state = 6},
  [531] = {.lex_state = 38, .external_lex_state = 2},
  [532] = {.lex_state = 38, .external_lex_state = 2},
  [533] = {.lex_state = 38, .external_lex_state = 2},
  [534] = {.lex_state = 38, .external_lex_state = 2},
  [535] = {.lex_state = 38, .external_lex_state = 2},
  [536] = {.lex_state = 38, .external_lex_state = 2},
  [537] = {.lex_state = 38, .external_lex_state = 2},
  [538] = {.lex_state = 38, .external_lex_state = 2},
  [539] = {.lex_state = 38, .external_lex_state = 2},
  [540] = {.lex_state = 38, .external_lex_state = 2},
  [541] = {.lex_state = 38, .external_lex_state = 2},
  [542] = {.lex_state = 38, .external_lex_state = 2},
  [543] = {.lex_state = 38, .external_lex_state = 2},
  [544] = {.lex_state = 38, .external_lex_state = 2},
  [545] = {.lex_state = 38, .external_lex_state = 2},
  [546] = {.lex_state = 38, .external_lex_state = 2},
  [547] = {.lex_state = 38, .external_lex_state = 2},
  [548] = {.lex_state = 38, .external_lex_state = 2},
  [549] = {.lex_state = 10, .external_lex_state = 2},
  [550] = {.lex_state = 38, .external_lex_state = 2},
  [551] = {.lex_state = 38, .external_lex_state = 2},
  [552] = {.lex_state = 9},
  [553] = {.lex_state = 38, .external_lex_state = 6},
  [554] = {.lex_state = 38, .external_lex_state = 2},
  [555] = {.lex_state = 38, .external_lex_state = 2},
  [556] = {.lex_state = 38, .external_lex_state = 2},
  [557] = {.lex_state = 38, .external_lex_state = 2},
  [558] = {.lex_state = 38, .external_lex_state = 2},
  [559] = {.lex_state = 38, .external_lex_state = 2},
  [560] = {.lex_state = 38, .external_lex_state = 2},
  [561] = {.lex_state = 38, .external_lex_state = 2},
  [562] = {.lex_state = 38, .external_lex_state = 2},
  [563] = {.lex_state = 38, .external_lex_state = 2},
  [564] = {.lex_state = 10, .external_lex_state = 2},
  [565] = {.lex_state = 38, .external_lex_state = 2},
  [566] = {.lex_state = 10},
  [567] = {.lex_state = 10},
  [568] = {.lex_state = 10},
  [569] = {.lex_state = 10},
  [570] = {.lex_state = 10},
  [571] = {.lex_state = 10},
  [572] = {.lex_state = 10},
  [573] = {.lex_state = 10},
  [574] = {.lex_state = 10},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 10},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 10},
  [582] = {.lex_state = 10},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 10},
  [586] = {.lex_state = 10},
  [587] = {.lex_state = 10},
  [588] = {.lex_state = 10},
  [589] = {.lex_state = 10},
  [590] = {.lex_state = 10},
  [591] = {.lex_state = 10},
  [592] = {.lex_state = 10},
  [593] = {.lex_state = 10},
  [594] = {.lex_state = 10},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 10},
  [597] = {.lex_state = 38},
  [598] = {.lex_state = 38},
  [599] = {.lex_state = 38, .external_lex_state = 6},
  [600] = {.lex_state = 38, .external_lex_state = 6},
  [601] = {.lex_state = 38, .external_lex_state = 6},
  [602] = {.lex_state = 38, .external_lex_state = 6},
  [603] = {.lex_state = 38, .external_lex_state = 6},
  [604] = {.lex_state = 38, .external_lex_state = 6},
  [605] = {.lex_state = 38, .external_lex_state = 6},
  [606] = {.lex_state = 38, .external_lex_state = 6},
  [607] = {.lex_state = 38, .external_lex_state = 6},
  [608] = {.lex_state = 38, .external_lex_state = 6},
  [609] = {.lex_state = 38, .external_lex_state = 6},
  [610] = {.lex_state = 10},
  [611] = {.lex_state = 10},
  [612] = {.lex_state = 38, .external_lex_state = 6},
  [613] = {.lex_state = 38, .external_lex_state = 6},
  [614] = {.lex_state = 38, .external_lex_state = 6},
  [615] = {.lex_state = 38},
  [616] = {.lex_state = 38, .external_lex_state = 6},
  [617] = {.lex_state = 38},
  [618] = {.lex_state = 38},
  [619] = {.lex_state = 38},
  [620] = {.lex_state = 38},
  [621] = {.lex_state = 38},
  [622] = {.lex_state = 38},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 0},
  [625] = {.lex_state = 38},
  [626] = {.lex_state = 38},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 38},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 38},
  [632] = {.lex_state = 38},
  [633] = {.lex_state = 38},
  [634] = {.lex_state = 38},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 38},
  [637] = {.lex_state = 38},
  [638] = {.lex_state = 38},
  [639] = {.lex_state = 38},
  [640] = {.lex_state = 38},
  [641] = {.lex_state = 38},
  [642] = {.lex_state = 38},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 38},
  [647] = {.lex_state = 38},
  [648] = {.lex_state = 38},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 38},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 38},
  [674] = {.lex_state = 12, .external_lex_state = 7},
  [675] = {.lex_state = 12, .external_lex_state = 7},
  [676] = {.lex_state = 12, .external_lex_state = 7},
  [677] = {.lex_state = 0, .external_lex_state = 6},
  [678] = {.lex_state = 10, .external_lex_state = 6},
  [679] = {.lex_state = 0, .external_lex_state = 6},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 12, .external_lex_state = 7},
  [682] = {.lex_state = 12, .external_lex_state = 7},
  [683] = {.lex_state = 10},
  [684] = {.lex_state = 38},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 10, .external_lex_state = 6},
  [687] = {.lex_state = 0, .external_lex_state = 6},
  [688] = {.lex_state = 38},
  [689] = {.lex_state = 12, .external_lex_state = 7},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 38},
  [693] = {.lex_state = 10, .external_lex_state = 6},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 12, .external_lex_state = 7},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 12, .external_lex_state = 7},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 38},
  [700] = {.lex_state = 38},
  [701] = {.lex_state = 12, .external_lex_state = 7},
  [702] = {.lex_state = 38},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 38},
  [706] = {.lex_state = 38},
  [707] = {.lex_state = 0, .external_lex_state = 6},
  [708] = {.lex_state = 38},
  [709] = {.lex_state = 38},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 38},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0, .external_lex_state = 6},
  [718] = {.lex_state = 38},
  [719] = {.lex_state = 10, .external_lex_state = 6},
  [720] = {.lex_state = 38},
  [721] = {.lex_state = 0, .external_lex_state = 6},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 38},
  [724] = {.lex_state = 38},
  [725] = {.lex_state = 38},
  [726] = {.lex_state = 38},
  [727] = {.lex_state = 38},
  [728] = {.lex_state = 38},
  [729] = {.lex_state = 38},
  [730] = {.lex_state = 38},
  [731] = {.lex_state = 38},
  [732] = {.lex_state = 38},
  [733] = {.lex_state = 38},
  [734] = {.lex_state = 38},
  [735] = {.lex_state = 12, .external_lex_state = 7},
  [736] = {.lex_state = 12, .external_lex_state = 7},
  [737] = {.lex_state = 0, .external_lex_state = 6},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 38},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 12, .external_lex_state = 7},
  [746] = {.lex_state = 0, .external_lex_state = 6},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0, .external_lex_state = 6},
  [750] = {.lex_state = 0, .external_lex_state = 6},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 4},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 38},
  [756] = {.lex_state = 0, .external_lex_state = 6},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0, .external_lex_state = 6},
  [759] = {.lex_state = 38},
  [760] = {.lex_state = 4},
  [761] = {.lex_state = 4},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 38},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0, .external_lex_state = 6},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0, .external_lex_state = 6},
  [769] = {.lex_state = 38},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 38},
  [772] = {.lex_state = 38},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 38},
  [775] = {.lex_state = 0, .external_lex_state = 6},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 38},
  [779] = {.lex_state = 38},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 38},
  [782] = {.lex_state = 0, .external_lex_state = 6},
  [783] = {.lex_state = 38},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 38},
  [786] = {.lex_state = 0, .external_lex_state = 6},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0, .external_lex_state = 6},
  [789] = {.lex_state = 0, .external_lex_state = 6},
  [790] = {.lex_state = 0, .external_lex_state = 6},
  [791] = {.lex_state = 0, .external_lex_state = 6},
  [792] = {.lex_state = 38},
  [793] = {.lex_state = 0, .external_lex_state = 6},
  [794] = {.lex_state = 38},
  [795] = {.lex_state = 38},
  [796] = {.lex_state = 38},
  [797] = {.lex_state = 38},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 0, .external_lex_state = 6},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0, .external_lex_state = 6},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 0, .external_lex_state = 6},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 0, .external_lex_state = 6},
  [808] = {.lex_state = 38},
  [809] = {.lex_state = 0, .external_lex_state = 6},
  [810] = {.lex_state = 38},
  [811] = {.lex_state = 38},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 0, .external_lex_state = 6},
  [814] = {.lex_state = 38},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0, .external_lex_state = 6},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0, .external_lex_state = 6},
  [821] = {.lex_state = 0, .external_lex_state = 6},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0, .external_lex_state = 6},
  [825] = {.lex_state = 0, .external_lex_state = 6},
  [826] = {.lex_state = 0, .external_lex_state = 6},
  [827] = {.lex_state = 38},
  [828] = {.lex_state = 0, .external_lex_state = 6},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0, .external_lex_state = 6},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 38},
  [835] = {.lex_state = 38},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 38},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0, .external_lex_state = 6},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 38},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 38},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 38},
  [855] = {.lex_state = 38},
  [856] = {.lex_state = 38},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 38},
  [859] = {.lex_state = 0, .external_lex_state = 6},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 38},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 38},
  [873] = {.lex_state = 38},
  [874] = {.lex_state = 38},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0, .external_lex_state = 6},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 38},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 38},
  [882] = {.lex_state = 38},
  [883] = {.lex_state = 38},
  [884] = {.lex_state = 4},
  [885] = {.lex_state = 0, .external_lex_state = 6},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0, .external_lex_state = 6},
  [891] = {.lex_state = 0, .external_lex_state = 6},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 38},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0, .external_lex_state = 6},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 38},
  [906] = {.lex_state = 38},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0, .external_lex_state = 6},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0, .external_lex_state = 6},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 11},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0, .external_lex_state = 6},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0, .external_lex_state = 6},
  [922] = {.lex_state = 0, .external_lex_state = 6},
  [923] = {.lex_state = 0, .external_lex_state = 6},
  [924] = {.lex_state = 0, .external_lex_state = 6},
  [925] = {.lex_state = 0, .external_lex_state = 6},
  [926] = {.lex_state = 0, .external_lex_state = 6},
  [927] = {.lex_state = 11},
  [928] = {.lex_state = 0, .external_lex_state = 6},
  [929] = {.lex_state = 11},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 38},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 38},
  [934] = {.lex_state = 0, .external_lex_state = 6},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 11},
  [937] = {.lex_state = 0, .external_lex_state = 6},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 11},
  [940] = {.lex_state = 0, .external_lex_state = 6},
  [941] = {.lex_state = 0, .external_lex_state = 6},
  [942] = {.lex_state = 0, .external_lex_state = 6},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 11},
  [948] = {.lex_state = 0, .external_lex_state = 6},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0, .external_lex_state = 6},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 38},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 38},
  [971] = {.lex_state = 38},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 38},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 38},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 38},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 38},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 38},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 38},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 38},
  [1006] = {.lex_state = 38},
  [1007] = {.lex_state = 38},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 38},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 38},
  [1012] = {.lex_state = 38},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 38},
  [1018] = {.lex_state = 38},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 38},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0, .external_lex_state = 6},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 38},
  [1029] = {.lex_state = 38},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 38},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(994),
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(665),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(665),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_def] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(355),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [3] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(359),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [4] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(740),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [5] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(441),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [6] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(460),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [7] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(356),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [8] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(444),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [9] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(329),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [10] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(461),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [11] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(364),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [12] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(377),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [13] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(319),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [14] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(239),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [15] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(762),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [16] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(428),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [17] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(386),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [18] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(399),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [19] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(453),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [20] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(438),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [21] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(422),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [22] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(467),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [23] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(315),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [24] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(418),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [25] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(334),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [26] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(397),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [27] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(455),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [28] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(456),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [29] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(393),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [30] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(463),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [31] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(415),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [32] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(236),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [33] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(361),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [34] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(457),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [35] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(322),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [36] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(366),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [37] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(326),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [38] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(372),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [39] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(365),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [40] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(384),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [41] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(672),
    [sym_block] = STATE(420),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [42] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(665),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(665),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_def] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [43] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(672),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(73),
  },
  [44] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(672),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(73),
  },
  [45] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(665),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(665),
    [ts_builtin_sym_end] = ACTIONS(103),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(108),
    [anon_sym_from] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_print] = ACTIONS(117),
    [anon_sym_assert] = ACTIONS(120),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_del] = ACTIONS(126),
    [anon_sym_raise] = ACTIONS(129),
    [anon_sym_pass] = ACTIONS(132),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_continue] = ACTIONS(138),
    [anon_sym_if] = ACTIONS(141),
    [anon_sym_async] = ACTIONS(144),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(150),
    [anon_sym_try] = ACTIONS(153),
    [anon_sym_with] = ACTIONS(156),
    [anon_sym_def] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [sym_ellipsis] = ACTIONS(192),
    [anon_sym_LBRACE] = ACTIONS(195),
    [sym_integer] = ACTIONS(198),
    [sym_float] = ACTIONS(192),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_none] = ACTIONS(198),
    [anon_sym_await] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(204),
  },
  [46] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(672),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(108),
    [anon_sym_from] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_print] = ACTIONS(117),
    [anon_sym_assert] = ACTIONS(120),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_del] = ACTIONS(126),
    [anon_sym_raise] = ACTIONS(129),
    [anon_sym_pass] = ACTIONS(132),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_continue] = ACTIONS(138),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_async] = ACTIONS(210),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(216),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_with] = ACTIONS(222),
    [anon_sym_def] = ACTIONS(225),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(228),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [sym_ellipsis] = ACTIONS(192),
    [anon_sym_LBRACE] = ACTIONS(195),
    [sym_integer] = ACTIONS(198),
    [sym_float] = ACTIONS(192),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_none] = ACTIONS(198),
    [anon_sym_await] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(204),
  },
  [47] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(672),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(231),
    [sym__string_start] = ACTIONS(73),
  },
  [48] = {
    [sym_chevron] = STATE(804),
    [sym_named_expression] = STATE(677),
    [sym__expression] = STATE(677),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(677),
    [sym_boolean_operator] = STATE(677),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(677),
    [sym_lambda] = STATE(677),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(677),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(677),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_print] = ACTIONS(237),
    [anon_sym_GT_GT] = ACTIONS(239),
    [anon_sym_if] = ACTIONS(233),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_in] = ACTIONS(233),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_exec] = ACTIONS(237),
    [anon_sym_AT] = ACTIONS(233),
    [anon_sym_not] = ACTIONS(233),
    [anon_sym_and] = ACTIONS(233),
    [anon_sym_or] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_SLASH_SLASH] = ACTIONS(233),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_GT] = ACTIONS(235),
    [anon_sym_is] = ACTIONS(233),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(235),
    [anon_sym_DASH_EQ] = ACTIONS(235),
    [anon_sym_STAR_EQ] = ACTIONS(235),
    [anon_sym_SLASH_EQ] = ACTIONS(235),
    [anon_sym_AT_EQ] = ACTIONS(235),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(235),
    [anon_sym_PERCENT_EQ] = ACTIONS(235),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(235),
    [anon_sym_GT_GT_EQ] = ACTIONS(235),
    [anon_sym_LT_LT_EQ] = ACTIONS(235),
    [anon_sym_AMP_EQ] = ACTIONS(235),
    [anon_sym_CARET_EQ] = ACTIONS(235),
    [anon_sym_PIPE_EQ] = ACTIONS(235),
    [anon_sym_LBRACK] = ACTIONS(235),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(235),
    [sym__newline] = ACTIONS(235),
    [sym__string_start] = ACTIONS(73),
  },
  [49] = {
    [sym__simple_statements] = STATE(371),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(241),
    [sym__indent] = ACTIONS(243),
    [sym__string_start] = ACTIONS(73),
  },
  [50] = {
    [sym__simple_statements] = STATE(398),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(245),
    [sym__indent] = ACTIONS(247),
    [sym__string_start] = ACTIONS(73),
  },
  [51] = {
    [sym__simple_statements] = STATE(407),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(249),
    [sym__indent] = ACTIONS(251),
    [sym__string_start] = ACTIONS(73),
  },
  [52] = {
    [sym__simple_statements] = STATE(373),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(253),
    [sym__indent] = ACTIONS(255),
    [sym__string_start] = ACTIONS(73),
  },
  [53] = {
    [sym__simple_statements] = STATE(357),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(257),
    [sym__indent] = ACTIONS(259),
    [sym__string_start] = ACTIONS(73),
  },
  [54] = {
    [sym__simple_statements] = STATE(295),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(261),
    [sym__indent] = ACTIONS(263),
    [sym__string_start] = ACTIONS(73),
  },
  [55] = {
    [sym__simple_statements] = STATE(757),
    [sym_import_statement] = STATE(828),
    [sym_future_import_statement] = STATE(828),
    [sym_import_from_statement] = STATE(828),
    [sym_print_statement] = STATE(828),
    [sym_assert_statement] = STATE(828),
    [sym_expression_statement] = STATE(828),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(828),
    [sym_delete_statement] = STATE(828),
    [sym_raise_statement] = STATE(828),
    [sym_pass_statement] = STATE(828),
    [sym_break_statement] = STATE(828),
    [sym_continue_statement] = STATE(828),
    [sym_global_statement] = STATE(828),
    [sym_nonlocal_statement] = STATE(828),
    [sym_exec_statement] = STATE(828),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(265),
    [sym__indent] = ACTIONS(267),
    [sym__string_start] = ACTIONS(73),
  },
  [56] = {
    [sym__simple_statements] = STATE(412),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(269),
    [sym__indent] = ACTIONS(271),
    [sym__string_start] = ACTIONS(73),
  },
  [57] = {
    [sym__simple_statements] = STATE(331),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(273),
    [sym__indent] = ACTIONS(275),
    [sym__string_start] = ACTIONS(73),
  },
  [58] = {
    [sym__simple_statements] = STATE(465),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym__indent] = ACTIONS(279),
    [sym__string_start] = ACTIONS(73),
  },
  [59] = {
    [sym__simple_statements] = STATE(248),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(281),
    [sym__indent] = ACTIONS(283),
    [sym__string_start] = ACTIONS(73),
  },
  [60] = {
    [sym__simple_statements] = STATE(446),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(285),
    [sym__indent] = ACTIONS(287),
    [sym__string_start] = ACTIONS(73),
  },
  [61] = {
    [sym__simple_statements] = STATE(362),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(289),
    [sym__indent] = ACTIONS(291),
    [sym__string_start] = ACTIONS(73),
  },
  [62] = {
    [sym__simple_statements] = STATE(249),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(293),
    [sym__indent] = ACTIONS(295),
    [sym__string_start] = ACTIONS(73),
  },
  [63] = {
    [sym__simple_statements] = STATE(376),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(297),
    [sym__indent] = ACTIONS(299),
    [sym__string_start] = ACTIONS(73),
  },
  [64] = {
    [sym__simple_statements] = STATE(405),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(301),
    [sym__indent] = ACTIONS(303),
    [sym__string_start] = ACTIONS(73),
  },
  [65] = {
    [sym__simple_statements] = STATE(410),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(305),
    [sym__indent] = ACTIONS(307),
    [sym__string_start] = ACTIONS(73),
  },
  [66] = {
    [sym__simple_statements] = STATE(409),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(309),
    [sym__indent] = ACTIONS(311),
    [sym__string_start] = ACTIONS(73),
  },
  [67] = {
    [sym__simple_statements] = STATE(404),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(313),
    [sym__indent] = ACTIONS(315),
    [sym__string_start] = ACTIONS(73),
  },
  [68] = {
    [sym__simple_statements] = STATE(429),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(317),
    [sym__indent] = ACTIONS(319),
    [sym__string_start] = ACTIONS(73),
  },
  [69] = {
    [sym__simple_statements] = STATE(451),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(321),
    [sym__indent] = ACTIONS(323),
    [sym__string_start] = ACTIONS(73),
  },
  [70] = {
    [sym__simple_statements] = STATE(424),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(325),
    [sym__indent] = ACTIONS(327),
    [sym__string_start] = ACTIONS(73),
  },
  [71] = {
    [sym__simple_statements] = STATE(317),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(329),
    [sym__indent] = ACTIONS(331),
    [sym__string_start] = ACTIONS(73),
  },
  [72] = {
    [sym__simple_statements] = STATE(468),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(333),
    [sym__indent] = ACTIONS(335),
    [sym__string_start] = ACTIONS(73),
  },
  [73] = {
    [sym__simple_statements] = STATE(396),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__indent] = ACTIONS(339),
    [sym__string_start] = ACTIONS(73),
  },
  [74] = {
    [sym__simple_statements] = STATE(413),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__indent] = ACTIONS(343),
    [sym__string_start] = ACTIONS(73),
  },
  [75] = {
    [sym__simple_statements] = STATE(360),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__indent] = ACTIONS(347),
    [sym__string_start] = ACTIONS(73),
  },
  [76] = {
    [sym__simple_statements] = STATE(392),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym__string_start] = ACTIONS(73),
  },
  [77] = {
    [sym__simple_statements] = STATE(321),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym__string_start] = ACTIONS(73),
  },
  [78] = {
    [sym__simple_statements] = STATE(380),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym__string_start] = ACTIONS(73),
  },
  [79] = {
    [sym__simple_statements] = STATE(391),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym__string_start] = ACTIONS(73),
  },
  [80] = {
    [sym__simple_statements] = STATE(449),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym__string_start] = ACTIONS(73),
  },
  [81] = {
    [sym__simple_statements] = STATE(368),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym__string_start] = ACTIONS(73),
  },
  [82] = {
    [sym__simple_statements] = STATE(752),
    [sym_import_statement] = STATE(828),
    [sym_future_import_statement] = STATE(828),
    [sym_import_from_statement] = STATE(828),
    [sym_print_statement] = STATE(828),
    [sym_assert_statement] = STATE(828),
    [sym_expression_statement] = STATE(828),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(828),
    [sym_delete_statement] = STATE(828),
    [sym_raise_statement] = STATE(828),
    [sym_pass_statement] = STATE(828),
    [sym_break_statement] = STATE(828),
    [sym_continue_statement] = STATE(828),
    [sym_global_statement] = STATE(828),
    [sym_nonlocal_statement] = STATE(828),
    [sym_exec_statement] = STATE(828),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym__string_start] = ACTIONS(73),
  },
  [83] = {
    [sym__simple_statements] = STATE(443),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym__string_start] = ACTIONS(73),
  },
  [84] = {
    [sym__simple_statements] = STATE(285),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__indent] = ACTIONS(383),
    [sym__string_start] = ACTIONS(73),
  },
  [85] = {
    [sym__simple_statements] = STATE(375),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(385),
    [sym__indent] = ACTIONS(387),
    [sym__string_start] = ACTIONS(73),
  },
  [86] = {
    [sym__simple_statements] = STATE(378),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__indent] = ACTIONS(391),
    [sym__string_start] = ACTIONS(73),
  },
  [87] = {
    [sym__simple_statements] = STATE(327),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(393),
    [sym__indent] = ACTIONS(395),
    [sym__string_start] = ACTIONS(73),
  },
  [88] = {
    [sym__simple_statements] = STATE(389),
    [sym_import_statement] = STATE(859),
    [sym_future_import_statement] = STATE(859),
    [sym_import_from_statement] = STATE(859),
    [sym_print_statement] = STATE(859),
    [sym_assert_statement] = STATE(859),
    [sym_expression_statement] = STATE(859),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(859),
    [sym_delete_statement] = STATE(859),
    [sym_raise_statement] = STATE(859),
    [sym_pass_statement] = STATE(859),
    [sym_break_statement] = STATE(859),
    [sym_continue_statement] = STATE(859),
    [sym_global_statement] = STATE(859),
    [sym_nonlocal_statement] = STATE(859),
    [sym_exec_statement] = STATE(859),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(397),
    [sym__indent] = ACTIONS(399),
    [sym__string_start] = ACTIONS(73),
  },
  [89] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(401),
    [sym__string_start] = ACTIONS(73),
  },
  [90] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__string_start] = ACTIONS(73),
  },
  [91] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(405),
    [sym__string_start] = ACTIONS(73),
  },
  [92] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__string_start] = ACTIONS(73),
  },
  [93] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__string_start] = ACTIONS(73),
  },
  [94] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__string_start] = ACTIONS(73),
  },
  [95] = {
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression_list] = STATE(620),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(114),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(114),
    [sym_unary_operator] = STATE(114),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(937),
    [sym_augmented_assignment] = STATE(937),
    [sym_yield] = STATE(937),
    [sym_attribute] = STATE(114),
    [sym_subscript] = STATE(114),
    [sym_call] = STATE(114),
    [sym_list] = STATE(114),
    [sym_list_comprehension] = STATE(114),
    [sym_dictionary] = STATE(114),
    [sym_dictionary_comprehension] = STATE(114),
    [sym_set] = STATE(114),
    [sym_set_comprehension] = STATE(114),
    [sym_parenthesized_expression] = STATE(114),
    [sym_tuple] = STATE(114),
    [sym_generator_expression] = STATE(114),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(114),
    [sym_string] = STATE(109),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(413), 1,
      anon_sym_from,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(417), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(415), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [102] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(419), 1,
      anon_sym_from,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(417), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(421), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [204] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(417), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(423), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    ACTIONS(421), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [305] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(417), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(425), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    ACTIONS(415), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [406] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    ACTIONS(433), 1,
      anon_sym_COMMA,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(878), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(712), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    ACTIONS(461), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(907), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(651), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    ACTIONS(465), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(877), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(713), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [694] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(696), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(471), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(475), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [786] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(696), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(479), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(481), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [878] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(696), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(483), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(485), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    ACTIONS(433), 1,
      anon_sym_COMMA,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(878), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(657), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1066] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(696), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(487), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(489), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1158] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    ACTIONS(465), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(877), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(654), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(122), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(493), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [1317] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    ACTIONS(497), 1,
      anon_sym_COMMA,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(501), 1,
      anon_sym_yield,
    STATE(382), 1,
      sym_string,
    STATE(833), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(1021), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(656), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1414] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_COMMA,
    ACTIONS(505), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(698), 1,
      sym_pair,
    STATE(843), 1,
      sym_dictionary_splat,
    STATE(848), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(648), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1513] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(507), 1,
      anon_sym_COMMA,
    ACTIONS(509), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(690), 1,
      sym_pair,
    STATE(839), 1,
      sym_list_splat,
    STATE(840), 1,
      sym_dictionary_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(647), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1612] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_COMMA,
    ACTIONS(513), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(703), 1,
      sym_pair,
    STATE(896), 1,
      sym_dictionary_splat,
    STATE(898), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(646), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1711] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_EQ,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(531), 1,
      anon_sym_not,
    ACTIONS(535), 1,
      anon_sym_PIPE,
    ACTIONS(537), 1,
      anon_sym_AMP,
    ACTIONS(539), 1,
      anon_sym_CARET,
    ACTIONS(543), 1,
      anon_sym_is,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    STATE(530), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(541), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(525), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(517), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [1802] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(547), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1895] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(549), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1988] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2174] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(555), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym__string_start,
    STATE(120), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(559), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(557), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2330] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(564), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(120), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(568), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2486] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(616), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(950), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [2644] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(616), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(948), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(576), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [2802] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(616), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(940), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [2960] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(572), 8,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3032] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(537), 1,
      anon_sym_AMP,
    ACTIONS(539), 1,
      anon_sym_CARET,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3110] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(382), 1,
      sym_string,
    ACTIONS(437), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(944), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3200] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(572), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(539), 1,
      anon_sym_CARET,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(572), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(535), 1,
      anon_sym_PIPE,
    ACTIONS(537), 1,
      anon_sym_AMP,
    ACTIONS(539), 1,
      anon_sym_CARET,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(580), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(578), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(535), 1,
      anon_sym_PIPE,
    ACTIONS(537), 1,
      anon_sym_AMP,
    ACTIONS(539), 1,
      anon_sym_CARET,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(584), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(582), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_DOT,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    ACTIONS(529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(545), 1,
      anon_sym_LBRACK,
    STATE(144), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(521), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(572), 10,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 1,
      anon_sym_COLON_EQ,
    ACTIONS(493), 17,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 33,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 1,
      sym__string_start,
    STATE(890), 1,
      sym_string,
    ACTIONS(233), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 33,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(604), 1,
      anon_sym_except,
    ACTIONS(606), 1,
      anon_sym_finally,
    STATE(374), 1,
      sym_else_clause,
    STATE(417), 1,
      sym_finally_clause,
    STATE(246), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(598), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(600), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [3882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(608), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3938] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(612), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(614), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4082] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(618), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(604), 1,
      anon_sym_except,
    ACTIONS(606), 1,
      anon_sym_finally,
    STATE(358), 1,
      sym_else_clause,
    STATE(462), 1,
      sym_finally_clause,
    STATE(246), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(620), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(622), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [4238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(624), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(628), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4350] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(632), 1,
      anon_sym_COMMA,
    ACTIONS(634), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(850), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(652), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4440] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(636), 1,
      anon_sym_COMMA,
    ACTIONS(638), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(836), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(655), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4530] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    ACTIONS(497), 1,
      anon_sym_COMMA,
    ACTIONS(501), 1,
      anon_sym_yield,
    STATE(382), 1,
      sym_string,
    STATE(833), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(656), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(640), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4676] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_COMMA,
    ACTIONS(646), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(902), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(649), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(648), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(652), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(660), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5046] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(668), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(670), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5190] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(674), 1,
      anon_sym_from,
    STATE(109), 1,
      sym_string,
    STATE(911), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(676), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(678), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5390] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(688), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5534] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5622] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(694), 1,
      anon_sym_from,
    STATE(109), 1,
      sym_string,
    STATE(876), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(696), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(698), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(702), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5822] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(706), 1,
      anon_sym_RPAREN,
    ACTIONS(708), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    STATE(851), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(653), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(714), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6360] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    ACTIONS(497), 1,
      anon_sym_COMMA,
    ACTIONS(501), 1,
      anon_sym_yield,
    STATE(382), 1,
      sym_string,
    STATE(865), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(748), 1,
      anon_sym_except,
    ACTIONS(750), 1,
      anon_sym_finally,
    STATE(363), 1,
      sym_else_clause,
    STATE(401), 1,
      sym_finally_clause,
    STATE(237), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(598), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(600), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [6574] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(752), 1,
      anon_sym_RPAREN,
    ACTIONS(754), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    STATE(841), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(650), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6664] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(748), 1,
      anon_sym_except,
    ACTIONS(750), 1,
      anon_sym_finally,
    STATE(369), 1,
      sym_else_clause,
    STATE(387), 1,
      sym_finally_clause,
    STATE(237), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(620), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(622), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [6876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [7044] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_from,
    STATE(382), 1,
      sym_string,
    STATE(938), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(676), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(700), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(776), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [7188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [7244] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(782), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7331] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(784), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7418] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_COMMA,
    ACTIONS(788), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    STATE(855), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(667), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7505] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(790), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(792), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7679] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(794), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7766] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(796), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(798), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7940] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8027] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8114] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(804), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(928), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(806), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8286] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(808), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8373] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(415), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(812), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(728), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(421), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8624] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(814), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8711] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(709), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(769), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8881] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8968] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(822), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9055] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(824), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9142] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(826), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9229] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    ACTIONS(828), 1,
      anon_sym_RPAREN,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9316] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9403] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(832), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(834), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(667), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9573] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(836), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9660] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(838), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9747] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(840), 1,
      anon_sym_RBRACK,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9834] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(844), 1,
      anon_sym_RBRACE,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10008] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(788), 1,
      anon_sym_RPAREN,
    ACTIONS(846), 1,
      anon_sym_COMMA,
    STATE(382), 1,
      sym_string,
    STATE(860), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(667), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    STATE(886), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(673), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(739), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(670), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10343] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_yield,
    STATE(382), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10427] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(763), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(668), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(854), 1,
      anon_sym_elif,
    STATE(278), 1,
      aux_sym_if_statement_repeat1,
    STATE(370), 1,
      sym_elif_clause,
    STATE(458), 1,
      sym_else_clause,
    ACTIONS(850), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(852), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10655] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    STATE(888), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(702), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(856), 1,
      anon_sym_elif,
    STATE(253), 1,
      aux_sym_if_statement_repeat1,
    STATE(367), 1,
      sym_elif_clause,
    STATE(416), 1,
      sym_else_clause,
    ACTIONS(850), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(852), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(854), 1,
      anon_sym_elif,
    STATE(278), 1,
      aux_sym_if_statement_repeat1,
    STATE(370), 1,
      sym_elif_clause,
    STATE(440), 1,
      sym_else_clause,
    ACTIONS(858), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(860), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10867] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(685), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(659), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(854), 1,
      anon_sym_elif,
    STATE(231), 1,
      aux_sym_if_statement_repeat1,
    STATE(370), 1,
      sym_elif_clause,
    STATE(433), 1,
      sym_else_clause,
    ACTIONS(862), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(864), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_except,
    STATE(237), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(868), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11071] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    STATE(880), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(856), 1,
      anon_sym_elif,
    STATE(233), 1,
      aux_sym_if_statement_repeat1,
    STATE(367), 1,
      sym_elif_clause,
    STATE(394), 1,
      sym_else_clause,
    ACTIONS(862), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(864), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(696), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(856), 1,
      anon_sym_elif,
    STATE(253), 1,
      aux_sym_if_statement_repeat1,
    STATE(367), 1,
      sym_elif_clause,
    STATE(395), 1,
      sym_else_clause,
    ACTIONS(858), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(860), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11365] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(873), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(707), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11447] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(875), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(707), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11529] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    STATE(382), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(715), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11613] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(877), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(707), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_except,
    STATE(246), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(868), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11753] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(882), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(707), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    ACTIONS(854), 1,
      anon_sym_elif,
    STATE(234), 1,
      aux_sym_if_statement_repeat1,
    STATE(370), 1,
      sym_elif_clause,
    STATE(402), 1,
      sym_else_clause,
    ACTIONS(884), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(886), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    ACTIONS(856), 1,
      anon_sym_elif,
    STATE(241), 1,
      aux_sym_if_statement_repeat1,
    STATE(367), 1,
      sym_elif_clause,
    STATE(406), 1,
      sym_else_clause,
    ACTIONS(884), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(886), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11963] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(738), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12045] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_lambda,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(680), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(661), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12127] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_COLON,
    STATE(382), 1,
      sym_string,
    STATE(946), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_elif,
    STATE(253), 1,
      aux_sym_if_statement_repeat1,
    STATE(367), 1,
      sym_elif_clause,
    ACTIONS(892), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(899), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(899), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(901), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1003), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(700), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(905), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12563] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1029), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(700), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1007), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(700), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12725] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1010), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(901), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12859] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1012), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(700), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12940] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1009), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(925), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(794), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    STATE(814), 1,
      sym_with_item,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(724), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(933), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13317] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    STATE(835), 1,
      sym_with_item,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(724), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(937), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13451] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    STATE(817), 1,
      sym_type,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(717), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13532] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(879), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(937), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13666] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    ACTIONS(941), 1,
      anon_sym_COLON,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13747] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    STATE(883), 1,
      sym_with_item,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(724), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13828] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(984), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    ACTIONS(943), 1,
      anon_sym_COLON,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(730), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_elif,
    STATE(278), 1,
      aux_sym_if_statement_repeat1,
    STATE(370), 1,
      sym_elif_clause,
    ACTIONS(892), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14049] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1011), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14130] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1020), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    STATE(933), 1,
      sym_with_item,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(724), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(933), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(905), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14398] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    STATE(881), 1,
      sym_with_item,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(724), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(948), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(606), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(749), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(699), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(669), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(667), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(737), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(725), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(602), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(954), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(783), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(784), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(608), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(609), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(781), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(640), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(708), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(734), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(732), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(731), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(720), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(705), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(692), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(711), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(706), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(915), 1,
      anon_sym_not,
    ACTIONS(919), 1,
      anon_sym_lambda,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(929), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(923), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(927), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(723), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(604), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(958), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(777), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(948), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(603), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(960), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(776), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(964), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(968), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(785), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(707), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(758), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(958), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(954), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(764), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(968), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(694), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(964), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(774), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(792), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(960), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [18067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(607), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(626), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(726), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(796), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(798), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(641), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18535] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(743), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(632), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(733), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(631), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(638), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(605), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(634), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(679), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(747), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(797), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(687), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(114), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(467), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(628), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(445), 1,
      sym_else_clause,
    ACTIONS(972), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(974), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(454), 1,
      sym_else_clause,
    ACTIONS(980), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(982), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      anon_sym_finally,
    STATE(452), 1,
      sym_finally_clause,
    ACTIONS(984), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(390), 1,
      sym_else_clause,
    ACTIONS(990), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(988), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(448), 1,
      sym_else_clause,
    ACTIONS(992), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(994), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(996), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(998), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_finally,
    STATE(388), 1,
      sym_finally_clause,
    ACTIONS(1002), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1000), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(442), 1,
      sym_else_clause,
    ACTIONS(1004), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1006), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(459), 1,
      sym_else_clause,
    ACTIONS(1004), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1006), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(437), 1,
      sym_else_clause,
    ACTIONS(990), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(988), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(996), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(998), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_finally,
    STATE(439), 1,
      sym_finally_clause,
    ACTIONS(984), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(435), 1,
      sym_else_clause,
    ACTIONS(980), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(982), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(450), 1,
      sym_else_clause,
    ACTIONS(972), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(974), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_else,
    STATE(411), 1,
      sym_else_clause,
    ACTIONS(1012), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1014), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      anon_sym_finally,
    STATE(464), 1,
      sym_finally_clause,
    ACTIONS(1002), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1000), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(447), 1,
      sym_else_clause,
    ACTIONS(992), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(994), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_else,
    STATE(403), 1,
      sym_else_clause,
    ACTIONS(1012), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1014), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1018), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1020), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      sym__string_start,
    STATE(379), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(559), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(557), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [20967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1020), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(379), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(568), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(381), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(493), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21125] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      anon_sym_EQ,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1045), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1053), 1,
      anon_sym_is,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    STATE(597), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1051), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1035), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(517), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1018), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(600), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1059), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1065), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1069), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1073), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1077), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1081), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1085), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1089), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1059), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1097), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1101), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(622), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1000), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1109), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1119), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22386] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1045), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(584), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(582), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [22459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1121), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1119), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1109), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1121), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1073), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(600), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1125), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1129), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1000), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1133), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(622), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1137), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1101), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23163] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1097), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23281] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23352] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 27,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 30,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1141), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23572] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1045), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(580), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(578), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 30,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1085), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1145), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1149), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(576), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 30,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1069), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1153), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1157), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1089), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1163), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1169), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1183), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1185), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1185), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1183), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1169), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1157), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1153), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1149), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1137), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1133), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1129), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1125), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1141), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1163), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1065), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1145), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1081), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1077), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_COLON_EQ,
    ACTIONS(493), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(714), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(624), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(688), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(614), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(660), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(648), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(608), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(652), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(702), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(628), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(698), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(640), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(678), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(776), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(670), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27146] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1205), 1,
      anon_sym_not,
    ACTIONS(1209), 1,
      anon_sym_PIPE,
    ACTIONS(1211), 1,
      anon_sym_AMP,
    ACTIONS(1213), 1,
      anon_sym_CARET,
    ACTIONS(1217), 1,
      anon_sym_is,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    STATE(615), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1215), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(517), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1199), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [27221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1221), 1,
      anon_sym_EQ,
    ACTIONS(493), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      sym__string_start,
    STATE(505), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(559), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(557), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(505), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(568), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(506), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(493), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27409] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(1228), 1,
      anon_sym_not,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1230), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1226), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(134), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27469] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1213), 1,
      anon_sym_CARET,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(572), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27531] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(572), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27589] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(1234), 1,
      anon_sym_in,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1236), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1232), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27649] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(1238), 1,
      anon_sym_in,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1236), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1232), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1209), 1,
      anon_sym_PIPE,
    ACTIONS(1211), 1,
      anon_sym_AMP,
    ACTIONS(1213), 1,
      anon_sym_CARET,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(578), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27775] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(233), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(1244), 1,
      anon_sym_not,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1246), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1242), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(430), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(572), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27987] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1211), 1,
      anon_sym_AMP,
    ACTIONS(1213), 1,
      anon_sym_CARET,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(572), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(572), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28103] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1034), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28163] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(572), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(570), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1008), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28283] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1032), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28343] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(955), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28403] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    ACTIONS(1254), 1,
      anon_sym_not,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1256), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1252), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(513), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(1025), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    STATE(997), 1,
      sym_variables,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(576), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28635] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOT,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1209), 1,
      anon_sym_PIPE,
    ACTIONS(1211), 1,
      anon_sym_AMP,
    ACTIONS(1213), 1,
      anon_sym_CARET,
    ACTIONS(1219), 1,
      anon_sym_LBRACK,
    ACTIONS(584), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1207), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(570), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1203), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(582), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_not,
    ACTIONS(543), 1,
      anon_sym_is,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    STATE(553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(541), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(525), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1258), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [28752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1264), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1262), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(126), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1256), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1252), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(513), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1268), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1266), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(514), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1236), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1232), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1272), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1270), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(421), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1276), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1274), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(129), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29094] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1280), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1278), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(423), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1284), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1282), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(425), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29208] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1288), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1286), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(519), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1292), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1290), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(426), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1296), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1294), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(427), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1246), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1242), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(430), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1300), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1298), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(431), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1304), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1302), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(432), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29550] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1308), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1306), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(517), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1312), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1310), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(518), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1316), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1314), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(510), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1320), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1318), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(528), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [29819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1322), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(436), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1328), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1326), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(128), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_COLON_EQ,
    ACTIONS(493), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(491), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [29976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_EQ,
    ACTIONS(1335), 1,
      anon_sym_not,
    ACTIONS(1341), 1,
      anon_sym_is,
    STATE(553), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1338), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1332), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(578), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [30027] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1346), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1344), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(529), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30084] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LBRACK,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_string,
    ACTIONS(473), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1350), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1348), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(408), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30141] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1354), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1352), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(132), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1358), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1356), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(133), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30255] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1362), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1360), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(136), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30312] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1366), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1364), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(509), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30369] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      sym__string_start,
    STATE(507), 1,
      sym_string,
    ACTIONS(913), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1370), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(917), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1368), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(521), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30426] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1374), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1372), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(124), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30483] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1378), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1376), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(130), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1382), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1380), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(135), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(109), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1230), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1226), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(134), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(730), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(734), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(648), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(770), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(614), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(762), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(698), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(628), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(678), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(670), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(640), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(722), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(776), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(758), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(688), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(718), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(766), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(624), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(738), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(662), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(660), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(682), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(608), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(726), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(704), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(702), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(742), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(664), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(714), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31935] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1053), 1,
      anon_sym_is,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    STATE(598), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1051), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1258), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [31977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      anon_sym_EQ,
    ACTIONS(1387), 1,
      anon_sym_not,
    ACTIONS(1393), 1,
      anon_sym_is,
    STATE(598), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1390), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1384), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(578), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32019] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_COMMA,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1396), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1406), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1408), 1,
      anon_sym_COMMA,
    STATE(614), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1410), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(1396), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1412), 20,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1414), 20,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 22,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1418), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1420), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1422), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 22,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1424), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1045), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1426), 1,
      anon_sym_COMMA,
    ACTIONS(1428), 1,
      anon_sym_in,
    STATE(908), 1,
      aux_sym_variables_repeat1,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [32439] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DOT,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1045), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_AMP,
    ACTIONS(1049), 1,
      anon_sym_CARET,
    ACTIONS(1055), 1,
      anon_sym_LBRACK,
    ACTIONS(1031), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1043), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1430), 2,
      anon_sym_COMMA,
      anon_sym_in,
    STATE(477), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1039), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [32489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_COMMA,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1406), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_COMMA,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(421), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(423), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(421), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_not,
    ACTIONS(1217), 1,
      anon_sym_is,
    STATE(617), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1258), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [32613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_COLON,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1445), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(1443), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_not,
    ACTIONS(1456), 1,
      anon_sym_is,
    STATE(617), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1453), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1447), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [32675] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1459), 1,
      sym_identifier,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_STAR,
    ACTIONS(1467), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym__parameters,
    STATE(977), 1,
      sym_lambda_parameters,
    ACTIONS(1465), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32714] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1459), 1,
      sym_identifier,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_STAR,
    ACTIONS(1469), 1,
      anon_sym_COLON,
    STATE(959), 1,
      sym_lambda_parameters,
    STATE(971), 1,
      sym__parameters,
    ACTIONS(1465), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_COLON,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1443), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1459), 1,
      sym_identifier,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_STAR,
    ACTIONS(1471), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_lambda_parameters,
    STATE(971), 1,
      sym__parameters,
    ACTIONS(1465), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1459), 1,
      sym_identifier,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym__parameters,
    STATE(992), 1,
      sym_lambda_parameters,
    ACTIONS(1465), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32856] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      sym_identifier,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
    ACTIONS(1479), 1,
      anon_sym_STAR,
    STATE(1027), 1,
      sym__parameters,
    ACTIONS(1481), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(771), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(823), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1485), 1,
      anon_sym_RPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1495), 1,
      anon_sym_COLON,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1418), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1505), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1507), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1412), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1509), 1,
      anon_sym_COLON,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1422), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1507), 1,
      anon_sym_COLON,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1485), 1,
      anon_sym_COLON,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1424), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1505), 1,
      anon_sym_COLON,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1414), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1420), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33435] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_RPAREN,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1483), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1489), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1461), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      sym_identifier,
    ACTIONS(1493), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(931), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(872), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1511), 1,
      anon_sym_COMMA,
    ACTIONS(1513), 1,
      anon_sym_COLON,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(832), 1,
      aux_sym_list_repeat1,
    STATE(1001), 1,
      sym__comprehension_clauses,
  [33565] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1513), 1,
      anon_sym_COLON,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1521), 1,
      anon_sym_COMMA,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(869), 1,
      aux_sym_list_repeat1,
    STATE(980), 1,
      sym__comprehension_clauses,
  [33602] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1513), 1,
      anon_sym_COLON,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1525), 1,
      anon_sym_COMMA,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(818), 1,
      aux_sym_list_repeat1,
    STATE(965), 1,
      sym__comprehension_clauses,
  [33639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1529), 1,
      anon_sym_COMMA,
    ACTIONS(1531), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(838), 1,
      aux_sym_list_repeat1,
    STATE(1002), 1,
      sym__comprehension_clauses,
  [33673] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1533), 1,
      anon_sym_RPAREN,
    ACTIONS(1535), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(863), 1,
      aux_sym_tuple_repeat1,
    STATE(1004), 1,
      sym__comprehension_clauses,
  [33707] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1537), 1,
      anon_sym_RPAREN,
    ACTIONS(1539), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(867), 1,
      aux_sym_argument_list_repeat1,
    STATE(956), 1,
      sym__comprehension_clauses,
  [33741] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1541), 1,
      anon_sym_COMMA,
    ACTIONS(1543), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(819), 1,
      aux_sym_list_repeat1,
    STATE(960), 1,
      sym__comprehension_clauses,
  [33775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1545), 1,
      anon_sym_RPAREN,
    ACTIONS(1547), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(822), 1,
      aux_sym_tuple_repeat1,
    STATE(956), 1,
      sym__comprehension_clauses,
  [33809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1549), 1,
      anon_sym_RPAREN,
    ACTIONS(1551), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
    STATE(985), 1,
      sym__comprehension_clauses,
  [33843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1553), 1,
      anon_sym_COMMA,
    ACTIONS(1555), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(866), 1,
      aux_sym_list_repeat1,
    STATE(981), 1,
      sym__comprehension_clauses,
  [33877] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1557), 1,
      anon_sym_RPAREN,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
    STATE(985), 1,
      sym__comprehension_clauses,
  [33911] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1561), 1,
      anon_sym_RPAREN,
    ACTIONS(1563), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(893), 1,
      aux_sym_argument_list_repeat1,
    STATE(1004), 1,
      sym__comprehension_clauses,
  [33945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1567), 1,
      anon_sym_if,
    ACTIONS(1565), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(663), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [33968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1569), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [33987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1569), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1569), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_if,
    ACTIONS(1576), 1,
      anon_sym_async,
    ACTIONS(1579), 1,
      anon_sym_for,
    ACTIONS(1571), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(662), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [34048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1567), 1,
      anon_sym_if,
    ACTIONS(1582), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(662), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [34071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_COMMA,
    STATE(666), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1584), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_async,
    ACTIONS(1590), 1,
      anon_sym_def,
    ACTIONS(1592), 1,
      anon_sym_class,
    STATE(466), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(716), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [34113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_COMMA,
    STATE(666), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1594), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1599), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_COMMA,
    STATE(671), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1601), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1605), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_COMMA,
    STATE(664), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1607), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      anon_sym_COMMA,
    STATE(666), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1611), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_AT,
    ACTIONS(1615), 1,
      anon_sym_async,
    ACTIONS(1617), 1,
      anon_sym_def,
    ACTIONS(1619), 1,
      anon_sym_class,
    STATE(434), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(716), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [34247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1621), 1,
      anon_sym_COMMA,
    ACTIONS(1623), 1,
      anon_sym_COLON,
    ACTIONS(1625), 1,
      anon_sym_RBRACK,
    STATE(894), 1,
      aux_sym_subscript_repeat1,
  [34272] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__string_content,
    ACTIONS(1635), 1,
      sym__string_end,
    ACTIONS(1629), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34293] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__string_content,
    ACTIONS(1637), 1,
      sym__string_end,
    ACTIONS(1629), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34314] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__string_content,
    ACTIONS(1639), 1,
      sym__string_end,
    ACTIONS(1629), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1641), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1643), 2,
      sym__newline,
      sym__semicolon,
  [34358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_DOT,
    STATE(693), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1647), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1651), 2,
      sym__newline,
      sym__semicolon,
  [34398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34411] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1657), 1,
      sym__string_content,
    ACTIONS(1659), 1,
      sym__string_end,
    ACTIONS(1655), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(689), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34432] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1663), 1,
      sym__string_content,
    ACTIONS(1665), 1,
      sym__string_end,
    ACTIONS(1661), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(675), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_identifier,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym___future__,
    STATE(806), 1,
      aux_sym_import_prefix_repeat1,
    STATE(875), 1,
      sym_import_prefix,
    STATE(963), 2,
      sym_relative_import,
      sym_dotted_name,
  [34476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1673), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [34495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      anon_sym_DOT,
    STATE(686), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1680), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    STATE(790), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1682), 2,
      sym__newline,
      sym__semicolon,
  [34548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1623), 1,
      anon_sym_COLON,
    ACTIONS(1684), 1,
      anon_sym_COMMA,
    ACTIONS(1686), 1,
      anon_sym_RBRACK,
    STATE(899), 1,
      aux_sym_subscript_repeat1,
  [34573] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__string_content,
    ACTIONS(1688), 1,
      sym__string_end,
    ACTIONS(1629), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(1692), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(871), 1,
      aux_sym_dictionary_repeat1,
    STATE(979), 1,
      sym__comprehension_clauses,
  [34619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR,
    STATE(756), 1,
      sym_dotted_name,
    STATE(766), 1,
      sym_aliased_import,
    STATE(934), 2,
      sym__import_list,
      sym_wildcard_import,
  [34642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1700), 1,
      anon_sym_COLON,
    ACTIONS(1702), 1,
      anon_sym_RBRACE,
    ACTIONS(1704), 1,
      sym_type_conversion,
    STATE(964), 1,
      sym_format_specifier,
  [34667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_DOT,
    STATE(686), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1706), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1708), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [34703] = 6,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    ACTIONS(1716), 1,
      sym__string_content,
    ACTIONS(1719), 1,
      sym__string_end,
    ACTIONS(1713), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34737] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1723), 1,
      sym__string_content,
    ACTIONS(1725), 1,
      sym__string_end,
    ACTIONS(1721), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1727), 1,
      anon_sym_COMMA,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(816), 1,
      aux_sym_dictionary_repeat1,
    STATE(966), 1,
      sym__comprehension_clauses,
  [34783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1731), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [34802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1733), 1,
      anon_sym_COMMA,
    STATE(795), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1396), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [34825] = 6,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1737), 1,
      sym__string_content,
    ACTIONS(1739), 1,
      sym__string_end,
    ACTIONS(1735), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(676), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1623), 1,
      anon_sym_COLON,
    ACTIONS(1741), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      aux_sym_subscript_repeat1,
  [34871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_async,
    ACTIONS(1517), 1,
      anon_sym_for,
    ACTIONS(1745), 1,
      anon_sym_COMMA,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(830), 1,
      aux_sym_dictionary_repeat1,
    STATE(999), 1,
      sym__comprehension_clauses,
  [34896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOT,
    STATE(714), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1706), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [34912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [34924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1420), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [34942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1757), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [34960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1759), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [34978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_COLON,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [34998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOT,
    STATE(704), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1647), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1412), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [35030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1561), 1,
      anon_sym_RPAREN,
    ACTIONS(1563), 1,
      anon_sym_COMMA,
    STATE(893), 1,
      aux_sym_argument_list_repeat1,
  [35052] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1549), 1,
      anon_sym_RPAREN,
    ACTIONS(1551), 1,
      anon_sym_COMMA,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
  [35074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_DOT,
    STATE(714), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1680), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1764), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [35108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 1,
      anon_sym_AT,
    STATE(716), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(1766), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [35124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1673), 3,
      sym__newline,
      anon_sym_EQ,
      sym__semicolon,
  [35142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1623), 1,
      anon_sym_COLON,
    ACTIONS(1771), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 6,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [35174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1424), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_or,
  [35188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1773), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [35206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [35228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [35240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1779), 1,
      anon_sym_as,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1414), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [35276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1781), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1785), 1,
      anon_sym_COLON,
    ACTIONS(1783), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [35314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1406), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1791), 1,
      anon_sym_COLON,
    ACTIONS(1789), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [35372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1422), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [35390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1753), 1,
      anon_sym_and,
    ACTIONS(1755), 1,
      anon_sym_or,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [35408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1793), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1795), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35444] = 3,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1799), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1797), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35457] = 3,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1803), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1801), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1805), 2,
      sym__newline,
      sym__semicolon,
  [35487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_except,
    ACTIONS(1811), 1,
      anon_sym_finally,
    STATE(419), 1,
      sym_finally_clause,
    STATE(146), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1813), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1815), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1817), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    ACTIONS(1819), 1,
      anon_sym_LPAREN,
    STATE(756), 1,
      sym_dotted_name,
    STATE(766), 1,
      sym_aliased_import,
    STATE(942), 1,
      sym__import_list,
  [35608] = 3,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1823), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1821), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    STATE(775), 1,
      sym_dotted_name,
    STATE(824), 1,
      sym_aliased_import,
    ACTIONS(1825), 2,
      sym__newline,
      sym__semicolon,
  [35638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1827), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1829), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1817), 2,
      sym__newline,
      sym__semicolon,
  [35689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    STATE(775), 1,
      sym_dotted_name,
    STATE(824), 1,
      sym_aliased_import,
    ACTIONS(1831), 2,
      sym__newline,
      sym__semicolon,
  [35706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1833), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_except,
    ACTIONS(1811), 1,
      anon_sym_finally,
    STATE(385), 1,
      sym_finally_clause,
    STATE(141), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35740] = 5,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1835), 1,
      anon_sym_LBRACE,
    ACTIONS(1838), 1,
      anon_sym_RBRACE,
    ACTIONS(1840), 1,
      aux_sym_format_specifier_token1,
    STATE(753), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 5,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_COLON,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [35787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_as,
    STATE(793), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1855), 2,
      sym__newline,
      sym__semicolon,
  [35804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_except,
    ACTIONS(1859), 1,
      anon_sym_finally,
    STATE(414), 1,
      sym_finally_clause,
    STATE(181), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_if,
    ACTIONS(1402), 1,
      anon_sym_and,
    ACTIONS(1404), 1,
      anon_sym_or,
    ACTIONS(1861), 2,
      sym__newline,
      sym__semicolon,
  [35838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(1865), 1,
      anon_sym_COMMA,
    ACTIONS(1867), 1,
      anon_sym_COLON,
    ACTIONS(1869), 1,
      anon_sym_EQ,
    STATE(862), 1,
      aux_sym__parameters_repeat1,
  [35857] = 5,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1875), 1,
      aux_sym_format_specifier_token1,
    STATE(761), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35874] = 5,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_LBRACE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      aux_sym_format_specifier_token1,
    STATE(753), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_except,
    ACTIONS(1859), 1,
      anon_sym_finally,
    STATE(400), 1,
      sym_finally_clause,
    STATE(185), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1881), 1,
      anon_sym_COLON,
  [35941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [35957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1855), 2,
      sym__newline,
      sym__semicolon,
  [35971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
    ACTIONS(1764), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [35985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1891), 2,
      sym__newline,
      sym__semicolon,
  [35999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1513), 1,
      anon_sym_COLON,
  [36015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(773), 1,
      sym_dotted_name,
    STATE(846), 1,
      sym_aliased_import,
    STATE(1023), 1,
      sym__import_list,
  [36031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    ACTIONS(1893), 1,
      anon_sym_COLON,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [36047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_COMMA,
    STATE(772), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1406), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [36061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_RPAREN,
    ACTIONS(1898), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_as,
    STATE(829), 1,
      aux_sym__import_list_repeat1,
  [36077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1902), 1,
      anon_sym_COLON,
  [36093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_as,
    ACTIONS(1904), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1906), 1,
      anon_sym_else,
  [36121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1908), 1,
      anon_sym_else,
  [36137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    ACTIONS(1910), 1,
      anon_sym_COMMA,
    STATE(849), 1,
      aux_sym__parameters_repeat1,
  [36153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(1869), 1,
      anon_sym_EQ,
    ACTIONS(1912), 1,
      anon_sym_COMMA,
    STATE(854), 1,
      aux_sym__parameters_repeat1,
  [36169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [36185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1914), 1,
      anon_sym_COLON,
  [36201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1918), 2,
      sym__newline,
      sym__semicolon,
  [36215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1920), 1,
      anon_sym_COLON,
  [36231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1922), 1,
      anon_sym_else,
  [36247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1924), 1,
      anon_sym_COLON,
  [36263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    STATE(807), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1928), 2,
      sym__newline,
      sym__semicolon,
  [36277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [36287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1934), 2,
      sym__newline,
      sym__semicolon,
  [36301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 1,
      anon_sym_COMMA,
    STATE(789), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1939), 2,
      sym__newline,
      sym__semicolon,
  [36315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1941), 2,
      sym__newline,
      sym__semicolon,
  [36329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    STATE(800), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1943), 2,
      sym__newline,
      sym__semicolon,
  [36343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1945), 1,
      anon_sym_COLON,
  [36359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_COMMA,
    STATE(809), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1949), 2,
      sym__newline,
      sym__semicolon,
  [36373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    ACTIONS(1951), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [36385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_COMMA,
    STATE(772), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(421), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [36399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1957), 1,
      anon_sym_COLON,
  [36415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1959), 1,
      anon_sym_COLON,
  [36431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_if,
    ACTIONS(1501), 1,
      anon_sym_and,
    ACTIONS(1503), 1,
      anon_sym_or,
    ACTIONS(1961), 1,
      anon_sym_RBRACE,
  [36447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    STATE(756), 1,
      sym_dotted_name,
    STATE(766), 1,
      sym_aliased_import,
    STATE(924), 1,
      sym__import_list,
  [36463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    STATE(789), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1963), 2,
      sym__newline,
      sym__semicolon,
  [36477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [36487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1967), 2,
      sym__newline,
      sym__semicolon,
  [36501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_DOT,
    STATE(803), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1969), 2,
      anon_sym_import,
      sym_identifier,
  [36515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_COMMA,
    STATE(782), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1976), 2,
      sym__newline,
      sym__semicolon,
  [36529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(773), 1,
      sym_dotted_name,
    STATE(846), 1,
      sym_aliased_import,
    STATE(1024), 1,
      sym__import_list,
  [36545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_DOT,
    STATE(803), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1978), 2,
      anon_sym_import,
      sym_identifier,
  [36559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    STATE(789), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1982), 2,
      sym__newline,
      sym__semicolon,
  [36573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_COLON,
    ACTIONS(1869), 1,
      anon_sym_EQ,
    ACTIONS(1984), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [36587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_COMMA,
    STATE(809), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1989), 2,
      sym__newline,
      sym__semicolon,
  [36601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_COLON,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    ACTIONS(1991), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [36615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_COLON,
    ACTIONS(1993), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [36628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      sym__semicolon,
    ACTIONS(1999), 1,
      sym__newline,
    STATE(813), 1,
      aux_sym__simple_statements_repeat1,
  [36650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2003), 1,
      anon_sym_COLON,
    STATE(837), 1,
      aux_sym_with_statement_repeat1,
  [36663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RPAREN,
    ACTIONS(2005), 1,
      anon_sym_COMMA,
    STATE(815), 1,
      aux_sym_argument_list_repeat1,
  [36676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_RBRACE,
    ACTIONS(2008), 1,
      anon_sym_COMMA,
    STATE(887), 1,
      aux_sym_dictionary_repeat1,
  [36689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_EQ,
    ACTIONS(2012), 2,
      sym__newline,
      sym__semicolon,
  [36700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 1,
      anon_sym_RBRACE,
    ACTIONS(2014), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [36713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_RBRACK,
    ACTIONS(2016), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [36726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [36735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(594), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [36744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    STATE(845), 1,
      aux_sym_tuple_repeat1,
  [36757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [36770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      sym__newline,
    ACTIONS(2022), 1,
      sym__semicolon,
    STATE(813), 1,
      aux_sym__simple_statements_repeat1,
  [36801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2003), 1,
      anon_sym_COLON,
    STATE(874), 1,
      aux_sym_with_statement_repeat1,
  [36814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2024), 1,
      sym__semicolon,
    ACTIONS(2026), 1,
      sym__newline,
    STATE(844), 1,
      aux_sym__simple_statements_repeat1,
  [36827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_RPAREN,
    ACTIONS(2028), 1,
      anon_sym_COMMA,
    STATE(889), 1,
      aux_sym__import_list_repeat1,
  [36840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_RBRACE,
    ACTIONS(2030), 1,
      anon_sym_COMMA,
    STATE(887), 1,
      aux_sym_dictionary_repeat1,
  [36853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 1,
      sym__semicolon,
    ACTIONS(2034), 1,
      sym__newline,
    STATE(891), 1,
      aux_sym__simple_statements_repeat1,
  [36866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_RBRACE,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [36879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 1,
      anon_sym_RPAREN,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [36892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_LPAREN,
    ACTIONS(2040), 1,
      anon_sym_COLON,
    STATE(1000), 1,
      sym_argument_list,
  [36905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2042), 1,
      anon_sym_COLON,
    STATE(827), 1,
      aux_sym_with_statement_repeat1,
  [36918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_COMMA,
    ACTIONS(1555), 1,
      anon_sym_RBRACK,
    STATE(866), 1,
      aux_sym_list_repeat1,
  [36931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2044), 1,
      anon_sym_COLON,
    STATE(874), 1,
      aux_sym_with_statement_repeat1,
  [36944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_RBRACK,
    ACTIONS(2046), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [36957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 1,
      anon_sym_COMMA,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
    STATE(869), 1,
      aux_sym_list_repeat1,
  [36970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(1692), 1,
      anon_sym_RBRACE,
    STATE(871), 1,
      aux_sym_dictionary_repeat1,
  [36983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_RPAREN,
    ACTIONS(1535), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      aux_sym_tuple_repeat1,
  [36996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [37009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_COMMA,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    STATE(816), 1,
      aux_sym_dictionary_repeat1,
  [37022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      sym__newline,
    ACTIONS(2048), 1,
      sym__semicolon,
    STATE(813), 1,
      aux_sym__simple_statements_repeat1,
  [37035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_RPAREN,
    ACTIONS(2050), 1,
      anon_sym_COMMA,
    STATE(845), 1,
      aux_sym_tuple_repeat1,
  [37048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_RPAREN,
    ACTIONS(1898), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      aux_sym__import_list_repeat1,
  [37061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_COLON,
    ACTIONS(1991), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COMMA,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_list_repeat1,
  [37085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      anon_sym_COLON,
    ACTIONS(2053), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [37098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_COMMA,
    ACTIONS(1543), 1,
      anon_sym_RBRACK,
    STATE(819), 1,
      aux_sym_list_repeat1,
  [37111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_RPAREN,
    ACTIONS(1547), 1,
      anon_sym_COMMA,
    STATE(822), 1,
      aux_sym_tuple_repeat1,
  [37124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_RPAREN,
    ACTIONS(2055), 1,
      anon_sym_COMMA,
    STATE(845), 1,
      aux_sym_tuple_repeat1,
  [37137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_in,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    STATE(853), 1,
      aux_sym_variables_repeat1,
  [37150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_COLON,
    ACTIONS(2060), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [37163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(2062), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [37176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_EQ,
    ACTIONS(1984), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 1,
      anon_sym_COMMA,
    ACTIONS(2066), 1,
      anon_sym_RBRACK,
    STATE(861), 1,
      aux_sym_subscript_repeat1,
  [37200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2068), 1,
      anon_sym_COLON,
    STATE(874), 1,
      aux_sym_with_statement_repeat1,
  [37213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      sym__semicolon,
    ACTIONS(2072), 1,
      sym__newline,
    STATE(826), 1,
      aux_sym__simple_statements_repeat1,
  [37226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    ACTIONS(2074), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_RBRACK,
    ACTIONS(2076), 1,
      anon_sym_COMMA,
    STATE(861), 1,
      aux_sym_subscript_repeat1,
  [37252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_RPAREN,
    ACTIONS(2079), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_RPAREN,
    ACTIONS(2081), 1,
      anon_sym_COMMA,
    STATE(845), 1,
      aux_sym_tuple_repeat1,
  [37278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      anon_sym_RPAREN,
    ACTIONS(2083), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [37304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_RBRACK,
    ACTIONS(2085), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [37317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_RPAREN,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    STATE(815), 1,
      aux_sym_argument_list_repeat1,
  [37330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_for,
    ACTIONS(2091), 1,
      anon_sym_with,
    ACTIONS(2093), 1,
      anon_sym_def,
  [37343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 1,
      anon_sym_RBRACE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_list_repeat1,
  [37356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    ACTIONS(1991), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_RBRACE,
    ACTIONS(2097), 1,
      anon_sym_COMMA,
    STATE(887), 1,
      aux_sym_dictionary_repeat1,
  [37380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_COLON,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    STATE(1022), 1,
      sym_format_specifier,
  [37402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_COMMA,
    ACTIONS(2104), 1,
      anon_sym_COLON,
    STATE(874), 1,
      aux_sym_with_statement_repeat1,
  [37415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 1,
      sym_identifier,
    ACTIONS(2106), 1,
      anon_sym_import,
    STATE(996), 1,
      sym_dotted_name,
  [37428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_from,
    ACTIONS(2110), 2,
      sym__newline,
      sym__semicolon,
  [37439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RPAREN,
    ACTIONS(1551), 1,
      anon_sym_COMMA,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
  [37452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_RPAREN,
    ACTIONS(1563), 1,
      anon_sym_COMMA,
    STATE(893), 1,
      aux_sym_argument_list_repeat1,
  [37465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_COMMA,
    ACTIONS(1686), 1,
      anon_sym_RBRACK,
    STATE(899), 1,
      aux_sym_subscript_repeat1,
  [37487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2112), 1,
      anon_sym_COLON,
    STATE(858), 1,
      aux_sym_with_statement_repeat1,
  [37500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2112), 1,
      anon_sym_COLON,
    STATE(874), 1,
      aux_sym_with_statement_repeat1,
  [37513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_COMMA,
    ACTIONS(2114), 1,
      anon_sym_COLON,
    STATE(882), 1,
      aux_sym_with_statement_repeat1,
  [37526] = 2,
    ACTIONS(1631), 1,
      sym_comment,
    ACTIONS(2116), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_format_specifier_token1,
  [37535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [37544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_COMMA,
    ACTIONS(1625), 1,
      anon_sym_RBRACK,
    STATE(894), 1,
      aux_sym_subscript_repeat1,
  [37557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_COMMA,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(887), 1,
      aux_sym_dictionary_repeat1,
  [37570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
    STATE(857), 1,
      aux_sym_subscript_repeat1,
  [37583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_RPAREN,
    ACTIONS(2123), 1,
      anon_sym_COMMA,
    STATE(889), 1,
      aux_sym__import_list_repeat1,
  [37596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_in,
    ACTIONS(2128), 2,
      sym__newline,
      sym__semicolon,
  [37607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(403), 1,
      sym__newline,
    ACTIONS(2130), 1,
      sym__semicolon,
    STATE(813), 1,
      aux_sym__simple_statements_repeat1,
  [37620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_RPAREN,
    ACTIONS(2132), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(2135), 1,
      anon_sym_COMMA,
    STATE(815), 1,
      aux_sym_argument_list_repeat1,
  [37646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_COMMA,
    ACTIONS(2139), 1,
      anon_sym_RBRACK,
    STATE(861), 1,
      aux_sym_subscript_repeat1,
  [37659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_LPAREN,
    ACTIONS(2141), 1,
      anon_sym_COLON,
    STATE(998), 1,
      sym_argument_list,
  [37672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_COMMA,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    STATE(830), 1,
      aux_sym_dictionary_repeat1,
  [37685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    ACTIONS(2143), 1,
      anon_sym_COMMA,
    STATE(815), 1,
      aux_sym_argument_list_repeat1,
  [37698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 1,
      anon_sym_COMMA,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    STATE(832), 1,
      aux_sym_list_repeat1,
  [37711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_COMMA,
    ACTIONS(2147), 1,
      anon_sym_RBRACK,
    STATE(861), 1,
      aux_sym_subscript_repeat1,
  [37724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    STATE(775), 1,
      sym_dotted_name,
    STATE(824), 1,
      sym_aliased_import,
  [37737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_LPAREN,
    ACTIONS(2151), 1,
      sym__newline,
    STATE(1026), 1,
      sym_argument_list,
  [37750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_COMMA,
    ACTIONS(1531), 1,
      anon_sym_RBRACK,
    STATE(838), 1,
      aux_sym_list_repeat1,
  [37763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_for,
    ACTIONS(2155), 1,
      anon_sym_with,
    ACTIONS(2157), 1,
      anon_sym_def,
  [37776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_as,
    ACTIONS(1904), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(1910), 1,
      anon_sym_COMMA,
    STATE(849), 1,
      aux_sym__parameters_repeat1,
  [37800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(1910), 1,
      anon_sym_COMMA,
    STATE(849), 1,
      aux_sym__parameters_repeat1,
  [37813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_RPAREN,
    ACTIONS(1539), 1,
      anon_sym_COMMA,
    STATE(867), 1,
      aux_sym_argument_list_repeat1,
  [37826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_COMMA,
    ACTIONS(2161), 1,
      anon_sym_in,
    STATE(853), 1,
      aux_sym_variables_repeat1,
  [37839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 2,
      sym__newline,
      sym__semicolon,
  [37847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 2,
      sym__newline,
      sym__semicolon,
  [37863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    STATE(939), 1,
      sym_parameters,
  [37873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    STATE(947), 1,
      sym_parameters,
  [37883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 2,
      anon_sym_except,
      anon_sym_finally,
  [37891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [37899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      sym_parameters,
  [37917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [37925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 2,
      sym__newline,
      sym__semicolon,
  [37933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    STATE(936), 1,
      sym_parameters,
  [37943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 2,
      sym__newline,
      sym__semicolon,
  [37951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 2,
      sym__newline,
      sym__semicolon,
  [37959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 2,
      sym__newline,
      sym__semicolon,
  [37967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 2,
      sym__newline,
      sym__semicolon,
  [37975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 2,
      sym__newline,
      sym__semicolon,
  [37983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 2,
      sym__newline,
      sym__semicolon,
  [37991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      anon_sym_COLON,
    ACTIONS(2185), 1,
      anon_sym_DASH_GT,
  [38001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2187), 2,
      sym__newline,
      sym__semicolon,
  [38009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [38017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_identifier,
    STATE(901), 1,
      sym_dotted_name,
  [38027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [38035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 2,
      anon_sym_except,
      anon_sym_finally,
  [38043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [38051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 2,
      sym__newline,
      sym__semicolon,
  [38059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 2,
      anon_sym_except,
      anon_sym_finally,
  [38067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_COLON,
    ACTIONS(2195), 1,
      anon_sym_DASH_GT,
  [38077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 2,
      sym__newline,
      sym__semicolon,
  [38085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_COLON,
    ACTIONS(2199), 1,
      anon_sym_DASH_GT,
  [38103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 2,
      sym__newline,
      sym__semicolon,
  [38111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 2,
      sym__newline,
      sym__semicolon,
  [38119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 2,
      sym__newline,
      sym__semicolon,
  [38127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 2,
      anon_sym_except,
      anon_sym_finally,
  [38151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [38159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_COLON,
    ACTIONS(2211), 1,
      anon_sym_DASH_GT,
  [38169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 2,
      sym__newline,
      sym__semicolon,
  [38177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 2,
      anon_sym_except,
      anon_sym_finally,
  [38185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 2,
      sym__newline,
      sym__semicolon,
  [38193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_in,
  [38208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
  [38215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_in,
  [38222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_in,
  [38229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      anon_sym_RPAREN,
  [38236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      sym_identifier,
  [38243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_RPAREN,
  [38250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_COLON,
  [38257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_RBRACK,
  [38264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_RBRACK,
  [38271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_RPAREN,
  [38278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 1,
      anon_sym_import,
  [38285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
  [38292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      anon_sym_RBRACE,
  [38299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
  [38306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 1,
      sym_identifier,
  [38313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_for,
  [38320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_RPAREN,
  [38327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_COLON,
  [38334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_COLON,
  [38341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_RBRACK,
  [38348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
  [38355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_import,
  [38362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      sym_identifier,
  [38369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_in,
  [38376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_COLON,
  [38383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RPAREN,
  [38390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
  [38397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
  [38404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_RBRACK,
  [38411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_RPAREN,
  [38418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_def,
  [38425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 1,
      anon_sym_COLON,
  [38432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_RPAREN,
  [38439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      sym_identifier,
  [38446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      sym_identifier,
  [38453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      sym_identifier,
  [38460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
  [38467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_RBRACE,
  [38474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_RBRACK,
  [38481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      anon_sym_COLON,
  [38488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
  [38495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      ts_builtin_sym_end,
  [38502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
  [38509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_import,
  [38516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_in,
  [38523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2285), 1,
      anon_sym_COLON,
  [38530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
  [38537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_COLON,
  [38544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
  [38551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2293), 1,
      anon_sym_RBRACK,
  [38558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_COLON,
  [38565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_RPAREN,
  [38572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_COLON,
  [38579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_COLON,
  [38586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COLON,
  [38593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_in,
  [38600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_COLON,
  [38607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_EQ,
  [38614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 1,
      anon_sym_COLON,
  [38621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2313), 1,
      anon_sym_COLON,
  [38628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 1,
      sym_identifier,
  [38635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym_identifier,
  [38642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 1,
      sym_identifier,
  [38649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2321), 1,
      sym_identifier,
  [38656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_COLON,
  [38663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_COLON,
  [38670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      sym_identifier,
  [38677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_COLON,
  [38684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
  [38691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_RBRACE,
  [38698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
  [38705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
  [38712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_in,
  [38719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      sym__newline,
  [38726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_RPAREN,
  [38733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_COLON,
  [38740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_COLON,
  [38747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      sym_identifier,
  [38754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
  [38761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_in,
  [38768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_def,
  [38775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_in,
  [38782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_identifier,
  [38789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_COLON,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(96)] = 0,
  [SMALL_STATE(97)] = 102,
  [SMALL_STATE(98)] = 204,
  [SMALL_STATE(99)] = 305,
  [SMALL_STATE(100)] = 406,
  [SMALL_STATE(101)] = 502,
  [SMALL_STATE(102)] = 598,
  [SMALL_STATE(103)] = 694,
  [SMALL_STATE(104)] = 786,
  [SMALL_STATE(105)] = 878,
  [SMALL_STATE(106)] = 970,
  [SMALL_STATE(107)] = 1066,
  [SMALL_STATE(108)] = 1158,
  [SMALL_STATE(109)] = 1254,
  [SMALL_STATE(110)] = 1317,
  [SMALL_STATE(111)] = 1414,
  [SMALL_STATE(112)] = 1513,
  [SMALL_STATE(113)] = 1612,
  [SMALL_STATE(114)] = 1711,
  [SMALL_STATE(115)] = 1802,
  [SMALL_STATE(116)] = 1895,
  [SMALL_STATE(117)] = 1988,
  [SMALL_STATE(118)] = 2081,
  [SMALL_STATE(119)] = 2174,
  [SMALL_STATE(120)] = 2267,
  [SMALL_STATE(121)] = 2330,
  [SMALL_STATE(122)] = 2423,
  [SMALL_STATE(123)] = 2486,
  [SMALL_STATE(124)] = 2576,
  [SMALL_STATE(125)] = 2644,
  [SMALL_STATE(126)] = 2734,
  [SMALL_STATE(127)] = 2802,
  [SMALL_STATE(128)] = 2892,
  [SMALL_STATE(129)] = 2960,
  [SMALL_STATE(130)] = 3032,
  [SMALL_STATE(131)] = 3110,
  [SMALL_STATE(132)] = 3200,
  [SMALL_STATE(133)] = 3274,
  [SMALL_STATE(134)] = 3350,
  [SMALL_STATE(135)] = 3430,
  [SMALL_STATE(136)] = 3510,
  [SMALL_STATE(137)] = 3580,
  [SMALL_STATE(138)] = 3639,
  [SMALL_STATE(139)] = 3696,
  [SMALL_STATE(140)] = 3757,
  [SMALL_STATE(141)] = 3814,
  [SMALL_STATE(142)] = 3882,
  [SMALL_STATE(143)] = 3938,
  [SMALL_STATE(144)] = 4026,
  [SMALL_STATE(145)] = 4082,
  [SMALL_STATE(146)] = 4170,
  [SMALL_STATE(147)] = 4238,
  [SMALL_STATE(148)] = 4294,
  [SMALL_STATE(149)] = 4350,
  [SMALL_STATE(150)] = 4440,
  [SMALL_STATE(151)] = 4530,
  [SMALL_STATE(152)] = 4620,
  [SMALL_STATE(153)] = 4676,
  [SMALL_STATE(154)] = 4766,
  [SMALL_STATE(155)] = 4822,
  [SMALL_STATE(156)] = 4878,
  [SMALL_STATE(157)] = 4934,
  [SMALL_STATE(158)] = 4990,
  [SMALL_STATE(159)] = 5046,
  [SMALL_STATE(160)] = 5134,
  [SMALL_STATE(161)] = 5190,
  [SMALL_STATE(162)] = 5278,
  [SMALL_STATE(163)] = 5334,
  [SMALL_STATE(164)] = 5390,
  [SMALL_STATE(165)] = 5478,
  [SMALL_STATE(166)] = 5534,
  [SMALL_STATE(167)] = 5622,
  [SMALL_STATE(168)] = 5710,
  [SMALL_STATE(169)] = 5766,
  [SMALL_STATE(170)] = 5822,
  [SMALL_STATE(171)] = 5912,
  [SMALL_STATE(172)] = 5968,
  [SMALL_STATE(173)] = 6024,
  [SMALL_STATE(174)] = 6080,
  [SMALL_STATE(175)] = 6136,
  [SMALL_STATE(176)] = 6192,
  [SMALL_STATE(177)] = 6248,
  [SMALL_STATE(178)] = 6304,
  [SMALL_STATE(179)] = 6360,
  [SMALL_STATE(180)] = 6450,
  [SMALL_STATE(181)] = 6506,
  [SMALL_STATE(182)] = 6574,
  [SMALL_STATE(183)] = 6664,
  [SMALL_STATE(184)] = 6752,
  [SMALL_STATE(185)] = 6808,
  [SMALL_STATE(186)] = 6876,
  [SMALL_STATE(187)] = 6932,
  [SMALL_STATE(188)] = 6988,
  [SMALL_STATE(189)] = 7044,
  [SMALL_STATE(190)] = 7132,
  [SMALL_STATE(191)] = 7188,
  [SMALL_STATE(192)] = 7244,
  [SMALL_STATE(193)] = 7331,
  [SMALL_STATE(194)] = 7418,
  [SMALL_STATE(195)] = 7505,
  [SMALL_STATE(196)] = 7592,
  [SMALL_STATE(197)] = 7679,
  [SMALL_STATE(198)] = 7766,
  [SMALL_STATE(199)] = 7853,
  [SMALL_STATE(200)] = 7940,
  [SMALL_STATE(201)] = 8027,
  [SMALL_STATE(202)] = 8114,
  [SMALL_STATE(203)] = 8201,
  [SMALL_STATE(204)] = 8286,
  [SMALL_STATE(205)] = 8373,
  [SMALL_STATE(206)] = 8456,
  [SMALL_STATE(207)] = 8541,
  [SMALL_STATE(208)] = 8624,
  [SMALL_STATE(209)] = 8711,
  [SMALL_STATE(210)] = 8796,
  [SMALL_STATE(211)] = 8881,
  [SMALL_STATE(212)] = 8968,
  [SMALL_STATE(213)] = 9055,
  [SMALL_STATE(214)] = 9142,
  [SMALL_STATE(215)] = 9229,
  [SMALL_STATE(216)] = 9316,
  [SMALL_STATE(217)] = 9403,
  [SMALL_STATE(218)] = 9490,
  [SMALL_STATE(219)] = 9573,
  [SMALL_STATE(220)] = 9660,
  [SMALL_STATE(221)] = 9747,
  [SMALL_STATE(222)] = 9834,
  [SMALL_STATE(223)] = 9921,
  [SMALL_STATE(224)] = 10008,
  [SMALL_STATE(225)] = 10095,
  [SMALL_STATE(226)] = 10179,
  [SMALL_STATE(227)] = 10261,
  [SMALL_STATE(228)] = 10343,
  [SMALL_STATE(229)] = 10427,
  [SMALL_STATE(230)] = 10509,
  [SMALL_STATE(231)] = 10591,
  [SMALL_STATE(232)] = 10655,
  [SMALL_STATE(233)] = 10739,
  [SMALL_STATE(234)] = 10803,
  [SMALL_STATE(235)] = 10867,
  [SMALL_STATE(236)] = 10949,
  [SMALL_STATE(237)] = 11013,
  [SMALL_STATE(238)] = 11071,
  [SMALL_STATE(239)] = 11155,
  [SMALL_STATE(240)] = 11219,
  [SMALL_STATE(241)] = 11301,
  [SMALL_STATE(242)] = 11365,
  [SMALL_STATE(243)] = 11447,
  [SMALL_STATE(244)] = 11529,
  [SMALL_STATE(245)] = 11613,
  [SMALL_STATE(246)] = 11695,
  [SMALL_STATE(247)] = 11753,
  [SMALL_STATE(248)] = 11835,
  [SMALL_STATE(249)] = 11899,
  [SMALL_STATE(250)] = 11963,
  [SMALL_STATE(251)] = 12045,
  [SMALL_STATE(252)] = 12127,
  [SMALL_STATE(253)] = 12211,
  [SMALL_STATE(254)] = 12270,
  [SMALL_STATE(255)] = 12323,
  [SMALL_STATE(256)] = 12376,
  [SMALL_STATE(257)] = 12429,
  [SMALL_STATE(258)] = 12510,
  [SMALL_STATE(259)] = 12563,
  [SMALL_STATE(260)] = 12644,
  [SMALL_STATE(261)] = 12725,
  [SMALL_STATE(262)] = 12806,
  [SMALL_STATE(263)] = 12859,
  [SMALL_STATE(264)] = 12940,
  [SMALL_STATE(265)] = 13021,
  [SMALL_STATE(266)] = 13102,
  [SMALL_STATE(267)] = 13183,
  [SMALL_STATE(268)] = 13264,
  [SMALL_STATE(269)] = 13317,
  [SMALL_STATE(270)] = 13398,
  [SMALL_STATE(271)] = 13451,
  [SMALL_STATE(272)] = 13532,
  [SMALL_STATE(273)] = 13613,
  [SMALL_STATE(274)] = 13666,
  [SMALL_STATE(275)] = 13747,
  [SMALL_STATE(276)] = 13828,
  [SMALL_STATE(277)] = 13909,
  [SMALL_STATE(278)] = 13990,
  [SMALL_STATE(279)] = 14049,
  [SMALL_STATE(280)] = 14130,
  [SMALL_STATE(281)] = 14211,
  [SMALL_STATE(282)] = 14292,
  [SMALL_STATE(283)] = 14345,
  [SMALL_STATE(284)] = 14398,
  [SMALL_STATE(285)] = 14479,
  [SMALL_STATE(286)] = 14531,
  [SMALL_STATE(287)] = 14609,
  [SMALL_STATE(288)] = 14687,
  [SMALL_STATE(289)] = 14765,
  [SMALL_STATE(290)] = 14843,
  [SMALL_STATE(291)] = 14921,
  [SMALL_STATE(292)] = 14999,
  [SMALL_STATE(293)] = 15077,
  [SMALL_STATE(294)] = 15155,
  [SMALL_STATE(295)] = 15233,
  [SMALL_STATE(296)] = 15285,
  [SMALL_STATE(297)] = 15363,
  [SMALL_STATE(298)] = 15441,
  [SMALL_STATE(299)] = 15519,
  [SMALL_STATE(300)] = 15597,
  [SMALL_STATE(301)] = 15675,
  [SMALL_STATE(302)] = 15753,
  [SMALL_STATE(303)] = 15831,
  [SMALL_STATE(304)] = 15909,
  [SMALL_STATE(305)] = 15987,
  [SMALL_STATE(306)] = 16065,
  [SMALL_STATE(307)] = 16143,
  [SMALL_STATE(308)] = 16221,
  [SMALL_STATE(309)] = 16299,
  [SMALL_STATE(310)] = 16377,
  [SMALL_STATE(311)] = 16455,
  [SMALL_STATE(312)] = 16533,
  [SMALL_STATE(313)] = 16611,
  [SMALL_STATE(314)] = 16689,
  [SMALL_STATE(315)] = 16767,
  [SMALL_STATE(316)] = 16819,
  [SMALL_STATE(317)] = 16897,
  [SMALL_STATE(318)] = 16949,
  [SMALL_STATE(319)] = 17027,
  [SMALL_STATE(320)] = 17079,
  [SMALL_STATE(321)] = 17157,
  [SMALL_STATE(322)] = 17209,
  [SMALL_STATE(323)] = 17261,
  [SMALL_STATE(324)] = 17339,
  [SMALL_STATE(325)] = 17417,
  [SMALL_STATE(326)] = 17495,
  [SMALL_STATE(327)] = 17547,
  [SMALL_STATE(328)] = 17599,
  [SMALL_STATE(329)] = 17677,
  [SMALL_STATE(330)] = 17729,
  [SMALL_STATE(331)] = 17807,
  [SMALL_STATE(332)] = 17859,
  [SMALL_STATE(333)] = 17937,
  [SMALL_STATE(334)] = 18015,
  [SMALL_STATE(335)] = 18067,
  [SMALL_STATE(336)] = 18145,
  [SMALL_STATE(337)] = 18223,
  [SMALL_STATE(338)] = 18301,
  [SMALL_STATE(339)] = 18379,
  [SMALL_STATE(340)] = 18457,
  [SMALL_STATE(341)] = 18535,
  [SMALL_STATE(342)] = 18613,
  [SMALL_STATE(343)] = 18691,
  [SMALL_STATE(344)] = 18769,
  [SMALL_STATE(345)] = 18847,
  [SMALL_STATE(346)] = 18925,
  [SMALL_STATE(347)] = 19003,
  [SMALL_STATE(348)] = 19081,
  [SMALL_STATE(349)] = 19159,
  [SMALL_STATE(350)] = 19237,
  [SMALL_STATE(351)] = 19315,
  [SMALL_STATE(352)] = 19393,
  [SMALL_STATE(353)] = 19471,
  [SMALL_STATE(354)] = 19549,
  [SMALL_STATE(355)] = 19627,
  [SMALL_STATE(356)] = 19682,
  [SMALL_STATE(357)] = 19733,
  [SMALL_STATE(358)] = 19788,
  [SMALL_STATE(359)] = 19843,
  [SMALL_STATE(360)] = 19898,
  [SMALL_STATE(361)] = 19953,
  [SMALL_STATE(362)] = 20004,
  [SMALL_STATE(363)] = 20055,
  [SMALL_STATE(364)] = 20110,
  [SMALL_STATE(365)] = 20165,
  [SMALL_STATE(366)] = 20220,
  [SMALL_STATE(367)] = 20275,
  [SMALL_STATE(368)] = 20326,
  [SMALL_STATE(369)] = 20377,
  [SMALL_STATE(370)] = 20432,
  [SMALL_STATE(371)] = 20483,
  [SMALL_STATE(372)] = 20538,
  [SMALL_STATE(373)] = 20593,
  [SMALL_STATE(374)] = 20648,
  [SMALL_STATE(375)] = 20703,
  [SMALL_STATE(376)] = 20758,
  [SMALL_STATE(377)] = 20813,
  [SMALL_STATE(378)] = 20863,
  [SMALL_STATE(379)] = 20913,
  [SMALL_STATE(380)] = 20967,
  [SMALL_STATE(381)] = 21017,
  [SMALL_STATE(382)] = 21071,
  [SMALL_STATE(383)] = 21125,
  [SMALL_STATE(384)] = 21209,
  [SMALL_STATE(385)] = 21259,
  [SMALL_STATE(386)] = 21308,
  [SMALL_STATE(387)] = 21357,
  [SMALL_STATE(388)] = 21406,
  [SMALL_STATE(389)] = 21455,
  [SMALL_STATE(390)] = 21504,
  [SMALL_STATE(391)] = 21553,
  [SMALL_STATE(392)] = 21602,
  [SMALL_STATE(393)] = 21651,
  [SMALL_STATE(394)] = 21700,
  [SMALL_STATE(395)] = 21749,
  [SMALL_STATE(396)] = 21798,
  [SMALL_STATE(397)] = 21847,
  [SMALL_STATE(398)] = 21896,
  [SMALL_STATE(399)] = 21945,
  [SMALL_STATE(400)] = 21994,
  [SMALL_STATE(401)] = 22043,
  [SMALL_STATE(402)] = 22092,
  [SMALL_STATE(403)] = 22141,
  [SMALL_STATE(404)] = 22190,
  [SMALL_STATE(405)] = 22239,
  [SMALL_STATE(406)] = 22288,
  [SMALL_STATE(407)] = 22337,
  [SMALL_STATE(408)] = 22386,
  [SMALL_STATE(409)] = 22459,
  [SMALL_STATE(410)] = 22508,
  [SMALL_STATE(411)] = 22557,
  [SMALL_STATE(412)] = 22606,
  [SMALL_STATE(413)] = 22655,
  [SMALL_STATE(414)] = 22704,
  [SMALL_STATE(415)] = 22753,
  [SMALL_STATE(416)] = 22802,
  [SMALL_STATE(417)] = 22851,
  [SMALL_STATE(418)] = 22900,
  [SMALL_STATE(419)] = 22949,
  [SMALL_STATE(420)] = 22998,
  [SMALL_STATE(421)] = 23047,
  [SMALL_STATE(422)] = 23114,
  [SMALL_STATE(423)] = 23163,
  [SMALL_STATE(424)] = 23232,
  [SMALL_STATE(425)] = 23281,
  [SMALL_STATE(426)] = 23352,
  [SMALL_STATE(427)] = 23415,
  [SMALL_STATE(428)] = 23474,
  [SMALL_STATE(429)] = 23523,
  [SMALL_STATE(430)] = 23572,
  [SMALL_STATE(431)] = 23645,
  [SMALL_STATE(432)] = 23710,
  [SMALL_STATE(433)] = 23769,
  [SMALL_STATE(434)] = 23818,
  [SMALL_STATE(435)] = 23867,
  [SMALL_STATE(436)] = 23916,
  [SMALL_STATE(437)] = 23975,
  [SMALL_STATE(438)] = 24024,
  [SMALL_STATE(439)] = 24073,
  [SMALL_STATE(440)] = 24122,
  [SMALL_STATE(441)] = 24171,
  [SMALL_STATE(442)] = 24220,
  [SMALL_STATE(443)] = 24269,
  [SMALL_STATE(444)] = 24318,
  [SMALL_STATE(445)] = 24367,
  [SMALL_STATE(446)] = 24416,
  [SMALL_STATE(447)] = 24465,
  [SMALL_STATE(448)] = 24514,
  [SMALL_STATE(449)] = 24563,
  [SMALL_STATE(450)] = 24612,
  [SMALL_STATE(451)] = 24661,
  [SMALL_STATE(452)] = 24710,
  [SMALL_STATE(453)] = 24759,
  [SMALL_STATE(454)] = 24808,
  [SMALL_STATE(455)] = 24857,
  [SMALL_STATE(456)] = 24906,
  [SMALL_STATE(457)] = 24955,
  [SMALL_STATE(458)] = 25004,
  [SMALL_STATE(459)] = 25053,
  [SMALL_STATE(460)] = 25102,
  [SMALL_STATE(461)] = 25151,
  [SMALL_STATE(462)] = 25200,
  [SMALL_STATE(463)] = 25249,
  [SMALL_STATE(464)] = 25298,
  [SMALL_STATE(465)] = 25347,
  [SMALL_STATE(466)] = 25396,
  [SMALL_STATE(467)] = 25445,
  [SMALL_STATE(468)] = 25494,
  [SMALL_STATE(469)] = 25543,
  [SMALL_STATE(470)] = 25593,
  [SMALL_STATE(471)] = 25641,
  [SMALL_STATE(472)] = 25689,
  [SMALL_STATE(473)] = 25736,
  [SMALL_STATE(474)] = 25783,
  [SMALL_STATE(475)] = 25830,
  [SMALL_STATE(476)] = 25877,
  [SMALL_STATE(477)] = 25924,
  [SMALL_STATE(478)] = 25971,
  [SMALL_STATE(479)] = 26018,
  [SMALL_STATE(480)] = 26065,
  [SMALL_STATE(481)] = 26112,
  [SMALL_STATE(482)] = 26159,
  [SMALL_STATE(483)] = 26206,
  [SMALL_STATE(484)] = 26253,
  [SMALL_STATE(485)] = 26300,
  [SMALL_STATE(486)] = 26347,
  [SMALL_STATE(487)] = 26394,
  [SMALL_STATE(488)] = 26441,
  [SMALL_STATE(489)] = 26488,
  [SMALL_STATE(490)] = 26535,
  [SMALL_STATE(491)] = 26582,
  [SMALL_STATE(492)] = 26629,
  [SMALL_STATE(493)] = 26676,
  [SMALL_STATE(494)] = 26723,
  [SMALL_STATE(495)] = 26770,
  [SMALL_STATE(496)] = 26817,
  [SMALL_STATE(497)] = 26864,
  [SMALL_STATE(498)] = 26911,
  [SMALL_STATE(499)] = 26958,
  [SMALL_STATE(500)] = 27005,
  [SMALL_STATE(501)] = 27052,
  [SMALL_STATE(502)] = 27099,
  [SMALL_STATE(503)] = 27146,
  [SMALL_STATE(504)] = 27221,
  [SMALL_STATE(505)] = 27268,
  [SMALL_STATE(506)] = 27315,
  [SMALL_STATE(507)] = 27362,
  [SMALL_STATE(508)] = 27409,
  [SMALL_STATE(509)] = 27469,
  [SMALL_STATE(510)] = 27531,
  [SMALL_STATE(511)] = 27589,
  [SMALL_STATE(512)] = 27649,
  [SMALL_STATE(513)] = 27709,
  [SMALL_STATE(514)] = 27775,
  [SMALL_STATE(515)] = 27827,
  [SMALL_STATE(516)] = 27871,
  [SMALL_STATE(517)] = 27931,
  [SMALL_STATE(518)] = 27987,
  [SMALL_STATE(519)] = 28051,
  [SMALL_STATE(520)] = 28103,
  [SMALL_STATE(521)] = 28163,
  [SMALL_STATE(522)] = 28223,
  [SMALL_STATE(523)] = 28283,
  [SMALL_STATE(524)] = 28343,
  [SMALL_STATE(525)] = 28403,
  [SMALL_STATE(526)] = 28463,
  [SMALL_STATE(527)] = 28523,
  [SMALL_STATE(528)] = 28583,
  [SMALL_STATE(529)] = 28635,
  [SMALL_STATE(530)] = 28701,
  [SMALL_STATE(531)] = 28752,
  [SMALL_STATE(532)] = 28809,
  [SMALL_STATE(533)] = 28866,
  [SMALL_STATE(534)] = 28923,
  [SMALL_STATE(535)] = 28980,
  [SMALL_STATE(536)] = 29037,
  [SMALL_STATE(537)] = 29094,
  [SMALL_STATE(538)] = 29151,
  [SMALL_STATE(539)] = 29208,
  [SMALL_STATE(540)] = 29265,
  [SMALL_STATE(541)] = 29322,
  [SMALL_STATE(542)] = 29379,
  [SMALL_STATE(543)] = 29436,
  [SMALL_STATE(544)] = 29493,
  [SMALL_STATE(545)] = 29550,
  [SMALL_STATE(546)] = 29607,
  [SMALL_STATE(547)] = 29664,
  [SMALL_STATE(548)] = 29721,
  [SMALL_STATE(549)] = 29778,
  [SMALL_STATE(550)] = 29819,
  [SMALL_STATE(551)] = 29876,
  [SMALL_STATE(552)] = 29933,
  [SMALL_STATE(553)] = 29976,
  [SMALL_STATE(554)] = 30027,
  [SMALL_STATE(555)] = 30084,
  [SMALL_STATE(556)] = 30141,
  [SMALL_STATE(557)] = 30198,
  [SMALL_STATE(558)] = 30255,
  [SMALL_STATE(559)] = 30312,
  [SMALL_STATE(560)] = 30369,
  [SMALL_STATE(561)] = 30426,
  [SMALL_STATE(562)] = 30483,
  [SMALL_STATE(563)] = 30540,
  [SMALL_STATE(564)] = 30597,
  [SMALL_STATE(565)] = 30638,
  [SMALL_STATE(566)] = 30695,
  [SMALL_STATE(567)] = 30735,
  [SMALL_STATE(568)] = 30775,
  [SMALL_STATE(569)] = 30815,
  [SMALL_STATE(570)] = 30855,
  [SMALL_STATE(571)] = 30895,
  [SMALL_STATE(572)] = 30935,
  [SMALL_STATE(573)] = 30975,
  [SMALL_STATE(574)] = 31015,
  [SMALL_STATE(575)] = 31055,
  [SMALL_STATE(576)] = 31095,
  [SMALL_STATE(577)] = 31135,
  [SMALL_STATE(578)] = 31175,
  [SMALL_STATE(579)] = 31215,
  [SMALL_STATE(580)] = 31255,
  [SMALL_STATE(581)] = 31295,
  [SMALL_STATE(582)] = 31335,
  [SMALL_STATE(583)] = 31375,
  [SMALL_STATE(584)] = 31415,
  [SMALL_STATE(585)] = 31455,
  [SMALL_STATE(586)] = 31495,
  [SMALL_STATE(587)] = 31535,
  [SMALL_STATE(588)] = 31575,
  [SMALL_STATE(589)] = 31615,
  [SMALL_STATE(590)] = 31655,
  [SMALL_STATE(591)] = 31695,
  [SMALL_STATE(592)] = 31735,
  [SMALL_STATE(593)] = 31775,
  [SMALL_STATE(594)] = 31815,
  [SMALL_STATE(595)] = 31855,
  [SMALL_STATE(596)] = 31895,
  [SMALL_STATE(597)] = 31935,
  [SMALL_STATE(598)] = 31977,
  [SMALL_STATE(599)] = 32019,
  [SMALL_STATE(600)] = 32058,
  [SMALL_STATE(601)] = 32092,
  [SMALL_STATE(602)] = 32132,
  [SMALL_STATE(603)] = 32164,
  [SMALL_STATE(604)] = 32196,
  [SMALL_STATE(605)] = 32224,
  [SMALL_STATE(606)] = 32258,
  [SMALL_STATE(607)] = 32292,
  [SMALL_STATE(608)] = 32326,
  [SMALL_STATE(609)] = 32354,
  [SMALL_STATE(610)] = 32384,
  [SMALL_STATE(611)] = 32439,
  [SMALL_STATE(612)] = 32489,
  [SMALL_STATE(613)] = 32519,
  [SMALL_STATE(614)] = 32549,
  [SMALL_STATE(615)] = 32580,
  [SMALL_STATE(616)] = 32613,
  [SMALL_STATE(617)] = 32642,
  [SMALL_STATE(618)] = 32675,
  [SMALL_STATE(619)] = 32714,
  [SMALL_STATE(620)] = 32753,
  [SMALL_STATE(621)] = 32778,
  [SMALL_STATE(622)] = 32817,
  [SMALL_STATE(623)] = 32856,
  [SMALL_STATE(624)] = 32892,
  [SMALL_STATE(625)] = 32925,
  [SMALL_STATE(626)] = 32958,
  [SMALL_STATE(627)] = 32977,
  [SMALL_STATE(628)] = 33010,
  [SMALL_STATE(629)] = 33035,
  [SMALL_STATE(630)] = 33068,
  [SMALL_STATE(631)] = 33101,
  [SMALL_STATE(632)] = 33120,
  [SMALL_STATE(633)] = 33143,
  [SMALL_STATE(634)] = 33176,
  [SMALL_STATE(635)] = 33201,
  [SMALL_STATE(636)] = 33234,
  [SMALL_STATE(637)] = 33267,
  [SMALL_STATE(638)] = 33300,
  [SMALL_STATE(639)] = 33321,
  [SMALL_STATE(640)] = 33354,
  [SMALL_STATE(641)] = 33377,
  [SMALL_STATE(642)] = 33402,
  [SMALL_STATE(643)] = 33435,
  [SMALL_STATE(644)] = 33468,
  [SMALL_STATE(645)] = 33498,
  [SMALL_STATE(646)] = 33528,
  [SMALL_STATE(647)] = 33565,
  [SMALL_STATE(648)] = 33602,
  [SMALL_STATE(649)] = 33639,
  [SMALL_STATE(650)] = 33673,
  [SMALL_STATE(651)] = 33707,
  [SMALL_STATE(652)] = 33741,
  [SMALL_STATE(653)] = 33775,
  [SMALL_STATE(654)] = 33809,
  [SMALL_STATE(655)] = 33843,
  [SMALL_STATE(656)] = 33877,
  [SMALL_STATE(657)] = 33911,
  [SMALL_STATE(658)] = 33945,
  [SMALL_STATE(659)] = 33968,
  [SMALL_STATE(660)] = 33987,
  [SMALL_STATE(661)] = 34006,
  [SMALL_STATE(662)] = 34025,
  [SMALL_STATE(663)] = 34048,
  [SMALL_STATE(664)] = 34071,
  [SMALL_STATE(665)] = 34089,
  [SMALL_STATE(666)] = 34113,
  [SMALL_STATE(667)] = 34131,
  [SMALL_STATE(668)] = 34151,
  [SMALL_STATE(669)] = 34169,
  [SMALL_STATE(670)] = 34187,
  [SMALL_STATE(671)] = 34205,
  [SMALL_STATE(672)] = 34223,
  [SMALL_STATE(673)] = 34247,
  [SMALL_STATE(674)] = 34272,
  [SMALL_STATE(675)] = 34293,
  [SMALL_STATE(676)] = 34314,
  [SMALL_STATE(677)] = 34335,
  [SMALL_STATE(678)] = 34358,
  [SMALL_STATE(679)] = 34375,
  [SMALL_STATE(680)] = 34398,
  [SMALL_STATE(681)] = 34411,
  [SMALL_STATE(682)] = 34432,
  [SMALL_STATE(683)] = 34453,
  [SMALL_STATE(684)] = 34476,
  [SMALL_STATE(685)] = 34495,
  [SMALL_STATE(686)] = 34508,
  [SMALL_STATE(687)] = 34525,
  [SMALL_STATE(688)] = 34548,
  [SMALL_STATE(689)] = 34573,
  [SMALL_STATE(690)] = 34594,
  [SMALL_STATE(691)] = 34619,
  [SMALL_STATE(692)] = 34642,
  [SMALL_STATE(693)] = 34667,
  [SMALL_STATE(694)] = 34684,
  [SMALL_STATE(695)] = 34703,
  [SMALL_STATE(696)] = 34724,
  [SMALL_STATE(697)] = 34737,
  [SMALL_STATE(698)] = 34758,
  [SMALL_STATE(699)] = 34783,
  [SMALL_STATE(700)] = 34802,
  [SMALL_STATE(701)] = 34825,
  [SMALL_STATE(702)] = 34846,
  [SMALL_STATE(703)] = 34871,
  [SMALL_STATE(704)] = 34896,
  [SMALL_STATE(705)] = 34912,
  [SMALL_STATE(706)] = 34924,
  [SMALL_STATE(707)] = 34942,
  [SMALL_STATE(708)] = 34960,
  [SMALL_STATE(709)] = 34978,
  [SMALL_STATE(710)] = 34998,
  [SMALL_STATE(711)] = 35014,
  [SMALL_STATE(712)] = 35030,
  [SMALL_STATE(713)] = 35052,
  [SMALL_STATE(714)] = 35074,
  [SMALL_STATE(715)] = 35090,
  [SMALL_STATE(716)] = 35108,
  [SMALL_STATE(717)] = 35124,
  [SMALL_STATE(718)] = 35142,
  [SMALL_STATE(719)] = 35162,
  [SMALL_STATE(720)] = 35174,
  [SMALL_STATE(721)] = 35188,
  [SMALL_STATE(722)] = 35206,
  [SMALL_STATE(723)] = 35228,
  [SMALL_STATE(724)] = 35240,
  [SMALL_STATE(725)] = 35260,
  [SMALL_STATE(726)] = 35276,
  [SMALL_STATE(727)] = 35294,
  [SMALL_STATE(728)] = 35314,
  [SMALL_STATE(729)] = 35334,
  [SMALL_STATE(730)] = 35352,
  [SMALL_STATE(731)] = 35372,
  [SMALL_STATE(732)] = 35390,
  [SMALL_STATE(733)] = 35408,
  [SMALL_STATE(734)] = 35426,
  [SMALL_STATE(735)] = 35444,
  [SMALL_STATE(736)] = 35457,
  [SMALL_STATE(737)] = 35470,
  [SMALL_STATE(738)] = 35487,
  [SMALL_STATE(739)] = 35504,
  [SMALL_STATE(740)] = 35521,
  [SMALL_STATE(741)] = 35538,
  [SMALL_STATE(742)] = 35555,
  [SMALL_STATE(743)] = 35572,
  [SMALL_STATE(744)] = 35589,
  [SMALL_STATE(745)] = 35608,
  [SMALL_STATE(746)] = 35621,
  [SMALL_STATE(747)] = 35638,
  [SMALL_STATE(748)] = 35655,
  [SMALL_STATE(749)] = 35672,
  [SMALL_STATE(750)] = 35689,
  [SMALL_STATE(751)] = 35706,
  [SMALL_STATE(752)] = 35723,
  [SMALL_STATE(753)] = 35740,
  [SMALL_STATE(754)] = 35757,
  [SMALL_STATE(755)] = 35768,
  [SMALL_STATE(756)] = 35787,
  [SMALL_STATE(757)] = 35804,
  [SMALL_STATE(758)] = 35821,
  [SMALL_STATE(759)] = 35838,
  [SMALL_STATE(760)] = 35857,
  [SMALL_STATE(761)] = 35874,
  [SMALL_STATE(762)] = 35891,
  [SMALL_STATE(763)] = 35908,
  [SMALL_STATE(764)] = 35925,
  [SMALL_STATE(765)] = 35941,
  [SMALL_STATE(766)] = 35957,
  [SMALL_STATE(767)] = 35971,
  [SMALL_STATE(768)] = 35985,
  [SMALL_STATE(769)] = 35999,
  [SMALL_STATE(770)] = 36015,
  [SMALL_STATE(771)] = 36031,
  [SMALL_STATE(772)] = 36047,
  [SMALL_STATE(773)] = 36061,
  [SMALL_STATE(774)] = 36077,
  [SMALL_STATE(775)] = 36093,
  [SMALL_STATE(776)] = 36105,
  [SMALL_STATE(777)] = 36121,
  [SMALL_STATE(778)] = 36137,
  [SMALL_STATE(779)] = 36153,
  [SMALL_STATE(780)] = 36169,
  [SMALL_STATE(781)] = 36185,
  [SMALL_STATE(782)] = 36201,
  [SMALL_STATE(783)] = 36215,
  [SMALL_STATE(784)] = 36231,
  [SMALL_STATE(785)] = 36247,
  [SMALL_STATE(786)] = 36263,
  [SMALL_STATE(787)] = 36277,
  [SMALL_STATE(788)] = 36287,
  [SMALL_STATE(789)] = 36301,
  [SMALL_STATE(790)] = 36315,
  [SMALL_STATE(791)] = 36329,
  [SMALL_STATE(792)] = 36343,
  [SMALL_STATE(793)] = 36359,
  [SMALL_STATE(794)] = 36373,
  [SMALL_STATE(795)] = 36385,
  [SMALL_STATE(796)] = 36399,
  [SMALL_STATE(797)] = 36415,
  [SMALL_STATE(798)] = 36431,
  [SMALL_STATE(799)] = 36447,
  [SMALL_STATE(800)] = 36463,
  [SMALL_STATE(801)] = 36477,
  [SMALL_STATE(802)] = 36487,
  [SMALL_STATE(803)] = 36501,
  [SMALL_STATE(804)] = 36515,
  [SMALL_STATE(805)] = 36529,
  [SMALL_STATE(806)] = 36545,
  [SMALL_STATE(807)] = 36559,
  [SMALL_STATE(808)] = 36573,
  [SMALL_STATE(809)] = 36587,
  [SMALL_STATE(810)] = 36601,
  [SMALL_STATE(811)] = 36615,
  [SMALL_STATE(812)] = 36628,
  [SMALL_STATE(813)] = 36637,
  [SMALL_STATE(814)] = 36650,
  [SMALL_STATE(815)] = 36663,
  [SMALL_STATE(816)] = 36676,
  [SMALL_STATE(817)] = 36689,
  [SMALL_STATE(818)] = 36700,
  [SMALL_STATE(819)] = 36713,
  [SMALL_STATE(820)] = 36726,
  [SMALL_STATE(821)] = 36735,
  [SMALL_STATE(822)] = 36744,
  [SMALL_STATE(823)] = 36757,
  [SMALL_STATE(824)] = 36770,
  [SMALL_STATE(825)] = 36779,
  [SMALL_STATE(826)] = 36788,
  [SMALL_STATE(827)] = 36801,
  [SMALL_STATE(828)] = 36814,
  [SMALL_STATE(829)] = 36827,
  [SMALL_STATE(830)] = 36840,
  [SMALL_STATE(831)] = 36853,
  [SMALL_STATE(832)] = 36866,
  [SMALL_STATE(833)] = 36879,
  [SMALL_STATE(834)] = 36892,
  [SMALL_STATE(835)] = 36905,
  [SMALL_STATE(836)] = 36918,
  [SMALL_STATE(837)] = 36931,
  [SMALL_STATE(838)] = 36944,
  [SMALL_STATE(839)] = 36957,
  [SMALL_STATE(840)] = 36970,
  [SMALL_STATE(841)] = 36983,
  [SMALL_STATE(842)] = 36996,
  [SMALL_STATE(843)] = 37009,
  [SMALL_STATE(844)] = 37022,
  [SMALL_STATE(845)] = 37035,
  [SMALL_STATE(846)] = 37048,
  [SMALL_STATE(847)] = 37061,
  [SMALL_STATE(848)] = 37072,
  [SMALL_STATE(849)] = 37085,
  [SMALL_STATE(850)] = 37098,
  [SMALL_STATE(851)] = 37111,
  [SMALL_STATE(852)] = 37124,
  [SMALL_STATE(853)] = 37137,
  [SMALL_STATE(854)] = 37150,
  [SMALL_STATE(855)] = 37163,
  [SMALL_STATE(856)] = 37176,
  [SMALL_STATE(857)] = 37187,
  [SMALL_STATE(858)] = 37200,
  [SMALL_STATE(859)] = 37213,
  [SMALL_STATE(860)] = 37226,
  [SMALL_STATE(861)] = 37239,
  [SMALL_STATE(862)] = 37252,
  [SMALL_STATE(863)] = 37265,
  [SMALL_STATE(864)] = 37278,
  [SMALL_STATE(865)] = 37291,
  [SMALL_STATE(866)] = 37304,
  [SMALL_STATE(867)] = 37317,
  [SMALL_STATE(868)] = 37330,
  [SMALL_STATE(869)] = 37343,
  [SMALL_STATE(870)] = 37356,
  [SMALL_STATE(871)] = 37367,
  [SMALL_STATE(872)] = 37380,
  [SMALL_STATE(873)] = 37389,
  [SMALL_STATE(874)] = 37402,
  [SMALL_STATE(875)] = 37415,
  [SMALL_STATE(876)] = 37428,
  [SMALL_STATE(877)] = 37439,
  [SMALL_STATE(878)] = 37452,
  [SMALL_STATE(879)] = 37465,
  [SMALL_STATE(880)] = 37474,
  [SMALL_STATE(881)] = 37487,
  [SMALL_STATE(882)] = 37500,
  [SMALL_STATE(883)] = 37513,
  [SMALL_STATE(884)] = 37526,
  [SMALL_STATE(885)] = 37535,
  [SMALL_STATE(886)] = 37544,
  [SMALL_STATE(887)] = 37557,
  [SMALL_STATE(888)] = 37570,
  [SMALL_STATE(889)] = 37583,
  [SMALL_STATE(890)] = 37596,
  [SMALL_STATE(891)] = 37607,
  [SMALL_STATE(892)] = 37620,
  [SMALL_STATE(893)] = 37633,
  [SMALL_STATE(894)] = 37646,
  [SMALL_STATE(895)] = 37659,
  [SMALL_STATE(896)] = 37672,
  [SMALL_STATE(897)] = 37685,
  [SMALL_STATE(898)] = 37698,
  [SMALL_STATE(899)] = 37711,
  [SMALL_STATE(900)] = 37724,
  [SMALL_STATE(901)] = 37737,
  [SMALL_STATE(902)] = 37750,
  [SMALL_STATE(903)] = 37763,
  [SMALL_STATE(904)] = 37776,
  [SMALL_STATE(905)] = 37787,
  [SMALL_STATE(906)] = 37800,
  [SMALL_STATE(907)] = 37813,
  [SMALL_STATE(908)] = 37826,
  [SMALL_STATE(909)] = 37839,
  [SMALL_STATE(910)] = 37847,
  [SMALL_STATE(911)] = 37855,
  [SMALL_STATE(912)] = 37863,
  [SMALL_STATE(913)] = 37873,
  [SMALL_STATE(914)] = 37883,
  [SMALL_STATE(915)] = 37891,
  [SMALL_STATE(916)] = 37899,
  [SMALL_STATE(917)] = 37907,
  [SMALL_STATE(918)] = 37917,
  [SMALL_STATE(919)] = 37925,
  [SMALL_STATE(920)] = 37933,
  [SMALL_STATE(921)] = 37943,
  [SMALL_STATE(922)] = 37951,
  [SMALL_STATE(923)] = 37959,
  [SMALL_STATE(924)] = 37967,
  [SMALL_STATE(925)] = 37975,
  [SMALL_STATE(926)] = 37983,
  [SMALL_STATE(927)] = 37991,
  [SMALL_STATE(928)] = 38001,
  [SMALL_STATE(929)] = 38009,
  [SMALL_STATE(930)] = 38017,
  [SMALL_STATE(931)] = 38027,
  [SMALL_STATE(932)] = 38035,
  [SMALL_STATE(933)] = 38043,
  [SMALL_STATE(934)] = 38051,
  [SMALL_STATE(935)] = 38059,
  [SMALL_STATE(936)] = 38067,
  [SMALL_STATE(937)] = 38077,
  [SMALL_STATE(938)] = 38085,
  [SMALL_STATE(939)] = 38093,
  [SMALL_STATE(940)] = 38103,
  [SMALL_STATE(941)] = 38111,
  [SMALL_STATE(942)] = 38119,
  [SMALL_STATE(943)] = 38127,
  [SMALL_STATE(944)] = 38135,
  [SMALL_STATE(945)] = 38143,
  [SMALL_STATE(946)] = 38151,
  [SMALL_STATE(947)] = 38159,
  [SMALL_STATE(948)] = 38169,
  [SMALL_STATE(949)] = 38177,
  [SMALL_STATE(950)] = 38185,
  [SMALL_STATE(951)] = 38193,
  [SMALL_STATE(952)] = 38201,
  [SMALL_STATE(953)] = 38208,
  [SMALL_STATE(954)] = 38215,
  [SMALL_STATE(955)] = 38222,
  [SMALL_STATE(956)] = 38229,
  [SMALL_STATE(957)] = 38236,
  [SMALL_STATE(958)] = 38243,
  [SMALL_STATE(959)] = 38250,
  [SMALL_STATE(960)] = 38257,
  [SMALL_STATE(961)] = 38264,
  [SMALL_STATE(962)] = 38271,
  [SMALL_STATE(963)] = 38278,
  [SMALL_STATE(964)] = 38285,
  [SMALL_STATE(965)] = 38292,
  [SMALL_STATE(966)] = 38299,
  [SMALL_STATE(967)] = 38306,
  [SMALL_STATE(968)] = 38313,
  [SMALL_STATE(969)] = 38320,
  [SMALL_STATE(970)] = 38327,
  [SMALL_STATE(971)] = 38334,
  [SMALL_STATE(972)] = 38341,
  [SMALL_STATE(973)] = 38348,
  [SMALL_STATE(974)] = 38355,
  [SMALL_STATE(975)] = 38362,
  [SMALL_STATE(976)] = 38369,
  [SMALL_STATE(977)] = 38376,
  [SMALL_STATE(978)] = 38383,
  [SMALL_STATE(979)] = 38390,
  [SMALL_STATE(980)] = 38397,
  [SMALL_STATE(981)] = 38404,
  [SMALL_STATE(982)] = 38411,
  [SMALL_STATE(983)] = 38418,
  [SMALL_STATE(984)] = 38425,
  [SMALL_STATE(985)] = 38432,
  [SMALL_STATE(986)] = 38439,
  [SMALL_STATE(987)] = 38446,
  [SMALL_STATE(988)] = 38453,
  [SMALL_STATE(989)] = 38460,
  [SMALL_STATE(990)] = 38467,
  [SMALL_STATE(991)] = 38474,
  [SMALL_STATE(992)] = 38481,
  [SMALL_STATE(993)] = 38488,
  [SMALL_STATE(994)] = 38495,
  [SMALL_STATE(995)] = 38502,
  [SMALL_STATE(996)] = 38509,
  [SMALL_STATE(997)] = 38516,
  [SMALL_STATE(998)] = 38523,
  [SMALL_STATE(999)] = 38530,
  [SMALL_STATE(1000)] = 38537,
  [SMALL_STATE(1001)] = 38544,
  [SMALL_STATE(1002)] = 38551,
  [SMALL_STATE(1003)] = 38558,
  [SMALL_STATE(1004)] = 38565,
  [SMALL_STATE(1005)] = 38572,
  [SMALL_STATE(1006)] = 38579,
  [SMALL_STATE(1007)] = 38586,
  [SMALL_STATE(1008)] = 38593,
  [SMALL_STATE(1009)] = 38600,
  [SMALL_STATE(1010)] = 38607,
  [SMALL_STATE(1011)] = 38614,
  [SMALL_STATE(1012)] = 38621,
  [SMALL_STATE(1013)] = 38628,
  [SMALL_STATE(1014)] = 38635,
  [SMALL_STATE(1015)] = 38642,
  [SMALL_STATE(1016)] = 38649,
  [SMALL_STATE(1017)] = 38656,
  [SMALL_STATE(1018)] = 38663,
  [SMALL_STATE(1019)] = 38670,
  [SMALL_STATE(1020)] = 38677,
  [SMALL_STATE(1021)] = 38684,
  [SMALL_STATE(1022)] = 38691,
  [SMALL_STATE(1023)] = 38698,
  [SMALL_STATE(1024)] = 38705,
  [SMALL_STATE(1025)] = 38712,
  [SMALL_STATE(1026)] = 38719,
  [SMALL_STATE(1027)] = 38726,
  [SMALL_STATE(1028)] = 38733,
  [SMALL_STATE(1029)] = 38740,
  [SMALL_STATE(1030)] = 38747,
  [SMALL_STATE(1031)] = 38754,
  [SMALL_STATE(1032)] = 38761,
  [SMALL_STATE(1033)] = 38768,
  [SMALL_STATE(1034)] = 38775,
  [SMALL_STATE(1035)] = 38782,
  [SMALL_STATE(1036)] = 38789,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(137),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(799),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(683),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(182),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(48),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(350),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(203),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(265),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(167),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(923),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(921),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(909),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(338),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(903),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(524),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(333),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1018),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(275),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1016),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1015),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1014),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(139),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1013),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(930),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(318),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(531),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(621),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(161),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(153),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(114),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(113),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(114),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(314),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(701),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(328),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(868),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(523),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(332),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1017),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(269),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1030),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1019),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(701),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 26),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 26),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 9),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 9),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 26),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 26),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 5),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 5),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 56),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 56),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 20),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 20),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 26),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 26),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 42),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 42),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 26),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 26),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 56),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 56),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 4),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 4),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 5),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 5),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 4),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 4),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 42),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 42),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, .production_id = 8),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 36),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 63),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 63),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(277),
  [873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 12),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 4),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(274),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(352),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(323),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 46),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 46),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 29),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 29),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(681),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 32),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 32),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 10),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 10),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(682),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variables, 2),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variables, 3),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(565),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(976),
  [1338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(565),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(508),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(542),
  [1387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(952),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(542),
  [1393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(516),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 16),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 4),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 15),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 40),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 19),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variables, 1),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variables_repeat1, 2),
  [1432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(313),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(532),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(954),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(532),
  [1456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(525),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, .production_id = 1),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, .production_id = 8),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, .production_id = 1),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, .production_id = 8),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(289),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(968),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(527),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 75),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(240),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 74),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 59),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 4),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 15),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 40),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(988),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 6),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 41),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(309),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(695),
  [1716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(695),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 4),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 73),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(987),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(930),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .production_id = 5),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 16),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 38),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 72),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 14),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 3, .production_id = 33),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 3),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 16),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 38),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 11),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(339),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(753),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 3),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 28),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, .production_id = 1),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(244),
  [1888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 27), SHIFT_REPEAT(324),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 27),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(347),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 21),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 12),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(1035),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 6),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 11),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 39),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 4, .production_id = 35),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(803),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 37),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22), SHIFT_REPEAT(900),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [1993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(645),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(95),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(131),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 17),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 23),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(228),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(534),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(252),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(281),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3),
  [2118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(210),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22), SHIFT_REPEAT(842),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 6),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(644),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variables, 2),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 58),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 25),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 55),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 57),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 24),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 19),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 18),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2277] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
